--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

--
-- Name: action_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE action_type AS ENUM (
    'http_request',
    'nailgun_task'
);


ALTER TYPE public.action_type OWNER TO nailgun;

--
-- Name: bond_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE bond_mode AS ENUM (
    'active-backup',
    'balance-slb',
    'balance-tcp',
    'lacp-balance-tcp',
    'balance-rr',
    'balance-xor',
    'broadcast',
    '802.3ad',
    'balance-tlb',
    'balance-alb'
);


ALTER TYPE public.bond_mode OWNER TO nailgun;

--
-- Name: cluster_grouping; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_grouping AS ENUM (
    'roles',
    'hardware',
    'both'
);


ALTER TYPE public.cluster_grouping OWNER TO nailgun;

--
-- Name: cluster_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_mode AS ENUM (
    'multinode',
    'ha_full',
    'ha_compact'
);


ALTER TYPE public.cluster_mode OWNER TO nailgun;

--
-- Name: cluster_net_manager; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_net_manager AS ENUM (
    'FlatDHCPManager',
    'VlanManager'
);


ALTER TYPE public.cluster_net_manager OWNER TO nailgun;

--
-- Name: cluster_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_status AS ENUM (
    'new',
    'deployment',
    'stopped',
    'operational',
    'error',
    'remove',
    'partially_deployed'
);


ALTER TYPE public.cluster_status OWNER TO nailgun;

--
-- Name: deployment_graph_tasks_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE deployment_graph_tasks_type AS ENUM (
    'puppet',
    'shell',
    'sync',
    'upload_file',
    'group',
    'stage',
    'skipped',
    'reboot',
    'copy_files',
    'role'
);


ALTER TYPE public.deployment_graph_tasks_type OWNER TO nailgun;

--
-- Name: history_task_statuses; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE history_task_statuses AS ENUM (
    'pending',
    'ready',
    'running',
    'error',
    'skipped'
);


ALTER TYPE public.history_task_statuses OWNER TO nailgun;

--
-- Name: net_l23_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_l23_provider AS ENUM (
    'ovs',
    'nsx',
    'dpdkovs'
);


ALTER TYPE public.net_l23_provider OWNER TO nailgun;

--
-- Name: net_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_provider AS ENUM (
    'nova_network',
    'neutron'
);


ALTER TYPE public.net_provider OWNER TO nailgun;

--
-- Name: node_error_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_error_type AS ENUM (
    'deploy',
    'provision',
    'deletion',
    'discover',
    'stop_deployment'
);


ALTER TYPE public.node_error_type OWNER TO nailgun;

--
-- Name: node_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_status AS ENUM (
    'ready',
    'discover',
    'provisioning',
    'provisioned',
    'deploying',
    'error',
    'removing',
    'stopped'
);


ALTER TYPE public.node_status OWNER TO nailgun;

--
-- Name: notif_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_status AS ENUM (
    'read',
    'unread'
);


ALTER TYPE public.notif_status OWNER TO nailgun;

--
-- Name: notif_topic; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_topic AS ENUM (
    'discover',
    'done',
    'error',
    'warning',
    'release'
);


ALTER TYPE public.notif_topic OWNER TO nailgun;

--
-- Name: openstack_config_types; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE openstack_config_types AS ENUM (
    'cluster',
    'role',
    'node'
);


ALTER TYPE public.openstack_config_types OWNER TO nailgun;

--
-- Name: oswl_resource_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE oswl_resource_type AS ENUM (
    'vm',
    'tenant',
    'volume',
    'security_group',
    'keystone_user',
    'flavor',
    'cluster_stats',
    'image'
);


ALTER TYPE public.oswl_resource_type OWNER TO nailgun;

--
-- Name: possible_changes; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE possible_changes AS ENUM (
    'networks',
    'attributes',
    'disks',
    'interfaces',
    'vmware_attributes'
);


ALTER TYPE public.possible_changes OWNER TO nailgun;

--
-- Name: release_state; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE release_state AS ENUM (
    'available',
    'unavailable',
    'manageonly'
);


ALTER TYPE public.release_state OWNER TO nailgun;

--
-- Name: segmentation_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE segmentation_type AS ENUM (
    'vlan',
    'gre',
    'tun'
);


ALTER TYPE public.segmentation_type OWNER TO nailgun;

--
-- Name: task_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_name AS ENUM (
    'super',
    'deploy',
    'deployment',
    'provision',
    'stop_deployment',
    'reset_environment',
    'update',
    'spawn_vms',
    'node_deletion',
    'cluster_deletion',
    'remove_images',
    'check_before_deployment',
    'check_networks',
    'verify_networks',
    'check_dhcp',
    'verify_network_connectivity',
    'multicast_verification',
    'check_repo_availability',
    'check_repo_availability_with_setup',
    'dump',
    'capacity_log',
    'create_stats_user',
    'remove_stats_user',
    'update_dnsmasq',
    'dry_run_deployment'
);


ALTER TYPE public.task_name OWNER TO nailgun;

--
-- Name: task_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_status AS ENUM (
    'ready',
    'running',
    'error',
    'pending'
);


ALTER TYPE public.task_status OWNER TO nailgun;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: action_logs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE action_logs (
    id integer NOT NULL,
    actor_id character varying(64),
    action_group character varying(64) NOT NULL,
    action_name character varying(64) NOT NULL,
    action_type action_type NOT NULL,
    start_timestamp timestamp without time zone NOT NULL,
    end_timestamp timestamp without time zone,
    is_sent boolean,
    additional_info text NOT NULL,
    cluster_id integer,
    task_uuid character varying(36)
);


ALTER TABLE public.action_logs OWNER TO nailgun;

--
-- Name: action_logs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE action_logs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.action_logs_id_seq OWNER TO nailgun;

--
-- Name: action_logs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE action_logs_id_seq OWNED BY action_logs.id;


--
-- Name: alembic_version; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE alembic_version (
    version_num character varying(32) NOT NULL
);


ALTER TABLE public.alembic_version OWNER TO nailgun;

--
-- Name: attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text,
    generated text
);


ALTER TABLE public.attributes OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.attributes_id_seq OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE attributes_id_seq OWNED BY attributes.id;


--
-- Name: capacity_log; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE capacity_log (
    id integer NOT NULL,
    report text,
    datetime timestamp without time zone
);


ALTER TABLE public.capacity_log OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE capacity_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.capacity_log_id_seq OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE capacity_log_id_seq OWNED BY capacity_log.id;


--
-- Name: cluster_changes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_changes (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    name possible_changes NOT NULL
);


ALTER TABLE public.cluster_changes OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_changes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_changes_id_seq OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_changes_id_seq OWNED BY cluster_changes.id;


--
-- Name: cluster_deployment_graphs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_deployment_graphs (
    id integer NOT NULL,
    type character varying(255) NOT NULL,
    deployment_graph_id integer NOT NULL,
    cluster_id integer NOT NULL
);


ALTER TABLE public.cluster_deployment_graphs OWNER TO nailgun;

--
-- Name: cluster_deployment_graphs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_deployment_graphs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_deployment_graphs_id_seq OWNER TO nailgun;

--
-- Name: cluster_deployment_graphs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_deployment_graphs_id_seq OWNED BY cluster_deployment_graphs.id;


--
-- Name: cluster_plugin_links; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_plugin_links (
    id integer NOT NULL,
    cluster_id integer NOT NULL,
    title text NOT NULL,
    url text NOT NULL,
    description text,
    hidden boolean DEFAULT false NOT NULL
);


ALTER TABLE public.cluster_plugin_links OWNER TO nailgun;

--
-- Name: cluster_plugin_links_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_plugin_links_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_plugin_links_id_seq OWNER TO nailgun;

--
-- Name: cluster_plugin_links_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_plugin_links_id_seq OWNED BY cluster_plugin_links.id;


--
-- Name: cluster_plugins; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_plugins (
    id integer NOT NULL,
    plugin_id integer NOT NULL,
    cluster_id integer NOT NULL,
    enabled boolean DEFAULT false NOT NULL,
    attributes text DEFAULT '{}'::text NOT NULL
);


ALTER TABLE public.cluster_plugins OWNER TO nailgun;

--
-- Name: cluster_plugins_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_plugins_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_plugins_id_seq OWNER TO nailgun;

--
-- Name: cluster_plugins_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_plugins_id_seq OWNED BY cluster_plugins.id;


--
-- Name: cluster_upgrade_alembic_version; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_upgrade_alembic_version (
    version_num character varying(32) NOT NULL
);


ALTER TABLE public.cluster_upgrade_alembic_version OWNER TO nailgun;

--
-- Name: cluster_upgrade_relations; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_upgrade_relations (
    id integer NOT NULL,
    orig_cluster_id integer NOT NULL,
    seed_cluster_id integer NOT NULL
);


ALTER TABLE public.cluster_upgrade_relations OWNER TO nailgun;

--
-- Name: cluster_upgrade_relations_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_upgrade_relations_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_upgrade_relations_id_seq OWNER TO nailgun;

--
-- Name: cluster_upgrade_relations_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_upgrade_relations_id_seq OWNED BY cluster_upgrade_relations.id;


--
-- Name: clusters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE clusters (
    id integer NOT NULL,
    mode cluster_mode NOT NULL,
    status cluster_status NOT NULL,
    net_provider net_provider NOT NULL,
    name text NOT NULL,
    release_id integer NOT NULL,
    replaced_deployment_info text,
    replaced_provisioning_info text,
    is_customized boolean,
    fuel_version text NOT NULL,
    ui_settings text DEFAULT '{"sort": [{"roles": "asc"}], "sort_by_labels": [], "search": "", "filter_by_labels": {}, "filter": {}, "view_mode": "standard"}'::text NOT NULL,
    extensions character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    components text DEFAULT '[]'::text NOT NULL
);


ALTER TABLE public.clusters OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.clusters_id_seq OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE clusters_id_seq OWNED BY clusters.id;


--
-- Name: deployment_graph_tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE deployment_graph_tasks (
    id integer NOT NULL,
    deployment_graph_id integer NOT NULL,
    task_name character varying(255) NOT NULL,
    version character varying(255) DEFAULT '1.0.0'::character varying NOT NULL,
    condition text,
    type deployment_graph_tasks_type NOT NULL,
    groups character varying(255)[] DEFAULT '{}'::character varying[] NOT NULL,
    tasks character varying(255)[] DEFAULT '{}'::character varying[] NOT NULL,
    roles character varying(255)[] DEFAULT '{}'::character varying[] NOT NULL,
    reexecute_on character varying(255)[] DEFAULT '{}'::character varying[] NOT NULL,
    refresh_on character varying(255)[] DEFAULT '{}'::character varying[] NOT NULL,
    required_for character varying(255)[] DEFAULT '{}'::character varying[] NOT NULL,
    requires character varying(255)[] DEFAULT '{}'::character varying[] NOT NULL,
    cross_depended_by text DEFAULT '[]'::text NOT NULL,
    cross_depends text DEFAULT '[]'::text NOT NULL,
    parameters text DEFAULT '{}'::text,
    _custom text DEFAULT '{}'::text
);


ALTER TABLE public.deployment_graph_tasks OWNER TO nailgun;

--
-- Name: deployment_graph_tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE deployment_graph_tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.deployment_graph_tasks_id_seq OWNER TO nailgun;

--
-- Name: deployment_graph_tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE deployment_graph_tasks_id_seq OWNED BY deployment_graph_tasks.id;


--
-- Name: deployment_graphs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE deployment_graphs (
    id integer NOT NULL,
    name character varying(255)
);


ALTER TABLE public.deployment_graphs OWNER TO nailgun;

--
-- Name: deployment_graphs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE deployment_graphs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.deployment_graphs_id_seq OWNER TO nailgun;

--
-- Name: deployment_graphs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE deployment_graphs_id_seq OWNED BY deployment_graphs.id;


--
-- Name: deployment_history; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE deployment_history (
    id integer NOT NULL,
    task_id integer NOT NULL,
    node_id character varying,
    deployment_graph_task_name character varying NOT NULL,
    time_start timestamp without time zone,
    time_end timestamp without time zone,
    status history_task_statuses NOT NULL,
    custom text DEFAULT '{}'::text NOT NULL
);


ALTER TABLE public.deployment_history OWNER TO nailgun;

--
-- Name: deployment_history_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE deployment_history_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.deployment_history_id_seq OWNER TO nailgun;

--
-- Name: deployment_history_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE deployment_history_id_seq OWNED BY deployment_history.id;


--
-- Name: extensions_migration_buffer; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE extensions_migration_buffer (
    id integer NOT NULL,
    extension_name text NOT NULL,
    data text
);


ALTER TABLE public.extensions_migration_buffer OWNER TO nailgun;

--
-- Name: extensions_migration_buffer_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE extensions_migration_buffer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.extensions_migration_buffer_id_seq OWNER TO nailgun;

--
-- Name: extensions_migration_buffer_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE extensions_migration_buffer_id_seq OWNED BY extensions_migration_buffer.id;


--
-- Name: ip_addr_ranges; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addr_ranges (
    id integer NOT NULL,
    network_group_id integer,
    first inet NOT NULL,
    last inet NOT NULL
);


ALTER TABLE public.ip_addr_ranges OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addr_ranges_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addr_ranges_id_seq OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addr_ranges_id_seq OWNED BY ip_addr_ranges.id;


--
-- Name: ip_addrs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addrs (
    id integer NOT NULL,
    network integer,
    node integer,
    ip_addr inet NOT NULL,
    vip_name character varying(50),
    is_user_defined boolean DEFAULT false NOT NULL,
    vip_namespace character varying(50)
);


ALTER TABLE public.ip_addrs OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addrs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addrs_id_seq OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addrs_id_seq OWNED BY ip_addrs.id;


--
-- Name: master_node_settings; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE master_node_settings (
    id integer NOT NULL,
    master_node_uid character varying(36) NOT NULL,
    settings json DEFAULT '{}'::json
);


ALTER TABLE public.master_node_settings OWNER TO nailgun;

--
-- Name: master_node_settings_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE master_node_settings_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.master_node_settings_id_seq OWNER TO nailgun;

--
-- Name: master_node_settings_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE master_node_settings_id_seq OWNED BY master_node_settings.id;


--
-- Name: net_bond_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_bond_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    bond_id integer NOT NULL
);


ALTER TABLE public.net_bond_assignments OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_bond_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_bond_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_bond_assignments_id_seq OWNED BY net_bond_assignments.id;


--
-- Name: net_nic_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_nic_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.net_nic_assignments OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_nic_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_nic_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_nic_assignments_id_seq OWNED BY net_nic_assignments.id;


--
-- Name: network_groups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE network_groups (
    id integer NOT NULL,
    name character varying(50) NOT NULL,
    release integer,
    vlan_start integer,
    cidr cidr,
    gateway inet,
    meta text,
    group_id integer
);


ALTER TABLE public.network_groups OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE network_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.network_groups_id_seq OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE network_groups_id_seq OWNED BY network_groups.id;


--
-- Name: networking_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE networking_configs (
    id integer NOT NULL,
    discriminator character varying(50),
    cluster_id integer,
    dns_nameservers text,
    floating_ranges text,
    configuration_template text
);


ALTER TABLE public.networking_configs OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE networking_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.networking_configs_id_seq OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE networking_configs_id_seq OWNED BY networking_configs.id;


--
-- Name: neutron_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE neutron_config (
    id integer NOT NULL,
    vlan_range text,
    gre_id_range text,
    base_mac macaddr NOT NULL,
    internal_cidr cidr,
    internal_gateway inet,
    segmentation_type segmentation_type NOT NULL,
    net_l23_provider net_l23_provider NOT NULL,
    internal_name character varying(50) NOT NULL,
    floating_name character varying(50) NOT NULL,
    baremetal_gateway inet,
    baremetal_range text DEFAULT '[]'::text
);


ALTER TABLE public.neutron_config OWNER TO nailgun;

--
-- Name: node_bond_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_bond_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(32) NOT NULL,
    mac macaddr,
    state character varying(25),
    mode bond_mode NOT NULL,
    bond_properties text DEFAULT '{}'::text NOT NULL,
    interface_properties text DEFAULT '{}'::text NOT NULL,
    offloading_modes text DEFAULT '[]'::text NOT NULL
);


ALTER TABLE public.node_bond_interfaces OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_bond_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_bond_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_bond_interfaces_id_seq OWNED BY node_bond_interfaces.id;


--
-- Name: node_nic_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_nic_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(128) NOT NULL,
    mac macaddr NOT NULL,
    max_speed integer,
    current_speed integer,
    ip_addr inet,
    netmask inet,
    state character varying(25),
    parent_id integer,
    driver text,
    bus_info text,
    interface_properties text DEFAULT '{}'::text NOT NULL,
    offloading_modes text DEFAULT '[]'::text NOT NULL,
    pxe boolean DEFAULT false NOT NULL
);


ALTER TABLE public.node_nic_interfaces OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_nic_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_nic_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_nic_interfaces_id_seq OWNED BY node_nic_interfaces.id;


--
-- Name: nodegroups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodegroups (
    id integer NOT NULL,
    cluster_id integer,
    name character varying(50) NOT NULL,
    is_default boolean DEFAULT false NOT NULL
);


ALTER TABLE public.nodegroups OWNER TO nailgun;

--
-- Name: nodegroups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodegroups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.nodegroups_id_seq OWNER TO nailgun;

--
-- Name: nodegroups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodegroups_id_seq OWNED BY nodegroups.id;


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodes (
    id integer NOT NULL,
    uuid character varying(36) NOT NULL,
    cluster_id integer,
    name character varying(100),
    status node_status NOT NULL,
    meta text,
    mac macaddr NOT NULL,
    ip inet,
    manufacturer character varying(50),
    platform_name character varying(150),
    kernel_params text,
    progress integer,
    os_platform character varying(150),
    pending_addition boolean,
    pending_deletion boolean,
    error_type node_error_type,
    error_msg text,
    "timestamp" timestamp without time zone NOT NULL,
    online boolean,
    agent_checksum character varying(40),
    replaced_deployment_info text,
    replaced_provisioning_info text,
    group_id integer,
    hostname character varying(255) DEFAULT ''::character varying NOT NULL,
    roles character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    pending_roles character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    primary_roles character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    network_template text,
    extensions character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    labels text DEFAULT '{}'::text NOT NULL,
    vms_conf text DEFAULT '[]'::text NOT NULL,
    attributes text DEFAULT '{}'::text NOT NULL
);


ALTER TABLE public.nodes OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.nodes_id_seq OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodes_id_seq OWNED BY nodes.id;


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE notifications (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    task_id integer,
    topic notif_topic NOT NULL,
    message text,
    status notif_status NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.notifications OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE notifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE notifications_id_seq OWNED BY notifications.id;


--
-- Name: nova_network_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nova_network_config (
    id integer NOT NULL,
    fixed_networks_cidr cidr,
    fixed_networks_vlan_start integer,
    fixed_network_size integer NOT NULL,
    fixed_networks_amount integer NOT NULL,
    net_manager cluster_net_manager NOT NULL
);


ALTER TABLE public.nova_network_config OWNER TO nailgun;

--
-- Name: openstack_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE openstack_configs (
    id integer NOT NULL,
    is_active boolean NOT NULL,
    config_type openstack_config_types NOT NULL,
    cluster_id integer NOT NULL,
    node_id integer,
    node_role character varying(64),
    created_at timestamp without time zone NOT NULL,
    configuration text DEFAULT '{}'::text NOT NULL
);


ALTER TABLE public.openstack_configs OWNER TO nailgun;

--
-- Name: openstack_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE openstack_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.openstack_configs_id_seq OWNER TO nailgun;

--
-- Name: openstack_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE openstack_configs_id_seq OWNED BY openstack_configs.id;


--
-- Name: oswl_stats; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE oswl_stats (
    id integer NOT NULL,
    cluster_id integer NOT NULL,
    created_date date NOT NULL,
    updated_time time without time zone NOT NULL,
    resource_type oswl_resource_type NOT NULL,
    resource_data text,
    resource_checksum text NOT NULL,
    is_sent boolean NOT NULL,
    version_info json DEFAULT '{}'::json
);


ALTER TABLE public.oswl_stats OWNER TO nailgun;

--
-- Name: oswl_stats_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE oswl_stats_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.oswl_stats_id_seq OWNER TO nailgun;

--
-- Name: oswl_stats_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE oswl_stats_id_seq OWNED BY oswl_stats.id;


--
-- Name: plugin_deployment_graphs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE plugin_deployment_graphs (
    id integer NOT NULL,
    type character varying(255) NOT NULL,
    deployment_graph_id integer NOT NULL,
    plugin_id integer NOT NULL
);


ALTER TABLE public.plugin_deployment_graphs OWNER TO nailgun;

--
-- Name: plugin_deployment_graphs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE plugin_deployment_graphs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.plugin_deployment_graphs_id_seq OWNER TO nailgun;

--
-- Name: plugin_deployment_graphs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE plugin_deployment_graphs_id_seq OWNED BY plugin_deployment_graphs.id;


--
-- Name: plugin_links; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE plugin_links (
    id integer NOT NULL,
    plugin_id integer NOT NULL,
    title text NOT NULL,
    url text NOT NULL,
    description text,
    hidden boolean DEFAULT false NOT NULL
);


ALTER TABLE public.plugin_links OWNER TO nailgun;

--
-- Name: plugin_links_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE plugin_links_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.plugin_links_id_seq OWNER TO nailgun;

--
-- Name: plugin_links_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE plugin_links_id_seq OWNED BY plugin_links.id;


--
-- Name: plugins; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE plugins (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    title character varying(100) NOT NULL,
    version character varying(32) NOT NULL,
    description character varying(400),
    releases text,
    fuel_version text,
    package_version character varying(32) NOT NULL,
    groups text DEFAULT '[]'::text NOT NULL,
    authors text DEFAULT '[]'::text NOT NULL,
    licenses text DEFAULT '[]'::text NOT NULL,
    homepage text,
    network_roles_metadata text DEFAULT '[]'::text NOT NULL,
    attributes_metadata text DEFAULT '{}'::text NOT NULL,
    volumes_metadata text DEFAULT '{}'::text NOT NULL,
    roles_metadata text DEFAULT '{}'::text NOT NULL,
    tasks text DEFAULT '[]'::text NOT NULL,
    components_metadata text DEFAULT '[]'::text,
    is_hotpluggable boolean
);


ALTER TABLE public.plugins OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE plugins_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.plugins_id_seq OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE plugins_id_seq OWNED BY plugins.id;


--
-- Name: release_deployment_graphs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE release_deployment_graphs (
    id integer NOT NULL,
    type character varying(255) NOT NULL,
    deployment_graph_id integer NOT NULL,
    release_id integer NOT NULL
);


ALTER TABLE public.release_deployment_graphs OWNER TO nailgun;

--
-- Name: release_deployment_graphs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE release_deployment_graphs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.release_deployment_graphs_id_seq OWNER TO nailgun;

--
-- Name: release_deployment_graphs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE release_deployment_graphs_id_seq OWNED BY release_deployment_graphs.id;


--
-- Name: releases; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    version character varying(30) NOT NULL,
    description character varying,
    operating_system character varying(50) NOT NULL,
    state release_state NOT NULL,
    networks_metadata text,
    attributes_metadata text,
    volumes_metadata text,
    modes_metadata text,
    roles_metadata text,
    vmware_attributes_metadata text,
    modes text,
    network_roles_metadata text DEFAULT '[]'::text,
    extensions character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    components_metadata text DEFAULT '[]'::text,
    node_attributes text DEFAULT '{}'::text NOT NULL
);


ALTER TABLE public.releases OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE releases_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.releases_id_seq OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE releases_id_seq OWNED BY releases.id;


--
-- Name: tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE tasks (
    id integer NOT NULL,
    cluster_id integer,
    uuid character varying(36) NOT NULL,
    name task_name NOT NULL,
    message text,
    status task_status NOT NULL,
    progress integer,
    cache text,
    result text,
    parent_id integer,
    weight double precision,
    deleted_at timestamp without time zone,
    deployment_info text,
    cluster_settings text,
    network_settings text,
    tasks_snapshot text
);


ALTER TABLE public.tasks OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tasks_id_seq OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE tasks_id_seq OWNED BY tasks.id;


--
-- Name: vmware_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE vmware_attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text
);


ALTER TABLE public.vmware_attributes OWNER TO nailgun;

--
-- Name: vmware_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE vmware_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.vmware_attributes_id_seq OWNER TO nailgun;

--
-- Name: vmware_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE vmware_attributes_id_seq OWNED BY vmware_attributes.id;


--
-- Name: volume_manager_alembic_version; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE volume_manager_alembic_version (
    version_num character varying(32) NOT NULL
);


ALTER TABLE public.volume_manager_alembic_version OWNER TO nailgun;

--
-- Name: volume_manager_node_volumes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE volume_manager_node_volumes (
    id integer NOT NULL,
    node_id integer NOT NULL,
    volumes text DEFAULT '[]'::text NOT NULL
);


ALTER TABLE public.volume_manager_node_volumes OWNER TO nailgun;

--
-- Name: volume_manager_node_volumes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE volume_manager_node_volumes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.volume_manager_node_volumes_id_seq OWNER TO nailgun;

--
-- Name: volume_manager_node_volumes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE volume_manager_node_volumes_id_seq OWNED BY volume_manager_node_volumes.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY action_logs ALTER COLUMN id SET DEFAULT nextval('action_logs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes ALTER COLUMN id SET DEFAULT nextval('attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY capacity_log ALTER COLUMN id SET DEFAULT nextval('capacity_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes ALTER COLUMN id SET DEFAULT nextval('cluster_changes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_deployment_graphs ALTER COLUMN id SET DEFAULT nextval('cluster_deployment_graphs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugin_links ALTER COLUMN id SET DEFAULT nextval('cluster_plugin_links_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugins ALTER COLUMN id SET DEFAULT nextval('cluster_plugins_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_upgrade_relations ALTER COLUMN id SET DEFAULT nextval('cluster_upgrade_relations_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters ALTER COLUMN id SET DEFAULT nextval('clusters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY deployment_graph_tasks ALTER COLUMN id SET DEFAULT nextval('deployment_graph_tasks_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY deployment_graphs ALTER COLUMN id SET DEFAULT nextval('deployment_graphs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY deployment_history ALTER COLUMN id SET DEFAULT nextval('deployment_history_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY extensions_migration_buffer ALTER COLUMN id SET DEFAULT nextval('extensions_migration_buffer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges ALTER COLUMN id SET DEFAULT nextval('ip_addr_ranges_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs ALTER COLUMN id SET DEFAULT nextval('ip_addrs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY master_node_settings ALTER COLUMN id SET DEFAULT nextval('master_node_settings_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments ALTER COLUMN id SET DEFAULT nextval('net_bond_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments ALTER COLUMN id SET DEFAULT nextval('net_nic_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups ALTER COLUMN id SET DEFAULT nextval('network_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs ALTER COLUMN id SET DEFAULT nextval('networking_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces ALTER COLUMN id SET DEFAULT nextval('node_bond_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces ALTER COLUMN id SET DEFAULT nextval('node_nic_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodegroups ALTER COLUMN id SET DEFAULT nextval('nodegroups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes ALTER COLUMN id SET DEFAULT nextval('nodes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications ALTER COLUMN id SET DEFAULT nextval('notifications_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY openstack_configs ALTER COLUMN id SET DEFAULT nextval('openstack_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY oswl_stats ALTER COLUMN id SET DEFAULT nextval('oswl_stats_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugin_deployment_graphs ALTER COLUMN id SET DEFAULT nextval('plugin_deployment_graphs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugin_links ALTER COLUMN id SET DEFAULT nextval('plugin_links_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugins ALTER COLUMN id SET DEFAULT nextval('plugins_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_deployment_graphs ALTER COLUMN id SET DEFAULT nextval('release_deployment_graphs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY releases ALTER COLUMN id SET DEFAULT nextval('releases_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks ALTER COLUMN id SET DEFAULT nextval('tasks_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY vmware_attributes ALTER COLUMN id SET DEFAULT nextval('vmware_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY volume_manager_node_volumes ALTER COLUMN id SET DEFAULT nextval('volume_manager_node_volumes_id_seq'::regclass);


--
-- Data for Name: action_logs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY action_logs (id, actor_id, action_group, action_name, action_type, start_timestamp, end_timestamp, is_sent, additional_info, cluster_id, task_uuid) FROM stdin;
1	522567052fd5d752cdc074fea56a170af86a0cb4db36ff00da2bdfe764664be9	master_node_settings	master_node_settings	http_request	2016-08-02 19:55:58.45783	2016-08-02 19:55:58.700564	f	{"request_data": {"url": "/api/v1/settings/", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
2	46275c8022fcb8cb663470413716cd6781ef65077e8349f77f9315363f9fb4cb	master_node_settings	master_node_settings	http_request	2016-08-02 20:04:18.441283	2016-08-02 20:04:18.459909	f	{"request_data": {"url": "/api/v1/settings/", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
3	4a2883097f4daf16439d810c3e1f5cf023d4bd1ad1bafce6e879fd355aaf78e9	release_changes	release_instance	http_request	2016-08-02 20:05:33.089224	2016-08-02 20:05:33.131236	f	{"request_data": {"url": "/api/releases/2", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
4	4a2883097f4daf16439d810c3e1f5cf023d4bd1ad1bafce6e879fd355aaf78e9	release_changes	release_instance	http_request	2016-08-02 20:05:33.223541	2016-08-02 20:05:33.257	f	{"request_data": {"url": "/api/releases/1", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
5	73533f411d63943312609935fe867e18839fc1516dd9ed9c7020a04753316f54	master_node_settings	master_node_settings	http_request	2016-08-02 20:11:30.890933	2016-08-02 20:11:30.916377	f	{"request_data": {"url": "/api/settings", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
6	4a2883097f4daf16439d810c3e1f5cf023d4bd1ad1bafce6e879fd355aaf78e9	cluster_changes	cluster_collection	http_request	2016-08-02 20:14:56.267256	2016-08-02 20:14:56.434872	f	{"request_data": {"url": "/api/clusters", "http_method": "POST", "data": {}}, "response_data": {"status": "201 Created", "data": {}}}	\N	\N
7	4a2883097f4daf16439d810c3e1f5cf023d4bd1ad1bafce6e879fd355aaf78e9	cluster_attributes	attributes	http_request	2016-08-02 20:15:02.714623	2016-08-02 20:15:03.051082	f	{"request_data": {"url": "/api/clusters/1/attributes/", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	1	\N
8	4a2883097f4daf16439d810c3e1f5cf023d4bd1ad1bafce6e879fd355aaf78e9	network_configuration	neutron	http_request	2016-08-02 20:15:03.523517	2016-08-02 20:15:03.59336	f	{"request_data": {"url": "/api/clusters/1/network_configuration/neutron", "http_method": "PUT", "data": {}}, "response_data": {"status": "400 Bad Request", "data": {"message": "{\\"message\\": \\"None is not of type 'integer'\\\\n\\\\nFailed validating 'type' in schema['properties']['networking_parameters']['properties']['vlan_range']['items']:\\\\n    {'exclusiveMaximum': False,\\\\n     'exclusiveMinimum': False,\\\\n     'maximum': 4094,\\\\n     'minimum': 2,\\\\n     'type': 'integer'}\\\\n\\\\nOn instance['networking_parameters']['vlan_range'][1]:\\\\n    None\\", \\"errors\\": []}"}}}	1	\N
9	\N	operations	dump	nailgun_task	2016-08-02 20:15:03.617178	2016-08-02 20:15:03.678215	f	{"parent_task_id": null, "output": {"respond_to": "dump_environment_resp", "method": "dump_environment", "args": {"task_uuid": "f3845321-94cb-4223-87ff-ace98dfbee45", "settings": {"timestamp": true, "lastdump": "/var/www/nailgun/dump/last", "target": "/var/dump/fuel-snapshot", "dump": {"local": {"objects": [{"type": "postgres"}, {"type": "xmlrpc"}], "hosts": []}, "controller": {"objects": [{"type": "command", "command": "pcs status"}, {"path": "/var/log/pacemaker.log", "type": "file"}, {"type": "command", "command": "rabbitmqctl report"}, {"path": "/var/log/neutron/neutron-ns-metadata-proxy*.log", "type": "file"}, {"type": "command", "command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} ip a; done"}, {"type": "command", "command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} ip r; done"}, {"type": "command", "command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} netstat -anp; done"}, {"path": "/etc/mysql", "type": "dir"}, {"path": "/var/log/mysql", "type": "dir"}, {"type": "command", "command": "ls -la /var/lib/mysql/ /var/run/mysqld/"}], "hosts": []}, "master": {"objects": [{"path": "/etc/nailgun", "type": "dir"}, {"path": "/etc/astute", "type": "dir"}, {"path": "/etc/fuel", "type": "dir"}, {"path": "/etc/fuel_build_id", "type": "file"}, {"path": "/etc/fuel_build_number", "type": "file"}, {"type": "command", "command": "shotgun2 report"}, {"type": "command", "command": "df -h"}, {"type": "command", "command": "mount"}, {"type": "command", "command": "iptables -t nat -S"}, {"type": "command", "command": "iptables -t filter -S"}, {"type": "command", "command": "dmidecode"}, {"type": "command", "command": "uptime"}, {"type": "command", "command": "ps auxwwf"}, {"type": "command", "command": "pvdisplay"}, {"type": "command", "command": "docker images"}, {"type": "command", "command": "docker ps"}, {"type": "command", "command": "vgdisplay"}, {"type": "command", "command": "lvdisplay"}, {"type": "command", "command": "ip a"}, {"type": "command", "command": "ip r"}, {"type": "command", "command": "netstat -anp"}, {"type": "command", "command": "brctl show"}, {"type": "command", "command": "rpm -qa"}, {"type": "command", "command": "yum repolist"}, {"type": "command", "command": "fuel-bootstrap list"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/dnsmasq.conf", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/etc/cobbler*", "type": "file"}, {"path": "/var/www/nailgun/bootstraps/active_bootstrap/metadata.yaml", "type": "file"}, {"path": "/var/log", "type": "dir"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"type": "command", "command": "uname -a"}, {"type": "command", "command": "lsmod"}, {"path": "/etc/*-release", "type": "file"}], "hosts": [{}]}, "slave": {"objects": [{"path": "/etc/astute.yaml", "type": "file"}, {"path": "/etc/hiera", "type": "dir"}, {"path": "/var/log/puppet.log", "type": "file"}, {"path": "/root/ceph*", "type": "file"}, {"path": "/root/anaconda*", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/root/*.ks", "type": "file"}, {"path": "/etc/apache2*", "type": "file"}, {"path": "/etc/httpd*", "type": "file"}, {"path": "/etc/ceph*", "type": "file"}, {"path": "/etc/keystone*", "type": "file"}, {"path": "/etc/nova*", "type": "file"}, {"path": "/etc/neutron*", "type": "file"}, {"path": "/etc/horizon*", "type": "file"}, {"path": "/etc/cinder*", "type": "file"}, {"path": "/etc/glance*", "type": "file"}, {"path": "/etc/swift*", "type": "file"}, {"path": "/etc/haproxy*", "type": "file"}, {"path": "/var/log/ceph", "type": "file"}, {"path": "/var/lib/puppet/state/last_run_summary.yaml", "type": "file"}, {"path": "/etc/resolv.conf", "type": "file"}, {"path": "/etc/mcollective/server.cfg", "type": "file"}, {"path": "/var/run/pcap_dir", "type": "dir"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"path": "/var/log/cron.log", "type": "file"}, {"type": "command", "command": "df -h"}, {"type": "command", "command": "mount"}, {"type": "command", "command": "iptables -t nat -S"}, {"type": "command", "command": "iptables -t filter -S"}, {"type": "command", "command": "dmidecode"}, {"type": "command", "command": "uptime"}, {"type": "command", "command": "ps auxwwf"}, {"type": "command", "command": "pvdisplay"}, {"type": "command", "command": "vgdisplay"}, {"type": "command", "command": "lvdisplay"}, {"type": "command", "command": "ip a"}, {"type": "command", "command": "ip r"}, {"type": "command", "command": "arp -an"}, {"type": "command", "command": "netstat -anp"}, {"type": "command", "command": "brctl show"}, {"type": "command", "command": "rpm -qa"}, {"type": "command", "command": "yum repolist"}, {"type": "command", "command": "env COLUMNS=500 dpkg -l|cat"}, {"type": "command", "command": "apt-cache policy"}, {"type": "command", "command": "sysctl -a"}, {"type": "command", "command": "dmsetup info -c --nameprefixes --noheadings -o blkdevname,subsystem,blkdevs_used,name,uuid"}, {"path": "/var/lib/cloud", "type": "dir"}, {"path": "/var/log/cloud-init*.log", "type": "file"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/network/interfaces.d", "type": "dir"}, {"path": "/etc/network/interfaces", "type": "file"}, {"path": "/root/post-partition.log", "type": "file"}, {"type": "command", "command": "blkid -o list"}, {"type": "command", "command": "ceph health"}, {"type": "command", "command": "ceph -s"}, {"type": "command", "command": "ceph osd tree"}, {"type": "command", "command": "cat /proc/interrupts"}, {"type": "command", "command": "uname -a"}, {"type": "command", "command": "lsmod"}, {"path": "/etc/*-release", "type": "file"}, {"type": "command", "command": "dmesg"}, {"path": "/var/log/libvirt/qemu/instance*.log", "type": "file"}, {"path": "/var/log/libvirt/libvirtd.log", "type": "file"}, {"path": "/var/log/neutron", "type": "dir"}, {"path": "/var/log/nova", "type": "dir"}, {"path": "/var/log/*-all.log", "type": "file"}, {"path": "/var/log/syslog", "type": "file"}, {"path": "/var/lib/nova/instances/*-*", "type": "dir"}], "hosts": []}}}}, "api_version": "1"}, "ended_with_status": "running", "operation": "dump", "subtasks_ids": [], "message": ""}	\N	f3845321-94cb-4223-87ff-ace98dfbee45
\.


--
-- Name: action_logs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('action_logs_id_seq', 9, true);


--
-- Data for Name: alembic_version; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY alembic_version (version_num) FROM stdin;
675105097a69
\.


--
-- Data for Name: attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY attributes (id, cluster_id, editable, generated) FROM stdin;
1	1	{"repo_setup": {"repos": {"type": "custom_repo_configuration", "description": "Please note: the first repository will be considered the operating system mirror that will be used during node provisioning.\\nTo create a local repository mirror on the Fuel master node, please follow the instructions provided by running \\"fuel-createmirror --help\\" on the Fuel master node.\\nPlease make sure your Fuel master node has Internet access to the repository before attempting to create a mirror.\\n", "value": [{"name": "ubuntu", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty", "type": "deb"}, {"name": "ubuntu-updates", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty-updates", "type": "deb"}, {"name": "ubuntu-security", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty-security", "type": "deb"}, {"name": "mos", "section": "main restricted", "uri": "http://10.109.9.2:8080/mitaka-9.0/ubuntu/x86_64", "priority": 1050, "suite": "mos9.0", "type": "deb"}, {"name": "mos-updates", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/9.0/", "priority": 1050, "suite": "mos9.0-updates", "type": "deb"}, {"name": "mos-security", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/9.0/", "priority": 1050, "suite": "mos9.0-security", "type": "deb"}, {"name": "mos-holdback", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/9.0/", "priority": 1100, "suite": "mos9.0-holdback", "type": "deb"}, {"name": "Auxiliary", "section": "main restricted", "uri": "http://10.109.9.2:8080/mitaka-9.0/ubuntu/auxiliary", "priority": 1150, "suite": "auxiliary", "type": "deb"}], "extra_priority": null}, "metadata": {"group": "general", "always_editable": true, "weight": 50, "label": "Repositories"}}, "syslog": {"syslog_port": {"regex": {"source": "^([1-9][0-9]{0,3}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$", "error": "Invalid syslog port"}, "description": "Remote syslog port", "weight": 20, "value": "514", "label": "Port", "type": "text"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid hostname"}, "description": "Remote syslog hostname", "weight": 10, "value": "", "label": "Hostname", "type": "text"}, "metadata": {"enabled": false, "group": "logging", "toggleable": true, "weight": 50, "label": "Syslog"}}, "additional_components": {"ceilometer": {"weight": 60, "type": "checkbox", "description": "If selected, Ceilometer and Aodh components will be installed", "value": false, "label": "Install Ceilometer and Aodh"}, "mongo": {"restrictions": [{"settings:additional_components.ceilometer.value == false": "External Mongo aims to be an external backend for Ceilometer. Without Ceilometer enabled, External Mongo is useless and should not be installed."}], "description": "If selected, You can use external Mongo DB as ceilometer backend", "weight": 70, "value": false, "label": "Use external Mongo DB", "type": "checkbox"}, "murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "murano-cfapi": {"restrictions": [{"message": "Murano should be enabled", "condition": "settings:additional_components.murano.value == false"}, {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "If selected, Murano service broker will be installed", "weight": 30, "value": false, "label": "Install Murano service broker for Cloud Foundry", "type": "checkbox"}, "heat": {"weight": 50, "type": "hidden", "description": "", "value": true, "label": ""}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "ironic": {"restrictions": [{"cluster:net_provider != 'neutron' or networking_parameters:segmentation_type != 'vlan'": "Ironic requires Neutron with VLAN segmentation."}, {"settings:storage.images_ceph.value == true and settings:storage.objects_ceph.value == false": "Ironic requires Swift or RadosGW for Glance images."}], "description": "If selected, Ironic component will be installed", "weight": 80, "value": false, "label": "Install Ironic", "type": "checkbox"}, "metadata": {"group": "openstack_services", "weight": 10, "label": "Additional Components"}}, "workloads_collector": {"password": {"type": "password", "value": "crL0uFD4pLkhRDFxYb8oXDJj"}, "enabled": {"type": "hidden", "value": true}, "user": {"type": "text", "value": "fuel_stats_user"}, "tenant": {"type": "text", "value": "services"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Workloads Collector User"}}, "provision": {"packages": {"type": "textarea", "value": "acl\\nanacron\\nbash-completion\\nbridge-utils\\nbsdmainutils\\nbuild-essential\\ncloud-init\\ncurl\\ndaemonize\\ndebconf-utils\\ngdisk\\ngrub-pc\\nhpsa-dkms\\nhwloc\\ni40e-dkms\\nlinux-firmware\\nlinux-firmware-nonfree\\nlinux-headers-generic-lts-trusty\\nlinux-image-generic-lts-trusty\\nlvm2\\nmcollective\\nmdadm\\nmultipath-tools\\nmultipath-tools-boot\\nnailgun-agent\\nnailgun-mcagents\\nnetwork-checker\\nntp\\nopenssh-client\\nopenssh-server\\npuppet\\npython-amqp\\nruby-augeas\\nruby-ipaddress\\nruby-json\\nruby-netaddr\\nruby-openstack\\nruby-shadow\\nruby-stomp\\ntelnet\\nubuntu-minimal\\nubuntu-standard\\nuuid-runtime\\nvim\\nvirt-what\\nvlan\\n", "weight": 10, "label": "Initial packages"}, "method": {"type": "hidden", "value": "image"}, "metadata": {"restrictions": [{"action": "hide", "condition": "false"}], "group": "general", "weight": 80, "label": "Provision"}}, "neutron_advanced_configuration": {"neutron_qos": {"weight": 40, "type": "checkbox", "description": "Enable Neutron QoS advanced service plug-in", "value": false, "label": "Neutron QoS"}, "neutron_l3_ha": {"restrictions": [{"message": "Neutron DVR must be disabled in order to use Neutron L3 HA", "condition": "settings:neutron_advanced_configuration.neutron_dvr.value == true"}], "description": "Enable High Availability features for Virtual Routers in Neutron\\nRequires at least 2 Controller nodes to function properly\\n", "weight": 30, "value": false, "label": "Neutron L3 HA", "type": "checkbox"}, "neutron_dvr": {"restrictions": [{"networking_parameters:segmentation_type != 'vlan' and settings:neutron_advanced_configuration.neutron_l2_pop.value == false": "DVR requires L2 population to be enabled."}], "description": "Enable Distributed Virtual Routers in Neutron", "weight": 20, "value": false, "label": "Neutron DVR", "type": "checkbox"}, "neutron_l2_pop": {"restrictions": [{"action": "hide", "condition": "networking_parameters:segmentation_type == 'vlan'"}], "description": "Enable L2 population mechanism in Neutron", "weight": 10, "value": false, "label": "Neutron L2 population", "type": "checkbox"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 20, "label": "Neutron Advanced Configuration"}}, "service_user": {"name": {"type": "hidden", "value": "fuel"}, "sudo": {"type": "hidden", "value": "ALL=(ALL) NOPASSWD: ALL"}, "homedir": {"type": "hidden", "value": "/var/lib/fuel"}, "root_password": {"type": "hidden", "value": "r00tme"}, "password": {"type": "hidden", "value": "2LQcCsQSpqSpwHrQ6ktmO8Gp"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Service user account"}}, "operator_user": {"name": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "Username for operator user", "weight": 50, "value": "fueladmin", "label": "Username", "type": "text"}, "sudo": {"value": "ALL=(ALL) NOPASSWD: ALL", "type": "textarea", "description": "Sudoers configuration directives for operator user, one per line.", "weight": 90, "label": "Sudoers configuration"}, "homedir": {"regex": {"source": "^/\\\\S", "error": "Invalid path"}, "description": "Home directory for operator user", "weight": 70, "value": "/home/fueladmin", "label": "Home directory", "type": "text"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for operator user", "weight": 60, "value": "H01ySMXQuG0L826YwHoQ7NkE", "label": "Password", "type": "password"}, "authkeys": {"value": "", "type": "textarea", "description": "Public SSH keys to include to operator user's authorized keys, one per line.", "weight": 80, "label": "Authorized SSH keys"}, "metadata": {"group": "general", "weight": 15, "label": "Operating System Access"}}, "cgroups": {"metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "always_editable": true, "weight": 90, "label": "Cgroups conguration for services"}}, "kernel_params": {"kernel": {"type": "text", "description": "Default kernel parameters", "value": "console=tty0 net.ifnames=0 biosdevname=0 rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"group": "general", "weight": 60, "label": "Kernel parameters"}}, "storage": {"volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:storage.volumes_block_device.value == true"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": true, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"weight": 80, "type": "checkbox", "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "value": true, "label": "Ceph RadosGW for objects (Swift API)"}, "bootstrap_osd_key": {"type": "hidden", "value": "AQBA/6BXAAAAABAA8tH2F2USGZqDjI889+9IAg=="}, "volumes_block_device": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "High performance block device storage. It is recommended to have at least one Cinder Block Device", "weight": 15, "value": false, "label": "Cinder Block device driver", "type": "checkbox"}, "ephemeral_ceph": {"weight": 75, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "It is recommended to have at least one Cinder node.", "weight": 10, "value": false, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "mon_key": {"type": "hidden", "value": "AQBA/6BXAAAAABAApjMZV6QxLQqARrz3gwImyA=="}, "images_vcenter": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value != true"}, {"message": "Only one Glance backend could be selected.", "condition": "settings:storage.images_ceph.value == true"}], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMware vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "osd_pool_size": {"regex": {"source": "^[1-9]\\\\d*$", "error": "Invalid number"}, "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Ceph OSD' nodes.", "weight": 85, "value": "2", "label": "Ceph object replication factor", "type": "text"}, "admin_key": {"type": "hidden", "value": "AQBA/6BXAAAAABAAzekqx6uFt4SYG+XKkYtEQw=="}, "images_ceph": {"restrictions": [{"settings:storage.images_vcenter.value == true": "Only one Glance backend could be selected."}], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": true, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "radosgw_key": {"type": "hidden", "value": "AQBA/6BXAAAAABAAeiFK4U3bcLip9ObmZxXIlw=="}, "fsid": {"type": "hidden", "value": "1873a53b-6a0c-4b5a-91f0-f27b61461e76"}, "metadata": {"group": "storage", "weight": 60, "label": "Storage Backends"}}, "public_ssl": {"hostname": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "Your DNS entries should point to this name. Self-signed certificates also will use this hostname", "weight": 50, "value": "public.fuel.local", "label": "DNS hostname for public TLS endpoints", "type": "text"}, "horizon": {"restrictions": [{"settings:public_ssl.services.value == false": "TLS for OpenStack public endpoints should be enabled"}], "description": "Secure access to Horizon enabling HTTPS instead of HTTP", "weight": 20, "value": false, "label": "HTTPS for Horizon", "type": "checkbox"}, "services": {"weight": 10, "type": "checkbox", "description": "Enable TLS termination on HAProxy for OpenStack services", "value": false, "label": "TLS for OpenStack public endpoints"}, "cert_data": {"restrictions": [{"action": "hide", "condition": "(settings:public_ssl.cert_source.value != 'user_uploaded') or (settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false)"}], "description": "Certificate and private key data, concatenated into a single file", "weight": 40, "value": "", "label": "Certificate", "type": "file"}, "cert_source": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "From where we'll get certificate and private key", "weight": 30, "value": "self_signed", "label": "Select source for certificate", "values": [{"data": "self_signed", "description": "Generate private key and certificate that will be signed by this key", "label": "Self-signed"}, {"data": "user_uploaded", "description": "Use pre-generated key and certificate", "label": "I have my own keypair with certificate"}], "type": "radio"}, "metadata": {"group": "security", "weight": 110, "label": "Public TLS"}}, "access": {"metadata": {"group": "general", "weight": 10, "label": "OpenStack Access"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 20, "value": "admin", "label": "Password", "type": "password"}, "user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "Username", "type": "text"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "Tenant", "type": "text"}, "email": {"regex": {"source": "^\\\\S+@\\\\S+$", "error": "Invalid email"}, "description": "Email address for Administrator", "weight": 40, "value": "admin@localhost", "label": "Email", "type": "text"}}, "external_dns": {"dns_list": {"regex": {"source": "^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\\\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$", "error": "Invalid IP address"}, "description": "List of upstream DNS servers", "weight": 10, "max": 3, "value": ["10.109.1.1"], "label": "DNS list", "type": "text_list"}, "metadata": {"group": "network", "weight": 30, "label": "Host OS DNS Servers"}}, "murano_settings": {"murano_glance_artifacts_plugin": {"weight": 40, "type": "checkbox", "description": "If selected glance artifact repository will be enabled", "value": true, "label": "Enable glance artifact repository"}, "murano_repo_url": {"weight": 10, "type": "text", "description": "", "value": "http://storage.apps.openstack.org/", "label": "Murano Repository URL"}, "metadata": {"restrictions": [{"action": "hide", "message": "Murano is not enabled on the Additional Components section", "condition": "settings:additional_components.murano.value == false"}], "group": "openstack_services", "weight": 20, "label": "Murano Settings"}}, "common": {"propagate_task_deploy": {"type": "hidden", "weight": 12, "value": false}, "auto_assign_floating_ip": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider == 'neutron'"}], "group": "network", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"group": "storage", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 60, "value": true, "label": "Use qcow format for images", "type": "checkbox"}, "auth_key": {"type": "hidden", "group": "security", "weight": 70, "value": ""}, "puppet_debug": {"group": "logging", "description": "Debug puppet logging mode provides more information, but requires more disk space.", "weight": 20, "value": true, "label": "Puppet debug logging", "type": "checkbox"}, "use_vcenter": {"type": "hidden", "weight": 30, "value": false}, "libvirt_type": {"group": "compute", "weight": 30, "value": "kvm", "label": "Hypervisor type", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio"}, "resume_guests_state_on_host_boot": {"group": "compute", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "weight": 50, "value": true, "label": "Resume guests state on host boot", "type": "checkbox"}, "debug": {"group": "logging", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "value": true, "label": "OpenStack debug logging", "type": "checkbox"}, "task_deploy": {"type": "hidden", "weight": 11, "value": true}, "nova_quota": {"group": "compute", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 30, "value": false, "label": "Nova quotas", "type": "checkbox"}, "metadata": {"weight": 10, "label": "Common"}}, "external_mongo": {"mongo_db_name": {"regex": {"source": "^\\\\w+$", "error": "Invalid database name"}, "description": "Mongo database name", "weight": 30, "value": "ceilometer", "label": "Database name", "type": "text"}, "mongo_replset": {"weight": 30, "type": "text", "description": "Name for Mongo replication set", "value": "", "label": "Replset"}, "mongo_user": {"regex": {"source": "^\\\\w+$", "error": "Empty username"}, "description": "Mongo database username", "weight": 30, "value": "ceilometer", "label": "Username", "type": "text"}, "hosts_ip": {"regex": {"source": "^(((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?),)*((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$", "error": "Invalid hosts ip sequence"}, "description": "IP Addresses of MongoDB. Use comma to split IPs", "weight": 30, "value": "", "label": "MongoDB hosts IP", "type": "text"}, "mongo_password": {"regex": {"source": "^\\\\S*$", "error": "Password contains spaces"}, "description": "Mongo database password", "weight": 30, "value": "ceilometer", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "message": "Ceilometer and MongoDB are not enabled on the Additional Components section", "condition": "settings:additional_components.mongo.value == false"}], "group": "openstack_services", "weight": 30, "label": "External MongoDB"}}, "public_network_assignment": {"assign_to_all_nodes": {"weight": 10, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers only", "value": false, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 10, "label": "Public network assignment"}}, "external_ntp": {"ntp_list": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid NTP server"}, "description": "List of upstream NTP servers", "weight": 10, "value": ["10.109.1.1"], "label": "NTP server list", "type": "text_list"}, "metadata": {"group": "network", "weight": 40, "label": "Host OS NTP Servers"}}, "corosync": {"group": {"weight": 10, "type": "text", "description": "", "value": "226.94.1.1", "label": "Group"}, "verified": {"weight": 10, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "value": false, "label": "Need to pass network verification."}, "port": {"weight": 20, "type": "text", "description": "", "value": "12000", "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 50, "label": "Corosync"}}}	{"glance_glare": {"user_password": "v2mv7cGqh1FLzvJgGdjOsrHP"}, "repo_setup": {"installer_kernel": {"local": "/var/www/nailgun/ubuntu/x86_64/images/linux", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/linux"}, "installer_initrd": {"local": "/var/www/nailgun/ubuntu/x86_64/images/initrd.gz", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/initrd.gz"}}, "murano-cfapi": {"db_password": "mc8oWPwaByvAxgt1o5EAoIa1", "user_password": "4qEABPzcFbmlgdusugZXcF7o", "rabbit_password": "Az8w1KgbwpGssOUG2AjwPJWf"}, "heat": {"db_password": "eYf2MXREElMAd49isZi7Bt25", "user_password": "ozeLHTla2VxI7Yx6aoeHfNKm", "auth_encryption_key": "ae4c956c6063e4100b7212e3761e0ff6", "rabbit_password": "rdXZUq6gf1JQo1aSHtuVLxwz"}, "puppet": {"modules": "rsync://10.109.9.2:/puppet/mitaka-9.0/modules/", "manifests": "rsync://10.109.9.2:/puppet/mitaka-9.0/manifests/"}, "rabbit": {"password": "pK5g2yojqdbqZhBER55RZUa4"}, "mysql": {"root_password": "hV9oqiYmVzaxot106t2vvB8c", "wsrep_password": "U9ATlHeqsEfqEWsaGnF9VO0T"}, "ironic": {"swift_tempurl_key": "n5viVaVNYwvbsK2rK5YpFauj", "db_password": "6QHzgAkB9An1TBpFffc3ordR", "user_password": "nHpuu66jzSvBQWu2VAihuT6t"}, "glance": {"db_password": "XkZifEaljK6ZVUL4bXZ5RST4", "user_password": "uNKlpL6L50Szay6gJQ9Wtp2j"}, "cinder": {"db_password": "sCjPQ0EWMJxcQOPdP5i6X5lt", "user_password": "1DQKtvPnWn1noO7bCZbG4bnV", "fixed_key": "67a7fbe4ce2afc4b8603d979ba527d79a204ea4d3702ef76152ca69ffa181754"}, "provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://10.109.9.2:8080/targetimages/env_1_ubuntu_1404_amd64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://10.109.9.2:8080/targetimages/env_1_ubuntu_1404_amd64.img.gz", "format": "ext4"}}, "codename": "trusty"}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "q9sZVM89qC7c5CVkj8QhbBjm"}, "keystone": {"admin_password": "vcqPTXVhVqkTDi6MULIlFtiR"}, "database": {"passwd": "tRJWV3aI3lqAaNEbTw1TjaNO"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.109.9.2"}, "ceilometer": {"db_password": "UgH6EHwyfozML07CxmnqXL5J", "user_password": "pzGrB6ptWIqdzraxOyt2Ar6k", "metering_secret": "e3682XPvcQVIjNFxeadLtiAh"}, "swift": {"user_password": "9ZhRSngBxnofkofsPPHrPOHD"}, "aodh": {"db_password": "hxboRdWFdLDKXSFKebH5MIxz", "user_password": "HF3ylbUAWfu7b2LkOikxpBKx"}, "cobbler": {"profile": "ubuntu_1404_x86_64"}, "nova": {"db_password": "qrzorWRFGgRGTTy35AR3iwCc", "user_password": "Vme50mJ6DafVgb2xrEg30j7X", "state_path": "/var/lib/nova"}, "deployed_before": {"value": false}, "murano": {"db_password": "ZVsTkseJ8Z5z9jwIPUuACNjb", "user_password": "UvbnhOoSePtpLhBQRJ4ldVCr", "rabbit_password": "vrnEfaJTVJPCOrsclLIriLl5"}, "keystone": {"db_password": "RWhGKYzbRUroClESbIi7bB7N", "admin_token": "c71JaMiaqyPHHfUFVv7Xy3cZ"}, "horizon": {"secret_key": "25d65bca893e26c376f33f773b4a05dfdd84bd5502d3b9f365fe30e703c87284"}, "sahara": {"db_password": "XaKevqiRKBdyDn3mfEyu9ZNt", "user_password": "dqvHqjGwt8SP95G4wOZ5Csux"}}
\.


--
-- Name: attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('attributes_id_seq', 1, true);


--
-- Data for Name: capacity_log; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY capacity_log (id, report, datetime) FROM stdin;
\.


--
-- Name: capacity_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('capacity_log_id_seq', 1, false);


--
-- Data for Name: cluster_changes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_changes (id, cluster_id, node_id, name) FROM stdin;
1	1	\N	attributes
2	1	\N	networks
3	1	\N	vmware_attributes
\.


--
-- Name: cluster_changes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_changes_id_seq', 3, true);


--
-- Data for Name: cluster_deployment_graphs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_deployment_graphs (id, type, deployment_graph_id, cluster_id) FROM stdin;
1	default	4	1
\.


--
-- Name: cluster_deployment_graphs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_deployment_graphs_id_seq', 1, true);


--
-- Data for Name: cluster_plugin_links; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_plugin_links (id, cluster_id, title, url, description, hidden) FROM stdin;
\.


--
-- Name: cluster_plugin_links_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_plugin_links_id_seq', 1, false);


--
-- Data for Name: cluster_plugins; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_plugins (id, plugin_id, cluster_id, enabled, attributes) FROM stdin;
\.


--
-- Name: cluster_plugins_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_plugins_id_seq', 1, false);


--
-- Data for Name: cluster_upgrade_alembic_version; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_upgrade_alembic_version (version_num) FROM stdin;
3b5d115d7e49
\.


--
-- Data for Name: cluster_upgrade_relations; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_upgrade_relations (id, orig_cluster_id, seed_cluster_id) FROM stdin;
\.


--
-- Name: cluster_upgrade_relations_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_upgrade_relations_id_seq', 1, false);


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY clusters (id, mode, status, net_provider, name, release_id, replaced_deployment_info, replaced_provisioning_info, is_customized, fuel_version, ui_settings, extensions, components) FROM stdin;
1	ha_compact	new	neutron	sr-iov_ceph	2	[]	{}	f	9.0	{"sort": [{"roles": "asc"}], "sort_by_labels": [], "search": "", "filter_by_labels": {}, "filter": {}, "view_mode": "standard"}	{volume_manager}	[]
\.


--
-- Name: clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('clusters_id_seq', 1, true);


--
-- Data for Name: deployment_graph_tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY deployment_graph_tasks (id, deployment_graph_id, task_name, version, condition, type, groups, tasks, roles, reexecute_on, refresh_on, required_for, requires, cross_depended_by, cross_depends, parameters, _custom) FROM stdin;
1	1	pre_deployment_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{}	[]	[]	{}	{}
2	1	pre_deployment_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{pre_deployment_start}	[]	[]	{}	{}
3	1	deploy_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{pre_deployment_end}	[]	[]	{}	{}
4	1	deploy_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{deploy_start}	[]	[]	{}	{}
5	1	post_deployment_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{deploy_end}	[]	[]	{}	{}
6	1	post_deployment_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{post_deployment_start}	[]	[]	{}	{}
7	1	primary-controller	1.0.0	\N	group	{}	{}	{primary-controller}	{}	{}	{deploy_end}	{deploy_start}	[]	[]	{"strategy": {"type": "one_by_one"}}	{"fault_tolerance": 0}
8	1	controller	1.0.0	\N	group	{}	{}	{controller}	{}	{}	{deploy_end}	{primary-controller}	[]	[]	{"strategy": {"amount": 6, "type": "parallel"}}	{"fault_tolerance": 1}
9	1	cinder	1.0.0	\N	group	{}	{}	{cinder}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
10	1	cinder-block-device	1.0.0	\N	group	{}	{}	{cinder-block-device}	{}	{}	{deploy_end}	{compute}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
11	1	cinder-vmware	1.0.0	\N	group	{}	{}	{cinder-vmware}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
12	1	compute	1.0.0	\N	group	{}	{}	{compute}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
13	1	compute-vmware	1.0.0	\N	group	{}	{globals,hiera,tools,logging,netconfig,connectivity_tests,hosts,firewall,top-role-compute}	{compute-vmware}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
14	1	mongo	1.0.0	\N	group	{}	{}	{mongo}	{}	{}	{deploy_end,primary-controller,controller}	{primary-mongo}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": 1}
15	1	primary-mongo	1.0.0	\N	group	{}	{}	{primary-mongo}	{}	{}	{deploy_end,primary-controller,controller}	{deploy_start}	[]	[]	{"strategy": {"type": "one_by_one"}}	{"fault_tolerance": 0}
16	1	ceph-osd	1.0.0	\N	group	{}	{}	{ceph-osd}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
17	1	base-os	1.0.0	\N	group	{}	{hiera,globals,logging}	{base-os}	{}	{}	{deploy_end,primary-controller,controller,primary-mongo,mongo}	{deploy_start}	[]	[]	{"strategy": {"type": "parallel"}}	{}
18	1	virt	1.0.0	\N	group	{}	{}	{virt}	{}	{}	{deploy_end}	{}	[]	[]	{"strategy": {"type": "parallel"}}	{}
19	1	ironic	1.0.0	\N	group	{}	{}	{ironic}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
20	1	controller_remaining_tasks	2.1.0	{"yaql_exp": "changedAny(('primary-controller' in $.roles), $.quantum)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/controller.pp", "timeout": 3600}	{}
21	1	top-role-compute	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.configuration, $.get('compute', ''), $.network_metadata.vips, $.debug, $.storage, $.nova, $.public_ssl, $.get('use_ssl', {}), $.get('nova_rate_limits', {}), $.get('nova_report_interval', 60), $.get('nova_service_down_time', 180), $.get('novanetwork_parameters', {}), $.get('nova_custom', {}), $.rabbit, $.cinder, $.ceilometer, $.get('use_syslog', true), $.get('use_stderr', false), $.get('syslog_log_facility_nova', ''), $.network_metadata.nodes.get(concat('node-', $.uid)), $.libvirt_type, $.get('kombu_compression', ''), $.dpdk, $.get('glance_api_servers', ''), $.get('block_device_allocate_retries', 300), $.get('block_device_allocate_retries_interval', 3), $.get('queue_provider', 'rabbit'), $.quantum_settings, $.get('memcached_addresses', ''), $.get('memcache_roles', ''), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/memcache') != null),\\n$.get('memcache_server_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/messaging') != null),\\n$.resume_guests_state_on_host_boot, $.use_cow_images)\\n"}	puppet	{compute}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{enable_nova_compute_service}	{hosts,firewall}	[]	[{"name": "keystone"}, {"name": "/(primary-)?openstack-controller/"}, {"name": "/(primary-)?rabbitmq/"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/compute.pp", "timeout": 3600}	{}
162	1	update_hosts	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	puppet	{}	{}	{/.*/}	{}	{}	{post_deployment_end}	{upload_nodes_info,copy_deleted_nodes}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600, "cwd": "/"}	{}
22	1	top-role-cinder	2.1.0	{"yaql_exp": "changedAny($.cinder, $.get('cinder_volume_group'), $.network_metadata.nodes.get(concat(\\"node-\\", $.uid)).network_roles.get('cinder/iscsi'), $.network_metadata.vips, $.debug, $.node_volumes, $.storage, $.rabbit, $.ceilometer, $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_cinder'), $.get('syslog_log_facility_ceph'), $.get('proxy_port'), $.get('kombu_compression'), $.get('use_ssl'), $.get('service_endpoint'), $.get('glance_api_servers'), $.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')))\\n"}	puppet	{cinder,cinder-block-device,cinder-vmware}	{}	{}	{}	{}	{enable_cinder_volume_service}	{hosts,firewall}	[]	[{"name": "openstack-cinder"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/cinder.pp", "timeout": 3600}	{}
23	1	enable_cinder_volume_service	2.1.0	{"yaql_exp": "changedAny($.cinder, $.get('cinder_volume_group'), $.network_metadata.nodes.get(concat(\\"node-\\", $.uid)).network_roles.get('cinder/iscsi'), $.network_metadata.vips, $.debug, $.node_volumes, $.storage, $.rabbit, $.ceilometer, $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_cinder'), $.get('syslog_log_facility_ceph'), $.get('proxy_port'), $.get('kombu_compression'), $.get('use_ssl'), $.get('service_endpoint'), $.get('glance_api_servers'), $.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')))\\n"}	puppet	{cinder,cinder-block-device}	{}	{}	{}	{}	{deploy_end}	{top-role-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/enable_cinder.pp", "timeout": 3600, "cwd": "/"}	{}
24	1	top-role-primary-mongo	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.network_scheme, $.mongo, $.get('mongodb_port'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n$.get('use_syslog'), $.debug, $.ceilometer, $.roles)\\n"}	puppet	{primary-mongo}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/mongo.pp", "timeout": 3600}	{}
25	1	top-role-mongo	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.network_scheme, $.mongo, $.get('mongodb_port'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n$.get('use_syslog'), $.debug, $.ceilometer, $.roles)\\n"}	puppet	{mongo}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "top-role-primary-mongo"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/mongo.pp", "timeout": 3600}	{}
26	1	ironic-conductor	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.network_scheme, $.ironic, $.network_metadata.vips, $.get('database_vip'), $.get('neutron_endpoint'), $.get('glance_api_servers'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.get('verbose'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.rabbit, $.storage, $.get('kombu_compression'))\\n"}	puppet	{ironic}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "ironic"}, {"name": "/(primary-)?database/"}, {"name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/ironic-conductor.pp", "timeout": 3600}	{}
27	1	enable_nova_compute_service	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.configuration, $.get('compute', ''), $.network_metadata.vips, $.debug, $.storage, $.nova, $.public_ssl, $.get('use_ssl', {}), $.get('nova_rate_limits', {}), $.get('nova_report_interval', 60), $.get('nova_service_down_time', 180), $.get('novanetwork_parameters', {}), $.get('nova_custom', {}), $.rabbit, $.cinder, $.ceilometer, $.get('use_syslog', true), $.get('use_stderr', false), $.get('syslog_log_facility_nova', ''), $.network_metadata.nodes.get(concat('node-', $.uid)), $.libvirt_type, $.get('kombu_compression', ''), $.dpdk, $.get('glance_api_servers', ''), $.get('block_device_allocate_retries', 300), $.get('block_device_allocate_retries_interval', 3), $.get('queue_provider', 'rabbit'), $.quantum_settings, $.get('memcached_addresses', ''), $.get('memcache_roles', ''), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/memcache') != null),\\n$.get('memcache_server_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/messaging') != null),\\n$.resume_guests_state_on_host_boot, $.use_cow_images)\\n"}	puppet	{compute,compute-vmware}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{top-role-compute,top-role-compute-vmware,openstack-network-compute-nova}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/enable_compute.pp", "timeout": 3600, "cwd": "/"}	{}
28	1	allocate_hugepages	2.1.0	{"yaql_exp": "changed($.get(\\"hugepages\\", []))"}	puppet	{}	{}	{/.*/}	{}	{}	{globals}	{setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/allocate_hugepages.pp", "timeout": 300, "cwd": "/"}	{}
46	1	primary-openstack-network-plugins-l2	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.fqdn, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.quantum_settings, $.public_ssl, $.get('use_ssl'), $.get('region'), $.network_scheme, $.neutron_advanced_configuration)\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_agent_ovs}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/plugins/ml2.pp", "timeout": 1800}	{}
393	3	primary-controller	1.0.0	\N	group	{}	{}	{primary-controller}	{}	{}	{deploy_end}	{deploy_start}	[]	[]	{"strategy": {"type": "one_by_one"}}	{"fault_tolerance": 0}
29	1	ceilometer-controller	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.get('verbose'), $.debug, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_ceilometer'), $.storage, $.rabbit, $.network_metadata.vips, $.get('region', 'RegionOne'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n('primary-controller' in $.roles), $.get('kombu_compression'), $.get('service_endpoint'), $.get('use_ssl'), $.get('workers_max'), $.network_scheme, $.mongo, $.external_mongo, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('ceilometer'), $.configuration.get('ceilometer_api_paste_ini'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy}	[]	[{"name": "ceilometer-keystone"}, {"name": "/top-role-(primary-)?mongo/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/controller.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/controller_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/controller_pre.rb"}}
30	1	ceilometer-compute	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_ceilometer'), $.rabbit, $.network_metadata.vips, $.get('service_endpoint'), $.get('region', 'RegionOne'), $.ceilometer, $.get('verbose'), $.debug, $.get('use_ssl'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'))\\n"}	puppet	{compute,compute-vmware}	{}	{}	{}	{}	{deploy_end}	{ceilometer-controller,top-role-compute}	[]	[{"name": "ceilometer-controller"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/compute.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/compute_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/compute_pre.rb"}}
31	1	ceilometer-keystone	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ceilometer-controller}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/keystone.pp", "timeout": 1800}	{}
32	1	ceilometer-radosgw-user	2.1.0	{"yaql_exp": "($.ceilometer.enabled and $.storage.objects_ceph) and\\n (changedAny($.ceilometer.enabled, $.storage.objects_ceph))\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{post_deployment_start,enable_rados}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/radosgw_user.pp", "timeout": 300, "cwd": "/"}	{}
33	1	primary-openstack-controller	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, ('primary-controller' in $.roles), $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_nova'), $.sahara, $.storage, $.nova, $.get('nova_config'), $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.rabbit, $.get('use_ssl'), $.get('kombu_compression'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('region', 'RegionOne'), $.ironic, $.get('memcached_addresses'), $.get('memcache_server_port'), $.get('openstack_controller'), $.get('external_lb'), $.quantum_settings, $.get('database_vip'), $.nova_quota, $.use_vcenter, $.libvirt_type, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.use_cow_images, $.get('nova_endpoint'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{openstack-haproxy}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "nova-db"}, {"name": "nova-keystone"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/openstack-controller.pp", "timeout": 3600}	{}
34	1	openstack-controller	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, ('primary-controller' in $.roles), $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_nova'), $.sahara, $.storage, $.nova, $.get('nova_config'), $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.rabbit, $.get('use_ssl'), $.get('kombu_compression'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('region', 'RegionOne'), $.ironic, $.get('memcached_addresses'), $.get('memcache_server_port'), $.get('openstack_controller'), $.get('external_lb'), $.quantum_settings, $.get('database_vip'), $.nova_quota, $.use_vcenter, $.libvirt_type, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.use_cow_images, $.get('nova_endpoint'))\\n"}	puppet	{controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{openstack-haproxy}	[]	[{"name": "primary-openstack-controller"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/openstack-controller.pp", "timeout": 3600}	{}
35	1	nova-db	2.1.0	{"yaql_exp": "changedAny($.nova, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/db.pp", "timeout": 1800}	{}
36	1	nova-keystone	2.1.0	{"yaql_exp": "changedAny($.nova, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/keystone.pp", "timeout": 1800}	{}
37	1	primary-heat	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.heat, $.sahara, $.rabbit, $.get('max_retries'), $.get('max_pool_size'), $.get('max_overflow'), $.get('idle_timeout'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('heat_endpoint'), $.debug, $.get('verbose'), $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_heat'), $.deployment_mode, $.get('region', 'RegionOne'), $.get('external_lb'), $.get('database_vip'), $.get('heat_db_name'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('heat'), $.configuration.get('heat_api_paste_ini'), $.get('heat_ha_engine'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "heat-db"}, {"name": "heat-keystone"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/heat.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_pre.rb"}}
38	1	heat	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.heat, $.sahara, $.rabbit, $.get('max_retries'), $.get('max_pool_size'), $.get('max_overflow'), $.get('idle_timeout'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('heat_endpoint'), $.debug, $.get('verbose'), $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_heat'), $.deployment_mode, $.get('region', 'RegionOne'), $.get('external_lb'), $.get('database_vip'), $.get('heat_db_name'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('heat'), $.configuration.get('heat_api_paste_ini'), $.get('heat_ha_engine'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "primary-heat"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/heat.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_pre.rb"}}
39	1	heat-db	2.1.0	{"yaql_exp": "changedAny($.heat, $.mysql, $.network_metadata.get('vips',{}).get('management'), $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-heat,heat}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/db.pp", "timeout": 1800}	{}
40	1	heat-keystone	2.1.0	{"yaql_exp": "changedAny($.heat, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'), $.get('heat_endpoint'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{heat,primary-heat}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/keystone.pp", "timeout": 1800}	{}
41	1	neutron-db	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/db.pp", "timeout": 1800}	{}
42	1	neutron-keystone	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/keystone.pp", "timeout": 1800}	{}
43	1	openstack-network-start	2.0.0	\N	skipped	{primary-controller,controller,compute}	{}	{}	{}	{}	{openstack-network-common-config}	{neutron-keystone,neutron-db,netconfig,primary-openstack-controller,openstack-controller,top-role-compute}	[]	[{"name": "neutron-keystone"}, {"role": "primary-controller", "name": "openstack-haproxy"}, {"name": "neutron-db"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{}	{}
44	1	openstack-network-common-config	2.1.0	{"yaql_exp": "changedAny($.get('openstack_network'), $.get('verbose'), $.debug, $.quantum_settings, $.neutron_advanced_configuration, $.rabbit, $.ceilometer, $.network_scheme, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_neutron'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('kombu_compression'))\\n"}	puppet	{primary-controller,controller,compute}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/common-config.pp", "timeout": 1800}	{}
45	1	openstack-network-server-config	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.quantum_settings, $.get('database_vip'), $.network_metadata.vips, $.nova, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.get('region', 'RegionOne'), $.get('use_ssl'), $.neutron_advanced_configuration, $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{deploy_changes}	{neutron_plugin_ml2,neutron_config,neutron_api_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/server-config.pp", "timeout": 1800}	{}
394	3	controller	1.0.0	\N	group	{}	{}	{controller}	{}	{}	{deploy_end}	{primary-controller}	[]	[]	{"strategy": {"amount": 6, "type": "parallel"}}	{"fault_tolerance": 1}
47	1	openstack-network-plugins-l2	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.fqdn, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.quantum_settings, $.public_ssl, $.get('use_ssl'), $.get('region'), $.network_scheme, $.neutron_advanced_configuration)\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_agent_ovs}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config}	[]	[{"name": "primary-openstack-network-plugins-l2"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/plugins/ml2.pp", "timeout": 1800}	{}
48	1	openstack-network-networks	2.1.0	{"yaql_exp": "changedAny($.access, $.quantum_settings, $.quantum)"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,primary-openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/networks.pp", "timeout": 1800}	{}
49	1	openstack-network-routers	2.1.0	{"yaql_exp": "not $.neutron_advanced_configuration.neutron_l3_ha and changed($.neutron_advanced_configuration.neutron_l3_ha)\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-networks}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/routers.pp", "timeout": 1800}	{}
50	1	openstack-network-routers-ha	2.1.0	{"yaql_exp": "$.neutron_advanced_configuration.neutron_l3_ha and changed($.neutron_advanced_configuration.neutron_l3_ha)\\n"}	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/routers.pp", "timeout": 1800, "cwd": "/"}	{}
51	1	primary-openstack-network-agents-l3	2.1.0	{"yaql_exp": "changedAny($.quantum, $.neutron_advanced_configuration, $.get('neutron_controller_roles'), $.get('neutron_compute_nodes'), $.debug, $.configuration, $.network_scheme, ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_l3_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-networks,openstack-network-routers,primary-openstack-network-plugins-l2,openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/l3.pp", "timeout": 1800}	{}
52	1	openstack-network-agents-l3	2.1.0	{"yaql_exp": "changedAny($.quantum, $.neutron_advanced_configuration, $.get('neutron_controller_roles'), $.get('neutron_compute_nodes'), $.debug, $.configuration, $.network_scheme, ('primary-controller' in $.roles))\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_l3_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-networks,openstack-network-routers,primary-openstack-network-plugins-l2,openstack-network-plugins-l2}	[]	[{"role": ["/(primary-)?controller/"], "name": "/(primary-)?openstack-network-plugins-l2/"}, {"name": "primary-openstack-network-agents-l3"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/l3.pp", "timeout": 1800}	{}
53	1	openstack-network-agents-sriov	2.1.0	{"yaql_exp": "changedAny($.quantum, $.network_scheme, $.quantum_settings, $.configuration)\\n"}	puppet	{compute}	{}	{}	{}	{neutron_sriov_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/sriov.pp", "timeout": 1800}	{}
54	1	openstack-network-server-nova	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.network_metadata.vips, $.get('use_ssl'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-common-config/"}, {"role": "self", "name": "/(primary-)?openstack-network-server-config/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/server-nova.pp", "timeout": 1800}	{}
55	1	primary-openstack-network-agents-dhcp	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.debug, $.neutron_advanced_configuration, ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_dhcp_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/dhcp.pp", "timeout": 1800}	{}
56	1	openstack-network-agents-dhcp	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.debug, $.neutron_advanced_configuration, ('primary-controller' in $.roles))\\n"}	puppet	{controller}	{}	{}	{}	{neutron_dhcp_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"name": "primary-openstack-network-agents-dhcp"}, {"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/dhcp.pp", "timeout": 1800}	{}
395	3	cinder	1.0.0	\N	group	{}	{}	{cinder}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
57	1	primary-openstack-network-agents-metadata	2.1.0	{"yaql_exp": "($.quantum and changed($.quantum)) or\\n  changed($.get('neutron_controller_roles')) or\\nchangedAny($.get('neutron_compute_nodes'),\\n  $.neutron_advanced_configuration, $.debug, $.configuration,\\n  $.get('region'), $.network_metadata.vips, $.get('use_ssl'),\\n  $.quantum_settings, $.get('nova_endpoint'), $.get('nova_metadata_protocol'),\\n  $.get('workers_max'),\\n  ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_metadata_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}, {"role": "self", "name": "/(primary-)?openstack-network-agents-l3/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/metadata.pp", "timeout": 1800}	{}
58	1	openstack-network-agents-metadata	2.1.0	{"yaql_exp": "($.quantum and changed($.quantum)) or\\n  changed($.get('neutron_controller_roles')) or\\nchangedAny($.get('neutron_compute_nodes'),\\n  $.neutron_advanced_configuration, $.debug, $.configuration,\\n  $.get('region'), $.network_metadata.vips, $.get('use_ssl'),\\n  $.quantum_settings, $.get('nova_endpoint'), $.get('nova_metadata_protocol'),\\n  $.get('workers_max'),\\n  ('primary-controller' in $.roles))\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_metadata_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"name": "primary-openstack-network-agents-metadata"}, {"role": ["/(primary-)?controller/"], "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/metadata.pp", "timeout": 1800}	{}
59	1	openstack-network-compute-nova	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.quantum, $.quantum_settings, $.nova, $.network_metadata.vips, $.get('region'), $.get('use_ssl'))\\n"}	puppet	{compute}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-agents-l3,openstack-network-agents-metadata}	[]	[{"name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/compute-nova.pp", "timeout": 1800}	{}
60	1	openstack-network-end	2.0.0	\N	skipped	{primary-controller,controller,compute}	{}	{}	{}	{}	{deploy_end}	{}	[]	[]	{}	{}
61	1	swift-proxy_storage	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.network_scheme, $.network_metadata, $.swift,\\n  $.get('swift_master_role', 'primary-controller'),\\n  $.get('swift_object_roles'), ('primary-controller' in $.roles),\\n  $.get('swift_proxy_roles'), $.get('memcached_addresses'),\\n  $.network_metadata.nodes.values().where(\\n    ('controller' in $.node_roles) or\\n    ('primary-controller' in $.node_roles)),\\n  $.get('proxy_port'), $.storage, $.debug, $.get('verbose'),\\n  $.get('swift_ring_min_part_hours'), $.get('deploy_swift_proxy'),\\n  $.get('use_ssl'), $.rabbit,\\n  $.network_metadata.nodes.values().where(\\n    $.node_roles.any($.matches('controller'))).network_roles.select(\\n      $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n  $.get('memcache_server_port'), $.ceilometer.enabled, $.mp,\\n  $.get('swift_partition'), $.get('deploy_swift_storage')))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{openstack-controller,primary-rabbitmq,rabbitmq,memcached}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"role": "self", "name": "/glance/"}, {"name": "swift-keystone"}, {"role": "self", "name": "memcached"}, {"role": "primary-controller", "name": "/(primary-)?swift-proxy/"}, {"role": "self", "name": "ceilometer-controller"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/proxy_storage.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_pre.rb"}}
62	1	swift-rebalance-cron	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.storage, $.get('swift_master_role', 'primary-controller'),\\n  $.get('swift_ring_min_part_hours'),('primary-controller' in $.roles)))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{swift-proxy_storage}	[]	[{"role": "self", "name": "/(primary-)?swift-proxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/rebalance_cronjob.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/rebalance_cronjob_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_post.rb"}}
63	1	swift-keystone	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.swift, $.network_metadata.vips,\\n  $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl')))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{swift-proxy_storage}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/keystone.pp", "timeout": 1800}	{}
71	1	workloads_collector_add	2.1.0	{"yaql_exp": "changedAny($.workloads_collector, $.get('external_lb'), $.get('use_ssl'), $.network_metadata.get('vips',{}).get('management'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{keystone,primary-keystone}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/workloads_collector_add.pp", "timeout": 1800}	{}
163	1	vcenter_compute_zones_create	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	shell	{}	{}	{primary-controller,compute-vmware}	{}	{}	{post_deployment_end}	{post_deployment_start,enable_nova_compute_service}	[]	[]	{"cmd": "/usr/bin/python /etc/puppet/modules/osnailyfacter/modular/astute/vcenter_hooks.py --create_zones", "timeout": 180}	{}
64	1	glance	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.glance, $.get('verbose'), $.debug, $.get('database_vip'), $.storage, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_glance'), $.rabbit, $.get('max_pool_size'), $.get('max_overflow'), $.ceilometer, $.get('region', 'RegionOne'), $.ironic, ('primary-controller' in $.roles), $.get('kombu_compression'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('use_ssl'), $.murano, $.configuration.get('glance_api'), $.configuration.get('glance_cache'), $.configuration.get('glance_registry'), $.configuration.get('glare_config'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,primary-database,database}	[]	[{"name": "glance-db"}, {"name": "glance-keystone"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/glance.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/glance/glance_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/glance/glance_pre.rb"}}
65	1	glance-db	2.1.0	{"yaql_exp": "changedAny($.glance, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{glance}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/db.pp", "timeout": 1800}	{}
66	1	glance-keystone	2.1.0	{"yaql_exp": "changedAny($.glance, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{glance}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/keystone.pp", "timeout": 1800}	{}
67	1	openrc-delete	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{keystone_config}	{primary-keystone,keystone}	{deploy_start,openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/openrc_delete.pp", "timeout": 90}	{}
68	1	primary-keystone	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{keystone_config}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,database,primary-rabbitmq,rabbitmq,primary-database}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "keystone-db"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/keystone.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_pre.rb"}}
69	1	keystone	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{controller}	{}	{}	{}	{keystone_config}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,database,primary-rabbitmq,rabbitmq,primary-database}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "keystone-db"}, {"name": "primary-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/keystone.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_pre.rb"}}
70	1	keystone-db	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.keystone, $.mysql, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{keystone,primary-keystone}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/db.pp", "timeout": 1800}	{}
72	1	openstack-cinder	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.cinder, $.network_metadata.vips, $.get('cinder_volume_group'), $.storage, $.ceilometer, $.sahara, $.rabbit, $.get('region', 'RegionOne'), $.get('use_ssl'), ('primary-controller' in $.roles), $.get('proxy_port'), $.get('kombu_compression'), $.get('keystone_endpoint'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('use_syslog'), $.get('use_stderr'), $.get('verbose'), $.debug, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('syslog_log_facility_cinder'), $.get('cinder_rate_limits'), $.configuration.get('cinder_api_paste_ini'), $.configuration.get('cinder'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,openstack-controller}	{primary-rabbitmq,rabbitmq,primary-keystone,keystone,hosts,firewall}	[]	[{"name": "cinder-db"}, {"name": "cinder-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/openstack-cinder.pp", "timeout": 1200}	{}
73	1	cinder-db	2.1.0	{"yaql_exp": "changedAny($.cinder, $.mysql, $.network_metadata.vips, $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-cinder}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/db.pp", "timeout": 1800}	{}
74	1	cinder-keystone	2.1.0	{"yaql_exp": "changedAny($.cinder, $.public_ssl, $.get('use_ssl'), $.network_metadata.vips, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-cinder}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules/", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/keystone.pp", "timeout": 1800}	{}
75	1	create-cinder-types	2.1.0	{"yaql_exp": "changed($.storage)"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{openstack-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/create_cinder_types.pp", "timeout": 1200}	{}
76	1	ironic-api	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.get('service_endpoint'), $.get('database_vip'), $.get('neutron_endpoint'), $.debug, $.get('verbose'), $.network_metadata, $.get('glance_api_servers'), $.get('default_log_levels'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.rabbit, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('amqp_port'), $.quantum_settings, ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('use_ssl'), $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,ironic-db,ironic-keystone}	[]	[{"name": "ironic-db"}, {"name": "ironic-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/ironic.pp", "timeout": 3600}	{}
77	1	ironic-db	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.mysql, $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ironic-api}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/db.pp", "timeout": 1800}	{}
78	1	ironic-keystone	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.network_metadata.vips, $.public_ssl, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ironic-api}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/keystone.pp", "timeout": 1800}	{}
79	1	ironic-compute	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.nova, $.network_metadata.vips, $.get('database_vip'), $.get('neutron_endpoint'), $.get('ironic_endpoint'), $.get('glance_api_servers'), $.debug, $.get('verbose'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.get('syslog_log_facility_nova'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.rabbit, $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.quantum_settings, $.get('memcached_addresses'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('memcache_server_port'), $.get('use_ssl'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{primary-openstack-controller,openstack-controller,ironic-api}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"role": "self", "name": "/(primary-)?openstack-controller/"}, {"role": "self", "name": "ironic-api"}, {"role": "self", "name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/ironic-compute.pp", "timeout": 3600}	{}
80	1	sahara	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.access, $.sahara, $.rabbit, $.public_ssl, $.ceilometer, ('primary-controller' in $.roles), $.network_metadata.vips, $.get('database_vip'), $.quantum_settings, $.quantum, $.network_scheme, $.get('syslog_log_facility_sahara'), $.debug, $.get('verbose'), $.get('default_log_levels'), $.get('use_syslog'), $.get('use_stderr'), $.get('rabbit_ha_queues'), $.get('amqp_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.get('external_lb'), $.get('use_ssl'), $.get('kombu_compression'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{openstack-network-end,horizon}	[]	[{"name": "sahara-db"}, {"name": "sahara-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/sahara.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/sahara/sahara_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/sahara/sahara_pre.rb"}}
81	1	sahara-db	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.mysql, $.network_metadata.vips, $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{sahara}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/db.pp", "timeout": 1800}	{}
82	1	sahara-keystone	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.public_ssl, $.network_metadata.vips, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{sahara}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/keystone.pp", "timeout": 1800}	{}
83	1	horizon	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.horizon, $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.storage, $.neutron_advanced_configuration, $.public_ssl, $.get('horizon_use_ssl'), $.get('external_lb'), $.get('use_ssl'), $.nova_quota, $.debug, $.get('verbose'), $.get('apache_ports'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/horizon/horizon.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/horizon/horizon_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/horizon/horizon_pre.rb"}}
84	1	murano	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.murano_settings, $.rabbit, $.quantum_settings, $.network_metadata.vips, $.get('database_vip'), $.get('region', 'RegionOne'), $.quantum, $.network_metadata, $.get('syslog_log_facility_murano'), $.debug, $.get('verbose'), $.get('default_log_levels'), $.get('use_syslog'), $.get('use_stderr'), $.get('rabbit_ha_queues'), $.get('amqp_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.external_dns, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('external_lb'), $.get('keystone_endpoint'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-heat,heat,horizon,primary-rabbitmq,rabbitmq}	[]	[{"name": "murano-db"}, {"name": "murano-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/murano.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/murano/murano_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/murano/murano_pre.rb"}}
85	1	murano-db	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny( $.network_metadata.nodes.values().where($.fqdn = new($.fqdn)), $.murano, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/db.pp", "timeout": 1800}	{}
86	1	murano-keystone	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/keystone.pp", "timeout": 1800}	{}
87	1	murano-rabbitmq	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.rabbit, $.murano)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{murano}	{rabbitmq,primary-rabbitmq}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/rabbitmq.pp", "timeout": 1800}	{}
88	1	murano-cfapi	2.1.0	{"yaql_exp": "$.get('murano-cfapi').enabled and changedAny($.access, $.get('murano-cfapi'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.network_metadata, $.get('external_lb'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{}	{murano}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/cfapi.pp", "timeout": 1800}	{}
89	1	murano-cfapi-keystone	2.1.0	{"yaql_exp": "$.get('murano-cfapi').enabled and changedAny($.murano, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano-cfapi}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/keystone_cfapi.pp", "timeout": 1800}	{}
90	1	upload_murano_package	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano_settings.murano_glance_artifacts_plugin)\\n"}	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{upload_cirros}	[]	[{"name": "upload_cirros"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/upload_murano_package.pp", "timeout": 180}	{}
147	1	primary-ceph-mon	2.1.0	{"yaql_exp": "changedAny($.storage, $.quantum, $.network_metadata, $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_scheme, $.get('syslog_log_level_ceph'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-openstack-controller,openstack-controller,openstack-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}	{}
91	1	aodh	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.get('rabbit_ha_queues'), $.rabbit, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('amqp_port'), $.get('kombu_compression'), $.network_scheme, $.aodh, $.get('region', 'RegionOne'), $.debug, $.get('verbose'), $.get('database_vip'), $.get('external_lb'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.ceilometer)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{ceilometer-controller,openstack-controller}	{openstack-haproxy}	[]	[{"name": "aodh-db"}, {"name": "aodh-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/aodh.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/aodh/aodh_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/aodh/aodh_pre.rb"}}
92	1	aodh-keystone	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.aodh, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{aodh}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/keystone.pp", "timeout": 1800}	{}
93	1	aodh-db	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.aodh, $.get('database_vip'), $.mysql, $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{aodh}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/db.pp", "timeout": 1800}	{}
94	1	logging	2.1.0	{"yaql_exp": "changedAny($.base_syslog, $.syslog, $.get('use_syslog', true), $.syslog.get('debug', $.get('debug', false)), $.get('node_name_prefix_for_messaging', 'messaging-'))\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{deploy_end}	{globals,setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/logging/logging.pp", "timeout": 3600}	{}
95	1	apache	2.1.0	{"yaql_exp": "changed($)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{keystone,primary-keystone}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/apache/apache.pp", "timeout": 1200}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/apache/apache_post.rb"}}
96	1	primary-cluster	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.get('corosync_roles'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall,deploy_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}}
97	1	cluster	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.get('corosync_roles'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall,deploy_start}	[]	{"yaql_exp": "[{name=>'primary-cluster', role=>$.roles.select('primary-' + $)}]\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}}
98	1	cluster_health	2.1.0	{"yaql_exp": "changedAny($.get('corosync_roles'), $.get('corosync_disks'), $.get('corosync_min_disk_space'), $.get('corosync_disk_unit'), $.get('corosync_disk_monitor_interval'), $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster,cluster}	[]	[{"role": "self", "name": "/(primary-)?cluster/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/health.pp", "timeout": 600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/health_post.rb"}}
99	1	database	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('use_syslog'), ('primary-controller' in $.roles), $.mysql, $.network_metadata.vips, $.get('database_vip'), $.network_metadata.nodes.get(concat('node-', $.uid)).network_roles.get(\\n  'mgmt/database'),\\n$.get('database_nodes'), $.get('mysql_custom_setup_class'), $.get('mysql_binary_logs'), $.configuration.get('mysql'))\\n"}	puppet	{controller}	{}	{}	{deploy_changes}	{}	{openstack-controller,primary-openstack-controller}	{deploy_start,openstack-haproxy}	[]	[{"name": "primary-database"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}}
110	1	openstack-haproxy	2.0.0	\N	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,openstack-haproxy-ceilometer,openstack-haproxy-aodh,openstack-haproxy-cinder,openstack-haproxy-glance,openstack-haproxy-heat,openstack-haproxy-horizon,openstack-haproxy-keystone,openstack-haproxy-murano,openstack-haproxy-mysqld,openstack-haproxy-neutron,openstack-haproxy-nova,openstack-haproxy-radosgw,openstack-haproxy-sahara,openstack-haproxy-swift,openstack-haproxy-stats,openstack-haproxy-ironic}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy.pp", "timeout": 300}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
100	1	primary-database	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('use_syslog'), ('primary-controller' in $.roles), $.mysql, $.network_metadata.vips, $.get('database_vip'), $.network_metadata.nodes.get(concat('node-', $.uid)).network_roles.get(\\n  'mgmt/database'),\\n$.get('database_nodes'), $.get('mysql_custom_setup_class'), $.get('mysql_binary_logs'), $.configuration.get('mysql'))\\n"}	puppet	{primary-controller}	{}	{}	{deploy_changes}	{}	{openstack-controller,primary-openstack-controller}	{deploy_start,openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}}
101	1	hiera_default_route	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.dpdk, $.get('use_ovs'), $.get('set_rps'), $.get('set_rps'), $.get('run_ping_checker'), $.network_scheme.endpoints.values().where(\\n  $.get('gateway') != null).gateway)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,compute-vmware,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{}	{}	{"yaql_exp": "switch(\\n  (\\n    ('mongo' in $.roles) or ('primary-mongo' in $.roles)\\n  ) => [\\n      {name=>'configure_default_route',role=>'self'}\\n    ],\\n  true => [\\n    {name=>'netconfig',role=>'self'}\\n  ]\\n)\\n"}	{"yaql_exp": "switch(\\n  (\\n    ('mongo' in $.roles) or ('primary-mongo' in $.roles)\\n  ) => [\\n      {name=>'netconfig',role=>'self'},\\n      {name=>'post_deployment_start',role=>'self'}\\n    ],\\n  true => [\\n    {name=>'tools',role=>'self'}\\n  ]\\n)\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/hiera_default_route.pp", "timeout": 120}	{}
102	1	netconfig	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.dpdk, $.get('use_ovs'), $.get('set_rps'), $.get('set_rps'), $.get('run_ping_checker'), $.network_scheme.endpoints.values().where(\\n  $.get('gateway') != null).gateway)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{tools}	[]	{"yaql_exp": "switch(\\n  (\\n    $.roles.any($.matches('^(primary-)?(mongo)$'))\\n    or ($.network_metadata.get('vips',{}).get('vrouter',{}).get('ipaddr') = null)\\n    or (\\n      len($.roles.toSet().intersect($.network_metadata.get('vips',{}).get('vrouter',{}).get('node_roles').toSet())) > 0\\n    )\\n  ) => [],\\n  true => [{\\n    name => 'virtual_ips',\\n    role => $.network_metadata.get('vips',{}).get('vrouter',{}).get('node_roles')\\n  }]\\n)\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_pre.rb"}}
103	1	connectivity_tests	2.1.0	{"yaql_exp": "changedAny($.repo_setup, $.network_scheme)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{firewall,hosts}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/connectivity_tests.pp", "timeout": 3600, "cwd": "/"}	{}
104	1	sriov_iommu_check	2.1.0	{"yaql_exp": "changed($.network_scheme.transformations)"}	puppet	{compute}	{}	{}	{}	{}	{firewall,hosts}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/sriov_iommu_check.pp", "timeout": 120, "cwd": "/"}	{}
105	1	reserved_ports	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{globals}	{rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/reserved_ports.pp", "timeout": 180, "cwd": "/"}	{}
106	1	vmware-vcenter	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{controller_remaining_tasks}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/vcenter.pp", "timeout": 3600}	{}
107	1	top-role-cinder-vmware	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{cinder-vmware}	{}	{}	{}	{}	{deploy_end}	{top-role-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_pre.rb"}}
108	1	top-role-compute-vmware	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{compute-vmware}	{}	{}	{}	{}	{enable_nova_compute_service}	{top-role-compute,ceilometer-compute,ceilometer-keystone}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/compute-vmware.pp", "timeout": 180}	{}
109	1	umm	2.1.0	{"yaql_exp": "$.uid in added($.nodes.uid)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{tools}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/umm/umm.pp", "timeout": 3600}	{}
396	3	cinder-block-device	1.0.0	\N	group	{}	{}	{cinder-block-device}	{}	{}	{deploy_end}	{compute}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
111	1	openstack-haproxy-horizon	2.1.0	{"yaql_exp": "changedAny($.horizon, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
112	1	openstack-haproxy-keystone	2.1.0	{"yaql_exp": "changedAny($.keystone, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('keystone_names'), $.get('keystone_ipaddresses'), $.get('public_service_endpoint'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
113	1	openstack-haproxy-nova	2.1.0	{"yaql_exp": "changedAny($.nova, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
114	1	openstack-haproxy-heat	2.1.0	{"yaql_exp": "$.heat.enabled and changedAny($.heat, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('heat_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
115	1	openstack-haproxy-glance	2.1.0	{"yaql_exp": "changedAny($.glance, $.public_ssl, $.get('use_ssl'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
116	1	openstack-haproxy-cinder	2.1.0	{"yaql_exp": "changedAny($.cinder, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
117	1	openstack-haproxy-neutron	2.1.0	{"yaql_exp": "changedAny($.quantum, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('neutron_names'), $.get('neutron_ipaddresses'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
125	1	openstack-haproxy-stats	2.1.0	{"yaql_exp": "changed($.get('external_lb')) or changed($.network_metadata.vips)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-stats.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-stats_post.rb"}}
118	1	openstack-haproxy-mysqld	2.1.0	{"yaql_exp": "changedAny($.mysql, $.get('custom_mysql_setup_class', 'galera'), $.get('external_lb'), $.get('database_nodes'), $.get('mysqld_names'), $.get('mysqld_ipaddresses'), $.network_metadata.vips, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('database_vip'), ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
119	1	openstack-haproxy-swift	2.1.0	{"yaql_exp": "changedAny($.storage, $.get('swift_proxy_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('swift_server_names'), $.get('swift_ipaddresses'), $.network_metadata.vips, $.ironic, $.network_scheme, $.network_metadata.nodes.get(concat('node-', $.uid)))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
120	1	openstack-haproxy-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips, $.ironic)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
121	1	openstack-haproxy-ceilometer	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
122	1	openstack-haproxy-aodh	2.1.0	{"yaql_exp": "changedAny($.ceilometer, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-aodh.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-aodh_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
123	1	openstack-haproxy-sahara	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('sahara_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
124	1	openstack-haproxy-murano	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.get('murano-cfapi'), $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('murano_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('murano_names'), $.get('murano_ipaddresses'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
161	1	configuration_symlink	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	shell	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{upload_configuration}	[]	[]	{"cmd": "ln -sf /etc/fuel/cluster/{CLUSTER_ID}/astute.yaml /etc/astute.yaml", "timeout": 180}	{}
126	1	openstack-haproxy-ironic	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.get('ironic_api_nodes'), $.network_metadata, $.public_ssl, $.get('use_ssl'), $.get('external_lb'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ironic.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ironic_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
127	1	memcached	2.1.0	{"yaql_exp": "changed($.network_scheme)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,keystone,primary-keystone}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/memcached/memcached.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/memcached/memcached_post.rb"}}
128	1	plugins_rsync	2.1.0	{"yaql_exp": "len($.plugins) > 0"}	puppet	{/.*/}	{}	{}	{}	{}	{pre_deployment_start}	{configuration_symlink}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/plugins/plugins_rsync.pp", "timeout": 600}	{}
129	1	plugins_setup_repositories	2.1.0	{"yaql_exp": "len($.plugins) > 0"}	puppet	{/.*/}	{}	{}	{}	{}	{pre_deployment_start}	{plugins_rsync}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/plugins/plugins_setup_repositories.pp", "timeout": 600}	{}
130	1	ntp-server	2.1.0	{"yaql_exp": "changed($.external_ntp)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ntp-client}	{dns-client}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-server.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ntp/ntp_post.rb"}}
131	1	ntp-client	2.1.0	{"yaql_exp": "changedAny($.network_metadata.get('vips',{}).get('management'), $.get('ntp_servers'))\\n"}	puppet	{}	{}	{primary-mongo,mongo,compute,ceph-osd,cinder,cinder-vmware}	{}	{}	{post_deployment_end}	{dns-client}	[]	[{"policy": "any", "name": "ntp-server"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-client.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ntp/ntp_post.rb"}}
132	1	ntp-check	2.1.0	{"yaql_exp": "changed($.external_ntp)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ntp-server}	{dns-client}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-check.pp", "timeout": 600, "cwd": "/"}	{}
133	1	ssl-keys-saving	2.1.0	{"yaql_exp": "(($.public_ssl.horizon or $.public_ssl.services) and\\n   $.public_ssl.cert_source = 'user_uploaded' and\\n   changed($.public_ssl.cert_data)) or\\n (changed($.get('use_ssl')) and len($.get('use_ssl', [])) > 0)\\n"}	puppet	{primary-controller,controller,compute,compute-vmware,cinder,cinder-vmware,primary-mongo,mongo,ceph-osd,virt}	{}	{}	{}	{}	{deploy_end}	{firewall}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving.pp", "timeout": 3600}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}}
134	1	ssl-add-trust-chain	2.1.0	{"yaql_exp": "(changed($.public_ssl) and\\n ($.public_ssl.horizon or $.public_ssl.services)) or\\n(changed($.get('use_ssl')) and (len($.get('use_ssl', [])) > 0))\\n"}	puppet	{primary-controller,controller,compute,compute-vmware,cinder,cinder-vmware,primary-mongo,mongo,ceph-osd,virt}	{}	{}	{}	{}	{hosts}	{firewall,ssl-keys-saving}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_add_trust_chain.pp", "timeout": 3600}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}}
135	1	ssl-dns-setup	2.1.0	{"yaql_exp": "(changed($.public_ssl) and\\n ($.public_ssl.horizon or $.public_ssl.services)) or\\n(changed($.get('use_ssl')) and (len($.get('use_ssl', [])) > 0))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{hosts}	{firewall,ssl-add-trust-chain}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_dns_setup.pp", "timeout": 3600}	{}
136	1	cgroups	2.1.0	{"yaql_exp": "changed($.cgroups)"}	puppet	{}	{}	{/.*/}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cgroups/cgroups.pp", "timeout": 3600}	{}
145	1	ceph-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.keystone, $.network_metadata.vips, $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('use_ssl'), ('primary-controller' in $.roles), $.network_scheme, $.get('apache_ports'), $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.get('syslog_log_level_ceph'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache,ceph-mon,primary-ceph-mon}	[]	[{"name": "primary-ceph-radosgw"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}}
397	3	cinder-vmware	1.0.0	\N	group	{}	{}	{cinder-vmware}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
137	1	rabbitmq	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('queue_provider'), $.get('erlang_cookie'), $.get('rabbit_version'), $.get('amqp_port'), $.rabbit, $.get('rabbit_ocf'), $.debug, $.get('rabbit_cluster_partition_handling'), $.get('mnesia_table_loading_timeout'), $.network_metadata.nodes.values().where($.uid = new($.uid)), $.get('management_bind_ip_address'), $.get('rabbit_management_port'), $.get('enable_rpc_ha'), $.get('enable_notifications_ha'), $.get('node_name_prefix_for_messaging'), $.get('rabbit_config_kernel_variables'), $.get('rabbit_config_variables'), $.get('rabbit_config_management_variables'), $.get('rabbit_environment_variables'), $.configuration.get('rabbitmq'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,openstack-controller,primary-openstack-controller,glance}	{netconfig,cluster}	[]	[{"name": "primary-rabbitmq"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 3)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq_post.rb"}}
138	1	primary-rabbitmq	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('queue_provider'), $.get('erlang_cookie'), $.get('rabbit_version'), $.get('amqp_port'), $.rabbit, $.get('rabbit_ocf'), $.debug, $.get('rabbit_cluster_partition_handling'), $.get('mnesia_table_loading_timeout'), $.network_metadata.nodes.values().where($.uid = new($.uid)), $.get('management_bind_ip_address'), $.get('rabbit_management_port'), $.get('enable_rpc_ha'), $.get('enable_notifications_ha'), $.get('node_name_prefix_for_messaging'), $.get('rabbit_config_kernel_variables'), $.get('rabbit_config_variables'), $.get('rabbit_config_management_variables'), $.get('rabbit_environment_variables'), $.configuration.get('rabbitmq'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,openstack-controller,primary-openstack-controller,glance}	{netconfig,primary-cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 3)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq_post.rb"}}
139	1	tools	2.1.0	{"yaql_exp": "changedAny($.get('custom_accounting_file', undef), $.puppet, $.deployment_mode)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{deploy_end}	{logging}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/tools/tools.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/tools/tools_post.rb"}}
140	1	firewall	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, ($.ironic.enabled and changed($.ironic.enabled)), $.roles, $.master_ip)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/firewall/firewall.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_pre.rb"}}
141	1	copy_keys_ceph	2.0.0	\N	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_keys_ceph}	[]	[{"role": "master", "name": "generate_keys_ceph"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph.pub", "dst": "/var/lib/astute/ceph/ceph.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph", "dst": "/var/lib/astute/ceph/ceph"}], "dir_permissions": "0700", "permissions": "0600"}	{}
142	1	generate_keys_ceph	2.0.0	\N	shell	{}	{}	{master}	{}	{}	{copy_keys_ceph}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -i {CLUSTER_ID} -s 'ceph' -p /var/lib/fuel/keys/", "timeout": 180}	{}
143	1	top-role-ceph-osd	2.1.0	{"yaql_exp": "changedAny($.storage, $.debug, $.network_scheme, $.get('use_syslog'), $.network_metadata.nodes.values().where(\\n  ('primary-controller' in $.node_roles) or\\n  ('controller' in $.node_roles)),\\n$.get('ceph_tuning_settings'), $.get('syslog_log_level_ceph'), $.get('syslog_log_facility_ceph'))\\n"}	puppet	{ceph-osd}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "ceph-mon"}, {"name": "/(primary-)?ceph-radosgw/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph-osd.pp", "timeout": 3600}	{}
144	1	primary-ceph-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.keystone, $.network_metadata.vips, $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('use_ssl'), ('primary-controller' in $.roles), $.network_scheme, $.get('apache_ports'), $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.get('syslog_log_level_ceph'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache,ceph-mon,primary-ceph-mon}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}}
146	1	radosgw-keystone	2.1.0	{"yaql_exp": "changedAny($.storage, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-ceph-radosgw,ceph-radosgw}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_keystone.pp", "timeout": 1800}	{}
398	3	compute	1.0.0	\N	group	{}	{}	{compute}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
148	1	ceph-mon	2.1.0	{"yaql_exp": "changedAny($.storage, $.quantum, $.network_metadata, $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_scheme, $.get('syslog_log_level_ceph'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-openstack-controller,openstack-controller,openstack-cinder}	[]	[{"name": "primary-ceph-mon"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}	{}
149	1	ceph-compute	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\n(changedAny($.storage, $.quantum, $.network_metadata.vips,\\n $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone,\\n $.network_scheme,\\n  $.network_metadata.nodes.values().flatten().node_roles.flatten().where(\\n    $ = 'controller' or $ = 'primary-controller')))\\n"}	puppet	{}	{}	{compute}	{}	{}	{post_deployment_end}	{ceph_create_pools}	[]	[{"name": "ceph_create_pools"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute_post.rb"}}
150	1	ceph_create_pools	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\nchanged($.storage)\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ceph_ready_check}	{post_deployment_start}	[{"name": "ceph_ready_check"}]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_pools.pp", "timeout": 3600, "cwd": "/"}	{}
151	1	ceph_ready_check	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\nchanged($.storage)\\n"}	shell	{}	{}	{primary-controller}	{}	{}	{enable_rados,upload_cirros}	{post_deployment_start}	[]	[]	{"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_ready_check.rb", "timeout": 1800}	{}
152	1	enable_rados	2.1.0	{"yaql_exp": "$.storage.objects_ceph and changed($.storage.objects_ceph)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{upload_cirros,post_deployment_end}	{post_deployment_start}	[{"name": "upload_cirros"}]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/enable_rados.pp", "timeout": 180, "cwd": "/"}	{}
153	1	updatedb	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\n(changedAny($.storage, $.quantum, $.network_metadata.vips,\\n $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone,\\n $.network_scheme,\\n  $.network_metadata.nodes.values().flatten().node_roles.flatten().where(\\n    $ = 'controller' or $ = 'primary-controller')))\\n"}	puppet	{}	{}	{primary-controller,controller,ceph-osd}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/updatedb.pp", "timeout": 120, "cwd": "/"}	{}
154	1	hiera	2.1.0	{"yaql_exp": "($.uid in added($.nodes).uid) or changedAny($.plugins, $.cgroups)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{setup_repositories}	{deploy_start,rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600}	{"test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_post.py"}, "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_pre.py"}}
155	1	setup_repositories	2.1.0	{"yaql_exp": "($.uid in added($.nodes).uid) or changed($.repo_setup)"}	puppet	{/.*/}	{}	{}	{}	{}	{fuel_pkgs}	{hiera}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/setup_repositories.pp", "timeout": 600}	{}
156	1	fuel_pkgs	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{}	{}	{globals}	{setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/fuel_pkgs.pp", "timeout": 600}	{}
157	1	enable_quorum	2.1.0	{"yaql_exp": "changed($.nodes) or changed($.get('corosync_roles'))"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[{"name": "dns-client"}, {"name": "ntp-server"}, {"name": "public_vip_ping"}]	{"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/enable_quorum.rb", "timeout": 180}	{}
158	1	upload_cirros	2.1.0	{"yaql_exp": "changedAny($.test_vm_image, $.glance, $.network_metadata.vips, $.get('region', 'RegionOne'), $.get('use_ssl'))\\n"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum}	[]	[{"name": "enable_quorum"}]	{"retries": 5, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/upload_cirros.rb", "timeout": 600, "interval": 60}	{}
159	1	upload_nodes_info	2.1.0	\N	skipped	{}	{}	{/.*/}	{}	{}	{}	{post_deployment_start}	[]	[]	{}	{}
160	1	upload_configuration	2.1.0	{"yaql_exp": "changed($)"}	upload_file	{}	{}	{master,/.*/}	{}	{*}	{pre_deployment_start}	{override_configuration}	[]	[]	{"path": "/etc/fuel/cluster/{CLUSTER_ID}/astute.yaml", "data": {"yaql_exp": "$.toYaml()"}, "timeout": 180}	{}
164	1	disable_keystone_service_token	2.0.0	{"yaql_exp": "changed($.keystone.get('service_token_off')) and $.keystone.get('service_token_off')\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{upload_cirros}	[]	[{"name": "upload_cirros"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/service_token_off.pp", "timeout": 180, "cwd": "/"}	{}
165	1	public_vip_ping	2.1.0	{"yaql_exp": "changed($.network_scheme) or changed($.get('run_ping_checker'))"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/public_vip_ping.pp", "timeout": 3600, "cwd": "/"}	{}
166	1	configure_default_route	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata.get('vips',{}).get('management'))"}	puppet	{}	{}	{primary-mongo,mongo}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/configure_default_route.pp", "timeout": 3600, "cwd": "/"}	{}
167	1	rsync_core_puppet	2.0.0	\N	sync	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{}	[]	[]	{"src": "rsync://{MASTER_IP}:/puppet/{OPENSTACK_VERSION}/modules/", "dst": "/etc/puppet/modules", "timeout": 180}	{}
168	1	clear_nodes_info	2.0.0	\N	skipped	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"retries": 1, "cmd": "rm -f /etc/hiera/nodes.yaml"}	{}
169	1	copy_keys	2.0.0	\N	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_keys}	[]	[{"role": "master", "name": "generate_keys"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron.pub", "dst": "/var/lib/astute/neutron/neutron.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron", "dst": "/var/lib/astute/neutron/neutron"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova.pub", "dst": "/var/lib/astute/nova/nova.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova", "dst": "/var/lib/astute/nova/nova"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql.pub", "dst": "/var/lib/astute/mysql/mysql.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql", "dst": "/var/lib/astute/mysql/mysql"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mongodb/mongodb.key", "dst": "/var/lib/astute/mongodb/mongodb.key"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/fernet-keys/0", "dst": "/var/lib/astute/keystone/0"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/fernet-keys/1", "dst": "/var/lib/astute/keystone/1"}], "dir_permissions": "0700", "permissions": "0600"}	{}
170	1	generate_keys	2.0.0	\N	shell	{}	{}	{master}	{}	{}	{copy_keys}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -p /var/lib/fuel/keys/ -i {CLUSTER_ID} -o 'mongodb' -s 'neutron nova mysql' -f '0 1'", "timeout": 180}	{}
171	1	generate_haproxy_keys	2.1.0	{"yaql_exp": "(changedAny($.public_ssl.horizon, $.public_ssl.services)) and ($.public_ssl.horizon or $.public_ssl.services) and $.public_ssl.cert_source = 'self_signed'\\n"}	shell	{}	{}	{master}	{}	{}	{copy_haproxy_keys}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_haproxy_keys.sh -i {CLUSTER_ID} -h {CN_HOSTNAME} -o 'haproxy' -p /var/lib/fuel/keys/", "timeout": 180}	{}
172	1	copy_haproxy_keys	2.1.0	{"yaql_exp": "(((changedAny($.public_ssl.horizon, $.public_ssl.services)) and\\n    ($.public_ssl.horizon or $.public_ssl.services) and\\n    (not (old($.public_ssl.horizon) or old($.public_ssl.services)))) or\\n  (($.public_ssl.horizon or $.public_ssl.services) and\\n    ($.uid in added($.nodes).uid))) and\\n$.public_ssl.cert_source = 'self_signed'\\n"}	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_haproxy_keys}	[]	[{"role": "master", "name": "generate_haproxy_keys"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.pem", "dst": "/var/lib/astute/haproxy/public_haproxy.pem"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.crt", "dst": "/etc/pki/tls/certs/public_haproxy.pem"}], "dir_permissions": "0700", "permissions": "0600"}	{}
173	1	sync_time	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	shell	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"retries": 10, "cmd": "timeout -s9 40 ntpdate -u -v -s $(awk '/^server/ { if ($2 !~ /127\\\\.127\\\\.[0-9]+\\\\.[0-9]+/) {ORS=\\" \\"; print $2}}' /etc/ntp.conf)", "timeout": 300, "interval": 30}	{}
174	1	pre_hiera_config	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600, "cwd": "/"}	{}
175	1	override_configuration	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{pre_hiera_config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/override_configuration.pp", "timeout": 180, "cwd": "/"}	{}
176	1	dump_rabbitmq_definitions	2.1.0	{"yaql_exp": "changedAny($.rabbit, $.get('management_bind_ip_address'), $.get('rabbit_management_port'))\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/dump_rabbitmq_definitions.pp", "timeout": 180, "cwd": "/"}	{}
177	1	ironic_post_swift_key	2.1.0	{"yaql_exp": "$.ironic.enabled and changed($.ironic.enabled)"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum,enable_rados}	[]	[]	{"retries": 3, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/ironic_post_swift_key.rb", "timeout": 180, "interval": 20}	{}
178	1	ironic_upload_images	2.1.0	{"yaql_exp": "$.ironic.enabled and changed($.ironic.enabled)"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum,enable_rados}	[]	[]	{"retries": 3, "cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ironic/upload_images.rb {CLUSTER_ID}", "timeout": 180, "interval": 20}	{}
179	1	ironic_copy_bootstrap_key	2.1.0	{"yaql_exp": "($.ironic.enabled and (changed($.ironic.enabled) or ('ironic' in added($.roles))))\\n"}	copy_files	{}	{}	{ironic}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ironic/ironic.pub", "dst": "/var/lib/astute/ironic/ironic.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ironic/ironic", "dst": "/var/lib/astute/ironic/ironic"}], "dir_permissions": "0700", "permissions": "0600"}	{}
180	1	generate_deleted_nodes	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	upload_file	{}	{}	{master}	{}	{}	{pre_deployment_end}	{upload_configuration}	[]	[]	{"path": "/etc/fuel/cluster/{CLUSTER_ID}/deleted_nodes.yaml", "data": {"yaql_exp": "{\\"deleted_nodes\\" => deleted($.nodes.fqdn)}.toYaml()"}}	{}
181	1	copy_deleted_nodes	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_deleted_nodes}	[]	[{"role": "master", "name": "generate_deleted_nodes"}]	{"files": [{"src": "/etc/fuel/cluster/{CLUSTER_ID}/deleted_nodes.yaml", "dst": "/etc/hiera/deleted_nodes.yaml"}], "dir_permissions": "0700", "permissions": "0600"}	{}
182	1	cluster-vrouter	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{virtual_ips}	{primary-cluster,cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-vrouter/cluster-vrouter.pp", "timeout": 3600}	{}
183	1	virtual_ips	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.network_scheme, $.roles)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster,cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips_post.rb"}}
184	1	conntrackd	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.network_scheme, $.get('vrouter_name'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{virtual_ips,cluster,primary-cluster}	[]	[{"role": "self", "name": "/(primary-)?cluster/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd_pre.rb"}}
185	1	globals	2.1.0	{"yaql_exp": "changed($)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{hiera}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/globals/globals.pp", "timeout": 3600}	{"test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_post.py"}, "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_pre.py"}}
186	1	generate_vms	2.0.0	{"yaql_exp": "changed($.vms_conf)"}	puppet	{virt}	{}	{}	{}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/generate_vms/generate_vms.pp", "timeout": 3600}	{}
187	1	api-proxy	2.1.0	{"yaql_exp": "changedAny($.get('max_header_size'), $.get('apache_ports'), $.get('master_ip'), $.network_metadata.nodes.values().where($.node_roles.any($.matches('controller'))))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy_post.rb"}}
188	1	hosts	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_pre.rb"}}
189	1	primary-cluster-haproxy	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('database_vip'), ('primary-controller' in $.roles), $.get('haproxy'), $.get('external_lb'), $.get('colocate_haproxy'), $.debug, $.configuration.get('haproxy'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,virtual_ips,primary-cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}}
213	2	controller_remaining_tasks	2.1.0	{"yaql_exp": "changedAny(('primary-controller' in $.roles), $.quantum)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/controller.pp", "timeout": 3600}	{}
190	1	cluster-haproxy	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('database_vip'), ('primary-controller' in $.roles), $.get('haproxy'), $.get('external_lb'), $.get('colocate_haproxy'), $.debug, $.configuration.get('haproxy'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,virtual_ips,cluster}	[]	[{"name": "primary-cluster-haproxy"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}}
191	1	primary-dns-server	2.1.0	{"yaql_exp": "changedAny($.external_dns, ('primary-controller' in $.roles), $.get('master_ip'), $.network_metadata, $.get('vrouter_name'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}	{}
192	1	dns-server	2.1.0	{"yaql_exp": "changedAny($.external_dns, ('primary-controller' in $.roles), $.get('master_ip'), $.network_metadata, $.get('vrouter_name'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{openstack-haproxy}	[]	[{"name": "primary-dns-server"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}	{}
193	1	dns-client	2.1.0	{"yaql_exp": "changed($.network_metadata.get('vips',{}).get('vrouter',{}).get('ipaddr'))"}	puppet	{}	{}	{primary-mongo,mongo,primary-controller,controller,compute,ceph-osd,cinder,cinder-vmware}	{}	{}	{ntp-client}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-client.pp", "timeout": 3600, "cwd": "/"}	{}
194	2	pre_deployment_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{}	[]	[]	{}	{}
195	2	pre_deployment_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{pre_deployment_start}	[]	[]	{}	{}
196	2	deploy_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{pre_deployment_end}	[]	[]	{}	{}
197	2	deploy_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{deploy_start}	[]	[]	{}	{}
198	2	post_deployment_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{deploy_end}	[]	[]	{}	{}
199	2	post_deployment_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{post_deployment_start}	[]	[]	{}	{}
200	2	primary-controller	1.0.0	\N	group	{}	{}	{primary-controller}	{}	{}	{deploy_end}	{deploy_start}	[]	[]	{"strategy": {"type": "one_by_one"}}	{"fault_tolerance": 0}
201	2	controller	1.0.0	\N	group	{}	{}	{controller}	{}	{}	{deploy_end}	{primary-controller}	[]	[]	{"strategy": {"amount": 6, "type": "parallel"}}	{"fault_tolerance": 1}
202	2	cinder	1.0.0	\N	group	{}	{}	{cinder}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
203	2	cinder-block-device	1.0.0	\N	group	{}	{}	{cinder-block-device}	{}	{}	{deploy_end}	{compute}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
204	2	cinder-vmware	1.0.0	\N	group	{}	{}	{cinder-vmware}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
205	2	compute	1.0.0	\N	group	{}	{}	{compute}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
206	2	compute-vmware	1.0.0	\N	group	{}	{globals,hiera,tools,logging,netconfig,connectivity_tests,hosts,firewall,top-role-compute}	{compute-vmware}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
207	2	mongo	1.0.0	\N	group	{}	{}	{mongo}	{}	{}	{deploy_end,primary-controller,controller}	{primary-mongo}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": 1}
208	2	primary-mongo	1.0.0	\N	group	{}	{}	{primary-mongo}	{}	{}	{deploy_end,primary-controller,controller}	{deploy_start}	[]	[]	{"strategy": {"type": "one_by_one"}}	{"fault_tolerance": 0}
209	2	ceph-osd	1.0.0	\N	group	{}	{}	{ceph-osd}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
210	2	base-os	1.0.0	\N	group	{}	{hiera,globals,logging}	{base-os}	{}	{}	{deploy_end,primary-controller,controller,primary-mongo,mongo}	{deploy_start}	[]	[]	{"strategy": {"type": "parallel"}}	{}
211	2	virt	1.0.0	\N	group	{}	{}	{virt}	{}	{}	{deploy_end}	{}	[]	[]	{"strategy": {"type": "parallel"}}	{}
212	2	ironic	1.0.0	\N	group	{}	{}	{ironic}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
387	3	pre_deployment_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{}	[]	[]	{}	{}
214	2	top-role-compute	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.configuration, $.get('compute', ''), $.network_metadata.vips, $.debug, $.storage, $.nova, $.public_ssl, $.get('use_ssl', {}), $.get('nova_rate_limits', {}), $.get('nova_report_interval', 60), $.get('nova_service_down_time', 180), $.get('novanetwork_parameters', {}), $.get('nova_custom', {}), $.rabbit, $.cinder, $.ceilometer, $.get('use_syslog', true), $.get('use_stderr', false), $.get('syslog_log_facility_nova', ''), $.network_metadata.nodes.get(concat('node-', $.uid)), $.libvirt_type, $.get('kombu_compression', ''), $.dpdk, $.get('glance_api_servers', ''), $.get('block_device_allocate_retries', 300), $.get('block_device_allocate_retries_interval', 3), $.get('queue_provider', 'rabbit'), $.quantum_settings, $.get('memcached_addresses', ''), $.get('memcache_roles', ''), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/memcache') != null),\\n$.get('memcache_server_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/messaging') != null),\\n$.resume_guests_state_on_host_boot, $.use_cow_images)\\n"}	puppet	{compute}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{enable_nova_compute_service}	{hosts,firewall}	[]	[{"name": "keystone"}, {"name": "/(primary-)?openstack-controller/"}, {"name": "/(primary-)?rabbitmq/"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/compute.pp", "timeout": 3600}	{}
215	2	top-role-cinder	2.1.0	{"yaql_exp": "changedAny($.cinder, $.get('cinder_volume_group'), $.network_metadata.nodes.get(concat(\\"node-\\", $.uid)).network_roles.get('cinder/iscsi'), $.network_metadata.vips, $.debug, $.node_volumes, $.storage, $.rabbit, $.ceilometer, $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_cinder'), $.get('syslog_log_facility_ceph'), $.get('proxy_port'), $.get('kombu_compression'), $.get('use_ssl'), $.get('service_endpoint'), $.get('glance_api_servers'), $.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')))\\n"}	puppet	{cinder,cinder-block-device,cinder-vmware}	{}	{}	{}	{}	{enable_cinder_volume_service}	{hosts,firewall}	[]	[{"name": "openstack-cinder"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/cinder.pp", "timeout": 3600}	{}
216	2	enable_cinder_volume_service	2.1.0	{"yaql_exp": "changedAny($.cinder, $.get('cinder_volume_group'), $.network_metadata.nodes.get(concat(\\"node-\\", $.uid)).network_roles.get('cinder/iscsi'), $.network_metadata.vips, $.debug, $.node_volumes, $.storage, $.rabbit, $.ceilometer, $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_cinder'), $.get('syslog_log_facility_ceph'), $.get('proxy_port'), $.get('kombu_compression'), $.get('use_ssl'), $.get('service_endpoint'), $.get('glance_api_servers'), $.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')))\\n"}	puppet	{cinder,cinder-block-device}	{}	{}	{}	{}	{deploy_end}	{top-role-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/enable_cinder.pp", "timeout": 3600, "cwd": "/"}	{}
217	2	top-role-primary-mongo	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.network_scheme, $.mongo, $.get('mongodb_port'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n$.get('use_syslog'), $.debug, $.ceilometer, $.roles)\\n"}	puppet	{primary-mongo}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/mongo.pp", "timeout": 3600}	{}
218	2	top-role-mongo	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.network_scheme, $.mongo, $.get('mongodb_port'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n$.get('use_syslog'), $.debug, $.ceilometer, $.roles)\\n"}	puppet	{mongo}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "top-role-primary-mongo"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/mongo.pp", "timeout": 3600}	{}
219	2	ironic-conductor	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.network_scheme, $.ironic, $.network_metadata.vips, $.get('database_vip'), $.get('neutron_endpoint'), $.get('glance_api_servers'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.get('verbose'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.rabbit, $.storage, $.get('kombu_compression'))\\n"}	puppet	{ironic}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "ironic"}, {"name": "/(primary-)?database/"}, {"name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/ironic-conductor.pp", "timeout": 3600}	{}
227	2	openstack-controller	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, ('primary-controller' in $.roles), $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_nova'), $.sahara, $.storage, $.nova, $.get('nova_config'), $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.rabbit, $.get('use_ssl'), $.get('kombu_compression'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('region', 'RegionOne'), $.ironic, $.get('memcached_addresses'), $.get('memcache_server_port'), $.get('openstack_controller'), $.get('external_lb'), $.quantum_settings, $.get('database_vip'), $.nova_quota, $.use_vcenter, $.libvirt_type, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.use_cow_images, $.get('nova_endpoint'))\\n"}	puppet	{controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{openstack-haproxy}	[]	[{"name": "primary-openstack-controller"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/openstack-controller.pp", "timeout": 3600}	{}
220	2	enable_nova_compute_service	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.configuration, $.get('compute', ''), $.network_metadata.vips, $.debug, $.storage, $.nova, $.public_ssl, $.get('use_ssl', {}), $.get('nova_rate_limits', {}), $.get('nova_report_interval', 60), $.get('nova_service_down_time', 180), $.get('novanetwork_parameters', {}), $.get('nova_custom', {}), $.rabbit, $.cinder, $.ceilometer, $.get('use_syslog', true), $.get('use_stderr', false), $.get('syslog_log_facility_nova', ''), $.network_metadata.nodes.get(concat('node-', $.uid)), $.libvirt_type, $.get('kombu_compression', ''), $.dpdk, $.get('glance_api_servers', ''), $.get('block_device_allocate_retries', 300), $.get('block_device_allocate_retries_interval', 3), $.get('queue_provider', 'rabbit'), $.quantum_settings, $.get('memcached_addresses', ''), $.get('memcache_roles', ''), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/memcache') != null),\\n$.get('memcache_server_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/messaging') != null),\\n$.resume_guests_state_on_host_boot, $.use_cow_images)\\n"}	puppet	{compute,compute-vmware}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{top-role-compute,top-role-compute-vmware,openstack-network-compute-nova}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/enable_compute.pp", "timeout": 3600, "cwd": "/"}	{}
221	2	allocate_hugepages	2.1.0	{"yaql_exp": "changed($.get(\\"hugepages\\", []))"}	puppet	{}	{}	{/.*/}	{}	{}	{globals}	{setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/allocate_hugepages.pp", "timeout": 300, "cwd": "/"}	{}
222	2	ceilometer-controller	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.get('verbose'), $.debug, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_ceilometer'), $.storage, $.rabbit, $.network_metadata.vips, $.get('region', 'RegionOne'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n('primary-controller' in $.roles), $.get('kombu_compression'), $.get('service_endpoint'), $.get('use_ssl'), $.get('workers_max'), $.network_scheme, $.mongo, $.external_mongo, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('ceilometer'), $.configuration.get('ceilometer_api_paste_ini'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy}	[]	[{"name": "ceilometer-keystone"}, {"name": "/top-role-(primary-)?mongo/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/controller.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/controller_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/controller_pre.rb"}}
223	2	ceilometer-compute	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_ceilometer'), $.rabbit, $.network_metadata.vips, $.get('service_endpoint'), $.get('region', 'RegionOne'), $.ceilometer, $.get('verbose'), $.debug, $.get('use_ssl'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'))\\n"}	puppet	{compute,compute-vmware}	{}	{}	{}	{}	{deploy_end}	{ceilometer-controller,top-role-compute}	[]	[{"name": "ceilometer-controller"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/compute.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/compute_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/compute_pre.rb"}}
224	2	ceilometer-keystone	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ceilometer-controller}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/keystone.pp", "timeout": 1800}	{}
225	2	ceilometer-radosgw-user	2.1.0	{"yaql_exp": "($.ceilometer.enabled and $.storage.objects_ceph) and\\n (changedAny($.ceilometer.enabled, $.storage.objects_ceph))\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{post_deployment_start,enable_rados}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/radosgw_user.pp", "timeout": 300, "cwd": "/"}	{}
226	2	primary-openstack-controller	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, ('primary-controller' in $.roles), $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_nova'), $.sahara, $.storage, $.nova, $.get('nova_config'), $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.rabbit, $.get('use_ssl'), $.get('kombu_compression'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('region', 'RegionOne'), $.ironic, $.get('memcached_addresses'), $.get('memcache_server_port'), $.get('openstack_controller'), $.get('external_lb'), $.quantum_settings, $.get('database_vip'), $.nova_quota, $.use_vcenter, $.libvirt_type, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.use_cow_images, $.get('nova_endpoint'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{openstack-haproxy}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "nova-db"}, {"name": "nova-keystone"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/openstack-controller.pp", "timeout": 3600}	{}
399	3	compute-vmware	1.0.0	\N	group	{}	{globals,hiera,tools,logging,netconfig,connectivity_tests,hosts,firewall,top-role-compute}	{compute-vmware}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
228	2	nova-db	2.1.0	{"yaql_exp": "changedAny($.nova, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/db.pp", "timeout": 1800}	{}
229	2	nova-keystone	2.1.0	{"yaql_exp": "changedAny($.nova, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/keystone.pp", "timeout": 1800}	{}
230	2	primary-heat	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.heat, $.sahara, $.rabbit, $.get('max_retries'), $.get('max_pool_size'), $.get('max_overflow'), $.get('idle_timeout'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('heat_endpoint'), $.debug, $.get('verbose'), $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_heat'), $.deployment_mode, $.get('region', 'RegionOne'), $.get('external_lb'), $.get('database_vip'), $.get('heat_db_name'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('heat'), $.configuration.get('heat_api_paste_ini'), $.get('heat_ha_engine'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "heat-db"}, {"name": "heat-keystone"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/heat.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_pre.rb"}}
231	2	heat	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.heat, $.sahara, $.rabbit, $.get('max_retries'), $.get('max_pool_size'), $.get('max_overflow'), $.get('idle_timeout'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('heat_endpoint'), $.debug, $.get('verbose'), $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_heat'), $.deployment_mode, $.get('region', 'RegionOne'), $.get('external_lb'), $.get('database_vip'), $.get('heat_db_name'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('heat'), $.configuration.get('heat_api_paste_ini'), $.get('heat_ha_engine'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "primary-heat"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/heat.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_pre.rb"}}
232	2	heat-db	2.1.0	{"yaql_exp": "changedAny($.heat, $.mysql, $.network_metadata.get('vips',{}).get('management'), $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-heat,heat}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/db.pp", "timeout": 1800}	{}
233	2	heat-keystone	2.1.0	{"yaql_exp": "changedAny($.heat, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'), $.get('heat_endpoint'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{heat,primary-heat}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/keystone.pp", "timeout": 1800}	{}
234	2	neutron-db	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/db.pp", "timeout": 1800}	{}
235	2	neutron-keystone	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/keystone.pp", "timeout": 1800}	{}
236	2	openstack-network-start	2.0.0	\N	skipped	{primary-controller,controller,compute}	{}	{}	{}	{}	{openstack-network-common-config}	{neutron-keystone,neutron-db,netconfig,primary-openstack-controller,openstack-controller,top-role-compute}	[]	[{"name": "neutron-keystone"}, {"role": "primary-controller", "name": "openstack-haproxy"}, {"name": "neutron-db"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{}	{}
237	2	openstack-network-common-config	2.1.0	{"yaql_exp": "changedAny($.get('openstack_network'), $.get('verbose'), $.debug, $.quantum_settings, $.neutron_advanced_configuration, $.rabbit, $.ceilometer, $.network_scheme, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_neutron'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('kombu_compression'))\\n"}	puppet	{primary-controller,controller,compute}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/common-config.pp", "timeout": 1800}	{}
238	2	openstack-network-server-config	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.quantum_settings, $.get('database_vip'), $.network_metadata.vips, $.nova, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.get('region', 'RegionOne'), $.get('use_ssl'), $.neutron_advanced_configuration, $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{deploy_changes}	{neutron_plugin_ml2,neutron_config,neutron_api_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/server-config.pp", "timeout": 1800}	{}
239	2	primary-openstack-network-plugins-l2	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.fqdn, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.quantum_settings, $.public_ssl, $.get('use_ssl'), $.get('region'), $.network_scheme, $.neutron_advanced_configuration)\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_agent_ovs}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/plugins/ml2.pp", "timeout": 1800}	{}
240	2	openstack-network-plugins-l2	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.fqdn, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.quantum_settings, $.public_ssl, $.get('use_ssl'), $.get('region'), $.network_scheme, $.neutron_advanced_configuration)\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_agent_ovs}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config}	[]	[{"name": "primary-openstack-network-plugins-l2"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/plugins/ml2.pp", "timeout": 1800}	{}
241	2	openstack-network-networks	2.1.0	{"yaql_exp": "changedAny($.access, $.quantum_settings, $.quantum)"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,primary-openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/networks.pp", "timeout": 1800}	{}
242	2	openstack-network-routers	2.1.0	{"yaql_exp": "not $.neutron_advanced_configuration.neutron_l3_ha and changed($.neutron_advanced_configuration.neutron_l3_ha)\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-networks}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/routers.pp", "timeout": 1800}	{}
243	2	openstack-network-routers-ha	2.1.0	{"yaql_exp": "$.neutron_advanced_configuration.neutron_l3_ha and changed($.neutron_advanced_configuration.neutron_l3_ha)\\n"}	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/routers.pp", "timeout": 1800, "cwd": "/"}	{}
244	2	primary-openstack-network-agents-l3	2.1.0	{"yaql_exp": "changedAny($.quantum, $.neutron_advanced_configuration, $.get('neutron_controller_roles'), $.get('neutron_compute_nodes'), $.debug, $.configuration, $.network_scheme, ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_l3_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-networks,openstack-network-routers,primary-openstack-network-plugins-l2,openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/l3.pp", "timeout": 1800}	{}
245	2	openstack-network-agents-l3	2.1.0	{"yaql_exp": "changedAny($.quantum, $.neutron_advanced_configuration, $.get('neutron_controller_roles'), $.get('neutron_compute_nodes'), $.debug, $.configuration, $.network_scheme, ('primary-controller' in $.roles))\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_l3_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-networks,openstack-network-routers,primary-openstack-network-plugins-l2,openstack-network-plugins-l2}	[]	[{"role": ["/(primary-)?controller/"], "name": "/(primary-)?openstack-network-plugins-l2/"}, {"name": "primary-openstack-network-agents-l3"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/l3.pp", "timeout": 1800}	{}
246	2	openstack-network-agents-sriov	2.1.0	{"yaql_exp": "changedAny($.quantum, $.network_scheme, $.quantum_settings, $.configuration)\\n"}	puppet	{compute}	{}	{}	{}	{neutron_sriov_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/sriov.pp", "timeout": 1800}	{}
247	2	openstack-network-server-nova	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.network_metadata.vips, $.get('use_ssl'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-common-config/"}, {"role": "self", "name": "/(primary-)?openstack-network-server-config/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/server-nova.pp", "timeout": 1800}	{}
400	3	mongo	1.0.0	\N	group	{}	{}	{mongo}	{}	{}	{deploy_end,primary-controller,controller}	{primary-mongo}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": 1}
248	2	primary-openstack-network-agents-dhcp	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.debug, $.neutron_advanced_configuration, ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_dhcp_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/dhcp.pp", "timeout": 1800}	{}
249	2	openstack-network-agents-dhcp	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.debug, $.neutron_advanced_configuration, ('primary-controller' in $.roles))\\n"}	puppet	{controller}	{}	{}	{}	{neutron_dhcp_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"name": "primary-openstack-network-agents-dhcp"}, {"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/dhcp.pp", "timeout": 1800}	{}
250	2	primary-openstack-network-agents-metadata	2.1.0	{"yaql_exp": "($.quantum and changed($.quantum)) or\\n  changed($.get('neutron_controller_roles')) or\\nchangedAny($.get('neutron_compute_nodes'),\\n  $.neutron_advanced_configuration, $.debug, $.configuration,\\n  $.get('region'), $.network_metadata.vips, $.get('use_ssl'),\\n  $.quantum_settings, $.get('nova_endpoint'), $.get('nova_metadata_protocol'),\\n  $.get('workers_max'),\\n  ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_metadata_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}, {"role": "self", "name": "/(primary-)?openstack-network-agents-l3/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/metadata.pp", "timeout": 1800}	{}
251	2	openstack-network-agents-metadata	2.1.0	{"yaql_exp": "($.quantum and changed($.quantum)) or\\n  changed($.get('neutron_controller_roles')) or\\nchangedAny($.get('neutron_compute_nodes'),\\n  $.neutron_advanced_configuration, $.debug, $.configuration,\\n  $.get('region'), $.network_metadata.vips, $.get('use_ssl'),\\n  $.quantum_settings, $.get('nova_endpoint'), $.get('nova_metadata_protocol'),\\n  $.get('workers_max'),\\n  ('primary-controller' in $.roles))\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_metadata_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"name": "primary-openstack-network-agents-metadata"}, {"role": ["/(primary-)?controller/"], "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/metadata.pp", "timeout": 1800}	{}
252	2	openstack-network-compute-nova	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.quantum, $.quantum_settings, $.nova, $.network_metadata.vips, $.get('region'), $.get('use_ssl'))\\n"}	puppet	{compute}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-agents-l3,openstack-network-agents-metadata}	[]	[{"name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/compute-nova.pp", "timeout": 1800}	{}
253	2	openstack-network-end	2.0.0	\N	skipped	{primary-controller,controller,compute}	{}	{}	{}	{}	{deploy_end}	{}	[]	[]	{}	{}
254	2	swift-proxy_storage	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.network_scheme, $.network_metadata, $.swift,\\n  $.get('swift_master_role', 'primary-controller'),\\n  $.get('swift_object_roles'), ('primary-controller' in $.roles),\\n  $.get('swift_proxy_roles'), $.get('memcached_addresses'),\\n  $.network_metadata.nodes.values().where(\\n    ('controller' in $.node_roles) or\\n    ('primary-controller' in $.node_roles)),\\n  $.get('proxy_port'), $.storage, $.debug, $.get('verbose'),\\n  $.get('swift_ring_min_part_hours'), $.get('deploy_swift_proxy'),\\n  $.get('use_ssl'), $.rabbit,\\n  $.network_metadata.nodes.values().where(\\n    $.node_roles.any($.matches('controller'))).network_roles.select(\\n      $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n  $.get('memcache_server_port'), $.ceilometer.enabled, $.mp,\\n  $.get('swift_partition'), $.get('deploy_swift_storage')))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{openstack-controller,primary-rabbitmq,rabbitmq,memcached}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"role": "self", "name": "/glance/"}, {"name": "swift-keystone"}, {"role": "self", "name": "memcached"}, {"role": "primary-controller", "name": "/(primary-)?swift-proxy/"}, {"role": "self", "name": "ceilometer-controller"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/proxy_storage.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_pre.rb"}}
255	2	swift-rebalance-cron	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.storage, $.get('swift_master_role', 'primary-controller'),\\n  $.get('swift_ring_min_part_hours'),('primary-controller' in $.roles)))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{swift-proxy_storage}	[]	[{"role": "self", "name": "/(primary-)?swift-proxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/rebalance_cronjob.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/rebalance_cronjob_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_post.rb"}}
256	2	swift-keystone	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.swift, $.network_metadata.vips,\\n  $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl')))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{swift-proxy_storage}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/keystone.pp", "timeout": 1800}	{}
257	2	glance	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.glance, $.get('verbose'), $.debug, $.get('database_vip'), $.storage, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_glance'), $.rabbit, $.get('max_pool_size'), $.get('max_overflow'), $.ceilometer, $.get('region', 'RegionOne'), $.ironic, ('primary-controller' in $.roles), $.get('kombu_compression'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('use_ssl'), $.murano, $.configuration.get('glance_api'), $.configuration.get('glance_cache'), $.configuration.get('glance_registry'), $.configuration.get('glare_config'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,primary-database,database}	[]	[{"name": "glance-db"}, {"name": "glance-keystone"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/glance.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/glance/glance_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/glance/glance_pre.rb"}}
258	2	glance-db	2.1.0	{"yaql_exp": "changedAny($.glance, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{glance}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/db.pp", "timeout": 1800}	{}
259	2	glance-keystone	2.1.0	{"yaql_exp": "changedAny($.glance, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{glance}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/keystone.pp", "timeout": 1800}	{}
260	2	openrc-delete	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{keystone_config}	{primary-keystone,keystone}	{deploy_start,openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/openrc_delete.pp", "timeout": 90}	{}
261	2	primary-keystone	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{keystone_config}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,database,primary-rabbitmq,rabbitmq,primary-database}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "keystone-db"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/keystone.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_pre.rb"}}
272	2	ironic-compute	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.nova, $.network_metadata.vips, $.get('database_vip'), $.get('neutron_endpoint'), $.get('ironic_endpoint'), $.get('glance_api_servers'), $.debug, $.get('verbose'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.get('syslog_log_facility_nova'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.rabbit, $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.quantum_settings, $.get('memcached_addresses'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('memcache_server_port'), $.get('use_ssl'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{primary-openstack-controller,openstack-controller,ironic-api}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"role": "self", "name": "/(primary-)?openstack-controller/"}, {"role": "self", "name": "ironic-api"}, {"role": "self", "name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/ironic-compute.pp", "timeout": 3600}	{}
262	2	keystone	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{controller}	{}	{}	{}	{keystone_config}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,database,primary-rabbitmq,rabbitmq,primary-database}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "keystone-db"}, {"name": "primary-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/keystone.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_pre.rb"}}
263	2	keystone-db	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.keystone, $.mysql, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{keystone,primary-keystone}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/db.pp", "timeout": 1800}	{}
264	2	workloads_collector_add	2.1.0	{"yaql_exp": "changedAny($.workloads_collector, $.get('external_lb'), $.get('use_ssl'), $.network_metadata.get('vips',{}).get('management'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{keystone,primary-keystone}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/workloads_collector_add.pp", "timeout": 1800}	{}
265	2	openstack-cinder	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.cinder, $.network_metadata.vips, $.get('cinder_volume_group'), $.storage, $.ceilometer, $.sahara, $.rabbit, $.get('region', 'RegionOne'), $.get('use_ssl'), ('primary-controller' in $.roles), $.get('proxy_port'), $.get('kombu_compression'), $.get('keystone_endpoint'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('use_syslog'), $.get('use_stderr'), $.get('verbose'), $.debug, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('syslog_log_facility_cinder'), $.get('cinder_rate_limits'), $.configuration.get('cinder_api_paste_ini'), $.configuration.get('cinder'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,openstack-controller}	{primary-rabbitmq,rabbitmq,primary-keystone,keystone,hosts,firewall}	[]	[{"name": "cinder-db"}, {"name": "cinder-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/openstack-cinder.pp", "timeout": 1200}	{}
266	2	cinder-db	2.1.0	{"yaql_exp": "changedAny($.cinder, $.mysql, $.network_metadata.vips, $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-cinder}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/db.pp", "timeout": 1800}	{}
267	2	cinder-keystone	2.1.0	{"yaql_exp": "changedAny($.cinder, $.public_ssl, $.get('use_ssl'), $.network_metadata.vips, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-cinder}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules/", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/keystone.pp", "timeout": 1800}	{}
268	2	create-cinder-types	2.1.0	{"yaql_exp": "changed($.storage)"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{openstack-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/create_cinder_types.pp", "timeout": 1200}	{}
269	2	ironic-api	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.get('service_endpoint'), $.get('database_vip'), $.get('neutron_endpoint'), $.debug, $.get('verbose'), $.network_metadata, $.get('glance_api_servers'), $.get('default_log_levels'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.rabbit, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('amqp_port'), $.quantum_settings, ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('use_ssl'), $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,ironic-db,ironic-keystone}	[]	[{"name": "ironic-db"}, {"name": "ironic-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/ironic.pp", "timeout": 3600}	{}
270	2	ironic-db	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.mysql, $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ironic-api}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/db.pp", "timeout": 1800}	{}
271	2	ironic-keystone	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.network_metadata.vips, $.public_ssl, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ironic-api}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/keystone.pp", "timeout": 1800}	{}
273	2	sahara	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.access, $.sahara, $.rabbit, $.public_ssl, $.ceilometer, ('primary-controller' in $.roles), $.network_metadata.vips, $.get('database_vip'), $.quantum_settings, $.quantum, $.network_scheme, $.get('syslog_log_facility_sahara'), $.debug, $.get('verbose'), $.get('default_log_levels'), $.get('use_syslog'), $.get('use_stderr'), $.get('rabbit_ha_queues'), $.get('amqp_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.get('external_lb'), $.get('use_ssl'), $.get('kombu_compression'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{openstack-network-end,horizon}	[]	[{"name": "sahara-db"}, {"name": "sahara-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/sahara.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/sahara/sahara_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/sahara/sahara_pre.rb"}}
274	2	sahara-db	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.mysql, $.network_metadata.vips, $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{sahara}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/db.pp", "timeout": 1800}	{}
275	2	sahara-keystone	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.public_ssl, $.network_metadata.vips, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{sahara}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/keystone.pp", "timeout": 1800}	{}
276	2	horizon	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.horizon, $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.storage, $.neutron_advanced_configuration, $.public_ssl, $.get('horizon_use_ssl'), $.get('external_lb'), $.get('use_ssl'), $.nova_quota, $.debug, $.get('verbose'), $.get('apache_ports'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/horizon/horizon.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/horizon/horizon_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/horizon/horizon_pre.rb"}}
277	2	murano	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.murano_settings, $.rabbit, $.quantum_settings, $.network_metadata.vips, $.get('database_vip'), $.get('region', 'RegionOne'), $.quantum, $.network_metadata, $.get('syslog_log_facility_murano'), $.debug, $.get('verbose'), $.get('default_log_levels'), $.get('use_syslog'), $.get('use_stderr'), $.get('rabbit_ha_queues'), $.get('amqp_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.external_dns, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('external_lb'), $.get('keystone_endpoint'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-heat,heat,horizon,primary-rabbitmq,rabbitmq}	[]	[{"name": "murano-db"}, {"name": "murano-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/murano.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/murano/murano_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/murano/murano_pre.rb"}}
278	2	murano-db	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny( $.network_metadata.nodes.values().where($.fqdn = new($.fqdn)), $.murano, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/db.pp", "timeout": 1800}	{}
279	2	murano-keystone	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/keystone.pp", "timeout": 1800}	{}
280	2	murano-rabbitmq	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.rabbit, $.murano)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{murano}	{rabbitmq,primary-rabbitmq}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/rabbitmq.pp", "timeout": 1800}	{}
281	2	murano-cfapi	2.1.0	{"yaql_exp": "$.get('murano-cfapi').enabled and changedAny($.access, $.get('murano-cfapi'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.network_metadata, $.get('external_lb'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{}	{murano}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/cfapi.pp", "timeout": 1800}	{}
282	2	murano-cfapi-keystone	2.1.0	{"yaql_exp": "$.get('murano-cfapi').enabled and changedAny($.murano, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano-cfapi}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/keystone_cfapi.pp", "timeout": 1800}	{}
283	2	upload_murano_package	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano_settings.murano_glance_artifacts_plugin)\\n"}	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{upload_cirros}	[]	[{"name": "upload_cirros"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/upload_murano_package.pp", "timeout": 180}	{}
284	2	aodh	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.get('rabbit_ha_queues'), $.rabbit, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('amqp_port'), $.get('kombu_compression'), $.network_scheme, $.aodh, $.get('region', 'RegionOne'), $.debug, $.get('verbose'), $.get('database_vip'), $.get('external_lb'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.ceilometer)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{ceilometer-controller,openstack-controller}	{openstack-haproxy}	[]	[{"name": "aodh-db"}, {"name": "aodh-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/aodh.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/aodh/aodh_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/aodh/aodh_pre.rb"}}
285	2	aodh-keystone	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.aodh, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{aodh}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/keystone.pp", "timeout": 1800}	{}
286	2	aodh-db	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.aodh, $.get('database_vip'), $.mysql, $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{aodh}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/db.pp", "timeout": 1800}	{}
287	2	logging	2.1.0	{"yaql_exp": "changedAny($.base_syslog, $.syslog, $.get('use_syslog', true), $.syslog.get('debug', $.get('debug', false)), $.get('node_name_prefix_for_messaging', 'messaging-'))\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{deploy_end}	{globals,setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/logging/logging.pp", "timeout": 3600}	{}
288	2	apache	2.1.0	{"yaql_exp": "changed($)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{keystone,primary-keystone}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/apache/apache.pp", "timeout": 1200}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/apache/apache_post.rb"}}
289	2	primary-cluster	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.get('corosync_roles'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall,deploy_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}}
290	2	cluster	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.get('corosync_roles'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall,deploy_start}	[]	{"yaql_exp": "[{name=>'primary-cluster', role=>$.roles.select('primary-' + $)}]\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}}
291	2	cluster_health	2.1.0	{"yaql_exp": "changedAny($.get('corosync_roles'), $.get('corosync_disks'), $.get('corosync_min_disk_space'), $.get('corosync_disk_unit'), $.get('corosync_disk_monitor_interval'), $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster,cluster}	[]	[{"role": "self", "name": "/(primary-)?cluster/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/health.pp", "timeout": 600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/health_post.rb"}}
292	2	database	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('use_syslog'), ('primary-controller' in $.roles), $.mysql, $.network_metadata.vips, $.get('database_vip'), $.network_metadata.nodes.get(concat('node-', $.uid)).network_roles.get(\\n  'mgmt/database'),\\n$.get('database_nodes'), $.get('mysql_custom_setup_class'), $.get('mysql_binary_logs'), $.configuration.get('mysql'))\\n"}	puppet	{controller}	{}	{}	{deploy_changes}	{}	{openstack-controller,primary-openstack-controller}	{deploy_start,openstack-haproxy}	[]	[{"name": "primary-database"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}}
328	2	ssl-dns-setup	2.1.0	{"yaql_exp": "(changed($.public_ssl) and\\n ($.public_ssl.horizon or $.public_ssl.services)) or\\n(changed($.get('use_ssl')) and (len($.get('use_ssl', [])) > 0))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{hosts}	{firewall,ssl-add-trust-chain}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_dns_setup.pp", "timeout": 3600}	{}
293	2	primary-database	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('use_syslog'), ('primary-controller' in $.roles), $.mysql, $.network_metadata.vips, $.get('database_vip'), $.network_metadata.nodes.get(concat('node-', $.uid)).network_roles.get(\\n  'mgmt/database'),\\n$.get('database_nodes'), $.get('mysql_custom_setup_class'), $.get('mysql_binary_logs'), $.configuration.get('mysql'))\\n"}	puppet	{primary-controller}	{}	{}	{deploy_changes}	{}	{openstack-controller,primary-openstack-controller}	{deploy_start,openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}}
294	2	hiera_default_route	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.dpdk, $.get('use_ovs'), $.get('set_rps'), $.get('set_rps'), $.get('run_ping_checker'), $.network_scheme.endpoints.values().where(\\n  $.get('gateway') != null).gateway)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,compute-vmware,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{}	{}	{"yaql_exp": "switch(\\n  (\\n    ('mongo' in $.roles) or ('primary-mongo' in $.roles)\\n  ) => [\\n      {name=>'configure_default_route',role=>'self'}\\n    ],\\n  true => [\\n    {name=>'netconfig',role=>'self'}\\n  ]\\n)\\n"}	{"yaql_exp": "switch(\\n  (\\n    ('mongo' in $.roles) or ('primary-mongo' in $.roles)\\n  ) => [\\n      {name=>'netconfig',role=>'self'},\\n      {name=>'post_deployment_start',role=>'self'}\\n    ],\\n  true => [\\n    {name=>'tools',role=>'self'}\\n  ]\\n)\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/hiera_default_route.pp", "timeout": 120}	{}
295	2	netconfig	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.dpdk, $.get('use_ovs'), $.get('set_rps'), $.get('set_rps'), $.get('run_ping_checker'), $.network_scheme.endpoints.values().where(\\n  $.get('gateway') != null).gateway)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{tools}	[]	{"yaql_exp": "switch(\\n  (\\n    $.roles.any($.matches('^(primary-)?(mongo)$'))\\n    or ($.network_metadata.get('vips',{}).get('vrouter',{}).get('ipaddr') = null)\\n    or (\\n      len($.roles.toSet().intersect($.network_metadata.get('vips',{}).get('vrouter',{}).get('node_roles').toSet())) > 0\\n    )\\n  ) => [],\\n  true => [{\\n    name => 'virtual_ips',\\n    role => $.network_metadata.get('vips',{}).get('vrouter',{}).get('node_roles')\\n  }]\\n)\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_pre.rb"}}
296	2	connectivity_tests	2.1.0	{"yaql_exp": "changedAny($.repo_setup, $.network_scheme)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{firewall,hosts}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/connectivity_tests.pp", "timeout": 3600, "cwd": "/"}	{}
297	2	sriov_iommu_check	2.1.0	{"yaql_exp": "changed($.network_scheme.transformations)"}	puppet	{compute}	{}	{}	{}	{}	{firewall,hosts}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/sriov_iommu_check.pp", "timeout": 120, "cwd": "/"}	{}
298	2	reserved_ports	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{globals}	{rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/reserved_ports.pp", "timeout": 180, "cwd": "/"}	{}
299	2	vmware-vcenter	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{controller_remaining_tasks}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/vcenter.pp", "timeout": 3600}	{}
300	2	top-role-cinder-vmware	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{cinder-vmware}	{}	{}	{}	{}	{deploy_end}	{top-role-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_pre.rb"}}
301	2	top-role-compute-vmware	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{compute-vmware}	{}	{}	{}	{}	{enable_nova_compute_service}	{top-role-compute,ceilometer-compute,ceilometer-keystone}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/compute-vmware.pp", "timeout": 180}	{}
302	2	umm	2.1.0	{"yaql_exp": "$.uid in added($.nodes.uid)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{tools}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/umm/umm.pp", "timeout": 3600}	{}
401	3	primary-mongo	1.0.0	\N	group	{}	{}	{primary-mongo}	{}	{}	{deploy_end,primary-controller,controller}	{deploy_start}	[]	[]	{"strategy": {"type": "one_by_one"}}	{"fault_tolerance": 0}
303	2	openstack-haproxy	2.0.0	\N	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,openstack-haproxy-ceilometer,openstack-haproxy-aodh,openstack-haproxy-cinder,openstack-haproxy-glance,openstack-haproxy-heat,openstack-haproxy-horizon,openstack-haproxy-keystone,openstack-haproxy-murano,openstack-haproxy-mysqld,openstack-haproxy-neutron,openstack-haproxy-nova,openstack-haproxy-radosgw,openstack-haproxy-sahara,openstack-haproxy-swift,openstack-haproxy-stats,openstack-haproxy-ironic}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy.pp", "timeout": 300}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
304	2	openstack-haproxy-horizon	2.1.0	{"yaql_exp": "changedAny($.horizon, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
305	2	openstack-haproxy-keystone	2.1.0	{"yaql_exp": "changedAny($.keystone, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('keystone_names'), $.get('keystone_ipaddresses'), $.get('public_service_endpoint'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
306	2	openstack-haproxy-nova	2.1.0	{"yaql_exp": "changedAny($.nova, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
307	2	openstack-haproxy-heat	2.1.0	{"yaql_exp": "$.heat.enabled and changedAny($.heat, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('heat_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
308	2	openstack-haproxy-glance	2.1.0	{"yaql_exp": "changedAny($.glance, $.public_ssl, $.get('use_ssl'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
309	2	openstack-haproxy-cinder	2.1.0	{"yaql_exp": "changedAny($.cinder, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
329	2	cgroups	2.1.0	{"yaql_exp": "changed($.cgroups)"}	puppet	{}	{}	{/.*/}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cgroups/cgroups.pp", "timeout": 3600}	{}
402	3	ceph-osd	1.0.0	\N	group	{}	{}	{ceph-osd}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
310	2	openstack-haproxy-neutron	2.1.0	{"yaql_exp": "changedAny($.quantum, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('neutron_names'), $.get('neutron_ipaddresses'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
311	2	openstack-haproxy-mysqld	2.1.0	{"yaql_exp": "changedAny($.mysql, $.get('custom_mysql_setup_class', 'galera'), $.get('external_lb'), $.get('database_nodes'), $.get('mysqld_names'), $.get('mysqld_ipaddresses'), $.network_metadata.vips, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('database_vip'), ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
312	2	openstack-haproxy-swift	2.1.0	{"yaql_exp": "changedAny($.storage, $.get('swift_proxy_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('swift_server_names'), $.get('swift_ipaddresses'), $.network_metadata.vips, $.ironic, $.network_scheme, $.network_metadata.nodes.get(concat('node-', $.uid)))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
313	2	openstack-haproxy-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips, $.ironic)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
314	2	openstack-haproxy-ceilometer	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
315	2	openstack-haproxy-aodh	2.1.0	{"yaql_exp": "changedAny($.ceilometer, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-aodh.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-aodh_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
316	2	openstack-haproxy-sahara	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('sahara_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
403	3	base-os	1.0.0	\N	group	{}	{hiera,globals,logging}	{base-os}	{}	{}	{deploy_end,primary-controller,controller,primary-mongo,mongo}	{deploy_start}	[]	[]	{"strategy": {"type": "parallel"}}	{}
317	2	openstack-haproxy-murano	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.get('murano-cfapi'), $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('murano_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('murano_names'), $.get('murano_ipaddresses'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
318	2	openstack-haproxy-stats	2.1.0	{"yaql_exp": "changed($.get('external_lb')) or changed($.network_metadata.vips)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-stats.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-stats_post.rb"}}
319	2	openstack-haproxy-ironic	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.get('ironic_api_nodes'), $.network_metadata, $.public_ssl, $.get('use_ssl'), $.get('external_lb'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ironic.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ironic_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
320	2	memcached	2.1.0	{"yaql_exp": "changed($.network_scheme)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,keystone,primary-keystone}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/memcached/memcached.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/memcached/memcached_post.rb"}}
321	2	plugins_rsync	2.1.0	{"yaql_exp": "len($.plugins) > 0"}	puppet	{/.*/}	{}	{}	{}	{}	{pre_deployment_start}	{configuration_symlink}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/plugins/plugins_rsync.pp", "timeout": 600}	{}
322	2	plugins_setup_repositories	2.1.0	{"yaql_exp": "len($.plugins) > 0"}	puppet	{/.*/}	{}	{}	{}	{}	{pre_deployment_start}	{plugins_rsync}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/plugins/plugins_setup_repositories.pp", "timeout": 600}	{}
323	2	ntp-server	2.1.0	{"yaql_exp": "changed($.external_ntp)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ntp-client}	{dns-client}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-server.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ntp/ntp_post.rb"}}
324	2	ntp-client	2.1.0	{"yaql_exp": "changedAny($.network_metadata.get('vips',{}).get('management'), $.get('ntp_servers'))\\n"}	puppet	{}	{}	{primary-mongo,mongo,compute,ceph-osd,cinder,cinder-vmware}	{}	{}	{post_deployment_end}	{dns-client}	[]	[{"policy": "any", "name": "ntp-server"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-client.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ntp/ntp_post.rb"}}
325	2	ntp-check	2.1.0	{"yaql_exp": "changed($.external_ntp)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ntp-server}	{dns-client}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-check.pp", "timeout": 600, "cwd": "/"}	{}
326	2	ssl-keys-saving	2.1.0	{"yaql_exp": "(($.public_ssl.horizon or $.public_ssl.services) and\\n   $.public_ssl.cert_source = 'user_uploaded' and\\n   changed($.public_ssl.cert_data)) or\\n (changed($.get('use_ssl')) and len($.get('use_ssl', [])) > 0)\\n"}	puppet	{primary-controller,controller,compute,compute-vmware,cinder,cinder-vmware,primary-mongo,mongo,ceph-osd,virt}	{}	{}	{}	{}	{deploy_end}	{firewall}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving.pp", "timeout": 3600}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}}
327	2	ssl-add-trust-chain	2.1.0	{"yaql_exp": "(changed($.public_ssl) and\\n ($.public_ssl.horizon or $.public_ssl.services)) or\\n(changed($.get('use_ssl')) and (len($.get('use_ssl', [])) > 0))\\n"}	puppet	{primary-controller,controller,compute,compute-vmware,cinder,cinder-vmware,primary-mongo,mongo,ceph-osd,virt}	{}	{}	{}	{}	{hosts}	{firewall,ssl-keys-saving}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_add_trust_chain.pp", "timeout": 3600}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}}
404	3	virt	1.0.0	\N	group	{}	{}	{virt}	{}	{}	{deploy_end}	{}	[]	[]	{"strategy": {"type": "parallel"}}	{}
330	2	rabbitmq	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('queue_provider'), $.get('erlang_cookie'), $.get('rabbit_version'), $.get('amqp_port'), $.rabbit, $.get('rabbit_ocf'), $.debug, $.get('rabbit_cluster_partition_handling'), $.get('mnesia_table_loading_timeout'), $.network_metadata.nodes.values().where($.uid = new($.uid)), $.get('management_bind_ip_address'), $.get('rabbit_management_port'), $.get('enable_rpc_ha'), $.get('enable_notifications_ha'), $.get('node_name_prefix_for_messaging'), $.get('rabbit_config_kernel_variables'), $.get('rabbit_config_variables'), $.get('rabbit_config_management_variables'), $.get('rabbit_environment_variables'), $.configuration.get('rabbitmq'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,openstack-controller,primary-openstack-controller,glance}	{netconfig,cluster}	[]	[{"name": "primary-rabbitmq"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 3)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq_post.rb"}}
331	2	primary-rabbitmq	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('queue_provider'), $.get('erlang_cookie'), $.get('rabbit_version'), $.get('amqp_port'), $.rabbit, $.get('rabbit_ocf'), $.debug, $.get('rabbit_cluster_partition_handling'), $.get('mnesia_table_loading_timeout'), $.network_metadata.nodes.values().where($.uid = new($.uid)), $.get('management_bind_ip_address'), $.get('rabbit_management_port'), $.get('enable_rpc_ha'), $.get('enable_notifications_ha'), $.get('node_name_prefix_for_messaging'), $.get('rabbit_config_kernel_variables'), $.get('rabbit_config_variables'), $.get('rabbit_config_management_variables'), $.get('rabbit_environment_variables'), $.configuration.get('rabbitmq'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,openstack-controller,primary-openstack-controller,glance}	{netconfig,primary-cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 3)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq_post.rb"}}
332	2	tools	2.1.0	{"yaql_exp": "changedAny($.get('custom_accounting_file', undef), $.puppet, $.deployment_mode)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{deploy_end}	{logging}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/tools/tools.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/tools/tools_post.rb"}}
333	2	firewall	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, ($.ironic.enabled and changed($.ironic.enabled)), $.roles, $.master_ip)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/firewall/firewall.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_pre.rb"}}
334	2	copy_keys_ceph	2.0.0	\N	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_keys_ceph}	[]	[{"role": "master", "name": "generate_keys_ceph"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph.pub", "dst": "/var/lib/astute/ceph/ceph.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph", "dst": "/var/lib/astute/ceph/ceph"}], "dir_permissions": "0700", "permissions": "0600"}	{}
335	2	generate_keys_ceph	2.0.0	\N	shell	{}	{}	{master}	{}	{}	{copy_keys_ceph}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -i {CLUSTER_ID} -s 'ceph' -p /var/lib/fuel/keys/", "timeout": 180}	{}
336	2	top-role-ceph-osd	2.1.0	{"yaql_exp": "changedAny($.storage, $.debug, $.network_scheme, $.get('use_syslog'), $.network_metadata.nodes.values().where(\\n  ('primary-controller' in $.node_roles) or\\n  ('controller' in $.node_roles)),\\n$.get('ceph_tuning_settings'), $.get('syslog_log_level_ceph'), $.get('syslog_log_facility_ceph'))\\n"}	puppet	{ceph-osd}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "ceph-mon"}, {"name": "/(primary-)?ceph-radosgw/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph-osd.pp", "timeout": 3600}	{}
337	2	primary-ceph-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.keystone, $.network_metadata.vips, $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('use_ssl'), ('primary-controller' in $.roles), $.network_scheme, $.get('apache_ports'), $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.get('syslog_log_level_ceph'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache,ceph-mon,primary-ceph-mon}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}}
349	2	fuel_pkgs	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{}	{}	{globals}	{setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/fuel_pkgs.pp", "timeout": 600}	{}
405	3	ironic	1.0.0	\N	group	{}	{}	{ironic}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
338	2	ceph-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.keystone, $.network_metadata.vips, $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('use_ssl'), ('primary-controller' in $.roles), $.network_scheme, $.get('apache_ports'), $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.get('syslog_log_level_ceph'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache,ceph-mon,primary-ceph-mon}	[]	[{"name": "primary-ceph-radosgw"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}}
339	2	radosgw-keystone	2.1.0	{"yaql_exp": "changedAny($.storage, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-ceph-radosgw,ceph-radosgw}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_keystone.pp", "timeout": 1800}	{}
340	2	primary-ceph-mon	2.1.0	{"yaql_exp": "changedAny($.storage, $.quantum, $.network_metadata, $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_scheme, $.get('syslog_log_level_ceph'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-openstack-controller,openstack-controller,openstack-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}	{}
341	2	ceph-mon	2.1.0	{"yaql_exp": "changedAny($.storage, $.quantum, $.network_metadata, $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_scheme, $.get('syslog_log_level_ceph'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-openstack-controller,openstack-controller,openstack-cinder}	[]	[{"name": "primary-ceph-mon"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}	{}
342	2	ceph-compute	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\n(changedAny($.storage, $.quantum, $.network_metadata.vips,\\n $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone,\\n $.network_scheme,\\n  $.network_metadata.nodes.values().flatten().node_roles.flatten().where(\\n    $ = 'controller' or $ = 'primary-controller')))\\n"}	puppet	{}	{}	{compute}	{}	{}	{post_deployment_end}	{ceph_create_pools}	[]	[{"name": "ceph_create_pools"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute_post.rb"}}
343	2	ceph_create_pools	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\nchanged($.storage)\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ceph_ready_check}	{post_deployment_start}	[{"name": "ceph_ready_check"}]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_pools.pp", "timeout": 3600, "cwd": "/"}	{}
344	2	ceph_ready_check	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\nchanged($.storage)\\n"}	shell	{}	{}	{primary-controller}	{}	{}	{enable_rados,upload_cirros}	{post_deployment_start}	[]	[]	{"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_ready_check.rb", "timeout": 1800}	{}
345	2	enable_rados	2.1.0	{"yaql_exp": "$.storage.objects_ceph and changed($.storage.objects_ceph)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{upload_cirros,post_deployment_end}	{post_deployment_start}	[{"name": "upload_cirros"}]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/enable_rados.pp", "timeout": 180, "cwd": "/"}	{}
346	2	updatedb	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\n(changedAny($.storage, $.quantum, $.network_metadata.vips,\\n $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone,\\n $.network_scheme,\\n  $.network_metadata.nodes.values().flatten().node_roles.flatten().where(\\n    $ = 'controller' or $ = 'primary-controller')))\\n"}	puppet	{}	{}	{primary-controller,controller,ceph-osd}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/updatedb.pp", "timeout": 120, "cwd": "/"}	{}
347	2	hiera	2.1.0	{"yaql_exp": "($.uid in added($.nodes).uid) or changedAny($.plugins, $.cgroups)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{setup_repositories}	{deploy_start,rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600}	{"test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_post.py"}, "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_pre.py"}}
348	2	setup_repositories	2.1.0	{"yaql_exp": "($.uid in added($.nodes).uid) or changed($.repo_setup)"}	puppet	{/.*/}	{}	{}	{}	{}	{fuel_pkgs}	{hiera}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/setup_repositories.pp", "timeout": 600}	{}
350	2	enable_quorum	2.1.0	{"yaql_exp": "changed($.nodes) or changed($.get('corosync_roles'))"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[{"name": "dns-client"}, {"name": "ntp-server"}, {"name": "public_vip_ping"}]	{"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/enable_quorum.rb", "timeout": 180}	{}
351	2	upload_cirros	2.1.0	{"yaql_exp": "changedAny($.test_vm_image, $.glance, $.network_metadata.vips, $.get('region', 'RegionOne'), $.get('use_ssl'))\\n"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum}	[]	[{"name": "enable_quorum"}]	{"retries": 5, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/upload_cirros.rb", "timeout": 600, "interval": 60}	{}
352	2	upload_nodes_info	2.1.0	\N	skipped	{}	{}	{/.*/}	{}	{}	{}	{post_deployment_start}	[]	[]	{}	{}
353	2	upload_configuration	2.1.0	{"yaql_exp": "changed($)"}	upload_file	{}	{}	{master,/.*/}	{}	{*}	{pre_deployment_start}	{override_configuration}	[]	[]	{"path": "/etc/fuel/cluster/{CLUSTER_ID}/astute.yaml", "data": {"yaql_exp": "$.toYaml()"}, "timeout": 180}	{}
354	2	configuration_symlink	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	shell	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{upload_configuration}	[]	[]	{"cmd": "ln -sf /etc/fuel/cluster/{CLUSTER_ID}/astute.yaml /etc/astute.yaml", "timeout": 180}	{}
355	2	update_hosts	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	puppet	{}	{}	{/.*/}	{}	{}	{post_deployment_end}	{upload_nodes_info,copy_deleted_nodes}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600, "cwd": "/"}	{}
356	2	vcenter_compute_zones_create	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	shell	{}	{}	{primary-controller,compute-vmware}	{}	{}	{post_deployment_end}	{post_deployment_start,enable_nova_compute_service}	[]	[]	{"cmd": "/usr/bin/python /etc/puppet/modules/osnailyfacter/modular/astute/vcenter_hooks.py --create_zones", "timeout": 180}	{}
357	2	disable_keystone_service_token	2.0.0	{"yaql_exp": "changed($.keystone.get('service_token_off')) and $.keystone.get('service_token_off')\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{upload_cirros}	[]	[{"name": "upload_cirros"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/service_token_off.pp", "timeout": 180, "cwd": "/"}	{}
358	2	public_vip_ping	2.1.0	{"yaql_exp": "changed($.network_scheme) or changed($.get('run_ping_checker'))"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/public_vip_ping.pp", "timeout": 3600, "cwd": "/"}	{}
359	2	configure_default_route	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata.get('vips',{}).get('management'))"}	puppet	{}	{}	{primary-mongo,mongo}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/configure_default_route.pp", "timeout": 3600, "cwd": "/"}	{}
360	2	rsync_core_puppet	2.0.0	\N	sync	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{}	[]	[]	{"src": "rsync://{MASTER_IP}:/puppet/{OPENSTACK_VERSION}/modules/", "dst": "/etc/puppet/modules", "timeout": 180}	{}
361	2	clear_nodes_info	2.0.0	\N	skipped	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"retries": 1, "cmd": "rm -f /etc/hiera/nodes.yaml"}	{}
362	2	copy_keys	2.0.0	\N	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_keys}	[]	[{"role": "master", "name": "generate_keys"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron.pub", "dst": "/var/lib/astute/neutron/neutron.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron", "dst": "/var/lib/astute/neutron/neutron"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova.pub", "dst": "/var/lib/astute/nova/nova.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova", "dst": "/var/lib/astute/nova/nova"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql.pub", "dst": "/var/lib/astute/mysql/mysql.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql", "dst": "/var/lib/astute/mysql/mysql"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mongodb/mongodb.key", "dst": "/var/lib/astute/mongodb/mongodb.key"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/fernet-keys/0", "dst": "/var/lib/astute/keystone/0"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/fernet-keys/1", "dst": "/var/lib/astute/keystone/1"}], "dir_permissions": "0700", "permissions": "0600"}	{}
363	2	generate_keys	2.0.0	\N	shell	{}	{}	{master}	{}	{}	{copy_keys}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -p /var/lib/fuel/keys/ -i {CLUSTER_ID} -o 'mongodb' -s 'neutron nova mysql' -f '0 1'", "timeout": 180}	{}
364	2	generate_haproxy_keys	2.1.0	{"yaql_exp": "(changedAny($.public_ssl.horizon, $.public_ssl.services)) and ($.public_ssl.horizon or $.public_ssl.services) and $.public_ssl.cert_source = 'self_signed'\\n"}	shell	{}	{}	{master}	{}	{}	{copy_haproxy_keys}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_haproxy_keys.sh -i {CLUSTER_ID} -h {CN_HOSTNAME} -o 'haproxy' -p /var/lib/fuel/keys/", "timeout": 180}	{}
388	3	pre_deployment_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{pre_deployment_start}	[]	[]	{}	{}
389	3	deploy_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{pre_deployment_end}	[]	[]	{}	{}
365	2	copy_haproxy_keys	2.1.0	{"yaql_exp": "(((changedAny($.public_ssl.horizon, $.public_ssl.services)) and\\n    ($.public_ssl.horizon or $.public_ssl.services) and\\n    (not (old($.public_ssl.horizon) or old($.public_ssl.services)))) or\\n  (($.public_ssl.horizon or $.public_ssl.services) and\\n    ($.uid in added($.nodes).uid))) and\\n$.public_ssl.cert_source = 'self_signed'\\n"}	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_haproxy_keys}	[]	[{"role": "master", "name": "generate_haproxy_keys"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.pem", "dst": "/var/lib/astute/haproxy/public_haproxy.pem"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.crt", "dst": "/etc/pki/tls/certs/public_haproxy.pem"}], "dir_permissions": "0700", "permissions": "0600"}	{}
366	2	sync_time	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	shell	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"retries": 10, "cmd": "timeout -s9 40 ntpdate -u -v -s $(awk '/^server/ { if ($2 !~ /127\\\\.127\\\\.[0-9]+\\\\.[0-9]+/) {ORS=\\" \\"; print $2}}' /etc/ntp.conf)", "timeout": 300, "interval": 30}	{}
367	2	pre_hiera_config	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600, "cwd": "/"}	{}
368	2	override_configuration	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{pre_hiera_config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/override_configuration.pp", "timeout": 180, "cwd": "/"}	{}
369	2	dump_rabbitmq_definitions	2.1.0	{"yaql_exp": "changedAny($.rabbit, $.get('management_bind_ip_address'), $.get('rabbit_management_port'))\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/dump_rabbitmq_definitions.pp", "timeout": 180, "cwd": "/"}	{}
370	2	ironic_post_swift_key	2.1.0	{"yaql_exp": "$.ironic.enabled and changed($.ironic.enabled)"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum,enable_rados}	[]	[]	{"retries": 3, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/ironic_post_swift_key.rb", "timeout": 180, "interval": 20}	{}
371	2	ironic_upload_images	2.1.0	{"yaql_exp": "$.ironic.enabled and changed($.ironic.enabled)"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum,enable_rados}	[]	[]	{"retries": 3, "cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ironic/upload_images.rb {CLUSTER_ID}", "timeout": 180, "interval": 20}	{}
372	2	ironic_copy_bootstrap_key	2.1.0	{"yaql_exp": "($.ironic.enabled and (changed($.ironic.enabled) or ('ironic' in added($.roles))))\\n"}	copy_files	{}	{}	{ironic}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ironic/ironic.pub", "dst": "/var/lib/astute/ironic/ironic.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ironic/ironic", "dst": "/var/lib/astute/ironic/ironic"}], "dir_permissions": "0700", "permissions": "0600"}	{}
373	2	generate_deleted_nodes	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	upload_file	{}	{}	{master}	{}	{}	{pre_deployment_end}	{upload_configuration}	[]	[]	{"path": "/etc/fuel/cluster/{CLUSTER_ID}/deleted_nodes.yaml", "data": {"yaql_exp": "{\\"deleted_nodes\\" => deleted($.nodes.fqdn)}.toYaml()"}}	{}
374	2	copy_deleted_nodes	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_deleted_nodes}	[]	[{"role": "master", "name": "generate_deleted_nodes"}]	{"files": [{"src": "/etc/fuel/cluster/{CLUSTER_ID}/deleted_nodes.yaml", "dst": "/etc/hiera/deleted_nodes.yaml"}], "dir_permissions": "0700", "permissions": "0600"}	{}
375	2	cluster-vrouter	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{virtual_ips}	{primary-cluster,cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-vrouter/cluster-vrouter.pp", "timeout": 3600}	{}
376	2	virtual_ips	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.network_scheme, $.roles)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster,cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips_post.rb"}}
377	2	conntrackd	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.network_scheme, $.get('vrouter_name'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{virtual_ips,cluster,primary-cluster}	[]	[{"role": "self", "name": "/(primary-)?cluster/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd_pre.rb"}}
390	3	deploy_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{deploy_start}	[]	[]	{}	{}
391	3	post_deployment_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{deploy_end}	[]	[]	{}	{}
392	3	post_deployment_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{post_deployment_start}	[]	[]	{}	{}
378	2	globals	2.1.0	{"yaql_exp": "changed($)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{hiera}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/globals/globals.pp", "timeout": 3600}	{"test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_post.py"}, "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_pre.py"}}
379	2	generate_vms	2.0.0	{"yaql_exp": "changed($.vms_conf)"}	puppet	{virt}	{}	{}	{}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/generate_vms/generate_vms.pp", "timeout": 3600}	{}
380	2	api-proxy	2.1.0	{"yaql_exp": "changedAny($.get('max_header_size'), $.get('apache_ports'), $.get('master_ip'), $.network_metadata.nodes.values().where($.node_roles.any($.matches('controller'))))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy_post.rb"}}
381	2	hosts	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_pre.rb"}}
382	2	primary-cluster-haproxy	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('database_vip'), ('primary-controller' in $.roles), $.get('haproxy'), $.get('external_lb'), $.get('colocate_haproxy'), $.debug, $.configuration.get('haproxy'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,virtual_ips,primary-cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}}
383	2	cluster-haproxy	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('database_vip'), ('primary-controller' in $.roles), $.get('haproxy'), $.get('external_lb'), $.get('colocate_haproxy'), $.debug, $.configuration.get('haproxy'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,virtual_ips,cluster}	[]	[{"name": "primary-cluster-haproxy"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}}
384	2	primary-dns-server	2.1.0	{"yaql_exp": "changedAny($.external_dns, ('primary-controller' in $.roles), $.get('master_ip'), $.network_metadata, $.get('vrouter_name'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}	{}
385	2	dns-server	2.1.0	{"yaql_exp": "changedAny($.external_dns, ('primary-controller' in $.roles), $.get('master_ip'), $.network_metadata, $.get('vrouter_name'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{openstack-haproxy}	[]	[{"name": "primary-dns-server"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}	{}
386	2	dns-client	2.1.0	{"yaql_exp": "changed($.network_metadata.get('vips',{}).get('vrouter',{}).get('ipaddr'))"}	puppet	{}	{}	{primary-mongo,mongo,primary-controller,controller,compute,ceph-osd,cinder,cinder-vmware}	{}	{}	{ntp-client}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-client.pp", "timeout": 3600, "cwd": "/"}	{}
406	3	controller_remaining_tasks	2.1.0	{"yaql_exp": "changedAny(('primary-controller' in $.roles), $.quantum)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/controller.pp", "timeout": 3600}	{}
407	3	top-role-compute	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.configuration, $.get('compute', ''), $.network_metadata.vips, $.debug, $.storage, $.nova, $.public_ssl, $.get('use_ssl', {}), $.get('nova_rate_limits', {}), $.get('nova_report_interval', 60), $.get('nova_service_down_time', 180), $.get('novanetwork_parameters', {}), $.get('nova_custom', {}), $.rabbit, $.cinder, $.ceilometer, $.get('use_syslog', true), $.get('use_stderr', false), $.get('syslog_log_facility_nova', ''), $.network_metadata.nodes.get(concat('node-', $.uid)), $.libvirt_type, $.get('kombu_compression', ''), $.dpdk, $.get('glance_api_servers', ''), $.get('block_device_allocate_retries', 300), $.get('block_device_allocate_retries_interval', 3), $.get('queue_provider', 'rabbit'), $.quantum_settings, $.get('memcached_addresses', ''), $.get('memcache_roles', ''), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/memcache') != null),\\n$.get('memcache_server_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/messaging') != null),\\n$.resume_guests_state_on_host_boot, $.use_cow_images)\\n"}	puppet	{compute}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{enable_nova_compute_service}	{hosts,firewall}	[]	[{"name": "keystone"}, {"name": "/(primary-)?openstack-controller/"}, {"name": "/(primary-)?rabbitmq/"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/compute.pp", "timeout": 3600}	{}
408	3	top-role-cinder	2.1.0	{"yaql_exp": "changedAny($.cinder, $.get('cinder_volume_group'), $.network_metadata.nodes.get(concat(\\"node-\\", $.uid)).network_roles.get('cinder/iscsi'), $.network_metadata.vips, $.debug, $.node_volumes, $.storage, $.rabbit, $.ceilometer, $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_cinder'), $.get('syslog_log_facility_ceph'), $.get('proxy_port'), $.get('kombu_compression'), $.get('use_ssl'), $.get('service_endpoint'), $.get('glance_api_servers'), $.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')))\\n"}	puppet	{cinder,cinder-block-device,cinder-vmware}	{}	{}	{}	{}	{enable_cinder_volume_service}	{hosts,firewall}	[]	[{"name": "openstack-cinder"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/cinder.pp", "timeout": 3600}	{}
409	3	enable_cinder_volume_service	2.1.0	{"yaql_exp": "changedAny($.cinder, $.get('cinder_volume_group'), $.network_metadata.nodes.get(concat(\\"node-\\", $.uid)).network_roles.get('cinder/iscsi'), $.network_metadata.vips, $.debug, $.node_volumes, $.storage, $.rabbit, $.ceilometer, $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_cinder'), $.get('syslog_log_facility_ceph'), $.get('proxy_port'), $.get('kombu_compression'), $.get('use_ssl'), $.get('service_endpoint'), $.get('glance_api_servers'), $.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')))\\n"}	puppet	{cinder,cinder-block-device}	{}	{}	{}	{}	{deploy_end}	{top-role-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/enable_cinder.pp", "timeout": 3600, "cwd": "/"}	{}
410	3	top-role-primary-mongo	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.network_scheme, $.mongo, $.get('mongodb_port'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n$.get('use_syslog'), $.debug, $.ceilometer, $.roles)\\n"}	puppet	{primary-mongo}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/mongo.pp", "timeout": 3600}	{}
411	3	top-role-mongo	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.network_scheme, $.mongo, $.get('mongodb_port'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n$.get('use_syslog'), $.debug, $.ceilometer, $.roles)\\n"}	puppet	{mongo}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "top-role-primary-mongo"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/mongo.pp", "timeout": 3600}	{}
412	3	ironic-conductor	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.network_scheme, $.ironic, $.network_metadata.vips, $.get('database_vip'), $.get('neutron_endpoint'), $.get('glance_api_servers'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.get('verbose'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.rabbit, $.storage, $.get('kombu_compression'))\\n"}	puppet	{ironic}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "ironic"}, {"name": "/(primary-)?database/"}, {"name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/ironic-conductor.pp", "timeout": 3600}	{}
429	3	openstack-network-start	2.0.0	\N	skipped	{primary-controller,controller,compute}	{}	{}	{}	{}	{openstack-network-common-config}	{neutron-keystone,neutron-db,netconfig,primary-openstack-controller,openstack-controller,top-role-compute}	[]	[{"name": "neutron-keystone"}, {"role": "primary-controller", "name": "openstack-haproxy"}, {"name": "neutron-db"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{}	{}
474	3	murano-cfapi	2.1.0	{"yaql_exp": "$.get('murano-cfapi').enabled and changedAny($.access, $.get('murano-cfapi'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.network_metadata, $.get('external_lb'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{}	{murano}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/cfapi.pp", "timeout": 1800}	{}
413	3	enable_nova_compute_service	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.configuration, $.get('compute', ''), $.network_metadata.vips, $.debug, $.storage, $.nova, $.public_ssl, $.get('use_ssl', {}), $.get('nova_rate_limits', {}), $.get('nova_report_interval', 60), $.get('nova_service_down_time', 180), $.get('novanetwork_parameters', {}), $.get('nova_custom', {}), $.rabbit, $.cinder, $.ceilometer, $.get('use_syslog', true), $.get('use_stderr', false), $.get('syslog_log_facility_nova', ''), $.network_metadata.nodes.get(concat('node-', $.uid)), $.libvirt_type, $.get('kombu_compression', ''), $.dpdk, $.get('glance_api_servers', ''), $.get('block_device_allocate_retries', 300), $.get('block_device_allocate_retries_interval', 3), $.get('queue_provider', 'rabbit'), $.quantum_settings, $.get('memcached_addresses', ''), $.get('memcache_roles', ''), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/memcache') != null),\\n$.get('memcache_server_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/messaging') != null),\\n$.resume_guests_state_on_host_boot, $.use_cow_images)\\n"}	puppet	{compute,compute-vmware}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{top-role-compute,top-role-compute-vmware,openstack-network-compute-nova}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/enable_compute.pp", "timeout": 3600, "cwd": "/"}	{}
414	3	allocate_hugepages	2.1.0	{"yaql_exp": "changed($.get(\\"hugepages\\", []))"}	puppet	{}	{}	{/.*/}	{}	{}	{globals}	{setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/allocate_hugepages.pp", "timeout": 300, "cwd": "/"}	{}
415	3	ceilometer-controller	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.get('verbose'), $.debug, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_ceilometer'), $.storage, $.rabbit, $.network_metadata.vips, $.get('region', 'RegionOne'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n('primary-controller' in $.roles), $.get('kombu_compression'), $.get('service_endpoint'), $.get('use_ssl'), $.get('workers_max'), $.network_scheme, $.mongo, $.external_mongo, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('ceilometer'), $.configuration.get('ceilometer_api_paste_ini'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy}	[]	[{"name": "ceilometer-keystone"}, {"name": "/top-role-(primary-)?mongo/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/controller.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/controller_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/controller_pre.rb"}}
416	3	ceilometer-compute	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_ceilometer'), $.rabbit, $.network_metadata.vips, $.get('service_endpoint'), $.get('region', 'RegionOne'), $.ceilometer, $.get('verbose'), $.debug, $.get('use_ssl'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'))\\n"}	puppet	{compute,compute-vmware}	{}	{}	{}	{}	{deploy_end}	{ceilometer-controller,top-role-compute}	[]	[{"name": "ceilometer-controller"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/compute.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/compute_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/compute_pre.rb"}}
417	3	ceilometer-keystone	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ceilometer-controller}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/keystone.pp", "timeout": 1800}	{}
418	3	ceilometer-radosgw-user	2.1.0	{"yaql_exp": "($.ceilometer.enabled and $.storage.objects_ceph) and\\n (changedAny($.ceilometer.enabled, $.storage.objects_ceph))\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{post_deployment_start,enable_rados}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/radosgw_user.pp", "timeout": 300, "cwd": "/"}	{}
419	3	primary-openstack-controller	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, ('primary-controller' in $.roles), $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_nova'), $.sahara, $.storage, $.nova, $.get('nova_config'), $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.rabbit, $.get('use_ssl'), $.get('kombu_compression'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('region', 'RegionOne'), $.ironic, $.get('memcached_addresses'), $.get('memcache_server_port'), $.get('openstack_controller'), $.get('external_lb'), $.quantum_settings, $.get('database_vip'), $.nova_quota, $.use_vcenter, $.libvirt_type, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.use_cow_images, $.get('nova_endpoint'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{openstack-haproxy}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "nova-db"}, {"name": "nova-keystone"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/openstack-controller.pp", "timeout": 3600}	{}
420	3	openstack-controller	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, ('primary-controller' in $.roles), $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_nova'), $.sahara, $.storage, $.nova, $.get('nova_config'), $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.rabbit, $.get('use_ssl'), $.get('kombu_compression'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('region', 'RegionOne'), $.ironic, $.get('memcached_addresses'), $.get('memcache_server_port'), $.get('openstack_controller'), $.get('external_lb'), $.quantum_settings, $.get('database_vip'), $.nova_quota, $.use_vcenter, $.libvirt_type, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.use_cow_images, $.get('nova_endpoint'))\\n"}	puppet	{controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{openstack-haproxy}	[]	[{"name": "primary-openstack-controller"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/openstack-controller.pp", "timeout": 3600}	{}
421	3	nova-db	2.1.0	{"yaql_exp": "changedAny($.nova, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/db.pp", "timeout": 1800}	{}
422	3	nova-keystone	2.1.0	{"yaql_exp": "changedAny($.nova, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/keystone.pp", "timeout": 1800}	{}
423	3	primary-heat	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.heat, $.sahara, $.rabbit, $.get('max_retries'), $.get('max_pool_size'), $.get('max_overflow'), $.get('idle_timeout'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('heat_endpoint'), $.debug, $.get('verbose'), $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_heat'), $.deployment_mode, $.get('region', 'RegionOne'), $.get('external_lb'), $.get('database_vip'), $.get('heat_db_name'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('heat'), $.configuration.get('heat_api_paste_ini'), $.get('heat_ha_engine'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "heat-db"}, {"name": "heat-keystone"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/heat.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_pre.rb"}}
424	3	heat	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.heat, $.sahara, $.rabbit, $.get('max_retries'), $.get('max_pool_size'), $.get('max_overflow'), $.get('idle_timeout'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('heat_endpoint'), $.debug, $.get('verbose'), $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_heat'), $.deployment_mode, $.get('region', 'RegionOne'), $.get('external_lb'), $.get('database_vip'), $.get('heat_db_name'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('heat'), $.configuration.get('heat_api_paste_ini'), $.get('heat_ha_engine'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "primary-heat"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/heat.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_pre.rb"}}
425	3	heat-db	2.1.0	{"yaql_exp": "changedAny($.heat, $.mysql, $.network_metadata.get('vips',{}).get('management'), $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-heat,heat}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/db.pp", "timeout": 1800}	{}
426	3	heat-keystone	2.1.0	{"yaql_exp": "changedAny($.heat, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'), $.get('heat_endpoint'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{heat,primary-heat}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/keystone.pp", "timeout": 1800}	{}
427	3	neutron-db	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/db.pp", "timeout": 1800}	{}
428	3	neutron-keystone	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/keystone.pp", "timeout": 1800}	{}
430	3	openstack-network-common-config	2.1.0	{"yaql_exp": "changedAny($.get('openstack_network'), $.get('verbose'), $.debug, $.quantum_settings, $.neutron_advanced_configuration, $.rabbit, $.ceilometer, $.network_scheme, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_neutron'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('kombu_compression'))\\n"}	puppet	{primary-controller,controller,compute}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/common-config.pp", "timeout": 1800}	{}
431	3	openstack-network-server-config	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.quantum_settings, $.get('database_vip'), $.network_metadata.vips, $.nova, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.get('region', 'RegionOne'), $.get('use_ssl'), $.neutron_advanced_configuration, $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{deploy_changes}	{neutron_plugin_ml2,neutron_config,neutron_api_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/server-config.pp", "timeout": 1800}	{}
432	3	primary-openstack-network-plugins-l2	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.fqdn, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.quantum_settings, $.public_ssl, $.get('use_ssl'), $.get('region'), $.network_scheme, $.neutron_advanced_configuration)\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_agent_ovs}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/plugins/ml2.pp", "timeout": 1800}	{}
433	3	openstack-network-plugins-l2	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.fqdn, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.quantum_settings, $.public_ssl, $.get('use_ssl'), $.get('region'), $.network_scheme, $.neutron_advanced_configuration)\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_agent_ovs}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config}	[]	[{"name": "primary-openstack-network-plugins-l2"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/plugins/ml2.pp", "timeout": 1800}	{}
434	3	openstack-network-networks	2.1.0	{"yaql_exp": "changedAny($.access, $.quantum_settings, $.quantum)"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,primary-openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/networks.pp", "timeout": 1800}	{}
435	3	openstack-network-routers	2.1.0	{"yaql_exp": "not $.neutron_advanced_configuration.neutron_l3_ha and changed($.neutron_advanced_configuration.neutron_l3_ha)\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-networks}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/routers.pp", "timeout": 1800}	{}
436	3	openstack-network-routers-ha	2.1.0	{"yaql_exp": "$.neutron_advanced_configuration.neutron_l3_ha and changed($.neutron_advanced_configuration.neutron_l3_ha)\\n"}	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/routers.pp", "timeout": 1800, "cwd": "/"}	{}
437	3	primary-openstack-network-agents-l3	2.1.0	{"yaql_exp": "changedAny($.quantum, $.neutron_advanced_configuration, $.get('neutron_controller_roles'), $.get('neutron_compute_nodes'), $.debug, $.configuration, $.network_scheme, ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_l3_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-networks,openstack-network-routers,primary-openstack-network-plugins-l2,openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/l3.pp", "timeout": 1800}	{}
438	3	openstack-network-agents-l3	2.1.0	{"yaql_exp": "changedAny($.quantum, $.neutron_advanced_configuration, $.get('neutron_controller_roles'), $.get('neutron_compute_nodes'), $.debug, $.configuration, $.network_scheme, ('primary-controller' in $.roles))\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_l3_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-networks,openstack-network-routers,primary-openstack-network-plugins-l2,openstack-network-plugins-l2}	[]	[{"role": ["/(primary-)?controller/"], "name": "/(primary-)?openstack-network-plugins-l2/"}, {"name": "primary-openstack-network-agents-l3"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/l3.pp", "timeout": 1800}	{}
439	3	openstack-network-agents-sriov	2.1.0	{"yaql_exp": "changedAny($.quantum, $.network_scheme, $.quantum_settings, $.configuration)\\n"}	puppet	{compute}	{}	{}	{}	{neutron_sriov_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/sriov.pp", "timeout": 1800}	{}
440	3	openstack-network-server-nova	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.network_metadata.vips, $.get('use_ssl'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-common-config/"}, {"role": "self", "name": "/(primary-)?openstack-network-server-config/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/server-nova.pp", "timeout": 1800}	{}
441	3	primary-openstack-network-agents-dhcp	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.debug, $.neutron_advanced_configuration, ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_dhcp_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/dhcp.pp", "timeout": 1800}	{}
442	3	openstack-network-agents-dhcp	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.debug, $.neutron_advanced_configuration, ('primary-controller' in $.roles))\\n"}	puppet	{controller}	{}	{}	{}	{neutron_dhcp_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"name": "primary-openstack-network-agents-dhcp"}, {"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/dhcp.pp", "timeout": 1800}	{}
443	3	primary-openstack-network-agents-metadata	2.1.0	{"yaql_exp": "($.quantum and changed($.quantum)) or\\n  changed($.get('neutron_controller_roles')) or\\nchangedAny($.get('neutron_compute_nodes'),\\n  $.neutron_advanced_configuration, $.debug, $.configuration,\\n  $.get('region'), $.network_metadata.vips, $.get('use_ssl'),\\n  $.quantum_settings, $.get('nova_endpoint'), $.get('nova_metadata_protocol'),\\n  $.get('workers_max'),\\n  ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_metadata_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}, {"role": "self", "name": "/(primary-)?openstack-network-agents-l3/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/metadata.pp", "timeout": 1800}	{}
444	3	openstack-network-agents-metadata	2.1.0	{"yaql_exp": "($.quantum and changed($.quantum)) or\\n  changed($.get('neutron_controller_roles')) or\\nchangedAny($.get('neutron_compute_nodes'),\\n  $.neutron_advanced_configuration, $.debug, $.configuration,\\n  $.get('region'), $.network_metadata.vips, $.get('use_ssl'),\\n  $.quantum_settings, $.get('nova_endpoint'), $.get('nova_metadata_protocol'),\\n  $.get('workers_max'),\\n  ('primary-controller' in $.roles))\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_metadata_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"name": "primary-openstack-network-agents-metadata"}, {"role": ["/(primary-)?controller/"], "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/metadata.pp", "timeout": 1800}	{}
445	3	openstack-network-compute-nova	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.quantum, $.quantum_settings, $.nova, $.network_metadata.vips, $.get('region'), $.get('use_ssl'))\\n"}	puppet	{compute}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-agents-l3,openstack-network-agents-metadata}	[]	[{"name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/compute-nova.pp", "timeout": 1800}	{}
446	3	openstack-network-end	2.0.0	\N	skipped	{primary-controller,controller,compute}	{}	{}	{}	{}	{deploy_end}	{}	[]	[]	{}	{}
447	3	swift-proxy_storage	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.network_scheme, $.network_metadata, $.swift,\\n  $.get('swift_master_role', 'primary-controller'),\\n  $.get('swift_object_roles'), ('primary-controller' in $.roles),\\n  $.get('swift_proxy_roles'), $.get('memcached_addresses'),\\n  $.network_metadata.nodes.values().where(\\n    ('controller' in $.node_roles) or\\n    ('primary-controller' in $.node_roles)),\\n  $.get('proxy_port'), $.storage, $.debug, $.get('verbose'),\\n  $.get('swift_ring_min_part_hours'), $.get('deploy_swift_proxy'),\\n  $.get('use_ssl'), $.rabbit,\\n  $.network_metadata.nodes.values().where(\\n    $.node_roles.any($.matches('controller'))).network_roles.select(\\n      $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n  $.get('memcache_server_port'), $.ceilometer.enabled, $.mp,\\n  $.get('swift_partition'), $.get('deploy_swift_storage')))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{openstack-controller,primary-rabbitmq,rabbitmq,memcached}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"role": "self", "name": "/glance/"}, {"name": "swift-keystone"}, {"role": "self", "name": "memcached"}, {"role": "primary-controller", "name": "/(primary-)?swift-proxy/"}, {"role": "self", "name": "ceilometer-controller"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/proxy_storage.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_pre.rb"}}
448	3	swift-rebalance-cron	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.storage, $.get('swift_master_role', 'primary-controller'),\\n  $.get('swift_ring_min_part_hours'),('primary-controller' in $.roles)))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{swift-proxy_storage}	[]	[{"role": "self", "name": "/(primary-)?swift-proxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/rebalance_cronjob.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/rebalance_cronjob_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_post.rb"}}
449	3	swift-keystone	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.swift, $.network_metadata.vips,\\n  $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl')))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{swift-proxy_storage}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/keystone.pp", "timeout": 1800}	{}
450	3	glance	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.glance, $.get('verbose'), $.debug, $.get('database_vip'), $.storage, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_glance'), $.rabbit, $.get('max_pool_size'), $.get('max_overflow'), $.ceilometer, $.get('region', 'RegionOne'), $.ironic, ('primary-controller' in $.roles), $.get('kombu_compression'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('use_ssl'), $.murano, $.configuration.get('glance_api'), $.configuration.get('glance_cache'), $.configuration.get('glance_registry'), $.configuration.get('glare_config'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,primary-database,database}	[]	[{"name": "glance-db"}, {"name": "glance-keystone"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/glance.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/glance/glance_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/glance/glance_pre.rb"}}
451	3	glance-db	2.1.0	{"yaql_exp": "changedAny($.glance, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{glance}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/db.pp", "timeout": 1800}	{}
452	3	glance-keystone	2.1.0	{"yaql_exp": "changedAny($.glance, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{glance}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/keystone.pp", "timeout": 1800}	{}
453	3	openrc-delete	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{keystone_config}	{primary-keystone,keystone}	{deploy_start,openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/openrc_delete.pp", "timeout": 90}	{}
454	3	primary-keystone	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{keystone_config}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,database,primary-rabbitmq,rabbitmq,primary-database}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "keystone-db"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/keystone.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_pre.rb"}}
473	3	murano-rabbitmq	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.rabbit, $.murano)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{murano}	{rabbitmq,primary-rabbitmq}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/rabbitmq.pp", "timeout": 1800}	{}
455	3	keystone	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{controller}	{}	{}	{}	{keystone_config}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,database,primary-rabbitmq,rabbitmq,primary-database}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "keystone-db"}, {"name": "primary-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/keystone.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_pre.rb"}}
456	3	keystone-db	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.keystone, $.mysql, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{keystone,primary-keystone}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/db.pp", "timeout": 1800}	{}
457	3	workloads_collector_add	2.1.0	{"yaql_exp": "changedAny($.workloads_collector, $.get('external_lb'), $.get('use_ssl'), $.network_metadata.get('vips',{}).get('management'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{keystone,primary-keystone}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/workloads_collector_add.pp", "timeout": 1800}	{}
458	3	openstack-cinder	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.cinder, $.network_metadata.vips, $.get('cinder_volume_group'), $.storage, $.ceilometer, $.sahara, $.rabbit, $.get('region', 'RegionOne'), $.get('use_ssl'), ('primary-controller' in $.roles), $.get('proxy_port'), $.get('kombu_compression'), $.get('keystone_endpoint'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('use_syslog'), $.get('use_stderr'), $.get('verbose'), $.debug, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('syslog_log_facility_cinder'), $.get('cinder_rate_limits'), $.configuration.get('cinder_api_paste_ini'), $.configuration.get('cinder'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,openstack-controller}	{primary-rabbitmq,rabbitmq,primary-keystone,keystone,hosts,firewall}	[]	[{"name": "cinder-db"}, {"name": "cinder-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/openstack-cinder.pp", "timeout": 1200}	{}
459	3	cinder-db	2.1.0	{"yaql_exp": "changedAny($.cinder, $.mysql, $.network_metadata.vips, $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-cinder}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/db.pp", "timeout": 1800}	{}
460	3	cinder-keystone	2.1.0	{"yaql_exp": "changedAny($.cinder, $.public_ssl, $.get('use_ssl'), $.network_metadata.vips, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-cinder}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules/", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/keystone.pp", "timeout": 1800}	{}
461	3	create-cinder-types	2.1.0	{"yaql_exp": "changed($.storage)"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{openstack-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/create_cinder_types.pp", "timeout": 1200}	{}
462	3	ironic-api	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.get('service_endpoint'), $.get('database_vip'), $.get('neutron_endpoint'), $.debug, $.get('verbose'), $.network_metadata, $.get('glance_api_servers'), $.get('default_log_levels'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.rabbit, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('amqp_port'), $.quantum_settings, ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('use_ssl'), $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,ironic-db,ironic-keystone}	[]	[{"name": "ironic-db"}, {"name": "ironic-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/ironic.pp", "timeout": 3600}	{}
463	3	ironic-db	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.mysql, $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ironic-api}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/db.pp", "timeout": 1800}	{}
464	3	ironic-keystone	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.network_metadata.vips, $.public_ssl, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ironic-api}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/keystone.pp", "timeout": 1800}	{}
465	3	ironic-compute	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.nova, $.network_metadata.vips, $.get('database_vip'), $.get('neutron_endpoint'), $.get('ironic_endpoint'), $.get('glance_api_servers'), $.debug, $.get('verbose'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.get('syslog_log_facility_nova'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.rabbit, $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.quantum_settings, $.get('memcached_addresses'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('memcache_server_port'), $.get('use_ssl'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{primary-openstack-controller,openstack-controller,ironic-api}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"role": "self", "name": "/(primary-)?openstack-controller/"}, {"role": "self", "name": "ironic-api"}, {"role": "self", "name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/ironic-compute.pp", "timeout": 3600}	{}
466	3	sahara	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.access, $.sahara, $.rabbit, $.public_ssl, $.ceilometer, ('primary-controller' in $.roles), $.network_metadata.vips, $.get('database_vip'), $.quantum_settings, $.quantum, $.network_scheme, $.get('syslog_log_facility_sahara'), $.debug, $.get('verbose'), $.get('default_log_levels'), $.get('use_syslog'), $.get('use_stderr'), $.get('rabbit_ha_queues'), $.get('amqp_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.get('external_lb'), $.get('use_ssl'), $.get('kombu_compression'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{openstack-network-end,horizon}	[]	[{"name": "sahara-db"}, {"name": "sahara-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/sahara.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/sahara/sahara_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/sahara/sahara_pre.rb"}}
467	3	sahara-db	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.mysql, $.network_metadata.vips, $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{sahara}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/db.pp", "timeout": 1800}	{}
468	3	sahara-keystone	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.public_ssl, $.network_metadata.vips, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{sahara}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/keystone.pp", "timeout": 1800}	{}
469	3	horizon	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.horizon, $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.storage, $.neutron_advanced_configuration, $.public_ssl, $.get('horizon_use_ssl'), $.get('external_lb'), $.get('use_ssl'), $.nova_quota, $.debug, $.get('verbose'), $.get('apache_ports'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/horizon/horizon.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/horizon/horizon_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/horizon/horizon_pre.rb"}}
470	3	murano	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.murano_settings, $.rabbit, $.quantum_settings, $.network_metadata.vips, $.get('database_vip'), $.get('region', 'RegionOne'), $.quantum, $.network_metadata, $.get('syslog_log_facility_murano'), $.debug, $.get('verbose'), $.get('default_log_levels'), $.get('use_syslog'), $.get('use_stderr'), $.get('rabbit_ha_queues'), $.get('amqp_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.external_dns, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('external_lb'), $.get('keystone_endpoint'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-heat,heat,horizon,primary-rabbitmq,rabbitmq}	[]	[{"name": "murano-db"}, {"name": "murano-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/murano.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/murano/murano_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/murano/murano_pre.rb"}}
471	3	murano-db	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny( $.network_metadata.nodes.values().where($.fqdn = new($.fqdn)), $.murano, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/db.pp", "timeout": 1800}	{}
472	3	murano-keystone	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/keystone.pp", "timeout": 1800}	{}
475	3	murano-cfapi-keystone	2.1.0	{"yaql_exp": "$.get('murano-cfapi').enabled and changedAny($.murano, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano-cfapi}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/keystone_cfapi.pp", "timeout": 1800}	{}
476	3	upload_murano_package	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano_settings.murano_glance_artifacts_plugin)\\n"}	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{upload_cirros}	[]	[{"name": "upload_cirros"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/upload_murano_package.pp", "timeout": 180}	{}
477	3	aodh	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.get('rabbit_ha_queues'), $.rabbit, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('amqp_port'), $.get('kombu_compression'), $.network_scheme, $.aodh, $.get('region', 'RegionOne'), $.debug, $.get('verbose'), $.get('database_vip'), $.get('external_lb'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.ceilometer)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{ceilometer-controller,openstack-controller}	{openstack-haproxy}	[]	[{"name": "aodh-db"}, {"name": "aodh-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/aodh.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/aodh/aodh_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/aodh/aodh_pre.rb"}}
478	3	aodh-keystone	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.aodh, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{aodh}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/keystone.pp", "timeout": 1800}	{}
479	3	aodh-db	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.aodh, $.get('database_vip'), $.mysql, $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{aodh}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/db.pp", "timeout": 1800}	{}
480	3	logging	2.1.0	{"yaql_exp": "changedAny($.base_syslog, $.syslog, $.get('use_syslog', true), $.syslog.get('debug', $.get('debug', false)), $.get('node_name_prefix_for_messaging', 'messaging-'))\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{deploy_end}	{globals,setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/logging/logging.pp", "timeout": 3600}	{}
481	3	apache	2.1.0	{"yaql_exp": "changed($)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{keystone,primary-keystone}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/apache/apache.pp", "timeout": 1200}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/apache/apache_post.rb"}}
482	3	primary-cluster	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.get('corosync_roles'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall,deploy_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}}
483	3	cluster	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.get('corosync_roles'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall,deploy_start}	[]	{"yaql_exp": "[{name=>'primary-cluster', role=>$.roles.select('primary-' + $)}]\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}}
484	3	cluster_health	2.1.0	{"yaql_exp": "changedAny($.get('corosync_roles'), $.get('corosync_disks'), $.get('corosync_min_disk_space'), $.get('corosync_disk_unit'), $.get('corosync_disk_monitor_interval'), $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster,cluster}	[]	[{"role": "self", "name": "/(primary-)?cluster/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/health.pp", "timeout": 600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/health_post.rb"}}
485	3	database	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('use_syslog'), ('primary-controller' in $.roles), $.mysql, $.network_metadata.vips, $.get('database_vip'), $.network_metadata.nodes.get(concat('node-', $.uid)).network_roles.get(\\n  'mgmt/database'),\\n$.get('database_nodes'), $.get('mysql_custom_setup_class'), $.get('mysql_binary_logs'), $.configuration.get('mysql'))\\n"}	puppet	{controller}	{}	{}	{deploy_changes}	{}	{openstack-controller,primary-openstack-controller}	{deploy_start,openstack-haproxy}	[]	[{"name": "primary-database"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}}
486	3	primary-database	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('use_syslog'), ('primary-controller' in $.roles), $.mysql, $.network_metadata.vips, $.get('database_vip'), $.network_metadata.nodes.get(concat('node-', $.uid)).network_roles.get(\\n  'mgmt/database'),\\n$.get('database_nodes'), $.get('mysql_custom_setup_class'), $.get('mysql_binary_logs'), $.configuration.get('mysql'))\\n"}	puppet	{primary-controller}	{}	{}	{deploy_changes}	{}	{openstack-controller,primary-openstack-controller}	{deploy_start,openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}}
487	3	hiera_default_route	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.dpdk, $.get('use_ovs'), $.get('set_rps'), $.get('set_rps'), $.get('run_ping_checker'), $.network_scheme.endpoints.values().where(\\n  $.get('gateway') != null).gateway)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,compute-vmware,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{}	{}	{"yaql_exp": "switch(\\n  (\\n    ('mongo' in $.roles) or ('primary-mongo' in $.roles)\\n  ) => [\\n      {name=>'configure_default_route',role=>'self'}\\n    ],\\n  true => [\\n    {name=>'netconfig',role=>'self'}\\n  ]\\n)\\n"}	{"yaql_exp": "switch(\\n  (\\n    ('mongo' in $.roles) or ('primary-mongo' in $.roles)\\n  ) => [\\n      {name=>'netconfig',role=>'self'},\\n      {name=>'post_deployment_start',role=>'self'}\\n    ],\\n  true => [\\n    {name=>'tools',role=>'self'}\\n  ]\\n)\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/hiera_default_route.pp", "timeout": 120}	{}
488	3	netconfig	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.dpdk, $.get('use_ovs'), $.get('set_rps'), $.get('set_rps'), $.get('run_ping_checker'), $.network_scheme.endpoints.values().where(\\n  $.get('gateway') != null).gateway)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{tools}	[]	{"yaql_exp": "switch(\\n  (\\n    $.roles.any($.matches('^(primary-)?(mongo)$'))\\n    or ($.network_metadata.get('vips',{}).get('vrouter',{}).get('ipaddr') = null)\\n    or (\\n      len($.roles.toSet().intersect($.network_metadata.get('vips',{}).get('vrouter',{}).get('node_roles').toSet())) > 0\\n    )\\n  ) => [],\\n  true => [{\\n    name => 'virtual_ips',\\n    role => $.network_metadata.get('vips',{}).get('vrouter',{}).get('node_roles')\\n  }]\\n)\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_pre.rb"}}
489	3	connectivity_tests	2.1.0	{"yaql_exp": "changedAny($.repo_setup, $.network_scheme)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{firewall,hosts}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/connectivity_tests.pp", "timeout": 3600, "cwd": "/"}	{}
490	3	sriov_iommu_check	2.1.0	{"yaql_exp": "changed($.network_scheme.transformations)"}	puppet	{compute}	{}	{}	{}	{}	{firewall,hosts}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/sriov_iommu_check.pp", "timeout": 120, "cwd": "/"}	{}
491	3	reserved_ports	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{globals}	{rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/reserved_ports.pp", "timeout": 180, "cwd": "/"}	{}
492	3	vmware-vcenter	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{controller_remaining_tasks}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/vcenter.pp", "timeout": 3600}	{}
493	3	top-role-cinder-vmware	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{cinder-vmware}	{}	{}	{}	{}	{deploy_end}	{top-role-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_pre.rb"}}
494	3	top-role-compute-vmware	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{compute-vmware}	{}	{}	{}	{}	{enable_nova_compute_service}	{top-role-compute,ceilometer-compute,ceilometer-keystone}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/compute-vmware.pp", "timeout": 180}	{}
495	3	umm	2.1.0	{"yaql_exp": "$.uid in added($.nodes.uid)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{tools}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/umm/umm.pp", "timeout": 3600}	{}
496	3	openstack-haproxy	2.0.0	\N	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,openstack-haproxy-ceilometer,openstack-haproxy-aodh,openstack-haproxy-cinder,openstack-haproxy-glance,openstack-haproxy-heat,openstack-haproxy-horizon,openstack-haproxy-keystone,openstack-haproxy-murano,openstack-haproxy-mysqld,openstack-haproxy-neutron,openstack-haproxy-nova,openstack-haproxy-radosgw,openstack-haproxy-sahara,openstack-haproxy-swift,openstack-haproxy-stats,openstack-haproxy-ironic}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy.pp", "timeout": 300}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
497	3	openstack-haproxy-horizon	2.1.0	{"yaql_exp": "changedAny($.horizon, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
498	3	openstack-haproxy-keystone	2.1.0	{"yaql_exp": "changedAny($.keystone, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('keystone_names'), $.get('keystone_ipaddresses'), $.get('public_service_endpoint'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
499	3	openstack-haproxy-nova	2.1.0	{"yaql_exp": "changedAny($.nova, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
500	3	openstack-haproxy-heat	2.1.0	{"yaql_exp": "$.heat.enabled and changedAny($.heat, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('heat_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
501	3	openstack-haproxy-glance	2.1.0	{"yaql_exp": "changedAny($.glance, $.public_ssl, $.get('use_ssl'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
502	3	openstack-haproxy-cinder	2.1.0	{"yaql_exp": "changedAny($.cinder, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
521	3	ssl-dns-setup	2.1.0	{"yaql_exp": "(changed($.public_ssl) and\\n ($.public_ssl.horizon or $.public_ssl.services)) or\\n(changed($.get('use_ssl')) and (len($.get('use_ssl', [])) > 0))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{hosts}	{firewall,ssl-add-trust-chain}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_dns_setup.pp", "timeout": 3600}	{}
503	3	openstack-haproxy-neutron	2.1.0	{"yaql_exp": "changedAny($.quantum, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('neutron_names'), $.get('neutron_ipaddresses'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
504	3	openstack-haproxy-mysqld	2.1.0	{"yaql_exp": "changedAny($.mysql, $.get('custom_mysql_setup_class', 'galera'), $.get('external_lb'), $.get('database_nodes'), $.get('mysqld_names'), $.get('mysqld_ipaddresses'), $.network_metadata.vips, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('database_vip'), ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
505	3	openstack-haproxy-swift	2.1.0	{"yaql_exp": "changedAny($.storage, $.get('swift_proxy_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('swift_server_names'), $.get('swift_ipaddresses'), $.network_metadata.vips, $.ironic, $.network_scheme, $.network_metadata.nodes.get(concat('node-', $.uid)))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
506	3	openstack-haproxy-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips, $.ironic)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
507	3	openstack-haproxy-ceilometer	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
508	3	openstack-haproxy-aodh	2.1.0	{"yaql_exp": "changedAny($.ceilometer, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-aodh.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-aodh_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
509	3	openstack-haproxy-sahara	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('sahara_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
522	3	cgroups	2.1.0	{"yaql_exp": "changed($.cgroups)"}	puppet	{}	{}	{/.*/}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cgroups/cgroups.pp", "timeout": 3600}	{}
510	3	openstack-haproxy-murano	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.get('murano-cfapi'), $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('murano_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('murano_names'), $.get('murano_ipaddresses'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
511	3	openstack-haproxy-stats	2.1.0	{"yaql_exp": "changed($.get('external_lb')) or changed($.network_metadata.vips)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-stats.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-stats_post.rb"}}
512	3	openstack-haproxy-ironic	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.get('ironic_api_nodes'), $.network_metadata, $.public_ssl, $.get('use_ssl'), $.get('external_lb'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ironic.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ironic_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
513	3	memcached	2.1.0	{"yaql_exp": "changed($.network_scheme)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,keystone,primary-keystone}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/memcached/memcached.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/memcached/memcached_post.rb"}}
514	3	plugins_rsync	2.1.0	{"yaql_exp": "len($.plugins) > 0"}	puppet	{/.*/}	{}	{}	{}	{}	{pre_deployment_start}	{configuration_symlink}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/plugins/plugins_rsync.pp", "timeout": 600}	{}
515	3	plugins_setup_repositories	2.1.0	{"yaql_exp": "len($.plugins) > 0"}	puppet	{/.*/}	{}	{}	{}	{}	{pre_deployment_start}	{plugins_rsync}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/plugins/plugins_setup_repositories.pp", "timeout": 600}	{}
516	3	ntp-server	2.1.0	{"yaql_exp": "changed($.external_ntp)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ntp-client}	{dns-client}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-server.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ntp/ntp_post.rb"}}
517	3	ntp-client	2.1.0	{"yaql_exp": "changedAny($.network_metadata.get('vips',{}).get('management'), $.get('ntp_servers'))\\n"}	puppet	{}	{}	{primary-mongo,mongo,compute,ceph-osd,cinder,cinder-vmware}	{}	{}	{post_deployment_end}	{dns-client}	[]	[{"policy": "any", "name": "ntp-server"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-client.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ntp/ntp_post.rb"}}
518	3	ntp-check	2.1.0	{"yaql_exp": "changed($.external_ntp)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ntp-server}	{dns-client}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-check.pp", "timeout": 600, "cwd": "/"}	{}
519	3	ssl-keys-saving	2.1.0	{"yaql_exp": "(($.public_ssl.horizon or $.public_ssl.services) and\\n   $.public_ssl.cert_source = 'user_uploaded' and\\n   changed($.public_ssl.cert_data)) or\\n (changed($.get('use_ssl')) and len($.get('use_ssl', [])) > 0)\\n"}	puppet	{primary-controller,controller,compute,compute-vmware,cinder,cinder-vmware,primary-mongo,mongo,ceph-osd,virt}	{}	{}	{}	{}	{deploy_end}	{firewall}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving.pp", "timeout": 3600}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}}
520	3	ssl-add-trust-chain	2.1.0	{"yaql_exp": "(changed($.public_ssl) and\\n ($.public_ssl.horizon or $.public_ssl.services)) or\\n(changed($.get('use_ssl')) and (len($.get('use_ssl', [])) > 0))\\n"}	puppet	{primary-controller,controller,compute,compute-vmware,cinder,cinder-vmware,primary-mongo,mongo,ceph-osd,virt}	{}	{}	{}	{}	{hosts}	{firewall,ssl-keys-saving}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_add_trust_chain.pp", "timeout": 3600}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}}
523	3	rabbitmq	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('queue_provider'), $.get('erlang_cookie'), $.get('rabbit_version'), $.get('amqp_port'), $.rabbit, $.get('rabbit_ocf'), $.debug, $.get('rabbit_cluster_partition_handling'), $.get('mnesia_table_loading_timeout'), $.network_metadata.nodes.values().where($.uid = new($.uid)), $.get('management_bind_ip_address'), $.get('rabbit_management_port'), $.get('enable_rpc_ha'), $.get('enable_notifications_ha'), $.get('node_name_prefix_for_messaging'), $.get('rabbit_config_kernel_variables'), $.get('rabbit_config_variables'), $.get('rabbit_config_management_variables'), $.get('rabbit_environment_variables'), $.configuration.get('rabbitmq'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,openstack-controller,primary-openstack-controller,glance}	{netconfig,cluster}	[]	[{"name": "primary-rabbitmq"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 3)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq_post.rb"}}
524	3	primary-rabbitmq	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('queue_provider'), $.get('erlang_cookie'), $.get('rabbit_version'), $.get('amqp_port'), $.rabbit, $.get('rabbit_ocf'), $.debug, $.get('rabbit_cluster_partition_handling'), $.get('mnesia_table_loading_timeout'), $.network_metadata.nodes.values().where($.uid = new($.uid)), $.get('management_bind_ip_address'), $.get('rabbit_management_port'), $.get('enable_rpc_ha'), $.get('enable_notifications_ha'), $.get('node_name_prefix_for_messaging'), $.get('rabbit_config_kernel_variables'), $.get('rabbit_config_variables'), $.get('rabbit_config_management_variables'), $.get('rabbit_environment_variables'), $.configuration.get('rabbitmq'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,openstack-controller,primary-openstack-controller,glance}	{netconfig,primary-cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 3)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq_post.rb"}}
525	3	tools	2.1.0	{"yaql_exp": "changedAny($.get('custom_accounting_file', undef), $.puppet, $.deployment_mode)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{deploy_end}	{logging}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/tools/tools.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/tools/tools_post.rb"}}
526	3	firewall	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, ($.ironic.enabled and changed($.ironic.enabled)), $.roles, $.master_ip)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/firewall/firewall.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_pre.rb"}}
527	3	copy_keys_ceph	2.0.0	\N	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_keys_ceph}	[]	[{"role": "master", "name": "generate_keys_ceph"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph.pub", "dst": "/var/lib/astute/ceph/ceph.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph", "dst": "/var/lib/astute/ceph/ceph"}], "dir_permissions": "0700", "permissions": "0600"}	{}
528	3	generate_keys_ceph	2.0.0	\N	shell	{}	{}	{master}	{}	{}	{copy_keys_ceph}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -i {CLUSTER_ID} -s 'ceph' -p /var/lib/fuel/keys/", "timeout": 180}	{}
529	3	top-role-ceph-osd	2.1.0	{"yaql_exp": "changedAny($.storage, $.debug, $.network_scheme, $.get('use_syslog'), $.network_metadata.nodes.values().where(\\n  ('primary-controller' in $.node_roles) or\\n  ('controller' in $.node_roles)),\\n$.get('ceph_tuning_settings'), $.get('syslog_log_level_ceph'), $.get('syslog_log_facility_ceph'))\\n"}	puppet	{ceph-osd}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "ceph-mon"}, {"name": "/(primary-)?ceph-radosgw/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph-osd.pp", "timeout": 3600}	{}
530	3	primary-ceph-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.keystone, $.network_metadata.vips, $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('use_ssl'), ('primary-controller' in $.roles), $.network_scheme, $.get('apache_ports'), $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.get('syslog_log_level_ceph'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache,ceph-mon,primary-ceph-mon}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}}
542	3	fuel_pkgs	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{}	{}	{globals}	{setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/fuel_pkgs.pp", "timeout": 600}	{}
531	3	ceph-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.keystone, $.network_metadata.vips, $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('use_ssl'), ('primary-controller' in $.roles), $.network_scheme, $.get('apache_ports'), $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.get('syslog_log_level_ceph'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache,ceph-mon,primary-ceph-mon}	[]	[{"name": "primary-ceph-radosgw"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}}
532	3	radosgw-keystone	2.1.0	{"yaql_exp": "changedAny($.storage, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-ceph-radosgw,ceph-radosgw}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_keystone.pp", "timeout": 1800}	{}
533	3	primary-ceph-mon	2.1.0	{"yaql_exp": "changedAny($.storage, $.quantum, $.network_metadata, $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_scheme, $.get('syslog_log_level_ceph'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-openstack-controller,openstack-controller,openstack-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}	{}
534	3	ceph-mon	2.1.0	{"yaql_exp": "changedAny($.storage, $.quantum, $.network_metadata, $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_scheme, $.get('syslog_log_level_ceph'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-openstack-controller,openstack-controller,openstack-cinder}	[]	[{"name": "primary-ceph-mon"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}	{}
535	3	ceph-compute	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\n(changedAny($.storage, $.quantum, $.network_metadata.vips,\\n $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone,\\n $.network_scheme,\\n  $.network_metadata.nodes.values().flatten().node_roles.flatten().where(\\n    $ = 'controller' or $ = 'primary-controller')))\\n"}	puppet	{}	{}	{compute}	{}	{}	{post_deployment_end}	{ceph_create_pools}	[]	[{"name": "ceph_create_pools"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute_post.rb"}}
536	3	ceph_create_pools	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\nchanged($.storage)\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ceph_ready_check}	{post_deployment_start}	[{"name": "ceph_ready_check"}]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_pools.pp", "timeout": 3600, "cwd": "/"}	{}
537	3	ceph_ready_check	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\nchanged($.storage)\\n"}	shell	{}	{}	{primary-controller}	{}	{}	{enable_rados,upload_cirros}	{post_deployment_start}	[]	[]	{"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_ready_check.rb", "timeout": 1800}	{}
538	3	enable_rados	2.1.0	{"yaql_exp": "$.storage.objects_ceph and changed($.storage.objects_ceph)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{upload_cirros,post_deployment_end}	{post_deployment_start}	[{"name": "upload_cirros"}]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/enable_rados.pp", "timeout": 180, "cwd": "/"}	{}
539	3	updatedb	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\n(changedAny($.storage, $.quantum, $.network_metadata.vips,\\n $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone,\\n $.network_scheme,\\n  $.network_metadata.nodes.values().flatten().node_roles.flatten().where(\\n    $ = 'controller' or $ = 'primary-controller')))\\n"}	puppet	{}	{}	{primary-controller,controller,ceph-osd}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/updatedb.pp", "timeout": 120, "cwd": "/"}	{}
540	3	hiera	2.1.0	{"yaql_exp": "($.uid in added($.nodes).uid) or changedAny($.plugins, $.cgroups)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{setup_repositories}	{deploy_start,rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600}	{"test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_post.py"}, "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_pre.py"}}
541	3	setup_repositories	2.1.0	{"yaql_exp": "($.uid in added($.nodes).uid) or changed($.repo_setup)"}	puppet	{/.*/}	{}	{}	{}	{}	{fuel_pkgs}	{hiera}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/setup_repositories.pp", "timeout": 600}	{}
543	3	enable_quorum	2.1.0	{"yaql_exp": "changed($.nodes) or changed($.get('corosync_roles'))"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[{"name": "dns-client"}, {"name": "ntp-server"}, {"name": "public_vip_ping"}]	{"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/enable_quorum.rb", "timeout": 180}	{}
544	3	upload_cirros	2.1.0	{"yaql_exp": "changedAny($.test_vm_image, $.glance, $.network_metadata.vips, $.get('region', 'RegionOne'), $.get('use_ssl'))\\n"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum}	[]	[{"name": "enable_quorum"}]	{"retries": 5, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/upload_cirros.rb", "timeout": 600, "interval": 60}	{}
545	3	upload_nodes_info	2.1.0	\N	skipped	{}	{}	{/.*/}	{}	{}	{}	{post_deployment_start}	[]	[]	{}	{}
546	3	upload_configuration	2.1.0	{"yaql_exp": "changed($)"}	upload_file	{}	{}	{master,/.*/}	{}	{*}	{pre_deployment_start}	{override_configuration}	[]	[]	{"path": "/etc/fuel/cluster/{CLUSTER_ID}/astute.yaml", "data": {"yaql_exp": "$.toYaml()"}, "timeout": 180}	{}
547	3	configuration_symlink	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	shell	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{upload_configuration}	[]	[]	{"cmd": "ln -sf /etc/fuel/cluster/{CLUSTER_ID}/astute.yaml /etc/astute.yaml", "timeout": 180}	{}
548	3	update_hosts	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	puppet	{}	{}	{/.*/}	{}	{}	{post_deployment_end}	{upload_nodes_info,copy_deleted_nodes}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600, "cwd": "/"}	{}
549	3	vcenter_compute_zones_create	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	shell	{}	{}	{primary-controller,compute-vmware}	{}	{}	{post_deployment_end}	{post_deployment_start,enable_nova_compute_service}	[]	[]	{"cmd": "/usr/bin/python /etc/puppet/modules/osnailyfacter/modular/astute/vcenter_hooks.py --create_zones", "timeout": 180}	{}
550	3	disable_keystone_service_token	2.0.0	{"yaql_exp": "changed($.keystone.get('service_token_off')) and $.keystone.get('service_token_off')\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{upload_cirros}	[]	[{"name": "upload_cirros"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/service_token_off.pp", "timeout": 180, "cwd": "/"}	{}
551	3	public_vip_ping	2.1.0	{"yaql_exp": "changed($.network_scheme) or changed($.get('run_ping_checker'))"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/public_vip_ping.pp", "timeout": 3600, "cwd": "/"}	{}
552	3	configure_default_route	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata.get('vips',{}).get('management'))"}	puppet	{}	{}	{primary-mongo,mongo}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/configure_default_route.pp", "timeout": 3600, "cwd": "/"}	{}
553	3	rsync_core_puppet	2.0.0	\N	sync	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{}	[]	[]	{"src": "rsync://{MASTER_IP}:/puppet/{OPENSTACK_VERSION}/modules/", "dst": "/etc/puppet/modules", "timeout": 180}	{}
554	3	clear_nodes_info	2.0.0	\N	skipped	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"retries": 1, "cmd": "rm -f /etc/hiera/nodes.yaml"}	{}
555	3	copy_keys	2.0.0	\N	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_keys}	[]	[{"role": "master", "name": "generate_keys"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron.pub", "dst": "/var/lib/astute/neutron/neutron.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron", "dst": "/var/lib/astute/neutron/neutron"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova.pub", "dst": "/var/lib/astute/nova/nova.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova", "dst": "/var/lib/astute/nova/nova"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql.pub", "dst": "/var/lib/astute/mysql/mysql.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql", "dst": "/var/lib/astute/mysql/mysql"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mongodb/mongodb.key", "dst": "/var/lib/astute/mongodb/mongodb.key"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/fernet-keys/0", "dst": "/var/lib/astute/keystone/0"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/fernet-keys/1", "dst": "/var/lib/astute/keystone/1"}], "dir_permissions": "0700", "permissions": "0600"}	{}
556	3	generate_keys	2.0.0	\N	shell	{}	{}	{master}	{}	{}	{copy_keys}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -p /var/lib/fuel/keys/ -i {CLUSTER_ID} -o 'mongodb' -s 'neutron nova mysql' -f '0 1'", "timeout": 180}	{}
557	3	generate_haproxy_keys	2.1.0	{"yaql_exp": "(changedAny($.public_ssl.horizon, $.public_ssl.services)) and ($.public_ssl.horizon or $.public_ssl.services) and $.public_ssl.cert_source = 'self_signed'\\n"}	shell	{}	{}	{master}	{}	{}	{copy_haproxy_keys}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_haproxy_keys.sh -i {CLUSTER_ID} -h {CN_HOSTNAME} -o 'haproxy' -p /var/lib/fuel/keys/", "timeout": 180}	{}
558	3	copy_haproxy_keys	2.1.0	{"yaql_exp": "(((changedAny($.public_ssl.horizon, $.public_ssl.services)) and\\n    ($.public_ssl.horizon or $.public_ssl.services) and\\n    (not (old($.public_ssl.horizon) or old($.public_ssl.services)))) or\\n  (($.public_ssl.horizon or $.public_ssl.services) and\\n    ($.uid in added($.nodes).uid))) and\\n$.public_ssl.cert_source = 'self_signed'\\n"}	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_haproxy_keys}	[]	[{"role": "master", "name": "generate_haproxy_keys"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.pem", "dst": "/var/lib/astute/haproxy/public_haproxy.pem"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.crt", "dst": "/etc/pki/tls/certs/public_haproxy.pem"}], "dir_permissions": "0700", "permissions": "0600"}	{}
559	3	sync_time	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	shell	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"retries": 10, "cmd": "timeout -s9 40 ntpdate -u -v -s $(awk '/^server/ { if ($2 !~ /127\\\\.127\\\\.[0-9]+\\\\.[0-9]+/) {ORS=\\" \\"; print $2}}' /etc/ntp.conf)", "timeout": 300, "interval": 30}	{}
560	3	pre_hiera_config	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600, "cwd": "/"}	{}
561	3	override_configuration	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{pre_hiera_config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/override_configuration.pp", "timeout": 180, "cwd": "/"}	{}
562	3	dump_rabbitmq_definitions	2.1.0	{"yaql_exp": "changedAny($.rabbit, $.get('management_bind_ip_address'), $.get('rabbit_management_port'))\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/dump_rabbitmq_definitions.pp", "timeout": 180, "cwd": "/"}	{}
563	3	ironic_post_swift_key	2.1.0	{"yaql_exp": "$.ironic.enabled and changed($.ironic.enabled)"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum,enable_rados}	[]	[]	{"retries": 3, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/ironic_post_swift_key.rb", "timeout": 180, "interval": 20}	{}
564	3	ironic_upload_images	2.1.0	{"yaql_exp": "$.ironic.enabled and changed($.ironic.enabled)"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum,enable_rados}	[]	[]	{"retries": 3, "cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ironic/upload_images.rb {CLUSTER_ID}", "timeout": 180, "interval": 20}	{}
565	3	ironic_copy_bootstrap_key	2.1.0	{"yaql_exp": "($.ironic.enabled and (changed($.ironic.enabled) or ('ironic' in added($.roles))))\\n"}	copy_files	{}	{}	{ironic}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ironic/ironic.pub", "dst": "/var/lib/astute/ironic/ironic.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ironic/ironic", "dst": "/var/lib/astute/ironic/ironic"}], "dir_permissions": "0700", "permissions": "0600"}	{}
566	3	generate_deleted_nodes	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	upload_file	{}	{}	{master}	{}	{}	{pre_deployment_end}	{upload_configuration}	[]	[]	{"path": "/etc/fuel/cluster/{CLUSTER_ID}/deleted_nodes.yaml", "data": {"yaql_exp": "{\\"deleted_nodes\\" => deleted($.nodes.fqdn)}.toYaml()"}}	{}
567	3	copy_deleted_nodes	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_deleted_nodes}	[]	[{"role": "master", "name": "generate_deleted_nodes"}]	{"files": [{"src": "/etc/fuel/cluster/{CLUSTER_ID}/deleted_nodes.yaml", "dst": "/etc/hiera/deleted_nodes.yaml"}], "dir_permissions": "0700", "permissions": "0600"}	{}
568	3	cluster-vrouter	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{virtual_ips}	{primary-cluster,cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-vrouter/cluster-vrouter.pp", "timeout": 3600}	{}
569	3	virtual_ips	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.network_scheme, $.roles)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster,cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips_post.rb"}}
570	3	conntrackd	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.network_scheme, $.get('vrouter_name'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{virtual_ips,cluster,primary-cluster}	[]	[{"role": "self", "name": "/(primary-)?cluster/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd_pre.rb"}}
571	3	globals	2.1.0	{"yaql_exp": "changed($)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{hiera}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/globals/globals.pp", "timeout": 3600}	{"test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_post.py"}, "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_pre.py"}}
572	3	generate_vms	2.0.0	{"yaql_exp": "changed($.vms_conf)"}	puppet	{virt}	{}	{}	{}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/generate_vms/generate_vms.pp", "timeout": 3600}	{}
573	3	api-proxy	2.1.0	{"yaql_exp": "changedAny($.get('max_header_size'), $.get('apache_ports'), $.get('master_ip'), $.network_metadata.nodes.values().where($.node_roles.any($.matches('controller'))))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy_post.rb"}}
574	3	hosts	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_pre.rb"}}
575	3	primary-cluster-haproxy	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('database_vip'), ('primary-controller' in $.roles), $.get('haproxy'), $.get('external_lb'), $.get('colocate_haproxy'), $.debug, $.configuration.get('haproxy'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,virtual_ips,primary-cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}}
576	3	cluster-haproxy	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('database_vip'), ('primary-controller' in $.roles), $.get('haproxy'), $.get('external_lb'), $.get('colocate_haproxy'), $.debug, $.configuration.get('haproxy'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,virtual_ips,cluster}	[]	[{"name": "primary-cluster-haproxy"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}}
577	3	primary-dns-server	2.1.0	{"yaql_exp": "changedAny($.external_dns, ('primary-controller' in $.roles), $.get('master_ip'), $.network_metadata, $.get('vrouter_name'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}	{}
578	3	dns-server	2.1.0	{"yaql_exp": "changedAny($.external_dns, ('primary-controller' in $.roles), $.get('master_ip'), $.network_metadata, $.get('vrouter_name'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{openstack-haproxy}	[]	[{"name": "primary-dns-server"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}	{}
579	3	dns-client	2.1.0	{"yaql_exp": "changed($.network_metadata.get('vips',{}).get('vrouter',{}).get('ipaddr'))"}	puppet	{}	{}	{primary-mongo,mongo,primary-controller,controller,compute,ceph-osd,cinder,cinder-vmware}	{}	{}	{ntp-client}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-client.pp", "timeout": 3600, "cwd": "/"}	{}
\.


--
-- Name: deployment_graph_tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('deployment_graph_tasks_id_seq', 579, true);


--
-- Data for Name: deployment_graphs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY deployment_graphs (id, name) FROM stdin;
1	\N
2	\N
3	\N
4	\N
\.


--
-- Name: deployment_graphs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('deployment_graphs_id_seq', 4, true);


--
-- Data for Name: deployment_history; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY deployment_history (id, task_id, node_id, deployment_graph_task_name, time_start, time_end, status, custom) FROM stdin;
\.


--
-- Name: deployment_history_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('deployment_history_id_seq', 1, false);


--
-- Data for Name: extensions_migration_buffer; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY extensions_migration_buffer (id, extension_name, data) FROM stdin;
\.


--
-- Name: extensions_migration_buffer_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('extensions_migration_buffer_id_seq', 1, false);


--
-- Data for Name: ip_addr_ranges; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addr_ranges (id, network_group_id, first, last) FROM stdin;
1	1	10.109.9.3	10.109.9.254
2	2	10.109.1.2	10.109.1.240
3	3	10.109.5.2	10.109.5.254
4	4	10.109.6.2	10.109.6.254
5	6	10.109.1.2	10.109.1.240
6	7	10.109.5.2	10.109.5.254
7	8	10.109.6.2	10.109.6.254
9	10	9.9.9.2	9.9.9.254
\.


--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addr_ranges_id_seq', 9, true);


--
-- Data for Name: ip_addrs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addrs (id, network, node, ip_addr, vip_name, is_user_defined, vip_namespace) FROM stdin;
1	1	\N	10.109.9.2	\N	f	\N
\.


--
-- Name: ip_addrs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addrs_id_seq', 1, true);


--
-- Data for Name: master_node_settings; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY master_node_settings (id, master_node_uid, settings) FROM stdin;
1	14e82850-cdc1-480c-87af-29d072859970	{"statistics": {"user_choice_saved": {"type": "hidden", "value": true}, "send_anonymous_statistic": {"type": "checkbox", "weight": 10, "value": false, "label": "statistics.setting_labels.send_anonymous_statistic"}}, "bootstrap": {"error": {"type": "hidden", "value": "", "weight": 10}}, "master_node_uid": "14e82850-cdc1-480c-87af-29d072859970", "ui_settings": {"sort": [{"status": "asc"}], "sort_by_labels": [], "search": "", "filter_by_labels": {}, "filter": {}, "view_mode": "standard"}}
\.


--
-- Name: master_node_settings_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('master_node_settings_id_seq', 1, true);


--
-- Data for Name: net_bond_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_bond_assignments (id, network_id, bond_id) FROM stdin;
\.


--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_bond_assignments_id_seq', 1, false);


--
-- Data for Name: net_nic_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_nic_assignments (id, network_id, interface_id) FROM stdin;
\.


--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_nic_assignments_id_seq', 1, false);


--
-- Data for Name: network_groups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY network_groups (id, name, release, vlan_start, cidr, gateway, meta, group_id) FROM stdin;
1	fuelweb_admin	\N	\N	10.109.9.0/24	10.109.9.1	{"unmovable": true, "use_gateway": true, "notation": "ip_ranges", "render_addr_mask": null, "render_type": null, "map_priority": 0, "configurable": false}	\N
2	public	2	200	10.109.1.0/24	10.109.1.1	{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": 200, "render_addr_mask": "public", "cidr": "10.109.1.0/24", "gateway": "10.109.1.1", "ip_range": ["10.109.1.2", "10.109.1.240"]}	1
5	private	2	\N	\N	\N	{"name": "private", "notation": null, "render_type": null, "map_priority": 2, "neutron_vlan_range": true, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false, "seg_type": "vlan"}	1
3	management	2	202	10.109.5.0/24	10.109.5.1	{"vips": ["haproxy", "vrouter"], "name": "management", "notation": "ip_ranges", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": true, "vlan_start": 202, "render_addr_mask": "internal", "cidr": "10.109.5.0/24", "ip_range": ["10.109.5.2", "10.109.5.254"]}	1
4	storage	2	201	10.109.6.0/24	10.109.6.1	{"name": "storage", "notation": "ip_ranges", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": true, "vlan_start": 201, "render_addr_mask": "storage", "cidr": "10.109.6.0/24", "ip_range": ["10.109.6.2", "10.109.6.254"]}	1
6	public	2	200	10.109.1.0/24	10.109.1.1	{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": 200, "render_addr_mask": "public", "cidr": "10.109.1.0/24", "gateway": "10.109.1.1", "ip_range": ["10.109.1.2", "10.109.1.240"]}	2
7	management	2	202	10.109.5.0/24	10.109.5.1	{"vips": ["haproxy", "vrouter"], "name": "management", "notation": "ip_ranges", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": true, "vlan_start": 202, "render_addr_mask": "internal", "cidr": "10.109.5.0/24", "ip_range": ["10.109.5.2", "10.109.5.254"]}	2
8	storage	2	201	10.109.6.0/24	10.109.6.1	{"name": "storage", "notation": "ip_ranges", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": true, "vlan_start": 201, "render_addr_mask": "storage", "cidr": "10.109.6.0/24", "ip_range": ["10.109.6.2", "10.109.6.254"]}	2
9	private	2	\N	\N	\N	{"name": "private", "notation": null, "render_type": null, "map_priority": 2, "neutron_vlan_range": true, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false, "seg_type": "vlan"}	2
10	fuelweb_admin	2	\N	9.9.9.0/24	9.9.9.1	{"notation": "ip_ranges", "render_type": null, "map_priority": 0, "configurable": true, "unmovable": true, "ip_range": ["9.9.9.2", "9.9.9.254"], "render_addr_mask": null, "use_gateway": true}	2
\.


--
-- Name: network_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('network_groups_id_seq', 10, true);


--
-- Data for Name: networking_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY networking_configs (id, discriminator, cluster_id, dns_nameservers, floating_ranges, configuration_template) FROM stdin;
1	neutron_config	1	["8.8.4.4", "8.8.8.8"]	[["10.109.1.241", "10.109.1.254"]]	\N
\.


--
-- Name: networking_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('networking_configs_id_seq', 1, true);


--
-- Data for Name: neutron_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY neutron_config (id, vlan_range, gre_id_range, base_mac, internal_cidr, internal_gateway, segmentation_type, net_l23_provider, internal_name, floating_name, baremetal_gateway, baremetal_range) FROM stdin;
1	[960, null]	[2, 65535]	fa:16:3e:00:00:00	192.168.0.0/24	192.168.0.1	vlan	ovs	admin_internal_net	admin_floating_net	192.168.3.51	["192.168.3.52", "192.168.3.254"]
\.


--
-- Data for Name: node_bond_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_bond_interfaces (id, node_id, name, mac, state, mode, bond_properties, interface_properties, offloading_modes) FROM stdin;
\.


--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_bond_interfaces_id_seq', 1, false);


--
-- Data for Name: node_nic_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_nic_interfaces (id, node_id, name, mac, max_speed, current_speed, ip_addr, netmask, state, parent_id, driver, bus_info, interface_properties, offloading_modes, pxe) FROM stdin;
5	3	enp9s0f0	0c:c4:7a:6c:9b:40	1000	1000	10.109.9.5	255.255.255.0	up	\N	igb	0000:09:00.0	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:1520", "sriov_totalvfs": 7, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": false, "enabled": false}, "pci_id": "8086:1521", "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
1	1	enp9s0f0	0c:c4:7a:6c:9a:16	1000	1000	10.109.9.4	255.255.255.0	up	\N	igb	0000:09:00.0	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:1520", "sriov_totalvfs": 7, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": false, "enabled": false}, "pci_id": "8086:1521", "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
2	1	enp9s0f1	0c:c4:7a:6c:9a:17	1000	\N	\N	\N	down	\N	igb	0000:09:00.1	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:1520", "sriov_totalvfs": 7, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": false, "enabled": false}, "pci_id": "8086:1521", "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
3	2	enp9s0f0	0c:c4:7a:6c:9b:96	1000	1000	10.109.9.3	255.255.255.0	up	\N	igb	0000:09:00.0	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:1520", "sriov_totalvfs": 7, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": false, "enabled": false}, "pci_id": "8086:1521", "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
4	2	enp9s0f1	0c:c4:7a:6c:9b:97	1000	\N	\N	\N	down	\N	igb	0000:09:00.1	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:1520", "sriov_totalvfs": 7, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": false, "enabled": false}, "pci_id": "8086:1521", "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
6	3	enp9s0f1	0c:c4:7a:6c:9b:41	1000	\N	\N	\N	down	\N	igb	0000:09:00.1	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:1520", "sriov_totalvfs": 7, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": false, "enabled": false}, "pci_id": "8086:1521", "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
7	4	ens11f0	00:1b:21:8a:7b:18	10000	\N	\N	\N	down	\N	ixgbe	0000:81:00.0	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 1, "dpdk": {"available": false, "enabled": false}, "pci_id": "8086:10fb", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
8	4	ens11f1	00:1b:21:8a:7b:19	10000	\N	\N	\N	down	\N	ixgbe	0000:81:00.1	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 1, "dpdk": {"available": false, "enabled": false}, "pci_id": "8086:10fb", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
9	4	enp9s0f0	0c:c4:7a:6d:35:98	1000	1000	10.109.9.6	255.255.255.0	up	\N	igb	0000:09:00.0	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:1520", "sriov_totalvfs": 7, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": false, "enabled": false}, "pci_id": "8086:1521", "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
10	4	enp9s0f1	0c:c4:7a:6d:35:99	1000	\N	\N	\N	down	\N	igb	0000:09:00.1	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:1520", "sriov_totalvfs": 7, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": false, "enabled": false}, "pci_id": "8086:1521", "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
11	5	ens11f0	00:1b:21:89:47:90	10000	\N	\N	\N	down	\N	ixgbe	0000:81:00.0	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 1, "dpdk": {"available": false, "enabled": false}, "pci_id": "8086:10fb", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
12	5	ens11f1	00:1b:21:89:47:91	10000	\N	\N	\N	down	\N	ixgbe	0000:81:00.1	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 1, "dpdk": {"available": false, "enabled": false}, "pci_id": "8086:10fb", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
13	5	enp9s0f0	0c:c4:7a:6d:28:de	1000	1000	10.109.9.7	255.255.255.0	up	\N	igb	0000:09:00.0	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:1520", "sriov_totalvfs": 7, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": false, "enabled": false}, "pci_id": "8086:1521", "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
14	5	enp9s0f1	0c:c4:7a:6d:28:df	1000	\N	\N	\N	down	\N	igb	0000:09:00.1	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:1520", "sriov_totalvfs": 7, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": false, "enabled": false}, "pci_id": "8086:1521", "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
\.


--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_nic_interfaces_id_seq', 14, true);


--
-- Data for Name: nodegroups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodegroups (id, cluster_id, name, is_default) FROM stdin;
1	1	default	t
2	1	baremetal-rack01	f
\.


--
-- Name: nodegroups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodegroups_id_seq', 2, true);


--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodes (id, uuid, cluster_id, name, status, meta, mac, ip, manufacturer, platform_name, kernel_params, progress, os_platform, pending_addition, pending_deletion, error_type, error_msg, "timestamp", online, agent_checksum, replaced_deployment_info, replaced_provisioning_info, group_id, hostname, roles, pending_roles, primary_roles, network_template, extensions, labels, vms_conf, attributes) FROM stdin;
4	34051de2-53ee-4c5e-a9a5-61e22cb979ed	\N	Untitled (35:98)	discover	{"pci_devices": {"product": "SYS-6018R-TDW (To be filled by O.E.M.)", "handle": "DMI:0001", "description": "Computer", "children": [{"slot": "To be filled by O.E.M.", "product": "X10DDW-i", "handle": "DMI:0002", "description": "Motherboard", "children": [{"units": "bytes", "vendor": "American Megatrends Inc.", "description": "BIOS", "capacity": 16711680, "capabilities": {"upgrade": "BIOS EEPROM can be upgraded", "shadowing": "BIOS shadowing", "edd": "Enhanced Disk Drive extensions", "biosbootspecification": "BIOS boot specification", "int13floppy720": "3.5\\" 720KB floppy", "int17printer": "INT17 printer control", "int9keyboard": "i8042 keyboard controller", "socketedrom": "BIOS ROM is socketed", "int13floppy1200": "5.25\\" 1.2MB floppy", "int13floppy2880": "3.5\\" 2.88MB floppy", "int5printscreen": "Print Screen key", "pci": "PCI bus", "uefi": "UEFI specification is supported", "usb": "USB legacy emulation", "bootselect": "Selectable boot path", "int14serial": "INT14 serial line control", "acpi": "ACPI", "cdboot": "Booting from CD-ROM/DVD"}, "class": "memory", "date": "09/23/2015", "version": "1.1", "claimed": true, "physid": "0", "id": "firmware", "size": 65536}, {"slot": "System board or motherboard", "handle": "DMI:005D", "description": "System Memory", "children": [{"slot": "P1_DIMMA1", "product": "M393A2G40DB0-CPB", "handle": "DMI:005F", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "Samsung(data:16/01)", "serial": "313A67FA", "id": "bank:0", "size": 17179869184}, {"slot": "P1_DIMMA2", "product": "NO DIMM", "handle": "DMI:0061", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "1", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:1"}, {"slot": "P1_DIMMB1", "product": "M393A2G40DB0-CPB", "handle": "DMI:0062", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "Samsung(data:16/01)", "serial": "313A67FF", "id": "bank:2", "size": 17179869184}, {"slot": "P1_DIMMB2", "product": "NO DIMM", "handle": "DMI:0064", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "3", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:3"}, {"slot": "P1_DIMMC1", "product": "NO DIMM", "handle": "DMI:0065", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "4", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:4"}, {"slot": "P1_DIMMC2", "product": "NO DIMM", "handle": "DMI:0066", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "5", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:5"}, {"slot": "P1_DIMMD1", "product": "NO DIMM", "handle": "DMI:0067", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "6", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:6"}, {"slot": "P1_DIMMD2", "product": "NO DIMM", "handle": "DMI:0068", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "7", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:7"}], "class": "memory", "claimed": true, "physid": "5d", "id": "memory:0"}, {"slot": "System board or motherboard", "handle": "DMI:0069", "description": "System Memory", "children": [{"slot": "P2_DIMME1", "product": "M393A2G40DB0-CPB", "handle": "DMI:006B", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "Samsung(data:16/01)", "serial": "313A684B", "id": "bank:0", "size": 17179869184}, {"slot": "P2_DIMME2", "product": "NO DIMM", "handle": "DMI:006D", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "1", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:1"}, {"slot": "P2_DIMMF1", "product": "M393A2G40DB0-CPB", "handle": "DMI:006E", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "Samsung(data:16/01)", "serial": "313A6896", "id": "bank:2", "size": 17179869184}, {"slot": "P2_DIMMF2", "product": "NO DIMM", "handle": "DMI:0070", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "3", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:3"}, {"slot": "P2_DIMMG1", "product": "NO DIMM", "handle": "DMI:0071", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "4", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:4"}, {"slot": "P2_DIMMG2", "product": "NO DIMM", "handle": "DMI:0072", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "5", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:5"}, {"slot": "P2_DIMMH1", "product": "NO DIMM", "handle": "DMI:0073", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "6", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:6"}, {"slot": "P2_DIMMH2", "product": "NO DIMM", "handle": "DMI:0074", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "7", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:7"}], "class": "memory", "claimed": true, "physid": "69", "id": "memory:1"}, {"slot": "CPU Internal L1", "capacity": 393216, "handle": "DMI:0077", "description": "L1 cache", "capabilities": {"internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "77", "id": "cache:0", "size": 393216}, {"slot": "CPU Internal L2", "capacity": 1572864, "handle": "DMI:0078", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "78", "id": "cache:1", "size": 1572864}, {"slot": "CPU Internal L3", "capacity": 15728640, "handle": "DMI:0079", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "79", "id": "cache:2", "size": 15728640}, {"slot": "SOCKET 0", "product": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "capacity": 3600000000, "handle": "DMI:007A", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "businfo": "cpu@0", "physid": "7a", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "6", "threads": "12", "enabledcores": "6"}, "id": "cpu:0", "size": 1300000000}, {"slot": "CPU Internal L1", "capacity": 393216, "handle": "DMI:007B", "description": "L1 cache", "capabilities": {"internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "7b", "id": "cache:3", "size": 393216}, {"slot": "CPU Internal L2", "capacity": 1572864, "handle": "DMI:007C", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "7c", "id": "cache:4", "size": 1572864}, {"slot": "CPU Internal L3", "capacity": 15728640, "handle": "DMI:007D", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "7d", "id": "cache:5", "size": 15728640}, {"slot": "SOCKET 1", "product": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "capacity": 3600000000, "handle": "DMI:007E", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "businfo": "cpu@1", "physid": "7e", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "6", "threads": "12", "enabledcores": "6"}, "id": "cpu:1", "size": 1200000000}, {"physid": "1", "id": "memory:2", "class": "memory"}, {"physid": "2", "id": "memory:3", "class": "memory"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMI2", "handle": "PCIBUS:0000:00", "description": "Host bridge", "clock": 33000000, "children": [{"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:01", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.0", "physid": "1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:02", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:03", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.0", "physid": "2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:04", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.0", "physid": "3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:05", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.2", "physid": "3.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:00:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.0", "physid": "4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:00:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:00:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:00:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:00:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:00:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:00:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:00:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.0", "physid": "5", "handle": "PCI:0000:00:05.0", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.1", "physid": "5.1", "handle": "PCI:0000:00:05.1", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.2", "physid": "5.2", "handle": "PCI:0000:00:05.2", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.4", "physid": "5.4", "handle": "PCI:0000:00:05.4", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "C610/X99 series chipset SPSR", "vendor": "Intel Corporation", "description": "Unassigned class", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "05", "businfo": "pci@0000:00:11.0", "physid": "11", "handle": "PCI:0000:00:11.0", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "C610/X99 series chipset sSATA Controller [AHCI mode]", "handle": "PCI:0000:00:11.4", "description": "SATA controller", "clock": 66000000, "capabilities": {"cap_list": "PCI capabilities listing", "ahci_1.0": true, "storage": true, "bus_master": "bus mastering", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "storage", "width": 32, "version": "05", "businfo": "pci@0000:00:11.4", "physid": "11.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ahci"}, "id": "storage:0"}, {"product": "C610/X99 series chipset USB xHCI Host Controller", "handle": "PCI:0000:00:14.0", "description": "USB controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "xhci": true, "pm": "Power Management"}, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:14.0", "physid": "14", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "xhci_hcd"}, "id": "usb:0"}, {"product": "C610/X99 series chipset MEI Controller #1", "vendor": "Intel Corporation", "description": "Communication controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "communication", "width": 64, "version": "05", "businfo": "pci@0000:00:16.0", "physid": "16", "handle": "PCI:0000:00:16.0", "configuration": {"latency": "0"}, "id": "communication:0"}, {"product": "C610/X99 series chipset MEI Controller #2", "vendor": "Intel Corporation", "description": "Communication controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "communication", "width": 64, "version": "05", "businfo": "pci@0000:00:16.1", "physid": "16.1", "handle": "PCI:0000:00:16.1", "configuration": {"latency": "0"}, "id": "communication:1"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #2", "handle": "PCI:0000:00:1a.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1a.0", "physid": "1a", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:1"}, {"product": "C610/X99 series chipset PCI Express Root Port #1", "handle": "PCIBUS:0000:06", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.0", "physid": "1c", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:5"}, {"product": "C610/X99 series chipset PCI Express Root Port #4", "handle": "PCIBUS:0000:07", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "AST1150 PCI-to-PCI Bridge", "handle": "PCIBUS:0000:08", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "ASPEED Graphics Family", "handle": "PCI:0000:08:00.0", "description": "VGA compatible controller", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "rom": "extension ROM", "vga_controller": true, "bus_master": "bus mastering", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "display", "width": 32, "version": "30", "businfo": "pci@0000:08:00.0", "physid": "0", "claimed": true, "vendor": "ASPEED Technology, Inc.", "configuration": {"latency": "0", "driver": "ast"}, "id": "display"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "03", "businfo": "pci@0000:07:00.0", "physid": "0", "claimed": true, "vendor": "ASPEED Technology, Inc.", "id": "pci"}], "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.3", "physid": "1c.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:6"}, {"product": "C610/X99 series chipset PCI Express Root Port #5", "handle": "PCIBUS:0000:09", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "I350 Gigabit Network Connection", "capacity": 1000000000, "handle": "PCI:0000:09:00.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp9s0f0", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "10bt-fd": "10Mbit/s (full duplex)", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "100bt-fd": "100Mbit/s (full duplex)", "pm": "Power Management"}, "class": "network", "units": "bit/s", "version": "01", "businfo": "pci@0000:09:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Intel Corporation", "serial": "0c:c4:7a:6d:35:98", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "ip": "10.109.9.6", "firmware": "1.61, 0x8000090e", "driver": "igb", "broadcast": "yes", "multicast": "yes", "link": "yes", "driverversion": "5.0.5-k", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:0", "size": 1000000000}, {"product": "I350 Gigabit Network Connection", "capacity": 1000000000, "handle": "PCI:0000:09:00.1", "description": "Ethernet interface", "width": 32, "logicalname": "enp9s0f1", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "10bt-fd": "10Mbit/s (full duplex)", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "100bt-fd": "100Mbit/s (full duplex)", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:09:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Intel Corporation", "serial": "0c:c4:7a:6d:35:99", "configuration": {"latency": "0", "autonegotiation": "on", "firmware": "1.61, 0x8000090e", "driver": "igb", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "5.0.5-k", "port": "twisted pair"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.4", "physid": "1c.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:7"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #1", "handle": "PCI:0000:00:1d.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1d.0", "physid": "1d", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:2"}, {"product": "C610/X99 series chipset LPC Controller", "handle": "PCI:0000:00:1f.0", "description": "ISA bridge", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "isa": true, "cap_list": "PCI capabilities listing"}, "class": "bridge", "width": 32, "version": "05", "businfo": "pci@0000:00:1f.0", "physid": "1f", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "lpc_ich"}, "id": "isa"}, {"product": "C610/X99 series chipset 6-Port SATA Controller [AHCI mode]", "handle": "PCI:0000:00:1f.2", "description": "SATA controller", "clock": 66000000, "capabilities": {"cap_list": "PCI capabilities listing", "ahci_1.0": true, "storage": true, "bus_master": "bus mastering", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "storage", "width": 32, "version": "05", "businfo": "pci@0000:00:1f.2", "physid": "1f.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ahci"}, "id": "storage:1"}, {"product": "C610/X99 series chipset SMBus Controller", "vendor": "Intel Corporation", "description": "SMBus", "clock": 33000000, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:1f.3", "physid": "1f.3", "handle": "PCI:0000:00:1f.3", "configuration": {"latency": "0"}, "id": "serial"}], "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:00.0", "physid": "100", "claimed": true, "vendor": "Intel Corporation", "id": "pci:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.0", "physid": "6", "handle": "PCI:0000:7f:08.0", "configuration": {"latency": "0"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.2", "physid": "7", "handle": "PCI:0000:7f:08.2", "configuration": {"latency": "0"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.3", "physid": "8", "handle": "PCI:0000:7f:08.3", "configuration": {"latency": "0"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.0", "physid": "9", "handle": "PCI:0000:7f:0b.0", "configuration": {"latency": "0"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.1", "physid": "a", "handle": "PCI:0000:7f:0b.1", "configuration": {"latency": "0"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.2", "physid": "b", "handle": "PCI:0000:7f:0b.2", "configuration": {"latency": "0"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.0", "physid": "c", "handle": "PCI:0000:7f:0c.0", "configuration": {"latency": "0"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.1", "physid": "d", "handle": "PCI:0000:7f:0c.1", "configuration": {"latency": "0"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.2", "physid": "e", "handle": "PCI:0000:7f:0c.2", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.3", "physid": "f", "handle": "PCI:0000:7f:0c.3", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.4", "physid": "10", "handle": "PCI:0000:7f:0c.4", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.5", "physid": "11", "handle": "PCI:0000:7f:0c.5", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.0", "physid": "12", "handle": "PCI:0000:7f:0f.0", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.1", "physid": "13", "handle": "PCI:0000:7f:0f.1", "configuration": {"latency": "0"}, "id": "generic:13"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.4", "physid": "14", "handle": "PCI:0000:7f:0f.4", "configuration": {"latency": "0"}, "id": "generic:14"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.5", "physid": "15", "handle": "PCI:0000:7f:0f.5", "configuration": {"latency": "0"}, "id": "generic:15"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.6", "physid": "16", "handle": "PCI:0000:7f:0f.6", "configuration": {"latency": "0"}, "id": "generic:16"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.0", "physid": "17", "handle": "PCI:0000:7f:10.0", "configuration": {"latency": "0"}, "id": "generic:17"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.1", "physid": "18", "handle": "PCI:0000:7f:10.1", "configuration": {"latency": "0"}, "id": "generic:18"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.5", "physid": "19", "handle": "PCI:0000:7f:10.5", "configuration": {"latency": "0"}, "id": "generic:19"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.6", "physid": "1a", "handle": "PCI:0000:7f:10.6", "configuration": {"latency": "0"}, "id": "generic:20"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.7", "physid": "1b", "handle": "PCI:0000:7f:10.7", "configuration": {"latency": "0"}, "id": "generic:21"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.0", "physid": "1c", "handle": "PCI:0000:7f:12.0", "configuration": {"latency": "0"}, "id": "generic:22"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.1", "physid": "1d", "handle": "PCI:0000:7f:12.1", "configuration": {"latency": "0"}, "id": "generic:23"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.0", "physid": "1e", "handle": "PCI:0000:7f:13.0", "configuration": {"latency": "0"}, "id": "generic:24"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.1", "physid": "1f", "handle": "PCI:0000:7f:13.1", "configuration": {"latency": "0"}, "id": "generic:25"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.2", "physid": "20", "handle": "PCI:0000:7f:13.2", "configuration": {"latency": "0"}, "id": "generic:26"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.3", "physid": "21", "handle": "PCI:0000:7f:13.3", "configuration": {"latency": "0"}, "id": "generic:27"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.4", "physid": "22", "handle": "PCI:0000:7f:13.4", "configuration": {"latency": "0"}, "id": "generic:28"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.5", "physid": "23", "handle": "PCI:0000:7f:13.5", "configuration": {"latency": "0"}, "id": "generic:29"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.6", "physid": "24", "handle": "PCI:0000:7f:13.6", "configuration": {"latency": "0"}, "id": "generic:30"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.7", "physid": "25", "handle": "PCI:0000:7f:13.7", "configuration": {"latency": "0"}, "id": "generic:31"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.0", "physid": "26", "handle": "PCI:0000:7f:14.0", "configuration": {"latency": "0"}, "id": "generic:32"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.1", "physid": "27", "handle": "PCI:0000:7f:14.1", "configuration": {"latency": "0"}, "id": "generic:33"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.2", "physid": "28", "handle": "PCI:0000:7f:14.2", "configuration": {"latency": "0"}, "id": "generic:34"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.3", "physid": "29", "handle": "PCI:0000:7f:14.3", "configuration": {"latency": "0"}, "id": "generic:35"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.6", "physid": "2a", "handle": "PCI:0000:7f:14.6", "configuration": {"latency": "0"}, "id": "generic:36"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.7", "physid": "2b", "handle": "PCI:0000:7f:14.7", "configuration": {"latency": "0"}, "id": "generic:37"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.0", "physid": "2c", "handle": "PCI:0000:7f:15.0", "configuration": {"latency": "0"}, "id": "generic:38"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.1", "physid": "2d", "handle": "PCI:0000:7f:15.1", "configuration": {"latency": "0"}, "id": "generic:39"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.2", "physid": "2e", "handle": "PCI:0000:7f:15.2", "configuration": {"latency": "0"}, "id": "generic:40"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.3", "physid": "2f", "handle": "PCI:0000:7f:15.3", "configuration": {"latency": "0"}, "id": "generic:41"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.0", "physid": "30", "handle": "PCI:0000:7f:16.0", "configuration": {"latency": "0"}, "id": "generic:42"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.6", "physid": "31", "handle": "PCI:0000:7f:16.6", "configuration": {"latency": "0"}, "id": "generic:43"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.7", "physid": "32", "handle": "PCI:0000:7f:16.7", "configuration": {"latency": "0"}, "id": "generic:44"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.0", "physid": "33", "handle": "PCI:0000:7f:17.0", "configuration": {"latency": "0"}, "id": "generic:45"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.4", "physid": "34", "handle": "PCI:0000:7f:17.4", "configuration": {"latency": "0"}, "id": "generic:46"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.5", "physid": "35", "handle": "PCI:0000:7f:17.5", "configuration": {"latency": "0"}, "id": "generic:47"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.6", "physid": "36", "handle": "PCI:0000:7f:17.6", "configuration": {"latency": "0"}, "id": "generic:48"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.7", "physid": "37", "handle": "PCI:0000:7f:17.7", "configuration": {"latency": "0"}, "id": "generic:49"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.0", "physid": "38", "handle": "PCI:0000:7f:1e.0", "configuration": {"latency": "0"}, "id": "generic:50"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.1", "physid": "39", "handle": "PCI:0000:7f:1e.1", "configuration": {"latency": "0"}, "id": "generic:51"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.2", "physid": "3a", "handle": "PCI:0000:7f:1e.2", "configuration": {"latency": "0"}, "id": "generic:52"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.3", "physid": "3b", "handle": "PCI:0000:7f:1e.3", "configuration": {"latency": "0"}, "id": "generic:53"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.4", "physid": "3c", "handle": "PCI:0000:7f:1e.4", "configuration": {"latency": "0"}, "id": "generic:54"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.0", "physid": "3d", "handle": "PCI:0000:7f:1f.0", "configuration": {"latency": "0"}, "id": "generic:55"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.2", "physid": "3e", "handle": "PCI:0000:7f:1f.2", "configuration": {"latency": "0"}, "id": "generic:56"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:81", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "82599ES 10-Gigabit SFI/SFP+ Network Connection", "capacity": 1000000000, "handle": "PCI:0000:81:00.0", "description": "Ethernet interface", "width": 64, "logicalname": "ens11f0", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "autonegotiation": "Auto-negotiation", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "rom": "extension ROM", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:81:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Intel Corporation", "serial": "00:1b:21:8a:7b:18", "configuration": {"latency": "0", "autonegotiation": "on", "firmware": "0x30030001", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k", "port": "fibre"}, "id": "network:0"}, {"product": "82599ES 10-Gigabit SFI/SFP+ Network Connection", "capacity": 1000000000, "handle": "PCI:0000:81:00.1", "description": "Ethernet interface", "width": 64, "logicalname": "ens11f1", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "autonegotiation": "Auto-negotiation", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "rom": "extension ROM", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:81:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Intel Corporation", "serial": "00:1b:21:8a:7b:19", "configuration": {"latency": "0", "autonegotiation": "on", "firmware": "0x30030001", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k", "port": "fibre"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.0", "physid": "3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:80:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.0", "physid": "4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:57"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:80:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:58"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:80:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:59"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:80:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:60"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:80:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:61"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:80:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:62"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:80:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:63"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:80:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:64"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.0", "physid": "5", "handle": "PCI:0000:80:05.0", "configuration": {"latency": "0"}, "id": "generic:65"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.1", "physid": "5.1", "handle": "PCI:0000:80:05.1", "configuration": {"latency": "0"}, "id": "generic:66"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.2", "physid": "5.2", "handle": "PCI:0000:80:05.2", "configuration": {"latency": "0"}, "id": "generic:67"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.4", "physid": "5.4", "handle": "PCI:0000:80:05.4", "configuration": {"latency": "0"}, "id": "generic:68"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.0", "physid": "3f", "handle": "PCI:0000:ff:08.0", "configuration": {"latency": "0"}, "id": "generic:69"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.2", "physid": "40", "handle": "PCI:0000:ff:08.2", "configuration": {"latency": "0"}, "id": "generic:70"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.3", "physid": "41", "handle": "PCI:0000:ff:08.3", "configuration": {"latency": "0"}, "id": "generic:71"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.0", "physid": "42", "handle": "PCI:0000:ff:0b.0", "configuration": {"latency": "0"}, "id": "generic:72"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.1", "physid": "43", "handle": "PCI:0000:ff:0b.1", "configuration": {"latency": "0"}, "id": "generic:73"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.2", "physid": "44", "handle": "PCI:0000:ff:0b.2", "configuration": {"latency": "0"}, "id": "generic:74"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.0", "physid": "45", "handle": "PCI:0000:ff:0c.0", "configuration": {"latency": "0"}, "id": "generic:75"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.1", "physid": "46", "handle": "PCI:0000:ff:0c.1", "configuration": {"latency": "0"}, "id": "generic:76"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.2", "physid": "47", "handle": "PCI:0000:ff:0c.2", "configuration": {"latency": "0"}, "id": "generic:77"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.3", "physid": "48", "handle": "PCI:0000:ff:0c.3", "configuration": {"latency": "0"}, "id": "generic:78"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.4", "physid": "49", "handle": "PCI:0000:ff:0c.4", "configuration": {"latency": "0"}, "id": "generic:79"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.5", "physid": "4a", "handle": "PCI:0000:ff:0c.5", "configuration": {"latency": "0"}, "id": "generic:80"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.0", "physid": "4b", "handle": "PCI:0000:ff:0f.0", "configuration": {"latency": "0"}, "id": "generic:81"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.1", "physid": "4c", "handle": "PCI:0000:ff:0f.1", "configuration": {"latency": "0"}, "id": "generic:82"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.4", "physid": "4d", "handle": "PCI:0000:ff:0f.4", "configuration": {"latency": "0"}, "id": "generic:83"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.5", "physid": "4e", "handle": "PCI:0000:ff:0f.5", "configuration": {"latency": "0"}, "id": "generic:84"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.6", "physid": "4f", "handle": "PCI:0000:ff:0f.6", "configuration": {"latency": "0"}, "id": "generic:85"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.0", "physid": "50", "handle": "PCI:0000:ff:10.0", "configuration": {"latency": "0"}, "id": "generic:86"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.1", "physid": "51", "handle": "PCI:0000:ff:10.1", "configuration": {"latency": "0"}, "id": "generic:87"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.5", "physid": "52", "handle": "PCI:0000:ff:10.5", "configuration": {"latency": "0"}, "id": "generic:88"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.6", "physid": "53", "handle": "PCI:0000:ff:10.6", "configuration": {"latency": "0"}, "id": "generic:89"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.7", "physid": "54", "handle": "PCI:0000:ff:10.7", "configuration": {"latency": "0"}, "id": "generic:90"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.0", "physid": "55", "handle": "PCI:0000:ff:12.0", "configuration": {"latency": "0"}, "id": "generic:91"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.1", "physid": "56", "handle": "PCI:0000:ff:12.1", "configuration": {"latency": "0"}, "id": "generic:92"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.0", "physid": "57", "handle": "PCI:0000:ff:13.0", "configuration": {"latency": "0"}, "id": "generic:93"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.1", "physid": "58", "handle": "PCI:0000:ff:13.1", "configuration": {"latency": "0"}, "id": "generic:94"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.2", "physid": "59", "handle": "PCI:0000:ff:13.2", "configuration": {"latency": "0"}, "id": "generic:95"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.3", "physid": "5a", "handle": "PCI:0000:ff:13.3", "configuration": {"latency": "0"}, "id": "generic:96"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.4", "physid": "5b", "handle": "PCI:0000:ff:13.4", "configuration": {"latency": "0"}, "id": "generic:97"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.5", "physid": "5c", "handle": "PCI:0000:ff:13.5", "configuration": {"latency": "0"}, "id": "generic:98"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.6", "physid": "5e", "handle": "PCI:0000:ff:13.6", "configuration": {"latency": "0"}, "id": "generic:99"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.7", "physid": "5f", "handle": "PCI:0000:ff:13.7", "configuration": {"latency": "0"}, "id": "generic:100"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.0", "physid": "60", "handle": "PCI:0000:ff:14.0", "configuration": {"latency": "0"}, "id": "generic:101"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.1", "physid": "61", "handle": "PCI:0000:ff:14.1", "configuration": {"latency": "0"}, "id": "generic:102"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.2", "physid": "62", "handle": "PCI:0000:ff:14.2", "configuration": {"latency": "0"}, "id": "generic:103"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.3", "physid": "63", "handle": "PCI:0000:ff:14.3", "configuration": {"latency": "0"}, "id": "generic:104"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.6", "physid": "64", "handle": "PCI:0000:ff:14.6", "configuration": {"latency": "0"}, "id": "generic:105"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.7", "physid": "65", "handle": "PCI:0000:ff:14.7", "configuration": {"latency": "0"}, "id": "generic:106"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.0", "physid": "66", "handle": "PCI:0000:ff:15.0", "configuration": {"latency": "0"}, "id": "generic:107"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.1", "physid": "67", "handle": "PCI:0000:ff:15.1", "configuration": {"latency": "0"}, "id": "generic:108"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.2", "physid": "68", "handle": "PCI:0000:ff:15.2", "configuration": {"latency": "0"}, "id": "generic:109"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.3", "physid": "6a", "handle": "PCI:0000:ff:15.3", "configuration": {"latency": "0"}, "id": "generic:110"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.0", "physid": "6b", "handle": "PCI:0000:ff:16.0", "configuration": {"latency": "0"}, "id": "generic:111"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.6", "physid": "6c", "handle": "PCI:0000:ff:16.6", "configuration": {"latency": "0"}, "id": "generic:112"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.7", "physid": "6d", "handle": "PCI:0000:ff:16.7", "configuration": {"latency": "0"}, "id": "generic:113"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.0", "physid": "6e", "handle": "PCI:0000:ff:17.0", "configuration": {"latency": "0"}, "id": "generic:114"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.4", "physid": "6f", "handle": "PCI:0000:ff:17.4", "configuration": {"latency": "0"}, "id": "generic:115"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.5", "physid": "70", "handle": "PCI:0000:ff:17.5", "configuration": {"latency": "0"}, "id": "generic:116"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.6", "physid": "71", "handle": "PCI:0000:ff:17.6", "configuration": {"latency": "0"}, "id": "generic:117"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.7", "physid": "72", "handle": "PCI:0000:ff:17.7", "configuration": {"latency": "0"}, "id": "generic:118"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.0", "physid": "73", "handle": "PCI:0000:ff:1e.0", "configuration": {"latency": "0"}, "id": "generic:119"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.1", "physid": "74", "handle": "PCI:0000:ff:1e.1", "configuration": {"latency": "0"}, "id": "generic:120"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.2", "physid": "75", "handle": "PCI:0000:ff:1e.2", "configuration": {"latency": "0"}, "id": "generic:121"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.3", "physid": "76", "handle": "PCI:0000:ff:1e.3", "configuration": {"latency": "0"}, "id": "generic:122"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.4", "physid": "7f", "handle": "PCI:0000:ff:1e.4", "configuration": {"latency": "0"}, "id": "generic:123"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.0", "physid": "80", "handle": "PCI:0000:ff:1f.0", "configuration": {"latency": "0"}, "id": "generic:124"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.2", "physid": "81", "handle": "PCI:0000:ff:1f.2", "configuration": {"latency": "0"}, "id": "generic:125"}, {"logicalname": "scsi4", "children": [{"product": "Samsung SSD 850", "handle": "GUID:73c6cc6c-7bd6-4627-a2e9-c43835c15045", "description": "ATA Disk", "capabilities": {"gpt-1.00": "GUID Partition Table version 1.00", "partitioned:gpt": "GUID partition table", "partitioned": "Partitioned disk"}, "logicalname": "/dev/sda", "children": [{"capacity": 25165312, "vendor": "EFI", "description": "BIOS Boot partition", "capabilities": {"nofs": "No filesystem"}, "logicalname": "/dev/sda1", "dev": "8:1", "class": "volume", "businfo": "scsi@4:0.0.0,1", "physid": "1", "claimed": true, "handle": "GUID:4ae9aabe-097e-4817-8b19-66dbbcdc2f3f", "serial": "4ae9aabe-097e-4817-8b19-66dbbcdc2f3f", "configuration": {"name": "primary"}, "id": "volume:0"}, {"capacity": 209714688, "handle": "GUID:931e2761-d409-44ef-9097-b17ded704939", "description": "EFI partition", "logicalname": "/dev/sda2", "dev": "8:2", "class": "volume", "businfo": "scsi@4:0.0.0,2", "claimed": true, "physid": "2", "serial": "931e2761-d409-44ef-9097-b17ded704939", "configuration": {"name": "primary"}, "id": "volume:1"}, {"capacity": 209714688, "vendor": "Linux", "description": "EFI partition", "capabilities": {"initialized": "initialized volume", "large_files": "4GB+ files", "extended_attributes": "Extended Attributes", "ext2": "EXT2/EXT3"}, "logicalname": "/dev/sda3", "dev": "8:3", "class": "volume", "version": "1.0", "businfo": "scsi@4:0.0.0,3", "physid": "3", "claimed": true, "handle": "GUID:5a6eb06e-8b37-4c6a-ac5a-b477fcdb5954", "serial": "0640de00-0575-4709-89fa-6e1148ed59cf", "configuration": {"name": "primary", "modified": "2016-07-22 07:59:39", "state": "clean", "filesystem": "ext2", "mounted": "2016-07-22 07:55:34", "lastmountpoint": "/boot"}, "id": "volume:2", "size": 56537088}, {"handle": "GUID:99214e93-e0a7-4bc4-bd7a-39b710871bf1", "description": "EFI partition", "capabilities": {"lvm2": true}, "logicalname": "/dev/sda4", "dev": "8:4", "class": "volume", "businfo": "scsi@4:0.0.0,4", "claimed": true, "physid": "4", "serial": "b5GeIR-jteo-m9eY-vIzO-FP23-E5NZ-L7yT2b", "configuration": {"name": "primary"}, "id": "volume:3", "size": 88113938432}, {"handle": "GUID:185a33a5-0ca7-469c-9cb2-1e8f4a950a40", "description": "EFI partition", "capabilities": {"lvm2": true}, "logicalname": "/dev/sda5", "dev": "8:5", "class": "volume", "businfo": "scsi@4:0.0.0,5", "claimed": true, "physid": "5", "serial": "ZMdo90-LLqW-dhV3-3owE-gHnt-DDTZ-FWGQPT", "configuration": {"name": "primary"}, "id": "volume:4", "size": 411469611008}, {"capacity": 20971008, "handle": "GUID:b16212f5-073b-4703-a1aa-ed3a324f6b24", "description": "EFI partition", "logicalname": "/dev/sda6", "dev": "8:6", "class": "volume", "businfo": "scsi@4:0.0.0,6", "claimed": true, "physid": "6", "serial": "b16212f5-073b-4703-a1aa-ed3a324f6b24", "configuration": {"name": "primary"}, "id": "volume:5"}], "dev": "8:0", "class": "disk", "units": "bytes", "version": "EMT0", "businfo": "scsi@4:0.0.0", "claimed": true, "physid": "0.0.0", "serial": "S2RBNXAH116177Z", "configuration": {"ansiversion": "5", "sectorsize": "512", "guid": "73c6cc6c-7bd6-4627-a2e9-c43835c15045"}, "id": "disk", "size": 500107862016}], "capabilities": {"emulated": "Emulated device"}, "class": "storage", "claimed": true, "physid": "82", "id": "scsi:0"}, {"logicalname": "scsi5", "children": [{"product": "Samsung SSD 850", "handle": "GUID:c56f2eba-717e-442a-8d6b-39358d8886e6", "description": "ATA Disk", "capabilities": {"gpt-1.00": "GUID Partition Table version 1.00", "partitioned:gpt": "GUID partition table", "partitioned": "Partitioned disk"}, "logicalname": "/dev/sdb", "children": [{"capacity": 25165312, "vendor": "EFI", "description": "BIOS Boot partition", "capabilities": {"nofs": "No filesystem"}, "logicalname": "/dev/sdb1", "dev": "8:17", "class": "volume", "businfo": "scsi@5:0.0.0,1", "physid": "1", "claimed": true, "handle": "GUID:39ea6599-fb90-44ee-bd5e-6f7ceab39037", "serial": "39ea6599-fb90-44ee-bd5e-6f7ceab39037", "configuration": {"name": "primary"}, "id": "volume:0"}, {"capacity": 209714688, "handle": "GUID:8fcc7722-cc4a-42e3-8063-16f664671d04", "description": "EFI partition", "logicalname": "/dev/sdb2", "dev": "8:18", "class": "volume", "businfo": "scsi@5:0.0.0,2", "claimed": true, "physid": "2", "serial": "8fcc7722-cc4a-42e3-8063-16f664671d04", "configuration": {"name": "primary"}, "id": "volume:1"}, {"capacity": 499449331200, "handle": "GUID:a9222a7a-6cb1-49bb-a57a-7230a1233793", "description": "EFI partition", "logicalname": "/dev/sdb3", "dev": "8:19", "class": "volume", "businfo": "scsi@5:0.0.0,3", "claimed": true, "physid": "3", "serial": "a9222a7a-6cb1-49bb-a57a-7230a1233793", "configuration": {"name": "primary"}, "id": "volume:2"}], "dev": "8:16", "class": "disk", "units": "bytes", "version": "EMT0", "businfo": "scsi@5:0.0.0", "claimed": true, "physid": "0.0.0", "serial": "S2RBNXAH116166N", "configuration": {"ansiversion": "5", "sectorsize": "512", "guid": "c56f2eba-717e-442a-8d6b-39358d8886e6"}, "id": "disk", "size": 500107862016}], "capabilities": {"emulated": "Emulated device"}, "class": "storage", "claimed": true, "physid": "83", "id": "scsi:1"}], "class": "bus", "version": "1.10", "physid": "0", "claimed": true, "vendor": "Supermicro", "serial": "NM15BS002598", "id": "core"}, {"product": "PWS-605P-1H", "capacity": 600, "vendor": "SUPERMICRO", "description": "PWS-605P-1H", "class": "power", "version": "1.1", "units": "mWh", "physid": "1", "serial": "P605A0F45B37947", "id": "power:0"}, {"product": "To be filled by O.E.M.", "capacity": 32768, "vendor": "To be filled by O.E.M.", "description": "To be filled by O.E.M.", "class": "power", "version": "To be filled by O.E.M.", "units": "mWh", "physid": "2", "serial": "To be filled by O.E.M.", "id": "power:1"}], "capabilities": {"smbios-2.8": "SMBIOS version 2.8", "vsyscall32": "32-bit processes", "dmi-2.7": "DMI version 2.7"}, "class": "system", "width": 64, "version": "123456789", "claimed": true, "vendor": "Supermicro", "serial": "E16865116200064", "configuration": {"sku": "To be filled by O.E.M.", "boot": "normal", "uuid": "00000000-0000-0000-0000-0CC47A6D3598", "family": "To be filled by O.E.M."}, "id": "bootstrap"}, "memory": {"slots": 16, "total": 68719476736, "maximum_capacity": 1099511627776, "devices": [{"frequency": 2133, "type": "Other", "size": 17179869184}, {"frequency": 2133, "type": "Other", "size": 17179869184}, {"frequency": 2133, "type": "Other", "size": 17179869184}, {"frequency": 2133, "type": "Other", "size": 17179869184}]}, "interfaces": [{"name": "ens11f0", "driver": "ixgbe", "state": "down", "mac": "00:1b:21:8a:7b:18", "max_speed": 10000, "current_speed": null, "interface_properties": {"numa_node": 1, "pci_id": "8086:10fb", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:81:00.0"}, {"name": "ens11f1", "driver": "ixgbe", "state": "down", "mac": "00:1b:21:8a:7b:19", "max_speed": 10000, "current_speed": null, "interface_properties": {"numa_node": 1, "pci_id": "8086:10fb", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:81:00.1"}, {"name": "enp9s0f0", "ip": "10.109.9.6", "driver": "igb", "state": "up", "mac": "0c:c4:7a:6d:35:98", "max_speed": 1000, "current_speed": 1000, "interface_properties": {"numa_node": 0, "pci_id": "8086:1521", "sriov": {"available": true, "sriov_totalvfs": 7, "pci_id": "8086:1520"}}, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": true, "bus_info": "0000:09:00.0"}, {"name": "enp9s0f1", "driver": "igb", "state": "down", "mac": "0c:c4:7a:6d:35:99", "max_speed": 1000, "current_speed": null, "interface_properties": {"numa_node": 0, "pci_id": "8086:1521", "sriov": {"available": true, "sriov_totalvfs": 7, "pci_id": "8086:1520"}}, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:09:00.1"}], "disks": [{"paths": null, "name": "sda", "extra": ["disk/by-id/wwn-0x5002538d409aeeab", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH116177Z"], "removable": "0", "model": "Samsung SSD 850", "disk": "sda", "size": 500107862016}, {"paths": null, "name": "sdb", "extra": ["disk/by-id/wwn-0x5002538d409aeea0", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH116166N"], "removable": "0", "model": "Samsung SSD 850", "disk": "sdb", "size": 500107862016}], "system": {"product": "SYS-6018R-TDW", "uuid": "00000000-0000-0000-0000-0CC47A6D3598", "family": "To be filled by O.E.M.", "fqdn": "bootstrap", "version": "123456789", "serial": "E16865116200064", "runtime_uuid": "83661b3e-fd06-40fa-8486-5e3a428ac884", "manufacturer": "Supermicro"}, "numa_topology": {"numa_nodes": [{"pcidevs": ["0000:00:11.4", "0000:08:00.0", "0000:09:00.0", "0000:09:00.1", "0000:00:1f.2"], "memory": 33630621696, "id": 0, "cpus": [0, 12, 1, 13, 2, 14, 3, 15, 4, 16, 5, 17]}, {"pcidevs": ["0000:81:00.0", "0000:81:00.1"], "memory": 33804173312, "id": 1, "cpus": [6, 18, 7, 19, 8, 20, 9, 21, 10, 22, 11, 23]}], "distances": [["1.000000", "2.100000"], ["2.100000", "1.000000"]], "supported_hugepages": [2048, 1048576]}, "cpu": {"real": 2, "total": 24, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}]}}	0c:c4:7a:6d:35:98	10.109.9.6	Supermicro	SYS-6018R-TDW	\N	0	ubuntu	f	f	\N	\N	2016-08-02 20:14:30.243663	t	62010ac36ef77e73ab255730e37ad5ad0907c9fb	[]	{}	\N	node-4	{}	{}	{}	\N	{}	{}	[]	{}
5	c1fa09c2-a146-44e9-9033-2e292aabafdb	\N	Untitled (28:de)	discover	{"pci_devices": {"product": "SYS-6018R-TDW (To be filled by O.E.M.)", "handle": "DMI:0001", "description": "Computer", "children": [{"slot": "To be filled by O.E.M.", "product": "X10DDW-i", "handle": "DMI:0002", "description": "Motherboard", "children": [{"units": "bytes", "vendor": "American Megatrends Inc.", "description": "BIOS", "capacity": 16711680, "capabilities": {"upgrade": "BIOS EEPROM can be upgraded", "shadowing": "BIOS shadowing", "edd": "Enhanced Disk Drive extensions", "biosbootspecification": "BIOS boot specification", "int13floppy720": "3.5\\" 720KB floppy", "int17printer": "INT17 printer control", "int9keyboard": "i8042 keyboard controller", "socketedrom": "BIOS ROM is socketed", "int13floppy1200": "5.25\\" 1.2MB floppy", "int13floppy2880": "3.5\\" 2.88MB floppy", "int5printscreen": "Print Screen key", "pci": "PCI bus", "uefi": "UEFI specification is supported", "usb": "USB legacy emulation", "bootselect": "Selectable boot path", "int14serial": "INT14 serial line control", "acpi": "ACPI", "cdboot": "Booting from CD-ROM/DVD"}, "class": "memory", "date": "09/23/2015", "version": "1.1", "claimed": true, "physid": "0", "id": "firmware", "size": 65536}, {"slot": "System board or motherboard", "handle": "DMI:005D", "description": "System Memory", "children": [{"slot": "P1_DIMMA1", "product": "M393A2G40DB0-CPB", "handle": "DMI:005F", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "Samsung(data:16/01)", "serial": "313A69FC", "id": "bank:0", "size": 17179869184}, {"slot": "P1_DIMMA2", "product": "NO DIMM", "handle": "DMI:0061", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "1", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:1"}, {"slot": "P1_DIMMB1", "product": "M393A2G40DB0-CPB", "handle": "DMI:0062", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "Samsung(data:16/01)", "serial": "313A67FC", "id": "bank:2", "size": 17179869184}, {"slot": "P1_DIMMB2", "product": "NO DIMM", "handle": "DMI:0064", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "3", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:3"}, {"slot": "P1_DIMMC1", "product": "NO DIMM", "handle": "DMI:0065", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "4", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:4"}, {"slot": "P1_DIMMC2", "product": "NO DIMM", "handle": "DMI:0066", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "5", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:5"}, {"slot": "P1_DIMMD1", "product": "NO DIMM", "handle": "DMI:0067", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "6", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:6"}, {"slot": "P1_DIMMD2", "product": "NO DIMM", "handle": "DMI:0068", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "7", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:7"}], "class": "memory", "claimed": true, "physid": "5d", "id": "memory:0"}, {"slot": "System board or motherboard", "handle": "DMI:0069", "description": "System Memory", "children": [{"slot": "P2_DIMME1", "product": "M393A2G40DB0-CPB", "handle": "DMI:006B", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "Samsung(data:16/01)", "serial": "313A6807", "id": "bank:0", "size": 17179869184}, {"slot": "P2_DIMME2", "product": "NO DIMM", "handle": "DMI:006D", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "1", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:1"}, {"slot": "P2_DIMMF1", "product": "M393A2G40DB0-CPB", "handle": "DMI:006E", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "Samsung(data:16/01)", "serial": "313A687D", "id": "bank:2", "size": 17179869184}, {"slot": "P2_DIMMF2", "product": "NO DIMM", "handle": "DMI:0070", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "3", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:3"}, {"slot": "P2_DIMMG1", "product": "NO DIMM", "handle": "DMI:0071", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "4", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:4"}, {"slot": "P2_DIMMG2", "product": "NO DIMM", "handle": "DMI:0072", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "5", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:5"}, {"slot": "P2_DIMMH1", "product": "NO DIMM", "handle": "DMI:0073", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "6", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:6"}, {"slot": "P2_DIMMH2", "product": "NO DIMM", "handle": "DMI:0074", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "7", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:7"}], "class": "memory", "claimed": true, "physid": "69", "id": "memory:1"}, {"slot": "CPU Internal L1", "capacity": 393216, "handle": "DMI:0077", "description": "L1 cache", "capabilities": {"internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "77", "id": "cache:0", "size": 393216}, {"slot": "CPU Internal L2", "capacity": 1572864, "handle": "DMI:0078", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "78", "id": "cache:1", "size": 1572864}, {"slot": "CPU Internal L3", "capacity": 15728640, "handle": "DMI:0079", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "79", "id": "cache:2", "size": 15728640}, {"slot": "SOCKET 0", "product": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "capacity": 3600000000, "handle": "DMI:007A", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "businfo": "cpu@0", "physid": "7a", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "6", "threads": "12", "enabledcores": "6"}, "id": "cpu:0", "size": 1200000000}, {"slot": "CPU Internal L1", "capacity": 393216, "handle": "DMI:007B", "description": "L1 cache", "capabilities": {"internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "7b", "id": "cache:3", "size": 393216}, {"slot": "CPU Internal L2", "capacity": 1572864, "handle": "DMI:007C", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "7c", "id": "cache:4", "size": 1572864}, {"slot": "CPU Internal L3", "capacity": 15728640, "handle": "DMI:007D", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "7d", "id": "cache:5", "size": 15728640}, {"slot": "SOCKET 1", "product": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "capacity": 3600000000, "handle": "DMI:007E", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "businfo": "cpu@1", "physid": "7e", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "6", "threads": "12", "enabledcores": "6"}, "id": "cpu:1", "size": 1200000000}, {"physid": "1", "id": "memory:2", "class": "memory"}, {"physid": "2", "id": "memory:3", "class": "memory"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMI2", "handle": "PCIBUS:0000:00", "description": "Host bridge", "clock": 33000000, "children": [{"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:01", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.0", "physid": "1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:02", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:03", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.0", "physid": "2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:04", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.0", "physid": "3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:05", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.2", "physid": "3.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:00:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.0", "physid": "4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:00:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:00:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:00:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:00:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:00:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:00:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:00:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.0", "physid": "5", "handle": "PCI:0000:00:05.0", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.1", "physid": "5.1", "handle": "PCI:0000:00:05.1", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.2", "physid": "5.2", "handle": "PCI:0000:00:05.2", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.4", "physid": "5.4", "handle": "PCI:0000:00:05.4", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "C610/X99 series chipset SPSR", "vendor": "Intel Corporation", "description": "Unassigned class", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "05", "businfo": "pci@0000:00:11.0", "physid": "11", "handle": "PCI:0000:00:11.0", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "C610/X99 series chipset sSATA Controller [AHCI mode]", "handle": "PCI:0000:00:11.4", "description": "SATA controller", "clock": 66000000, "capabilities": {"cap_list": "PCI capabilities listing", "ahci_1.0": true, "storage": true, "bus_master": "bus mastering", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "storage", "width": 32, "version": "05", "businfo": "pci@0000:00:11.4", "physid": "11.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ahci"}, "id": "storage:0"}, {"product": "C610/X99 series chipset USB xHCI Host Controller", "handle": "PCI:0000:00:14.0", "description": "USB controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "xhci": true, "pm": "Power Management"}, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:14.0", "physid": "14", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "xhci_hcd"}, "id": "usb:0"}, {"product": "C610/X99 series chipset MEI Controller #1", "vendor": "Intel Corporation", "description": "Communication controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "communication", "width": 64, "version": "05", "businfo": "pci@0000:00:16.0", "physid": "16", "handle": "PCI:0000:00:16.0", "configuration": {"latency": "0"}, "id": "communication:0"}, {"product": "C610/X99 series chipset MEI Controller #2", "vendor": "Intel Corporation", "description": "Communication controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "communication", "width": 64, "version": "05", "businfo": "pci@0000:00:16.1", "physid": "16.1", "handle": "PCI:0000:00:16.1", "configuration": {"latency": "0"}, "id": "communication:1"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #2", "handle": "PCI:0000:00:1a.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1a.0", "physid": "1a", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:1"}, {"product": "C610/X99 series chipset PCI Express Root Port #1", "handle": "PCIBUS:0000:06", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.0", "physid": "1c", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:5"}, {"product": "C610/X99 series chipset PCI Express Root Port #4", "handle": "PCIBUS:0000:07", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "AST1150 PCI-to-PCI Bridge", "handle": "PCIBUS:0000:08", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "ASPEED Graphics Family", "handle": "PCI:0000:08:00.0", "description": "VGA compatible controller", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "rom": "extension ROM", "vga_controller": true, "bus_master": "bus mastering", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "display", "width": 32, "version": "30", "businfo": "pci@0000:08:00.0", "physid": "0", "claimed": true, "vendor": "ASPEED Technology, Inc.", "configuration": {"latency": "0", "driver": "ast"}, "id": "display"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "03", "businfo": "pci@0000:07:00.0", "physid": "0", "claimed": true, "vendor": "ASPEED Technology, Inc.", "id": "pci"}], "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.3", "physid": "1c.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:6"}, {"product": "C610/X99 series chipset PCI Express Root Port #5", "handle": "PCIBUS:0000:09", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "I350 Gigabit Network Connection", "capacity": 1000000000, "handle": "PCI:0000:09:00.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp9s0f0", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "10bt-fd": "10Mbit/s (full duplex)", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "100bt-fd": "100Mbit/s (full duplex)", "pm": "Power Management"}, "class": "network", "units": "bit/s", "version": "01", "businfo": "pci@0000:09:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Intel Corporation", "serial": "0c:c4:7a:6d:28:de", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "ip": "10.109.9.7", "firmware": "1.61, 0x8000090e", "driver": "igb", "broadcast": "yes", "multicast": "yes", "link": "yes", "driverversion": "5.0.5-k", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:0", "size": 1000000000}, {"product": "I350 Gigabit Network Connection", "capacity": 1000000000, "handle": "PCI:0000:09:00.1", "description": "Ethernet interface", "width": 32, "logicalname": "enp9s0f1", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "10bt-fd": "10Mbit/s (full duplex)", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "100bt-fd": "100Mbit/s (full duplex)", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:09:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Intel Corporation", "serial": "0c:c4:7a:6d:28:df", "configuration": {"latency": "0", "autonegotiation": "on", "firmware": "1.61, 0x8000090e", "driver": "igb", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "5.0.5-k", "port": "twisted pair"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.4", "physid": "1c.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:7"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #1", "handle": "PCI:0000:00:1d.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1d.0", "physid": "1d", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:2"}, {"product": "C610/X99 series chipset LPC Controller", "handle": "PCI:0000:00:1f.0", "description": "ISA bridge", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "isa": true, "cap_list": "PCI capabilities listing"}, "class": "bridge", "width": 32, "version": "05", "businfo": "pci@0000:00:1f.0", "physid": "1f", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "lpc_ich"}, "id": "isa"}, {"product": "C610/X99 series chipset 6-Port SATA Controller [AHCI mode]", "handle": "PCI:0000:00:1f.2", "description": "SATA controller", "clock": 66000000, "capabilities": {"cap_list": "PCI capabilities listing", "ahci_1.0": true, "storage": true, "bus_master": "bus mastering", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "storage", "width": 32, "version": "05", "businfo": "pci@0000:00:1f.2", "physid": "1f.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ahci"}, "id": "storage:1"}, {"product": "C610/X99 series chipset SMBus Controller", "vendor": "Intel Corporation", "description": "SMBus", "clock": 33000000, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:1f.3", "physid": "1f.3", "handle": "PCI:0000:00:1f.3", "configuration": {"latency": "0"}, "id": "serial"}], "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:00.0", "physid": "100", "claimed": true, "vendor": "Intel Corporation", "id": "pci:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.0", "physid": "6", "handle": "PCI:0000:7f:08.0", "configuration": {"latency": "0"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.2", "physid": "7", "handle": "PCI:0000:7f:08.2", "configuration": {"latency": "0"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.3", "physid": "8", "handle": "PCI:0000:7f:08.3", "configuration": {"latency": "0"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.0", "physid": "9", "handle": "PCI:0000:7f:0b.0", "configuration": {"latency": "0"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.1", "physid": "a", "handle": "PCI:0000:7f:0b.1", "configuration": {"latency": "0"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.2", "physid": "b", "handle": "PCI:0000:7f:0b.2", "configuration": {"latency": "0"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.0", "physid": "c", "handle": "PCI:0000:7f:0c.0", "configuration": {"latency": "0"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.1", "physid": "d", "handle": "PCI:0000:7f:0c.1", "configuration": {"latency": "0"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.2", "physid": "e", "handle": "PCI:0000:7f:0c.2", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.3", "physid": "f", "handle": "PCI:0000:7f:0c.3", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.4", "physid": "10", "handle": "PCI:0000:7f:0c.4", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.5", "physid": "11", "handle": "PCI:0000:7f:0c.5", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.0", "physid": "12", "handle": "PCI:0000:7f:0f.0", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.1", "physid": "13", "handle": "PCI:0000:7f:0f.1", "configuration": {"latency": "0"}, "id": "generic:13"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.4", "physid": "14", "handle": "PCI:0000:7f:0f.4", "configuration": {"latency": "0"}, "id": "generic:14"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.5", "physid": "15", "handle": "PCI:0000:7f:0f.5", "configuration": {"latency": "0"}, "id": "generic:15"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.6", "physid": "16", "handle": "PCI:0000:7f:0f.6", "configuration": {"latency": "0"}, "id": "generic:16"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.0", "physid": "17", "handle": "PCI:0000:7f:10.0", "configuration": {"latency": "0"}, "id": "generic:17"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.1", "physid": "18", "handle": "PCI:0000:7f:10.1", "configuration": {"latency": "0"}, "id": "generic:18"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.5", "physid": "19", "handle": "PCI:0000:7f:10.5", "configuration": {"latency": "0"}, "id": "generic:19"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.6", "physid": "1a", "handle": "PCI:0000:7f:10.6", "configuration": {"latency": "0"}, "id": "generic:20"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.7", "physid": "1b", "handle": "PCI:0000:7f:10.7", "configuration": {"latency": "0"}, "id": "generic:21"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.0", "physid": "1c", "handle": "PCI:0000:7f:12.0", "configuration": {"latency": "0"}, "id": "generic:22"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.1", "physid": "1d", "handle": "PCI:0000:7f:12.1", "configuration": {"latency": "0"}, "id": "generic:23"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.0", "physid": "1e", "handle": "PCI:0000:7f:13.0", "configuration": {"latency": "0"}, "id": "generic:24"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.1", "physid": "1f", "handle": "PCI:0000:7f:13.1", "configuration": {"latency": "0"}, "id": "generic:25"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.2", "physid": "20", "handle": "PCI:0000:7f:13.2", "configuration": {"latency": "0"}, "id": "generic:26"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.3", "physid": "21", "handle": "PCI:0000:7f:13.3", "configuration": {"latency": "0"}, "id": "generic:27"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.4", "physid": "22", "handle": "PCI:0000:7f:13.4", "configuration": {"latency": "0"}, "id": "generic:28"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.5", "physid": "23", "handle": "PCI:0000:7f:13.5", "configuration": {"latency": "0"}, "id": "generic:29"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.6", "physid": "24", "handle": "PCI:0000:7f:13.6", "configuration": {"latency": "0"}, "id": "generic:30"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.7", "physid": "25", "handle": "PCI:0000:7f:13.7", "configuration": {"latency": "0"}, "id": "generic:31"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.0", "physid": "26", "handle": "PCI:0000:7f:14.0", "configuration": {"latency": "0"}, "id": "generic:32"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.1", "physid": "27", "handle": "PCI:0000:7f:14.1", "configuration": {"latency": "0"}, "id": "generic:33"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.2", "physid": "28", "handle": "PCI:0000:7f:14.2", "configuration": {"latency": "0"}, "id": "generic:34"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.3", "physid": "29", "handle": "PCI:0000:7f:14.3", "configuration": {"latency": "0"}, "id": "generic:35"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.6", "physid": "2a", "handle": "PCI:0000:7f:14.6", "configuration": {"latency": "0"}, "id": "generic:36"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.7", "physid": "2b", "handle": "PCI:0000:7f:14.7", "configuration": {"latency": "0"}, "id": "generic:37"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.0", "physid": "2c", "handle": "PCI:0000:7f:15.0", "configuration": {"latency": "0"}, "id": "generic:38"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.1", "physid": "2d", "handle": "PCI:0000:7f:15.1", "configuration": {"latency": "0"}, "id": "generic:39"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.2", "physid": "2e", "handle": "PCI:0000:7f:15.2", "configuration": {"latency": "0"}, "id": "generic:40"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.3", "physid": "2f", "handle": "PCI:0000:7f:15.3", "configuration": {"latency": "0"}, "id": "generic:41"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.0", "physid": "30", "handle": "PCI:0000:7f:16.0", "configuration": {"latency": "0"}, "id": "generic:42"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.6", "physid": "31", "handle": "PCI:0000:7f:16.6", "configuration": {"latency": "0"}, "id": "generic:43"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.7", "physid": "32", "handle": "PCI:0000:7f:16.7", "configuration": {"latency": "0"}, "id": "generic:44"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.0", "physid": "33", "handle": "PCI:0000:7f:17.0", "configuration": {"latency": "0"}, "id": "generic:45"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.4", "physid": "34", "handle": "PCI:0000:7f:17.4", "configuration": {"latency": "0"}, "id": "generic:46"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.5", "physid": "35", "handle": "PCI:0000:7f:17.5", "configuration": {"latency": "0"}, "id": "generic:47"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.6", "physid": "36", "handle": "PCI:0000:7f:17.6", "configuration": {"latency": "0"}, "id": "generic:48"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.7", "physid": "37", "handle": "PCI:0000:7f:17.7", "configuration": {"latency": "0"}, "id": "generic:49"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.0", "physid": "38", "handle": "PCI:0000:7f:1e.0", "configuration": {"latency": "0"}, "id": "generic:50"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.1", "physid": "39", "handle": "PCI:0000:7f:1e.1", "configuration": {"latency": "0"}, "id": "generic:51"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.2", "physid": "3a", "handle": "PCI:0000:7f:1e.2", "configuration": {"latency": "0"}, "id": "generic:52"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.3", "physid": "3b", "handle": "PCI:0000:7f:1e.3", "configuration": {"latency": "0"}, "id": "generic:53"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.4", "physid": "3c", "handle": "PCI:0000:7f:1e.4", "configuration": {"latency": "0"}, "id": "generic:54"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.0", "physid": "3d", "handle": "PCI:0000:7f:1f.0", "configuration": {"latency": "0"}, "id": "generic:55"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.2", "physid": "3e", "handle": "PCI:0000:7f:1f.2", "configuration": {"latency": "0"}, "id": "generic:56"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:81", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "82599ES 10-Gigabit SFI/SFP+ Network Connection", "capacity": 1000000000, "handle": "PCI:0000:81:00.0", "description": "Ethernet interface", "width": 64, "logicalname": "ens11f0", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "autonegotiation": "Auto-negotiation", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "rom": "extension ROM", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:81:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Intel Corporation", "serial": "00:1b:21:89:47:90", "configuration": {"latency": "0", "autonegotiation": "on", "firmware": "0x30030001", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k", "port": "fibre"}, "id": "network:0"}, {"product": "82599ES 10-Gigabit SFI/SFP+ Network Connection", "capacity": 1000000000, "handle": "PCI:0000:81:00.1", "description": "Ethernet interface", "width": 64, "logicalname": "ens11f1", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "autonegotiation": "Auto-negotiation", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "rom": "extension ROM", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:81:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Intel Corporation", "serial": "00:1b:21:89:47:91", "configuration": {"latency": "0", "autonegotiation": "on", "firmware": "0x30030001", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k", "port": "fibre"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.0", "physid": "3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:80:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.0", "physid": "4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:57"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:80:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:58"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:80:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:59"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:80:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:60"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:80:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:61"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:80:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:62"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:80:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:63"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:80:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:64"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.0", "physid": "5", "handle": "PCI:0000:80:05.0", "configuration": {"latency": "0"}, "id": "generic:65"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.1", "physid": "5.1", "handle": "PCI:0000:80:05.1", "configuration": {"latency": "0"}, "id": "generic:66"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.2", "physid": "5.2", "handle": "PCI:0000:80:05.2", "configuration": {"latency": "0"}, "id": "generic:67"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.4", "physid": "5.4", "handle": "PCI:0000:80:05.4", "configuration": {"latency": "0"}, "id": "generic:68"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.0", "physid": "3f", "handle": "PCI:0000:ff:08.0", "configuration": {"latency": "0"}, "id": "generic:69"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.2", "physid": "40", "handle": "PCI:0000:ff:08.2", "configuration": {"latency": "0"}, "id": "generic:70"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.3", "physid": "41", "handle": "PCI:0000:ff:08.3", "configuration": {"latency": "0"}, "id": "generic:71"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.0", "physid": "42", "handle": "PCI:0000:ff:0b.0", "configuration": {"latency": "0"}, "id": "generic:72"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.1", "physid": "43", "handle": "PCI:0000:ff:0b.1", "configuration": {"latency": "0"}, "id": "generic:73"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.2", "physid": "44", "handle": "PCI:0000:ff:0b.2", "configuration": {"latency": "0"}, "id": "generic:74"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.0", "physid": "45", "handle": "PCI:0000:ff:0c.0", "configuration": {"latency": "0"}, "id": "generic:75"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.1", "physid": "46", "handle": "PCI:0000:ff:0c.1", "configuration": {"latency": "0"}, "id": "generic:76"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.2", "physid": "47", "handle": "PCI:0000:ff:0c.2", "configuration": {"latency": "0"}, "id": "generic:77"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.3", "physid": "48", "handle": "PCI:0000:ff:0c.3", "configuration": {"latency": "0"}, "id": "generic:78"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.4", "physid": "49", "handle": "PCI:0000:ff:0c.4", "configuration": {"latency": "0"}, "id": "generic:79"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.5", "physid": "4a", "handle": "PCI:0000:ff:0c.5", "configuration": {"latency": "0"}, "id": "generic:80"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.0", "physid": "4b", "handle": "PCI:0000:ff:0f.0", "configuration": {"latency": "0"}, "id": "generic:81"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.1", "physid": "4c", "handle": "PCI:0000:ff:0f.1", "configuration": {"latency": "0"}, "id": "generic:82"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.4", "physid": "4d", "handle": "PCI:0000:ff:0f.4", "configuration": {"latency": "0"}, "id": "generic:83"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.5", "physid": "4e", "handle": "PCI:0000:ff:0f.5", "configuration": {"latency": "0"}, "id": "generic:84"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.6", "physid": "4f", "handle": "PCI:0000:ff:0f.6", "configuration": {"latency": "0"}, "id": "generic:85"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.0", "physid": "50", "handle": "PCI:0000:ff:10.0", "configuration": {"latency": "0"}, "id": "generic:86"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.1", "physid": "51", "handle": "PCI:0000:ff:10.1", "configuration": {"latency": "0"}, "id": "generic:87"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.5", "physid": "52", "handle": "PCI:0000:ff:10.5", "configuration": {"latency": "0"}, "id": "generic:88"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.6", "physid": "53", "handle": "PCI:0000:ff:10.6", "configuration": {"latency": "0"}, "id": "generic:89"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.7", "physid": "54", "handle": "PCI:0000:ff:10.7", "configuration": {"latency": "0"}, "id": "generic:90"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.0", "physid": "55", "handle": "PCI:0000:ff:12.0", "configuration": {"latency": "0"}, "id": "generic:91"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.1", "physid": "56", "handle": "PCI:0000:ff:12.1", "configuration": {"latency": "0"}, "id": "generic:92"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.0", "physid": "57", "handle": "PCI:0000:ff:13.0", "configuration": {"latency": "0"}, "id": "generic:93"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.1", "physid": "58", "handle": "PCI:0000:ff:13.1", "configuration": {"latency": "0"}, "id": "generic:94"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.2", "physid": "59", "handle": "PCI:0000:ff:13.2", "configuration": {"latency": "0"}, "id": "generic:95"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.3", "physid": "5a", "handle": "PCI:0000:ff:13.3", "configuration": {"latency": "0"}, "id": "generic:96"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.4", "physid": "5b", "handle": "PCI:0000:ff:13.4", "configuration": {"latency": "0"}, "id": "generic:97"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.5", "physid": "5c", "handle": "PCI:0000:ff:13.5", "configuration": {"latency": "0"}, "id": "generic:98"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.6", "physid": "5e", "handle": "PCI:0000:ff:13.6", "configuration": {"latency": "0"}, "id": "generic:99"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.7", "physid": "5f", "handle": "PCI:0000:ff:13.7", "configuration": {"latency": "0"}, "id": "generic:100"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.0", "physid": "60", "handle": "PCI:0000:ff:14.0", "configuration": {"latency": "0"}, "id": "generic:101"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.1", "physid": "61", "handle": "PCI:0000:ff:14.1", "configuration": {"latency": "0"}, "id": "generic:102"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.2", "physid": "62", "handle": "PCI:0000:ff:14.2", "configuration": {"latency": "0"}, "id": "generic:103"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.3", "physid": "63", "handle": "PCI:0000:ff:14.3", "configuration": {"latency": "0"}, "id": "generic:104"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.6", "physid": "64", "handle": "PCI:0000:ff:14.6", "configuration": {"latency": "0"}, "id": "generic:105"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.7", "physid": "65", "handle": "PCI:0000:ff:14.7", "configuration": {"latency": "0"}, "id": "generic:106"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.0", "physid": "66", "handle": "PCI:0000:ff:15.0", "configuration": {"latency": "0"}, "id": "generic:107"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.1", "physid": "67", "handle": "PCI:0000:ff:15.1", "configuration": {"latency": "0"}, "id": "generic:108"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.2", "physid": "68", "handle": "PCI:0000:ff:15.2", "configuration": {"latency": "0"}, "id": "generic:109"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.3", "physid": "6a", "handle": "PCI:0000:ff:15.3", "configuration": {"latency": "0"}, "id": "generic:110"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.0", "physid": "6b", "handle": "PCI:0000:ff:16.0", "configuration": {"latency": "0"}, "id": "generic:111"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.6", "physid": "6c", "handle": "PCI:0000:ff:16.6", "configuration": {"latency": "0"}, "id": "generic:112"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.7", "physid": "6d", "handle": "PCI:0000:ff:16.7", "configuration": {"latency": "0"}, "id": "generic:113"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.0", "physid": "6e", "handle": "PCI:0000:ff:17.0", "configuration": {"latency": "0"}, "id": "generic:114"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.4", "physid": "6f", "handle": "PCI:0000:ff:17.4", "configuration": {"latency": "0"}, "id": "generic:115"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.5", "physid": "70", "handle": "PCI:0000:ff:17.5", "configuration": {"latency": "0"}, "id": "generic:116"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.6", "physid": "71", "handle": "PCI:0000:ff:17.6", "configuration": {"latency": "0"}, "id": "generic:117"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.7", "physid": "72", "handle": "PCI:0000:ff:17.7", "configuration": {"latency": "0"}, "id": "generic:118"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.0", "physid": "73", "handle": "PCI:0000:ff:1e.0", "configuration": {"latency": "0"}, "id": "generic:119"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.1", "physid": "74", "handle": "PCI:0000:ff:1e.1", "configuration": {"latency": "0"}, "id": "generic:120"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.2", "physid": "75", "handle": "PCI:0000:ff:1e.2", "configuration": {"latency": "0"}, "id": "generic:121"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.3", "physid": "76", "handle": "PCI:0000:ff:1e.3", "configuration": {"latency": "0"}, "id": "generic:122"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.4", "physid": "7f", "handle": "PCI:0000:ff:1e.4", "configuration": {"latency": "0"}, "id": "generic:123"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.0", "physid": "80", "handle": "PCI:0000:ff:1f.0", "configuration": {"latency": "0"}, "id": "generic:124"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.2", "physid": "81", "handle": "PCI:0000:ff:1f.2", "configuration": {"latency": "0"}, "id": "generic:125"}, {"logicalname": "scsi4", "children": [{"product": "Samsung SSD 850", "handle": "GUID:32a18453-d56b-4492-9a31-eae2f1c2f6e4", "description": "ATA Disk", "capabilities": {"gpt-1.00": "GUID Partition Table version 1.00", "partitioned:gpt": "GUID partition table", "partitioned": "Partitioned disk"}, "logicalname": "/dev/sda", "children": [{"capacity": 25165312, "vendor": "EFI", "description": "BIOS Boot partition", "capabilities": {"nofs": "No filesystem"}, "logicalname": "/dev/sda1", "dev": "8:1", "class": "volume", "businfo": "scsi@4:0.0.0,1", "physid": "1", "claimed": true, "handle": "GUID:276ab24b-21b1-4225-b606-eac4cdafe0b9", "serial": "276ab24b-21b1-4225-b606-eac4cdafe0b9", "configuration": {"name": "primary"}, "id": "volume:0"}, {"capacity": 209714688, "handle": "GUID:fa0bd91e-6bf2-4791-abf7-a635281e13af", "description": "EFI partition", "logicalname": "/dev/sda2", "dev": "8:2", "class": "volume", "businfo": "scsi@4:0.0.0,2", "claimed": true, "physid": "2", "serial": "fa0bd91e-6bf2-4791-abf7-a635281e13af", "configuration": {"name": "primary"}, "id": "volume:1"}, {"capacity": 209714688, "vendor": "Linux", "description": "EFI partition", "capabilities": {"initialized": "initialized volume", "large_files": "4GB+ files", "extended_attributes": "Extended Attributes", "ext2": "EXT2/EXT3"}, "logicalname": "/dev/sda3", "dev": "8:3", "class": "volume", "version": "1.0", "businfo": "scsi@4:0.0.0,3", "physid": "3", "claimed": true, "handle": "GUID:acdf4414-07c5-4235-ae82-8d57a99a42e0", "serial": "0640de00-0575-4709-89fa-6e1148ed59cf", "configuration": {"name": "primary", "modified": "2016-07-22 07:59:39", "state": "clean", "filesystem": "ext2", "mounted": "2016-07-22 07:55:34", "lastmountpoint": "/boot"}, "id": "volume:2", "size": 56537088}, {"handle": "GUID:16ad445c-9ad3-4b99-833c-12744bf3bf84", "description": "EFI partition", "capabilities": {"lvm2": true}, "logicalname": "/dev/sda4", "dev": "8:4", "class": "volume", "businfo": "scsi@4:0.0.0,4", "claimed": true, "physid": "4", "serial": "kwXemj-Lyei-aSPY-o08q-9F92-FjOl-8Fa0i6", "configuration": {"name": "primary"}, "id": "volume:3", "size": 88113938432}, {"handle": "GUID:e36391eb-ca53-4a1e-bebd-1264df9ad435", "description": "EFI partition", "capabilities": {"lvm2": true}, "logicalname": "/dev/sda5", "dev": "8:5", "class": "volume", "businfo": "scsi@4:0.0.0,5", "claimed": true, "physid": "5", "serial": "08eLfx-Nxc9-GMcx-PWdZ-U283-BAF1-O7O41v", "configuration": {"name": "primary"}, "id": "volume:4", "size": 411469611008}, {"capacity": 20971008, "handle": "GUID:6f7ca111-d88e-413b-98b9-d39b05e504b2", "description": "EFI partition", "logicalname": "/dev/sda6", "dev": "8:6", "class": "volume", "businfo": "scsi@4:0.0.0,6", "claimed": true, "physid": "6", "serial": "6f7ca111-d88e-413b-98b9-d39b05e504b2", "configuration": {"name": "primary"}, "id": "volume:5"}], "dev": "8:0", "class": "disk", "units": "bytes", "version": "EMT0", "businfo": "scsi@4:0.0.0", "claimed": true, "physid": "0.0.0", "serial": "S2RBNXAH116727H", "configuration": {"ansiversion": "5", "sectorsize": "512", "guid": "32a18453-d56b-4492-9a31-eae2f1c2f6e4"}, "id": "disk", "size": 500107862016}], "capabilities": {"emulated": "Emulated device"}, "class": "storage", "claimed": true, "physid": "82", "id": "scsi:0"}, {"logicalname": "scsi5", "children": [{"product": "Samsung SSD 850", "handle": "GUID:eca78e63-637a-4796-a43f-b05543be1103", "description": "ATA Disk", "capabilities": {"gpt-1.00": "GUID Partition Table version 1.00", "partitioned:gpt": "GUID partition table", "partitioned": "Partitioned disk"}, "logicalname": "/dev/sdb", "children": [{"capacity": 25165312, "vendor": "EFI", "description": "BIOS Boot partition", "capabilities": {"nofs": "No filesystem"}, "logicalname": "/dev/sdb1", "dev": "8:17", "class": "volume", "businfo": "scsi@5:0.0.0,1", "physid": "1", "claimed": true, "handle": "GUID:37aa6d4a-b707-436a-b699-7c54687e6256", "serial": "37aa6d4a-b707-436a-b699-7c54687e6256", "configuration": {"name": "primary"}, "id": "volume:0"}, {"capacity": 209714688, "handle": "GUID:6b2ae2d7-c7bc-4db7-9b68-129c951c69a1", "description": "EFI partition", "logicalname": "/dev/sdb2", "dev": "8:18", "class": "volume", "businfo": "scsi@5:0.0.0,2", "claimed": true, "physid": "2", "serial": "6b2ae2d7-c7bc-4db7-9b68-129c951c69a1", "configuration": {"name": "primary"}, "id": "volume:1"}, {"capacity": 499449331200, "handle": "GUID:dcb2159f-f717-4d33-9939-96daf4f30e3d", "description": "EFI partition", "logicalname": "/dev/sdb3", "dev": "8:19", "class": "volume", "businfo": "scsi@5:0.0.0,3", "claimed": true, "physid": "3", "serial": "dcb2159f-f717-4d33-9939-96daf4f30e3d", "configuration": {"name": "primary"}, "id": "volume:2"}], "dev": "8:16", "class": "disk", "units": "bytes", "version": "EMT0", "businfo": "scsi@5:0.0.0", "claimed": true, "physid": "0.0.0", "serial": "S2RBNXAH116194J", "configuration": {"ansiversion": "5", "sectorsize": "512", "guid": "eca78e63-637a-4796-a43f-b05543be1103"}, "id": "disk", "size": 500107862016}], "capabilities": {"emulated": "Emulated device"}, "class": "storage", "claimed": true, "physid": "83", "id": "scsi:1"}], "class": "bus", "version": "1.10", "physid": "0", "claimed": true, "vendor": "Supermicro", "serial": "NM15BS000821", "id": "core"}, {"product": "PWS-605P-1H", "capacity": 600, "vendor": "SUPERMICRO", "description": "PWS-605P-1H", "class": "power", "version": "1.1", "units": "mWh", "physid": "1", "serial": "P605A0F45B37992", "id": "power:0"}, {"product": "To be filled by O.E.M.", "capacity": 32768, "vendor": "To be filled by O.E.M.", "description": "To be filled by O.E.M.", "class": "power", "version": "To be filled by O.E.M.", "units": "mWh", "physid": "2", "serial": "To be filled by O.E.M.", "id": "power:1"}], "capabilities": {"smbios-2.8": "SMBIOS version 2.8", "vsyscall32": "32-bit processes", "dmi-2.7": "DMI version 2.7"}, "class": "system", "width": 64, "version": "123456789", "claimed": true, "vendor": "Supermicro", "serial": "E16865116200082", "configuration": {"sku": "To be filled by O.E.M.", "boot": "normal", "uuid": "00000000-0000-0000-0000-0CC47A6D28DE", "family": "To be filled by O.E.M."}, "id": "bootstrap"}, "memory": {"slots": 16, "total": 68719476736, "maximum_capacity": 1099511627776, "devices": [{"frequency": 2133, "type": "Other", "size": 17179869184}, {"frequency": 2133, "type": "Other", "size": 17179869184}, {"frequency": 2133, "type": "Other", "size": 17179869184}, {"frequency": 2133, "type": "Other", "size": 17179869184}]}, "interfaces": [{"name": "ens11f0", "driver": "ixgbe", "state": "down", "mac": "00:1b:21:89:47:90", "max_speed": 10000, "current_speed": null, "interface_properties": {"numa_node": 1, "pci_id": "8086:10fb", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:81:00.0"}, {"name": "ens11f1", "driver": "ixgbe", "state": "down", "mac": "00:1b:21:89:47:91", "max_speed": 10000, "current_speed": null, "interface_properties": {"numa_node": 1, "pci_id": "8086:10fb", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:81:00.1"}, {"name": "enp9s0f0", "ip": "10.109.9.7", "driver": "igb", "state": "up", "mac": "0c:c4:7a:6d:28:de", "max_speed": 1000, "current_speed": 1000, "interface_properties": {"numa_node": 0, "pci_id": "8086:1521", "sriov": {"available": true, "sriov_totalvfs": 7, "pci_id": "8086:1520"}}, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": true, "bus_info": "0000:09:00.0"}, {"name": "enp9s0f1", "driver": "igb", "state": "down", "mac": "0c:c4:7a:6d:28:df", "max_speed": 1000, "current_speed": null, "interface_properties": {"numa_node": 0, "pci_id": "8086:1521", "sriov": {"available": true, "sriov_totalvfs": 7, "pci_id": "8086:1520"}}, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:09:00.1"}], "disks": [{"paths": null, "name": "sda", "extra": ["disk/by-id/wwn-0x5002538d409af25c", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH116727H"], "removable": "0", "model": "Samsung SSD 850", "disk": "sda", "size": 500107862016}, {"paths": null, "name": "sdb", "extra": ["disk/by-id/wwn-0x5002538d409aeecb", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH116194J"], "removable": "0", "model": "Samsung SSD 850", "disk": "sdb", "size": 500107862016}], "system": {"product": "SYS-6018R-TDW", "uuid": "00000000-0000-0000-0000-0CC47A6D28DE", "family": "To be filled by O.E.M.", "fqdn": "bootstrap", "version": "123456789", "serial": "E16865116200082", "runtime_uuid": "83661b3e-fd06-40fa-8486-5e3a428ac884", "manufacturer": "Supermicro"}, "numa_topology": {"numa_nodes": [{"pcidevs": ["0000:00:11.4", "0000:08:00.0", "0000:09:00.0", "0000:09:00.1", "0000:00:1f.2"], "memory": 33630621696, "id": 0, "cpus": [0, 12, 1, 13, 2, 14, 3, 15, 4, 16, 5, 17]}, {"pcidevs": ["0000:81:00.0", "0000:81:00.1"], "memory": 33804173312, "id": 1, "cpus": [6, 18, 7, 19, 8, 20, 9, 21, 10, 22, 11, 23]}], "distances": [["1.000000", "2.100000"], ["2.100000", "1.000000"]], "supported_hugepages": [2048, 1048576]}, "cpu": {"real": 2, "total": 24, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}]}}	0c:c4:7a:6d:28:de	10.109.9.7	Supermicro	SYS-6018R-TDW	\N	0	ubuntu	f	f	\N	\N	2016-08-02 20:14:33.109896	t	cfa8931ba768aa6fa68e41aafb10edff25aaa10f	[]	{}	\N	node-5	{}	{}	{}	\N	{}	{}	[]	{}
2	a15f2aab-305a-4c4c-a2a0-32312040ffb0	\N	Untitled (9b:96)	discover	{"pci_devices": {"product": "SYS-6018R-TDW (To be filled by O.E.M.)", "handle": "DMI:0001", "description": "Computer", "children": [{"slot": "To be filled by O.E.M.", "product": "X10DDW-i", "handle": "DMI:0002", "description": "Motherboard", "children": [{"units": "bytes", "vendor": "American Megatrends Inc.", "description": "BIOS", "capacity": 16711680, "capabilities": {"upgrade": "BIOS EEPROM can be upgraded", "shadowing": "BIOS shadowing", "edd": "Enhanced Disk Drive extensions", "biosbootspecification": "BIOS boot specification", "int13floppy720": "3.5\\" 720KB floppy", "int17printer": "INT17 printer control", "int9keyboard": "i8042 keyboard controller", "socketedrom": "BIOS ROM is socketed", "int13floppy1200": "5.25\\" 1.2MB floppy", "int13floppy2880": "3.5\\" 2.88MB floppy", "int5printscreen": "Print Screen key", "pci": "PCI bus", "uefi": "UEFI specification is supported", "usb": "USB legacy emulation", "bootselect": "Selectable boot path", "int14serial": "INT14 serial line control", "acpi": "ACPI", "cdboot": "Booting from CD-ROM/DVD"}, "class": "memory", "date": "09/23/2015", "version": "1.1", "claimed": true, "physid": "0", "id": "firmware", "size": 65536}, {"slot": "System board or motherboard", "handle": "DMI:005D", "description": "System Memory", "children": [{"slot": "P1_DIMMA1", "product": "M393A2G40DB0-CPB", "handle": "DMI:005F", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "Samsung(data:16/01)", "serial": "313A630A", "id": "bank:0", "size": 17179869184}, {"slot": "P1_DIMMA2", "product": "NO DIMM", "handle": "DMI:0061", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "1", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:1"}, {"slot": "P1_DIMMB1", "product": "M393A2G40DB0-CPB", "handle": "DMI:0062", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "Samsung(data:15/24)", "serial": "40932493", "id": "bank:2", "size": 17179869184}, {"slot": "P1_DIMMB2", "product": "NO DIMM", "handle": "DMI:0064", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "3", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:3"}, {"slot": "P1_DIMMC1", "product": "NO DIMM", "handle": "DMI:0065", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "4", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:4"}, {"slot": "P1_DIMMC2", "product": "NO DIMM", "handle": "DMI:0066", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "5", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:5"}, {"slot": "P1_DIMMD1", "product": "NO DIMM", "handle": "DMI:0067", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "6", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:6"}, {"slot": "P1_DIMMD2", "product": "NO DIMM", "handle": "DMI:0068", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "7", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:7"}], "class": "memory", "claimed": true, "physid": "5d", "id": "memory:0"}, {"slot": "System board or motherboard", "handle": "DMI:0069", "description": "System Memory", "children": [{"slot": "P2_DIMME1", "product": "M393A2G40DB0-CPB", "handle": "DMI:006B", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "Samsung(data:16/01)", "serial": "313A6101", "id": "bank:0", "size": 17179869184}, {"slot": "P2_DIMME2", "product": "NO DIMM", "handle": "DMI:006D", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "1", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:1"}, {"slot": "P2_DIMMF1", "product": "M393A2G40DB0-CPB", "handle": "DMI:006E", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "Samsung(data:15/24)", "serial": "4093245F", "id": "bank:2", "size": 17179869184}, {"slot": "P2_DIMMF2", "product": "NO DIMM", "handle": "DMI:0070", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "3", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:3"}, {"slot": "P2_DIMMG1", "product": "NO DIMM", "handle": "DMI:0071", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "4", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:4"}, {"slot": "P2_DIMMG2", "product": "NO DIMM", "handle": "DMI:0072", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "5", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:5"}, {"slot": "P2_DIMMH1", "product": "NO DIMM", "handle": "DMI:0073", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "6", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:6"}, {"slot": "P2_DIMMH2", "product": "NO DIMM", "handle": "DMI:0074", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "7", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:7"}], "class": "memory", "claimed": true, "physid": "69", "id": "memory:1"}, {"slot": "CPU Internal L1", "capacity": 393216, "handle": "DMI:0077", "description": "L1 cache", "capabilities": {"internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "77", "id": "cache:0", "size": 393216}, {"slot": "CPU Internal L2", "capacity": 1572864, "handle": "DMI:0078", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "78", "id": "cache:1", "size": 1572864}, {"slot": "CPU Internal L3", "capacity": 15728640, "handle": "DMI:0079", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "79", "id": "cache:2", "size": 15728640}, {"slot": "SOCKET 0", "product": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "capacity": 3600000000, "handle": "DMI:007A", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "businfo": "cpu@0", "physid": "7a", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "6", "threads": "12", "enabledcores": "6"}, "id": "cpu:0", "size": 1200000000}, {"slot": "CPU Internal L1", "capacity": 393216, "handle": "DMI:007B", "description": "L1 cache", "capabilities": {"internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "7b", "id": "cache:3", "size": 393216}, {"slot": "CPU Internal L2", "capacity": 1572864, "handle": "DMI:007C", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "7c", "id": "cache:4", "size": 1572864}, {"slot": "CPU Internal L3", "capacity": 15728640, "handle": "DMI:007D", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "7d", "id": "cache:5", "size": 15728640}, {"slot": "SOCKET 1", "product": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "capacity": 3600000000, "handle": "DMI:007E", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "businfo": "cpu@1", "physid": "7e", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "6", "threads": "12", "enabledcores": "6"}, "id": "cpu:1", "size": 1200000000}, {"physid": "1", "id": "memory:2", "class": "memory"}, {"physid": "2", "id": "memory:3", "class": "memory"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMI2", "handle": "PCIBUS:0000:00", "description": "Host bridge", "clock": 33000000, "children": [{"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:01", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.0", "physid": "1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:02", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:03", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.0", "physid": "2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:04", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.0", "physid": "3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:05", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.2", "physid": "3.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:00:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.0", "physid": "4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:00:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:00:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:00:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:00:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:00:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:00:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:00:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.0", "physid": "5", "handle": "PCI:0000:00:05.0", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.1", "physid": "5.1", "handle": "PCI:0000:00:05.1", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.2", "physid": "5.2", "handle": "PCI:0000:00:05.2", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.4", "physid": "5.4", "handle": "PCI:0000:00:05.4", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "C610/X99 series chipset SPSR", "vendor": "Intel Corporation", "description": "Unassigned class", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "05", "businfo": "pci@0000:00:11.0", "physid": "11", "handle": "PCI:0000:00:11.0", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "C610/X99 series chipset sSATA Controller [AHCI mode]", "handle": "PCI:0000:00:11.4", "description": "SATA controller", "clock": 66000000, "capabilities": {"cap_list": "PCI capabilities listing", "ahci_1.0": true, "storage": true, "bus_master": "bus mastering", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "storage", "width": 32, "version": "05", "businfo": "pci@0000:00:11.4", "physid": "11.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ahci"}, "id": "storage:0"}, {"product": "C610/X99 series chipset USB xHCI Host Controller", "handle": "PCI:0000:00:14.0", "description": "USB controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "xhci": true, "pm": "Power Management"}, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:14.0", "physid": "14", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "xhci_hcd"}, "id": "usb:0"}, {"product": "C610/X99 series chipset MEI Controller #1", "vendor": "Intel Corporation", "description": "Communication controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "communication", "width": 64, "version": "05", "businfo": "pci@0000:00:16.0", "physid": "16", "handle": "PCI:0000:00:16.0", "configuration": {"latency": "0"}, "id": "communication:0"}, {"product": "C610/X99 series chipset MEI Controller #2", "vendor": "Intel Corporation", "description": "Communication controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "communication", "width": 64, "version": "05", "businfo": "pci@0000:00:16.1", "physid": "16.1", "handle": "PCI:0000:00:16.1", "configuration": {"latency": "0"}, "id": "communication:1"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #2", "handle": "PCI:0000:00:1a.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1a.0", "physid": "1a", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:1"}, {"product": "C610/X99 series chipset PCI Express Root Port #1", "handle": "PCIBUS:0000:06", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.0", "physid": "1c", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:5"}, {"product": "C610/X99 series chipset PCI Express Root Port #4", "handle": "PCIBUS:0000:07", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "AST1150 PCI-to-PCI Bridge", "handle": "PCIBUS:0000:08", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "ASPEED Graphics Family", "handle": "PCI:0000:08:00.0", "description": "VGA compatible controller", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "rom": "extension ROM", "vga_controller": true, "bus_master": "bus mastering", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "display", "width": 32, "version": "30", "businfo": "pci@0000:08:00.0", "physid": "0", "claimed": true, "vendor": "ASPEED Technology, Inc.", "configuration": {"latency": "0", "driver": "ast"}, "id": "display"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "03", "businfo": "pci@0000:07:00.0", "physid": "0", "claimed": true, "vendor": "ASPEED Technology, Inc.", "id": "pci"}], "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.3", "physid": "1c.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:6"}, {"product": "C610/X99 series chipset PCI Express Root Port #5", "handle": "PCIBUS:0000:09", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "I350 Gigabit Network Connection", "capacity": 1000000000, "handle": "PCI:0000:09:00.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp9s0f0", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "10bt-fd": "10Mbit/s (full duplex)", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "100bt-fd": "100Mbit/s (full duplex)", "pm": "Power Management"}, "class": "network", "units": "bit/s", "version": "01", "businfo": "pci@0000:09:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Intel Corporation", "serial": "0c:c4:7a:6c:9b:96", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "ip": "10.109.9.3", "firmware": "1.61, 0x8000090e", "driver": "igb", "broadcast": "yes", "multicast": "yes", "link": "yes", "driverversion": "5.0.5-k", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:0", "size": 1000000000}, {"product": "I350 Gigabit Network Connection", "capacity": 1000000000, "handle": "PCI:0000:09:00.1", "description": "Ethernet interface", "width": 32, "logicalname": "enp9s0f1", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "10bt-fd": "10Mbit/s (full duplex)", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "100bt-fd": "100Mbit/s (full duplex)", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:09:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Intel Corporation", "serial": "0c:c4:7a:6c:9b:97", "configuration": {"latency": "0", "autonegotiation": "on", "firmware": "1.61, 0x8000090e", "driver": "igb", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "5.0.5-k", "port": "twisted pair"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.4", "physid": "1c.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:7"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #1", "handle": "PCI:0000:00:1d.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1d.0", "physid": "1d", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:2"}, {"product": "C610/X99 series chipset LPC Controller", "handle": "PCI:0000:00:1f.0", "description": "ISA bridge", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "isa": true, "cap_list": "PCI capabilities listing"}, "class": "bridge", "width": 32, "version": "05", "businfo": "pci@0000:00:1f.0", "physid": "1f", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "lpc_ich"}, "id": "isa"}, {"product": "C610/X99 series chipset 6-Port SATA Controller [AHCI mode]", "handle": "PCI:0000:00:1f.2", "description": "SATA controller", "clock": 66000000, "capabilities": {"cap_list": "PCI capabilities listing", "ahci_1.0": true, "storage": true, "bus_master": "bus mastering", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "storage", "width": 32, "version": "05", "businfo": "pci@0000:00:1f.2", "physid": "1f.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ahci"}, "id": "storage:1"}, {"product": "C610/X99 series chipset SMBus Controller", "vendor": "Intel Corporation", "description": "SMBus", "clock": 33000000, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:1f.3", "physid": "1f.3", "handle": "PCI:0000:00:1f.3", "configuration": {"latency": "0"}, "id": "serial"}], "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:00.0", "physid": "100", "claimed": true, "vendor": "Intel Corporation", "id": "pci"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.0", "physid": "3", "handle": "PCI:0000:7f:08.0", "configuration": {"latency": "0"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.2", "physid": "6", "handle": "PCI:0000:7f:08.2", "configuration": {"latency": "0"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.3", "physid": "7", "handle": "PCI:0000:7f:08.3", "configuration": {"latency": "0"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.0", "physid": "8", "handle": "PCI:0000:7f:0b.0", "configuration": {"latency": "0"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.1", "physid": "9", "handle": "PCI:0000:7f:0b.1", "configuration": {"latency": "0"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.2", "physid": "a", "handle": "PCI:0000:7f:0b.2", "configuration": {"latency": "0"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.0", "physid": "b", "handle": "PCI:0000:7f:0c.0", "configuration": {"latency": "0"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.1", "physid": "c", "handle": "PCI:0000:7f:0c.1", "configuration": {"latency": "0"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.2", "physid": "d", "handle": "PCI:0000:7f:0c.2", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.3", "physid": "e", "handle": "PCI:0000:7f:0c.3", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.4", "physid": "f", "handle": "PCI:0000:7f:0c.4", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.5", "physid": "10", "handle": "PCI:0000:7f:0c.5", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.0", "physid": "11", "handle": "PCI:0000:7f:0f.0", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.1", "physid": "12", "handle": "PCI:0000:7f:0f.1", "configuration": {"latency": "0"}, "id": "generic:13"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.4", "physid": "13", "handle": "PCI:0000:7f:0f.4", "configuration": {"latency": "0"}, "id": "generic:14"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.5", "physid": "14", "handle": "PCI:0000:7f:0f.5", "configuration": {"latency": "0"}, "id": "generic:15"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.6", "physid": "15", "handle": "PCI:0000:7f:0f.6", "configuration": {"latency": "0"}, "id": "generic:16"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.0", "physid": "16", "handle": "PCI:0000:7f:10.0", "configuration": {"latency": "0"}, "id": "generic:17"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.1", "physid": "17", "handle": "PCI:0000:7f:10.1", "configuration": {"latency": "0"}, "id": "generic:18"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.5", "physid": "18", "handle": "PCI:0000:7f:10.5", "configuration": {"latency": "0"}, "id": "generic:19"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.6", "physid": "19", "handle": "PCI:0000:7f:10.6", "configuration": {"latency": "0"}, "id": "generic:20"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.7", "physid": "1a", "handle": "PCI:0000:7f:10.7", "configuration": {"latency": "0"}, "id": "generic:21"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.0", "physid": "1b", "handle": "PCI:0000:7f:12.0", "configuration": {"latency": "0"}, "id": "generic:22"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.1", "physid": "1c", "handle": "PCI:0000:7f:12.1", "configuration": {"latency": "0"}, "id": "generic:23"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.0", "physid": "1d", "handle": "PCI:0000:7f:13.0", "configuration": {"latency": "0"}, "id": "generic:24"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.1", "physid": "1e", "handle": "PCI:0000:7f:13.1", "configuration": {"latency": "0"}, "id": "generic:25"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.2", "physid": "1f", "handle": "PCI:0000:7f:13.2", "configuration": {"latency": "0"}, "id": "generic:26"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.3", "physid": "20", "handle": "PCI:0000:7f:13.3", "configuration": {"latency": "0"}, "id": "generic:27"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.4", "physid": "21", "handle": "PCI:0000:7f:13.4", "configuration": {"latency": "0"}, "id": "generic:28"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.5", "physid": "22", "handle": "PCI:0000:7f:13.5", "configuration": {"latency": "0"}, "id": "generic:29"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.6", "physid": "23", "handle": "PCI:0000:7f:13.6", "configuration": {"latency": "0"}, "id": "generic:30"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.7", "physid": "24", "handle": "PCI:0000:7f:13.7", "configuration": {"latency": "0"}, "id": "generic:31"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.0", "physid": "25", "handle": "PCI:0000:7f:14.0", "configuration": {"latency": "0"}, "id": "generic:32"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.1", "physid": "26", "handle": "PCI:0000:7f:14.1", "configuration": {"latency": "0"}, "id": "generic:33"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.2", "physid": "27", "handle": "PCI:0000:7f:14.2", "configuration": {"latency": "0"}, "id": "generic:34"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.3", "physid": "28", "handle": "PCI:0000:7f:14.3", "configuration": {"latency": "0"}, "id": "generic:35"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.6", "physid": "29", "handle": "PCI:0000:7f:14.6", "configuration": {"latency": "0"}, "id": "generic:36"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.7", "physid": "2a", "handle": "PCI:0000:7f:14.7", "configuration": {"latency": "0"}, "id": "generic:37"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.0", "physid": "2b", "handle": "PCI:0000:7f:15.0", "configuration": {"latency": "0"}, "id": "generic:38"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.1", "physid": "2c", "handle": "PCI:0000:7f:15.1", "configuration": {"latency": "0"}, "id": "generic:39"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.2", "physid": "2d", "handle": "PCI:0000:7f:15.2", "configuration": {"latency": "0"}, "id": "generic:40"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.3", "physid": "2e", "handle": "PCI:0000:7f:15.3", "configuration": {"latency": "0"}, "id": "generic:41"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.0", "physid": "2f", "handle": "PCI:0000:7f:16.0", "configuration": {"latency": "0"}, "id": "generic:42"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.6", "physid": "30", "handle": "PCI:0000:7f:16.6", "configuration": {"latency": "0"}, "id": "generic:43"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.7", "physid": "31", "handle": "PCI:0000:7f:16.7", "configuration": {"latency": "0"}, "id": "generic:44"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.0", "physid": "32", "handle": "PCI:0000:7f:17.0", "configuration": {"latency": "0"}, "id": "generic:45"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.4", "physid": "33", "handle": "PCI:0000:7f:17.4", "configuration": {"latency": "0"}, "id": "generic:46"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.5", "physid": "34", "handle": "PCI:0000:7f:17.5", "configuration": {"latency": "0"}, "id": "generic:47"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.6", "physid": "35", "handle": "PCI:0000:7f:17.6", "configuration": {"latency": "0"}, "id": "generic:48"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.7", "physid": "36", "handle": "PCI:0000:7f:17.7", "configuration": {"latency": "0"}, "id": "generic:49"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.0", "physid": "37", "handle": "PCI:0000:7f:1e.0", "configuration": {"latency": "0"}, "id": "generic:50"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.1", "physid": "38", "handle": "PCI:0000:7f:1e.1", "configuration": {"latency": "0"}, "id": "generic:51"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.2", "physid": "39", "handle": "PCI:0000:7f:1e.2", "configuration": {"latency": "0"}, "id": "generic:52"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.3", "physid": "3a", "handle": "PCI:0000:7f:1e.3", "configuration": {"latency": "0"}, "id": "generic:53"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.4", "physid": "3b", "handle": "PCI:0000:7f:1e.4", "configuration": {"latency": "0"}, "id": "generic:54"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.0", "physid": "3c", "handle": "PCI:0000:7f:1f.0", "configuration": {"latency": "0"}, "id": "generic:55"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.2", "physid": "3d", "handle": "PCI:0000:7f:1f.2", "configuration": {"latency": "0"}, "id": "generic:56"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:80:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.0", "physid": "4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:57"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:80:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:58"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:80:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:59"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:80:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:60"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:80:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:61"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:80:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:62"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:80:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:63"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:80:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:64"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.0", "physid": "5", "handle": "PCI:0000:80:05.0", "configuration": {"latency": "0"}, "id": "generic:65"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.1", "physid": "5.1", "handle": "PCI:0000:80:05.1", "configuration": {"latency": "0"}, "id": "generic:66"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.2", "physid": "5.2", "handle": "PCI:0000:80:05.2", "configuration": {"latency": "0"}, "id": "generic:67"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.4", "physid": "5.4", "handle": "PCI:0000:80:05.4", "configuration": {"latency": "0"}, "id": "generic:68"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.0", "physid": "3e", "handle": "PCI:0000:ff:08.0", "configuration": {"latency": "0"}, "id": "generic:69"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.2", "physid": "3f", "handle": "PCI:0000:ff:08.2", "configuration": {"latency": "0"}, "id": "generic:70"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.3", "physid": "40", "handle": "PCI:0000:ff:08.3", "configuration": {"latency": "0"}, "id": "generic:71"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.0", "physid": "41", "handle": "PCI:0000:ff:0b.0", "configuration": {"latency": "0"}, "id": "generic:72"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.1", "physid": "42", "handle": "PCI:0000:ff:0b.1", "configuration": {"latency": "0"}, "id": "generic:73"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.2", "physid": "43", "handle": "PCI:0000:ff:0b.2", "configuration": {"latency": "0"}, "id": "generic:74"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.0", "physid": "44", "handle": "PCI:0000:ff:0c.0", "configuration": {"latency": "0"}, "id": "generic:75"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.1", "physid": "45", "handle": "PCI:0000:ff:0c.1", "configuration": {"latency": "0"}, "id": "generic:76"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.2", "physid": "46", "handle": "PCI:0000:ff:0c.2", "configuration": {"latency": "0"}, "id": "generic:77"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.3", "physid": "47", "handle": "PCI:0000:ff:0c.3", "configuration": {"latency": "0"}, "id": "generic:78"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.4", "physid": "48", "handle": "PCI:0000:ff:0c.4", "configuration": {"latency": "0"}, "id": "generic:79"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.5", "physid": "49", "handle": "PCI:0000:ff:0c.5", "configuration": {"latency": "0"}, "id": "generic:80"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.0", "physid": "4a", "handle": "PCI:0000:ff:0f.0", "configuration": {"latency": "0"}, "id": "generic:81"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.1", "physid": "4b", "handle": "PCI:0000:ff:0f.1", "configuration": {"latency": "0"}, "id": "generic:82"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.4", "physid": "4c", "handle": "PCI:0000:ff:0f.4", "configuration": {"latency": "0"}, "id": "generic:83"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.5", "physid": "4d", "handle": "PCI:0000:ff:0f.5", "configuration": {"latency": "0"}, "id": "generic:84"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.6", "physid": "4e", "handle": "PCI:0000:ff:0f.6", "configuration": {"latency": "0"}, "id": "generic:85"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.0", "physid": "4f", "handle": "PCI:0000:ff:10.0", "configuration": {"latency": "0"}, "id": "generic:86"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.1", "physid": "50", "handle": "PCI:0000:ff:10.1", "configuration": {"latency": "0"}, "id": "generic:87"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.5", "physid": "51", "handle": "PCI:0000:ff:10.5", "configuration": {"latency": "0"}, "id": "generic:88"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.6", "physid": "52", "handle": "PCI:0000:ff:10.6", "configuration": {"latency": "0"}, "id": "generic:89"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.7", "physid": "53", "handle": "PCI:0000:ff:10.7", "configuration": {"latency": "0"}, "id": "generic:90"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.0", "physid": "54", "handle": "PCI:0000:ff:12.0", "configuration": {"latency": "0"}, "id": "generic:91"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.1", "physid": "55", "handle": "PCI:0000:ff:12.1", "configuration": {"latency": "0"}, "id": "generic:92"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.0", "physid": "56", "handle": "PCI:0000:ff:13.0", "configuration": {"latency": "0"}, "id": "generic:93"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.1", "physid": "57", "handle": "PCI:0000:ff:13.1", "configuration": {"latency": "0"}, "id": "generic:94"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.2", "physid": "58", "handle": "PCI:0000:ff:13.2", "configuration": {"latency": "0"}, "id": "generic:95"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.3", "physid": "59", "handle": "PCI:0000:ff:13.3", "configuration": {"latency": "0"}, "id": "generic:96"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.4", "physid": "5a", "handle": "PCI:0000:ff:13.4", "configuration": {"latency": "0"}, "id": "generic:97"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.5", "physid": "5b", "handle": "PCI:0000:ff:13.5", "configuration": {"latency": "0"}, "id": "generic:98"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.6", "physid": "5c", "handle": "PCI:0000:ff:13.6", "configuration": {"latency": "0"}, "id": "generic:99"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.7", "physid": "5e", "handle": "PCI:0000:ff:13.7", "configuration": {"latency": "0"}, "id": "generic:100"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.0", "physid": "5f", "handle": "PCI:0000:ff:14.0", "configuration": {"latency": "0"}, "id": "generic:101"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.1", "physid": "60", "handle": "PCI:0000:ff:14.1", "configuration": {"latency": "0"}, "id": "generic:102"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.2", "physid": "61", "handle": "PCI:0000:ff:14.2", "configuration": {"latency": "0"}, "id": "generic:103"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.3", "physid": "62", "handle": "PCI:0000:ff:14.3", "configuration": {"latency": "0"}, "id": "generic:104"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.6", "physid": "63", "handle": "PCI:0000:ff:14.6", "configuration": {"latency": "0"}, "id": "generic:105"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.7", "physid": "64", "handle": "PCI:0000:ff:14.7", "configuration": {"latency": "0"}, "id": "generic:106"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.0", "physid": "65", "handle": "PCI:0000:ff:15.0", "configuration": {"latency": "0"}, "id": "generic:107"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.1", "physid": "66", "handle": "PCI:0000:ff:15.1", "configuration": {"latency": "0"}, "id": "generic:108"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.2", "physid": "67", "handle": "PCI:0000:ff:15.2", "configuration": {"latency": "0"}, "id": "generic:109"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.3", "physid": "68", "handle": "PCI:0000:ff:15.3", "configuration": {"latency": "0"}, "id": "generic:110"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.0", "physid": "6a", "handle": "PCI:0000:ff:16.0", "configuration": {"latency": "0"}, "id": "generic:111"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.6", "physid": "6b", "handle": "PCI:0000:ff:16.6", "configuration": {"latency": "0"}, "id": "generic:112"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.7", "physid": "6c", "handle": "PCI:0000:ff:16.7", "configuration": {"latency": "0"}, "id": "generic:113"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.0", "physid": "6d", "handle": "PCI:0000:ff:17.0", "configuration": {"latency": "0"}, "id": "generic:114"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.4", "physid": "6e", "handle": "PCI:0000:ff:17.4", "configuration": {"latency": "0"}, "id": "generic:115"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.5", "physid": "6f", "handle": "PCI:0000:ff:17.5", "configuration": {"latency": "0"}, "id": "generic:116"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.6", "physid": "70", "handle": "PCI:0000:ff:17.6", "configuration": {"latency": "0"}, "id": "generic:117"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.7", "physid": "71", "handle": "PCI:0000:ff:17.7", "configuration": {"latency": "0"}, "id": "generic:118"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.0", "physid": "72", "handle": "PCI:0000:ff:1e.0", "configuration": {"latency": "0"}, "id": "generic:119"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.1", "physid": "73", "handle": "PCI:0000:ff:1e.1", "configuration": {"latency": "0"}, "id": "generic:120"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.2", "physid": "74", "handle": "PCI:0000:ff:1e.2", "configuration": {"latency": "0"}, "id": "generic:121"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.3", "physid": "75", "handle": "PCI:0000:ff:1e.3", "configuration": {"latency": "0"}, "id": "generic:122"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.4", "physid": "76", "handle": "PCI:0000:ff:1e.4", "configuration": {"latency": "0"}, "id": "generic:123"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.0", "physid": "7f", "handle": "PCI:0000:ff:1f.0", "configuration": {"latency": "0"}, "id": "generic:124"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.2", "physid": "80", "handle": "PCI:0000:ff:1f.2", "configuration": {"latency": "0"}, "id": "generic:125"}, {"logicalname": "scsi4", "children": [{"product": "Samsung SSD 850", "handle": "GUID:79c667cf-1d78-4ae5-ad52-4891dd3481d9", "description": "ATA Disk", "capabilities": {"gpt-1.00": "GUID Partition Table version 1.00", "partitioned:gpt": "GUID partition table", "partitioned": "Partitioned disk"}, "logicalname": "/dev/sda", "children": [{"capacity": 25165312, "vendor": "EFI", "description": "BIOS Boot partition", "capabilities": {"nofs": "No filesystem"}, "logicalname": "/dev/sda1", "dev": "8:1", "class": "volume", "businfo": "scsi@4:0.0.0,1", "physid": "1", "claimed": true, "handle": "GUID:6f0ff7c5-d3dc-4f84-ac87-4ea6535041ac", "serial": "6f0ff7c5-d3dc-4f84-ac87-4ea6535041ac", "configuration": {"name": "primary"}, "id": "volume:0"}, {"capacity": 209714688, "handle": "GUID:4d4fc00f-f404-45bf-a0be-397944f52673", "description": "EFI partition", "logicalname": "/dev/sda2", "dev": "8:2", "class": "volume", "businfo": "scsi@4:0.0.0,2", "claimed": true, "physid": "2", "serial": "4d4fc00f-f404-45bf-a0be-397944f52673", "configuration": {"name": "primary"}, "id": "volume:1"}, {"capacity": 209714688, "vendor": "Linux", "description": "EFI partition", "capabilities": {"initialized": "initialized volume", "large_files": "4GB+ files", "extended_attributes": "Extended Attributes", "ext2": "EXT2/EXT3"}, "logicalname": "/dev/sda3", "dev": "8:3", "class": "volume", "version": "1.0", "businfo": "scsi@4:0.0.0,3", "physid": "3", "claimed": true, "handle": "GUID:41a28175-2f0a-441e-851f-69a4e2128aba", "serial": "0640de00-0575-4709-89fa-6e1148ed59cf", "configuration": {"name": "primary", "modified": "2016-07-22 07:59:39", "state": "clean", "filesystem": "ext2", "mounted": "2016-07-22 07:55:34", "lastmountpoint": "/boot"}, "id": "volume:2", "size": 56537088}, {"handle": "GUID:08e14bf6-2fd2-4e36-8fea-bc6925e62a5f", "description": "EFI partition", "capabilities": {"lvm2": true}, "logicalname": "/dev/sda4", "dev": "8:4", "class": "volume", "businfo": "scsi@4:0.0.0,4", "claimed": true, "physid": "4", "serial": "aVqM62-kawT-vzFx-T1Mg-dUxb-gBvo-fyuThU", "configuration": {"name": "primary"}, "id": "volume:3", "size": 88113938432}, {"handle": "GUID:11acdf06-e154-4a5f-85e3-1475c660c121", "description": "EFI partition", "capabilities": {"lvm2": true}, "logicalname": "/dev/sda5", "dev": "8:5", "class": "volume", "businfo": "scsi@4:0.0.0,5", "claimed": true, "physid": "5", "serial": "xGDYTT-DJoy-tQVm-pPoP-oJNR-Hz0l-KrCIlH", "configuration": {"name": "primary"}, "id": "volume:4", "size": 10804527104}, {"handle": "GUID:f94a2ba2-6745-4b22-86cb-4de2f034fbb0", "description": "EFI partition", "capabilities": {"lvm2": true}, "logicalname": "/dev/sda6", "dev": "8:6", "class": "volume", "businfo": "scsi@4:0.0.0,6", "claimed": true, "physid": "6", "serial": "Tv2wXo-z6Gb-Hec1-q0m3-UBum-1Krk-inFSeX", "configuration": {"name": "primary"}, "id": "volume:5", "size": 21541945344}, {"handle": "GUID:ec671c43-0ae6-44ce-afa9-8e8fa835e1ec", "description": "EFI partition", "capabilities": {"lvm2": true}, "logicalname": "/dev/sda7", "dev": "8:7", "class": "volume", "businfo": "scsi@4:0.0.0,7", "claimed": true, "physid": "7", "serial": "AntLOo-metU-JH9e-DHCx-Cp7D-AiXh-1kPYLO", "configuration": {"name": "primary"}, "id": "volume:6", "size": 11878268928}, {"handle": "GUID:08cacf69-2acc-4392-9e03-b94ff1560796", "description": "EFI partition", "capabilities": {"lvm2": true}, "logicalname": "/dev/sda8", "dev": "8:8", "class": "volume", "businfo": "scsi@4:0.0.0,8", "claimed": true, "physid": "8", "serial": "dbLgYu-BMKv-VjQZ-BYcj-ZP8j-rSxK-kmrVIQ", "configuration": {"name": "primary"}, "id": "volume:7", "size": 367244869632}, {"capacity": 20971008, "handle": "GUID:d94e2d6f-251a-45fe-bf0a-ade1f579a944", "description": "EFI partition", "logicalname": "/dev/sda9", "dev": "8:9", "class": "volume", "businfo": "scsi@4:0.0.0,9", "claimed": true, "physid": "9", "serial": "d94e2d6f-251a-45fe-bf0a-ade1f579a944", "configuration": {"name": "primary"}, "id": "volume:8"}], "dev": "8:0", "class": "disk", "units": "bytes", "version": "EMT0", "businfo": "scsi@4:0.0.0", "claimed": true, "physid": "0.0.0", "serial": "S2RBNXAH122782N", "configuration": {"ansiversion": "5", "sectorsize": "512", "guid": "79c667cf-1d78-4ae5-ad52-4891dd3481d9"}, "id": "disk", "size": 500107862016}], "capabilities": {"emulated": "Emulated device"}, "class": "storage", "claimed": true, "physid": "81", "id": "scsi:0"}, {"logicalname": "scsi5", "children": [{"product": "Samsung SSD 850", "handle": "GUID:45881d25-8b3f-49ae-8ad3-b44282ab747e", "description": "ATA Disk", "capabilities": {"gpt-1.00": "GUID Partition Table version 1.00", "partitioned:gpt": "GUID partition table", "partitioned": "Partitioned disk"}, "logicalname": "/dev/sdb", "children": [{"capacity": 25165312, "vendor": "EFI", "description": "BIOS Boot partition", "capabilities": {"nofs": "No filesystem"}, "logicalname": "/dev/sdb1", "dev": "8:17", "class": "volume", "businfo": "scsi@5:0.0.0,1", "physid": "1", "claimed": true, "handle": "GUID:18806861-0ac2-4f52-9c0e-1416d4745024", "serial": "18806861-0ac2-4f52-9c0e-1416d4745024", "configuration": {"name": "primary"}, "id": "volume:0"}, {"capacity": 209714688, "handle": "GUID:c581174c-b959-4906-b320-efaf7cd573d3", "description": "EFI partition", "logicalname": "/dev/sdb2", "dev": "8:18", "class": "volume", "businfo": "scsi@5:0.0.0,2", "claimed": true, "physid": "2", "serial": "c581174c-b959-4906-b320-efaf7cd573d3", "configuration": {"name": "primary"}, "id": "volume:1"}, {"handle": "GUID:9b8481c6-8493-4882-86cd-3c06ae5a03f4", "description": "EFI partition", "capabilities": {"lvm2": true}, "logicalname": "/dev/sdb3", "dev": "8:19", "class": "volume", "businfo": "scsi@5:0.0.0,3", "claimed": true, "physid": "3", "serial": "Qc6lgL-FYa7-8DlK-osqk-0gwP-gEXo-VNWbJy", "configuration": {"name": "primary"}, "id": "volume:2", "size": 499315113984}], "dev": "8:16", "class": "disk", "units": "bytes", "version": "EMT0", "businfo": "scsi@5:0.0.0", "claimed": true, "physid": "0.0.0", "serial": "S2RBNXAH122818A", "configuration": {"ansiversion": "5", "sectorsize": "512", "guid": "45881d25-8b3f-49ae-8ad3-b44282ab747e"}, "id": "disk", "size": 500107862016}], "capabilities": {"emulated": "Emulated device"}, "class": "storage", "claimed": true, "physid": "82", "id": "scsi:1"}], "class": "bus", "version": "1.10", "physid": "0", "claimed": true, "vendor": "Supermicro", "serial": "NM159S018915", "id": "core"}, {"product": "PWS-605P-1H", "capacity": 600, "vendor": "SUPERMICRO", "description": "PWS-605P-1H", "class": "power", "version": "1.1", "units": "mWh", "physid": "1", "serial": "P605A0F39B31976", "id": "power:0"}, {"product": "To be filled by O.E.M.", "capacity": 32768, "vendor": "To be filled by O.E.M.", "description": "To be filled by O.E.M.", "class": "power", "version": "To be filled by O.E.M.", "units": "mWh", "physid": "2", "serial": "To be filled by O.E.M.", "id": "power:1"}], "capabilities": {"smbios-2.8": "SMBIOS version 2.8", "vsyscall32": "32-bit processes", "dmi-2.7": "DMI version 2.7"}, "class": "system", "width": 64, "version": "123456789", "claimed": true, "vendor": "Supermicro", "serial": "E16865116101080", "configuration": {"sku": "To be filled by O.E.M.", "boot": "normal", "uuid": "00000000-0000-0000-0000-0CC47A6C9B96", "family": "To be filled by O.E.M."}, "id": "bootstrap"}, "memory": {"slots": 16, "total": 68719476736, "maximum_capacity": 1099511627776, "devices": [{"frequency": 2133, "type": "Other", "size": 17179869184}, {"frequency": 2133, "type": "Other", "size": 17179869184}, {"frequency": 2133, "type": "Other", "size": 17179869184}, {"frequency": 2133, "type": "Other", "size": 17179869184}]}, "interfaces": [{"name": "enp9s0f0", "ip": "10.109.9.3", "driver": "igb", "state": "up", "mac": "0c:c4:7a:6c:9b:96", "max_speed": 1000, "current_speed": 1000, "interface_properties": {"numa_node": 0, "pci_id": "8086:1521", "sriov": {"available": true, "sriov_totalvfs": 7, "pci_id": "8086:1520"}}, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": true, "bus_info": "0000:09:00.0"}, {"name": "enp9s0f1", "driver": "igb", "state": "down", "mac": "0c:c4:7a:6c:9b:97", "max_speed": 1000, "current_speed": null, "interface_properties": {"numa_node": 0, "pci_id": "8086:1521", "sriov": {"available": true, "sriov_totalvfs": 7, "pci_id": "8086:1520"}}, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:09:00.1"}], "disks": [{"paths": null, "name": "sda", "extra": ["disk/by-id/wwn-0x5002538d409b333a", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH122782N"], "removable": "0", "model": "Samsung SSD 850", "disk": "sda", "size": 500107862016}, {"paths": null, "name": "sdb", "extra": ["disk/by-id/wwn-0x5002538d409b335e", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH122818A"], "removable": "0", "model": "Samsung SSD 850", "disk": "sdb", "size": 500107862016}], "system": {"product": "SYS-6018R-TDW", "uuid": "00000000-0000-0000-0000-0CC47A6C9B96", "family": "To be filled by O.E.M.", "fqdn": "bootstrap", "version": "123456789", "serial": "E16865116101080", "runtime_uuid": "83661b3e-fd06-40fa-8486-5e3a428ac884", "manufacturer": "Supermicro"}, "numa_topology": {"numa_nodes": [{"pcidevs": ["0000:00:11.4", "0000:08:00.0", "0000:09:00.0", "0000:09:00.1", "0000:00:1f.2"], "memory": 33630621696, "id": 0, "cpus": [0, 12, 1, 13, 2, 14, 3, 15, 4, 16, 5, 17]}, {"pcidevs": [], "memory": 33804173312, "id": 1, "cpus": [6, 18, 7, 19, 8, 20, 9, 21, 10, 22, 11, 23]}], "distances": [["1.000000", "2.100000"], ["2.100000", "1.000000"]], "supported_hugepages": [2048, 1048576]}, "cpu": {"real": 2, "total": 24, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}]}}	0c:c4:7a:6c:9b:96	10.109.9.3	Supermicro	SYS-6018R-TDW	\N	0	ubuntu	f	f	\N	\N	2016-08-02 20:14:34.123731	t	ea9acae105735049491e92537284c79813943034	[]	{}	\N	node-2	{}	{}	{}	\N	{}	{}	[]	{}
3	05e977d3-58d8-48af-83a2-c0ce328ce529	\N	Untitled (9b:40)	discover	{"pci_devices": {"product": "SYS-6018R-TDW (To be filled by O.E.M.)", "handle": "DMI:0001", "description": "Computer", "children": [{"slot": "To be filled by O.E.M.", "product": "X10DDW-i", "handle": "DMI:0002", "description": "Motherboard", "children": [{"units": "bytes", "vendor": "American Megatrends Inc.", "description": "BIOS", "capacity": 16711680, "capabilities": {"upgrade": "BIOS EEPROM can be upgraded", "shadowing": "BIOS shadowing", "edd": "Enhanced Disk Drive extensions", "biosbootspecification": "BIOS boot specification", "int13floppy720": "3.5\\" 720KB floppy", "int17printer": "INT17 printer control", "int9keyboard": "i8042 keyboard controller", "socketedrom": "BIOS ROM is socketed", "int13floppy1200": "5.25\\" 1.2MB floppy", "int13floppy2880": "3.5\\" 2.88MB floppy", "int5printscreen": "Print Screen key", "pci": "PCI bus", "uefi": "UEFI specification is supported", "usb": "USB legacy emulation", "bootselect": "Selectable boot path", "int14serial": "INT14 serial line control", "acpi": "ACPI", "cdboot": "Booting from CD-ROM/DVD"}, "class": "memory", "date": "09/23/2015", "version": "1.1", "claimed": true, "physid": "0", "id": "firmware", "size": 65536}, {"slot": "System board or motherboard", "handle": "DMI:005D", "description": "System Memory", "children": [{"slot": "P1_DIMMA1", "product": "M393A2G40DB0-CPB", "handle": "DMI:005F", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "Samsung(data:16/01)", "serial": "313A629A", "id": "bank:0", "size": 17179869184}, {"slot": "P1_DIMMA2", "product": "NO DIMM", "handle": "DMI:0061", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "1", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:1"}, {"slot": "P1_DIMMB1", "product": "M393A2G40DB0-CPB", "handle": "DMI:0062", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "Samsung(data:15/10)", "serial": "401FF7C5", "id": "bank:2", "size": 17179869184}, {"slot": "P1_DIMMB2", "product": "NO DIMM", "handle": "DMI:0064", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "3", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:3"}, {"slot": "P1_DIMMC1", "product": "NO DIMM", "handle": "DMI:0065", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "4", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:4"}, {"slot": "P1_DIMMC2", "product": "NO DIMM", "handle": "DMI:0066", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "5", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:5"}, {"slot": "P1_DIMMD1", "product": "NO DIMM", "handle": "DMI:0067", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "6", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:6"}, {"slot": "P1_DIMMD2", "product": "NO DIMM", "handle": "DMI:0068", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "7", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:7"}], "class": "memory", "claimed": true, "physid": "5d", "id": "memory:0"}, {"slot": "System board or motherboard", "handle": "DMI:0069", "description": "System Memory", "children": [{"slot": "P2_DIMME1", "product": "M393A2G40DB0-CPB", "handle": "DMI:006B", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "Samsung(data:16/01)", "serial": "313A597D", "id": "bank:0", "size": 17179869184}, {"slot": "P2_DIMME2", "product": "NO DIMM", "handle": "DMI:006D", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "1", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:1"}, {"slot": "P2_DIMMF1", "product": "M393A2G40DB0-CPB", "handle": "DMI:006E", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "Samsung(data:15/10)", "serial": "401FF7A1", "id": "bank:2", "size": 17179869184}, {"slot": "P2_DIMMF2", "product": "NO DIMM", "handle": "DMI:0070", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "3", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:3"}, {"slot": "P2_DIMMG1", "product": "NO DIMM", "handle": "DMI:0071", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "4", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:4"}, {"slot": "P2_DIMMG2", "product": "NO DIMM", "handle": "DMI:0072", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "5", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:5"}, {"slot": "P2_DIMMH1", "product": "NO DIMM", "handle": "DMI:0073", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "6", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:6"}, {"slot": "P2_DIMMH2", "product": "NO DIMM", "handle": "DMI:0074", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "7", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:7"}], "class": "memory", "claimed": true, "physid": "69", "id": "memory:1"}, {"slot": "CPU Internal L1", "capacity": 393216, "handle": "DMI:0077", "description": "L1 cache", "capabilities": {"internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "77", "id": "cache:0", "size": 393216}, {"slot": "CPU Internal L2", "capacity": 1572864, "handle": "DMI:0078", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "78", "id": "cache:1", "size": 1572864}, {"slot": "CPU Internal L3", "capacity": 15728640, "handle": "DMI:0079", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "79", "id": "cache:2", "size": 15728640}, {"slot": "SOCKET 0", "product": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "capacity": 3600000000, "handle": "DMI:007A", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "businfo": "cpu@0", "physid": "7a", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "6", "threads": "12", "enabledcores": "6"}, "id": "cpu:0", "size": 1200000000}, {"slot": "CPU Internal L1", "capacity": 393216, "handle": "DMI:007B", "description": "L1 cache", "capabilities": {"internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "7b", "id": "cache:3", "size": 393216}, {"slot": "CPU Internal L2", "capacity": 1572864, "handle": "DMI:007C", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "7c", "id": "cache:4", "size": 1572864}, {"slot": "CPU Internal L3", "capacity": 15728640, "handle": "DMI:007D", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "7d", "id": "cache:5", "size": 15728640}, {"slot": "SOCKET 1", "product": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "capacity": 3600000000, "handle": "DMI:007E", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "businfo": "cpu@1", "physid": "7e", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "6", "threads": "12", "enabledcores": "6"}, "id": "cpu:1", "size": 1200000000}, {"physid": "1", "id": "memory:2", "class": "memory"}, {"physid": "2", "id": "memory:3", "class": "memory"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMI2", "handle": "PCIBUS:0000:00", "description": "Host bridge", "clock": 33000000, "children": [{"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:01", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.0", "physid": "1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:02", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:03", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.0", "physid": "2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:04", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.0", "physid": "3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:05", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.2", "physid": "3.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:00:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.0", "physid": "4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:00:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:00:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:00:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:00:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:00:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:00:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:00:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.0", "physid": "5", "handle": "PCI:0000:00:05.0", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.1", "physid": "5.1", "handle": "PCI:0000:00:05.1", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.2", "physid": "5.2", "handle": "PCI:0000:00:05.2", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.4", "physid": "5.4", "handle": "PCI:0000:00:05.4", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "C610/X99 series chipset SPSR", "vendor": "Intel Corporation", "description": "Unassigned class", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "05", "businfo": "pci@0000:00:11.0", "physid": "11", "handle": "PCI:0000:00:11.0", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "C610/X99 series chipset sSATA Controller [AHCI mode]", "handle": "PCI:0000:00:11.4", "description": "SATA controller", "clock": 66000000, "capabilities": {"cap_list": "PCI capabilities listing", "ahci_1.0": true, "storage": true, "bus_master": "bus mastering", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "storage", "width": 32, "version": "05", "businfo": "pci@0000:00:11.4", "physid": "11.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ahci"}, "id": "storage:0"}, {"product": "C610/X99 series chipset USB xHCI Host Controller", "handle": "PCI:0000:00:14.0", "description": "USB controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "xhci": true, "pm": "Power Management"}, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:14.0", "physid": "14", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "xhci_hcd"}, "id": "usb:0"}, {"product": "C610/X99 series chipset MEI Controller #1", "vendor": "Intel Corporation", "description": "Communication controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "communication", "width": 64, "version": "05", "businfo": "pci@0000:00:16.0", "physid": "16", "handle": "PCI:0000:00:16.0", "configuration": {"latency": "0"}, "id": "communication:0"}, {"product": "C610/X99 series chipset MEI Controller #2", "vendor": "Intel Corporation", "description": "Communication controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "communication", "width": 64, "version": "05", "businfo": "pci@0000:00:16.1", "physid": "16.1", "handle": "PCI:0000:00:16.1", "configuration": {"latency": "0"}, "id": "communication:1"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #2", "handle": "PCI:0000:00:1a.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1a.0", "physid": "1a", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:1"}, {"product": "C610/X99 series chipset PCI Express Root Port #1", "handle": "PCIBUS:0000:06", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.0", "physid": "1c", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:5"}, {"product": "C610/X99 series chipset PCI Express Root Port #4", "handle": "PCIBUS:0000:07", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "AST1150 PCI-to-PCI Bridge", "handle": "PCIBUS:0000:08", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "ASPEED Graphics Family", "handle": "PCI:0000:08:00.0", "description": "VGA compatible controller", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "rom": "extension ROM", "vga_controller": true, "bus_master": "bus mastering", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "display", "width": 32, "version": "30", "businfo": "pci@0000:08:00.0", "physid": "0", "claimed": true, "vendor": "ASPEED Technology, Inc.", "configuration": {"latency": "0", "driver": "ast"}, "id": "display"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "03", "businfo": "pci@0000:07:00.0", "physid": "0", "claimed": true, "vendor": "ASPEED Technology, Inc.", "id": "pci"}], "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.3", "physid": "1c.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:6"}, {"product": "C610/X99 series chipset PCI Express Root Port #5", "handle": "PCIBUS:0000:09", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "I350 Gigabit Network Connection", "capacity": 1000000000, "handle": "PCI:0000:09:00.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp9s0f0", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "10bt-fd": "10Mbit/s (full duplex)", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "100bt-fd": "100Mbit/s (full duplex)", "pm": "Power Management"}, "class": "network", "units": "bit/s", "version": "01", "businfo": "pci@0000:09:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Intel Corporation", "serial": "0c:c4:7a:6c:9b:40", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "ip": "10.109.9.5", "firmware": "1.61, 0x8000090e", "driver": "igb", "broadcast": "yes", "multicast": "yes", "link": "yes", "driverversion": "5.0.5-k", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:0", "size": 1000000000}, {"product": "I350 Gigabit Network Connection", "capacity": 1000000000, "handle": "PCI:0000:09:00.1", "description": "Ethernet interface", "width": 32, "logicalname": "enp9s0f1", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "10bt-fd": "10Mbit/s (full duplex)", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "100bt-fd": "100Mbit/s (full duplex)", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:09:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Intel Corporation", "serial": "0c:c4:7a:6c:9b:41", "configuration": {"latency": "0", "autonegotiation": "on", "firmware": "1.61, 0x8000090e", "driver": "igb", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "5.0.5-k", "port": "twisted pair"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.4", "physid": "1c.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:7"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #1", "handle": "PCI:0000:00:1d.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1d.0", "physid": "1d", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:2"}, {"product": "C610/X99 series chipset LPC Controller", "handle": "PCI:0000:00:1f.0", "description": "ISA bridge", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "isa": true, "cap_list": "PCI capabilities listing"}, "class": "bridge", "width": 32, "version": "05", "businfo": "pci@0000:00:1f.0", "physid": "1f", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "lpc_ich"}, "id": "isa"}, {"product": "C610/X99 series chipset 6-Port SATA Controller [AHCI mode]", "handle": "PCI:0000:00:1f.2", "description": "SATA controller", "clock": 66000000, "capabilities": {"cap_list": "PCI capabilities listing", "ahci_1.0": true, "storage": true, "bus_master": "bus mastering", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "storage", "width": 32, "version": "05", "businfo": "pci@0000:00:1f.2", "physid": "1f.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ahci"}, "id": "storage:1"}, {"product": "C610/X99 series chipset SMBus Controller", "vendor": "Intel Corporation", "description": "SMBus", "clock": 33000000, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:1f.3", "physid": "1f.3", "handle": "PCI:0000:00:1f.3", "configuration": {"latency": "0"}, "id": "serial"}], "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:00.0", "physid": "100", "claimed": true, "vendor": "Intel Corporation", "id": "pci"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.0", "physid": "3", "handle": "PCI:0000:7f:08.0", "configuration": {"latency": "0"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.2", "physid": "6", "handle": "PCI:0000:7f:08.2", "configuration": {"latency": "0"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.3", "physid": "7", "handle": "PCI:0000:7f:08.3", "configuration": {"latency": "0"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.0", "physid": "8", "handle": "PCI:0000:7f:0b.0", "configuration": {"latency": "0"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.1", "physid": "9", "handle": "PCI:0000:7f:0b.1", "configuration": {"latency": "0"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.2", "physid": "a", "handle": "PCI:0000:7f:0b.2", "configuration": {"latency": "0"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.0", "physid": "b", "handle": "PCI:0000:7f:0c.0", "configuration": {"latency": "0"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.1", "physid": "c", "handle": "PCI:0000:7f:0c.1", "configuration": {"latency": "0"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.2", "physid": "d", "handle": "PCI:0000:7f:0c.2", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.3", "physid": "e", "handle": "PCI:0000:7f:0c.3", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.4", "physid": "f", "handle": "PCI:0000:7f:0c.4", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.5", "physid": "10", "handle": "PCI:0000:7f:0c.5", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.0", "physid": "11", "handle": "PCI:0000:7f:0f.0", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.1", "physid": "12", "handle": "PCI:0000:7f:0f.1", "configuration": {"latency": "0"}, "id": "generic:13"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.4", "physid": "13", "handle": "PCI:0000:7f:0f.4", "configuration": {"latency": "0"}, "id": "generic:14"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.5", "physid": "14", "handle": "PCI:0000:7f:0f.5", "configuration": {"latency": "0"}, "id": "generic:15"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.6", "physid": "15", "handle": "PCI:0000:7f:0f.6", "configuration": {"latency": "0"}, "id": "generic:16"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.0", "physid": "16", "handle": "PCI:0000:7f:10.0", "configuration": {"latency": "0"}, "id": "generic:17"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.1", "physid": "17", "handle": "PCI:0000:7f:10.1", "configuration": {"latency": "0"}, "id": "generic:18"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.5", "physid": "18", "handle": "PCI:0000:7f:10.5", "configuration": {"latency": "0"}, "id": "generic:19"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.6", "physid": "19", "handle": "PCI:0000:7f:10.6", "configuration": {"latency": "0"}, "id": "generic:20"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.7", "physid": "1a", "handle": "PCI:0000:7f:10.7", "configuration": {"latency": "0"}, "id": "generic:21"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.0", "physid": "1b", "handle": "PCI:0000:7f:12.0", "configuration": {"latency": "0"}, "id": "generic:22"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.1", "physid": "1c", "handle": "PCI:0000:7f:12.1", "configuration": {"latency": "0"}, "id": "generic:23"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.0", "physid": "1d", "handle": "PCI:0000:7f:13.0", "configuration": {"latency": "0"}, "id": "generic:24"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.1", "physid": "1e", "handle": "PCI:0000:7f:13.1", "configuration": {"latency": "0"}, "id": "generic:25"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.2", "physid": "1f", "handle": "PCI:0000:7f:13.2", "configuration": {"latency": "0"}, "id": "generic:26"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.3", "physid": "20", "handle": "PCI:0000:7f:13.3", "configuration": {"latency": "0"}, "id": "generic:27"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.4", "physid": "21", "handle": "PCI:0000:7f:13.4", "configuration": {"latency": "0"}, "id": "generic:28"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.5", "physid": "22", "handle": "PCI:0000:7f:13.5", "configuration": {"latency": "0"}, "id": "generic:29"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.6", "physid": "23", "handle": "PCI:0000:7f:13.6", "configuration": {"latency": "0"}, "id": "generic:30"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.7", "physid": "24", "handle": "PCI:0000:7f:13.7", "configuration": {"latency": "0"}, "id": "generic:31"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.0", "physid": "25", "handle": "PCI:0000:7f:14.0", "configuration": {"latency": "0"}, "id": "generic:32"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.1", "physid": "26", "handle": "PCI:0000:7f:14.1", "configuration": {"latency": "0"}, "id": "generic:33"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.2", "physid": "27", "handle": "PCI:0000:7f:14.2", "configuration": {"latency": "0"}, "id": "generic:34"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.3", "physid": "28", "handle": "PCI:0000:7f:14.3", "configuration": {"latency": "0"}, "id": "generic:35"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.6", "physid": "29", "handle": "PCI:0000:7f:14.6", "configuration": {"latency": "0"}, "id": "generic:36"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.7", "physid": "2a", "handle": "PCI:0000:7f:14.7", "configuration": {"latency": "0"}, "id": "generic:37"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.0", "physid": "2b", "handle": "PCI:0000:7f:15.0", "configuration": {"latency": "0"}, "id": "generic:38"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.1", "physid": "2c", "handle": "PCI:0000:7f:15.1", "configuration": {"latency": "0"}, "id": "generic:39"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.2", "physid": "2d", "handle": "PCI:0000:7f:15.2", "configuration": {"latency": "0"}, "id": "generic:40"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.3", "physid": "2e", "handle": "PCI:0000:7f:15.3", "configuration": {"latency": "0"}, "id": "generic:41"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.0", "physid": "2f", "handle": "PCI:0000:7f:16.0", "configuration": {"latency": "0"}, "id": "generic:42"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.6", "physid": "30", "handle": "PCI:0000:7f:16.6", "configuration": {"latency": "0"}, "id": "generic:43"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.7", "physid": "31", "handle": "PCI:0000:7f:16.7", "configuration": {"latency": "0"}, "id": "generic:44"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.0", "physid": "32", "handle": "PCI:0000:7f:17.0", "configuration": {"latency": "0"}, "id": "generic:45"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.4", "physid": "33", "handle": "PCI:0000:7f:17.4", "configuration": {"latency": "0"}, "id": "generic:46"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.5", "physid": "34", "handle": "PCI:0000:7f:17.5", "configuration": {"latency": "0"}, "id": "generic:47"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.6", "physid": "35", "handle": "PCI:0000:7f:17.6", "configuration": {"latency": "0"}, "id": "generic:48"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.7", "physid": "36", "handle": "PCI:0000:7f:17.7", "configuration": {"latency": "0"}, "id": "generic:49"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.0", "physid": "37", "handle": "PCI:0000:7f:1e.0", "configuration": {"latency": "0"}, "id": "generic:50"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.1", "physid": "38", "handle": "PCI:0000:7f:1e.1", "configuration": {"latency": "0"}, "id": "generic:51"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.2", "physid": "39", "handle": "PCI:0000:7f:1e.2", "configuration": {"latency": "0"}, "id": "generic:52"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.3", "physid": "3a", "handle": "PCI:0000:7f:1e.3", "configuration": {"latency": "0"}, "id": "generic:53"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.4", "physid": "3b", "handle": "PCI:0000:7f:1e.4", "configuration": {"latency": "0"}, "id": "generic:54"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.0", "physid": "3c", "handle": "PCI:0000:7f:1f.0", "configuration": {"latency": "0"}, "id": "generic:55"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.2", "physid": "3d", "handle": "PCI:0000:7f:1f.2", "configuration": {"latency": "0"}, "id": "generic:56"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:80:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.0", "physid": "4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:57"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:80:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:58"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:80:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:59"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:80:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:60"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:80:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:61"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:80:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:62"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:80:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:63"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:80:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:64"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.0", "physid": "5", "handle": "PCI:0000:80:05.0", "configuration": {"latency": "0"}, "id": "generic:65"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.1", "physid": "5.1", "handle": "PCI:0000:80:05.1", "configuration": {"latency": "0"}, "id": "generic:66"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.2", "physid": "5.2", "handle": "PCI:0000:80:05.2", "configuration": {"latency": "0"}, "id": "generic:67"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.4", "physid": "5.4", "handle": "PCI:0000:80:05.4", "configuration": {"latency": "0"}, "id": "generic:68"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.0", "physid": "3e", "handle": "PCI:0000:ff:08.0", "configuration": {"latency": "0"}, "id": "generic:69"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.2", "physid": "3f", "handle": "PCI:0000:ff:08.2", "configuration": {"latency": "0"}, "id": "generic:70"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.3", "physid": "40", "handle": "PCI:0000:ff:08.3", "configuration": {"latency": "0"}, "id": "generic:71"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.0", "physid": "41", "handle": "PCI:0000:ff:0b.0", "configuration": {"latency": "0"}, "id": "generic:72"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.1", "physid": "42", "handle": "PCI:0000:ff:0b.1", "configuration": {"latency": "0"}, "id": "generic:73"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.2", "physid": "43", "handle": "PCI:0000:ff:0b.2", "configuration": {"latency": "0"}, "id": "generic:74"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.0", "physid": "44", "handle": "PCI:0000:ff:0c.0", "configuration": {"latency": "0"}, "id": "generic:75"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.1", "physid": "45", "handle": "PCI:0000:ff:0c.1", "configuration": {"latency": "0"}, "id": "generic:76"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.2", "physid": "46", "handle": "PCI:0000:ff:0c.2", "configuration": {"latency": "0"}, "id": "generic:77"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.3", "physid": "47", "handle": "PCI:0000:ff:0c.3", "configuration": {"latency": "0"}, "id": "generic:78"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.4", "physid": "48", "handle": "PCI:0000:ff:0c.4", "configuration": {"latency": "0"}, "id": "generic:79"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.5", "physid": "49", "handle": "PCI:0000:ff:0c.5", "configuration": {"latency": "0"}, "id": "generic:80"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.0", "physid": "4a", "handle": "PCI:0000:ff:0f.0", "configuration": {"latency": "0"}, "id": "generic:81"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.1", "physid": "4b", "handle": "PCI:0000:ff:0f.1", "configuration": {"latency": "0"}, "id": "generic:82"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.4", "physid": "4c", "handle": "PCI:0000:ff:0f.4", "configuration": {"latency": "0"}, "id": "generic:83"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.5", "physid": "4d", "handle": "PCI:0000:ff:0f.5", "configuration": {"latency": "0"}, "id": "generic:84"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.6", "physid": "4e", "handle": "PCI:0000:ff:0f.6", "configuration": {"latency": "0"}, "id": "generic:85"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.0", "physid": "4f", "handle": "PCI:0000:ff:10.0", "configuration": {"latency": "0"}, "id": "generic:86"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.1", "physid": "50", "handle": "PCI:0000:ff:10.1", "configuration": {"latency": "0"}, "id": "generic:87"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.5", "physid": "51", "handle": "PCI:0000:ff:10.5", "configuration": {"latency": "0"}, "id": "generic:88"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.6", "physid": "52", "handle": "PCI:0000:ff:10.6", "configuration": {"latency": "0"}, "id": "generic:89"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.7", "physid": "53", "handle": "PCI:0000:ff:10.7", "configuration": {"latency": "0"}, "id": "generic:90"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.0", "physid": "54", "handle": "PCI:0000:ff:12.0", "configuration": {"latency": "0"}, "id": "generic:91"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.1", "physid": "55", "handle": "PCI:0000:ff:12.1", "configuration": {"latency": "0"}, "id": "generic:92"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.0", "physid": "56", "handle": "PCI:0000:ff:13.0", "configuration": {"latency": "0"}, "id": "generic:93"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.1", "physid": "57", "handle": "PCI:0000:ff:13.1", "configuration": {"latency": "0"}, "id": "generic:94"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.2", "physid": "58", "handle": "PCI:0000:ff:13.2", "configuration": {"latency": "0"}, "id": "generic:95"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.3", "physid": "59", "handle": "PCI:0000:ff:13.3", "configuration": {"latency": "0"}, "id": "generic:96"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.4", "physid": "5a", "handle": "PCI:0000:ff:13.4", "configuration": {"latency": "0"}, "id": "generic:97"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.5", "physid": "5b", "handle": "PCI:0000:ff:13.5", "configuration": {"latency": "0"}, "id": "generic:98"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.6", "physid": "5c", "handle": "PCI:0000:ff:13.6", "configuration": {"latency": "0"}, "id": "generic:99"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.7", "physid": "5e", "handle": "PCI:0000:ff:13.7", "configuration": {"latency": "0"}, "id": "generic:100"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.0", "physid": "5f", "handle": "PCI:0000:ff:14.0", "configuration": {"latency": "0"}, "id": "generic:101"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.1", "physid": "60", "handle": "PCI:0000:ff:14.1", "configuration": {"latency": "0"}, "id": "generic:102"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.2", "physid": "61", "handle": "PCI:0000:ff:14.2", "configuration": {"latency": "0"}, "id": "generic:103"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.3", "physid": "62", "handle": "PCI:0000:ff:14.3", "configuration": {"latency": "0"}, "id": "generic:104"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.6", "physid": "63", "handle": "PCI:0000:ff:14.6", "configuration": {"latency": "0"}, "id": "generic:105"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.7", "physid": "64", "handle": "PCI:0000:ff:14.7", "configuration": {"latency": "0"}, "id": "generic:106"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.0", "physid": "65", "handle": "PCI:0000:ff:15.0", "configuration": {"latency": "0"}, "id": "generic:107"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.1", "physid": "66", "handle": "PCI:0000:ff:15.1", "configuration": {"latency": "0"}, "id": "generic:108"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.2", "physid": "67", "handle": "PCI:0000:ff:15.2", "configuration": {"latency": "0"}, "id": "generic:109"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.3", "physid": "68", "handle": "PCI:0000:ff:15.3", "configuration": {"latency": "0"}, "id": "generic:110"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.0", "physid": "6a", "handle": "PCI:0000:ff:16.0", "configuration": {"latency": "0"}, "id": "generic:111"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.6", "physid": "6b", "handle": "PCI:0000:ff:16.6", "configuration": {"latency": "0"}, "id": "generic:112"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.7", "physid": "6c", "handle": "PCI:0000:ff:16.7", "configuration": {"latency": "0"}, "id": "generic:113"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.0", "physid": "6d", "handle": "PCI:0000:ff:17.0", "configuration": {"latency": "0"}, "id": "generic:114"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.4", "physid": "6e", "handle": "PCI:0000:ff:17.4", "configuration": {"latency": "0"}, "id": "generic:115"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.5", "physid": "6f", "handle": "PCI:0000:ff:17.5", "configuration": {"latency": "0"}, "id": "generic:116"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.6", "physid": "70", "handle": "PCI:0000:ff:17.6", "configuration": {"latency": "0"}, "id": "generic:117"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.7", "physid": "71", "handle": "PCI:0000:ff:17.7", "configuration": {"latency": "0"}, "id": "generic:118"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.0", "physid": "72", "handle": "PCI:0000:ff:1e.0", "configuration": {"latency": "0"}, "id": "generic:119"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.1", "physid": "73", "handle": "PCI:0000:ff:1e.1", "configuration": {"latency": "0"}, "id": "generic:120"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.2", "physid": "74", "handle": "PCI:0000:ff:1e.2", "configuration": {"latency": "0"}, "id": "generic:121"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.3", "physid": "75", "handle": "PCI:0000:ff:1e.3", "configuration": {"latency": "0"}, "id": "generic:122"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.4", "physid": "76", "handle": "PCI:0000:ff:1e.4", "configuration": {"latency": "0"}, "id": "generic:123"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.0", "physid": "7f", "handle": "PCI:0000:ff:1f.0", "configuration": {"latency": "0"}, "id": "generic:124"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.2", "physid": "80", "handle": "PCI:0000:ff:1f.2", "configuration": {"latency": "0"}, "id": "generic:125"}, {"logicalname": "scsi4", "children": [{"product": "Samsung SSD 850", "handle": "GUID:35544c57-409f-4f0a-87fc-96298e6cb808", "description": "ATA Disk", "capabilities": {"gpt-1.00": "GUID Partition Table version 1.00", "partitioned:gpt": "GUID partition table", "partitioned": "Partitioned disk"}, "logicalname": "/dev/sda", "children": [{"capacity": 25165312, "vendor": "EFI", "description": "BIOS Boot partition", "capabilities": {"nofs": "No filesystem"}, "logicalname": "/dev/sda1", "dev": "8:1", "class": "volume", "businfo": "scsi@4:0.0.0,1", "physid": "1", "claimed": true, "handle": "GUID:3e769c05-532a-4bb6-b2b2-eb57086ff5d9", "serial": "3e769c05-532a-4bb6-b2b2-eb57086ff5d9", "configuration": {"name": "primary"}, "id": "volume:0"}, {"capacity": 209714688, "handle": "GUID:c039d8d3-0189-4d98-b019-7c0a1802c941", "description": "EFI partition", "logicalname": "/dev/sda2", "dev": "8:2", "class": "volume", "businfo": "scsi@4:0.0.0,2", "claimed": true, "physid": "2", "serial": "c039d8d3-0189-4d98-b019-7c0a1802c941", "configuration": {"name": "primary"}, "id": "volume:1"}, {"capacity": 209714688, "vendor": "Linux", "description": "EFI partition", "capabilities": {"initialized": "initialized volume", "large_files": "4GB+ files", "extended_attributes": "Extended Attributes", "ext2": "EXT2/EXT3"}, "logicalname": "/dev/sda3", "dev": "8:3", "class": "volume", "version": "1.0", "businfo": "scsi@4:0.0.0,3", "physid": "3", "claimed": true, "handle": "GUID:5c6b46d8-6073-4b9d-a5d6-1a13618d360b", "serial": "0640de00-0575-4709-89fa-6e1148ed59cf", "configuration": {"name": "primary", "modified": "2016-07-22 07:59:39", "state": "clean", "filesystem": "ext2", "mounted": "2016-07-22 07:55:34", "lastmountpoint": "/boot"}, "id": "volume:2", "size": 56537088}, {"handle": "GUID:c2bc71bc-a7f8-4f76-8072-808a551e3197", "description": "EFI partition", "capabilities": {"lvm2": true}, "logicalname": "/dev/sda4", "dev": "8:4", "class": "volume", "businfo": "scsi@4:0.0.0,4", "claimed": true, "physid": "4", "serial": "10SdLR-bp3H-fG6u-WLdK-2ZFk-1DRw-khcc04", "configuration": {"name": "primary"}, "id": "volume:3", "size": 88113938432}, {"handle": "GUID:d3804555-f4b6-4056-abcf-e30ed88a61e2", "description": "EFI partition", "capabilities": {"lvm2": true}, "logicalname": "/dev/sda5", "dev": "8:5", "class": "volume", "businfo": "scsi@4:0.0.0,5", "claimed": true, "physid": "5", "serial": "Nzrxvh-Szf2-DDXL-ttko-VOCU-spZX-uPZWiu", "configuration": {"name": "primary"}, "id": "volume:4", "size": 411469611008}, {"capacity": 20971008, "handle": "GUID:5a835bb5-df90-43bd-92a8-c941b67777e9", "description": "EFI partition", "logicalname": "/dev/sda6", "dev": "8:6", "class": "volume", "businfo": "scsi@4:0.0.0,6", "claimed": true, "physid": "6", "serial": "5a835bb5-df90-43bd-92a8-c941b67777e9", "configuration": {"name": "primary"}, "id": "volume:5"}], "dev": "8:0", "class": "disk", "units": "bytes", "version": "EMT0", "businfo": "scsi@4:0.0.0", "claimed": true, "physid": "0.0.0", "serial": "S2RBNXAH122813N", "configuration": {"ansiversion": "5", "sectorsize": "512", "guid": "35544c57-409f-4f0a-87fc-96298e6cb808"}, "id": "disk", "size": 500107862016}], "capabilities": {"emulated": "Emulated device"}, "class": "storage", "claimed": true, "physid": "81", "id": "scsi:0"}, {"logicalname": "scsi5", "children": [{"product": "Samsung SSD 850", "handle": "GUID:13084509-d9df-424c-a49a-45a5eb1667bb", "description": "ATA Disk", "capabilities": {"gpt-1.00": "GUID Partition Table version 1.00", "partitioned:gpt": "GUID partition table", "partitioned": "Partitioned disk"}, "logicalname": "/dev/sdb", "children": [{"capacity": 25165312, "vendor": "EFI", "description": "BIOS Boot partition", "capabilities": {"nofs": "No filesystem"}, "logicalname": "/dev/sdb1", "dev": "8:17", "class": "volume", "businfo": "scsi@5:0.0.0,1", "physid": "1", "claimed": true, "handle": "GUID:c58fe355-57c8-4d81-a962-8e90736179d5", "serial": "c58fe355-57c8-4d81-a962-8e90736179d5", "configuration": {"name": "primary"}, "id": "volume:0"}, {"capacity": 209714688, "handle": "GUID:d6fd9bf0-5c99-4077-9dab-380d4f8f2fd0", "description": "EFI partition", "logicalname": "/dev/sdb2", "dev": "8:18", "class": "volume", "businfo": "scsi@5:0.0.0,2", "claimed": true, "physid": "2", "serial": "d6fd9bf0-5c99-4077-9dab-380d4f8f2fd0", "configuration": {"name": "primary"}, "id": "volume:1"}, {"capacity": 499449331200, "handle": "GUID:0bbb2d41-6dd4-4536-bc2a-a9d27bf191a9", "description": "EFI partition", "logicalname": "/dev/sdb3", "dev": "8:19", "class": "volume", "businfo": "scsi@5:0.0.0,3", "claimed": true, "physid": "3", "serial": "0bbb2d41-6dd4-4536-bc2a-a9d27bf191a9", "configuration": {"name": "primary"}, "id": "volume:2"}], "dev": "8:16", "class": "disk", "units": "bytes", "version": "EMT0", "businfo": "scsi@5:0.0.0", "claimed": true, "physid": "0.0.0", "serial": "S2RBNXAH116181J", "configuration": {"ansiversion": "5", "sectorsize": "512", "guid": "13084509-d9df-424c-a49a-45a5eb1667bb"}, "id": "disk", "size": 500107862016}], "capabilities": {"emulated": "Emulated device"}, "class": "storage", "claimed": true, "physid": "82", "id": "scsi:1"}], "class": "bus", "version": "1.10", "physid": "0", "claimed": true, "vendor": "Supermicro", "serial": "NM159S018871", "id": "core"}, {"product": "PWS-605P-1H", "capacity": 600, "vendor": "SUPERMICRO", "description": "PWS-605P-1H", "class": "power", "version": "1.1", "units": "mWh", "physid": "1", "serial": "P605A0F39B31975", "id": "power:0"}, {"product": "To be filled by O.E.M.", "capacity": 32768, "vendor": "To be filled by O.E.M.", "description": "To be filled by O.E.M.", "class": "power", "version": "To be filled by O.E.M.", "units": "mWh", "physid": "2", "serial": "To be filled by O.E.M.", "id": "power:1"}], "capabilities": {"smbios-2.8": "SMBIOS version 2.8", "vsyscall32": "32-bit processes", "dmi-2.7": "DMI version 2.7"}, "class": "system", "width": 64, "version": "123456789", "claimed": true, "vendor": "Supermicro", "serial": "E16865116101093", "configuration": {"sku": "To be filled by O.E.M.", "boot": "normal", "uuid": "00000000-0000-0000-0000-0CC47A6C9B40", "family": "To be filled by O.E.M."}, "id": "bootstrap"}, "memory": {"slots": 16, "total": 68719476736, "maximum_capacity": 1099511627776, "devices": [{"frequency": 2133, "type": "Other", "size": 17179869184}, {"frequency": 2133, "type": "Other", "size": 17179869184}, {"frequency": 2133, "type": "Other", "size": 17179869184}, {"frequency": 2133, "type": "Other", "size": 17179869184}]}, "interfaces": [{"name": "enp9s0f0", "ip": "10.109.9.5", "driver": "igb", "state": "up", "mac": "0c:c4:7a:6c:9b:40", "max_speed": 1000, "current_speed": 1000, "interface_properties": {"numa_node": 0, "pci_id": "8086:1521", "sriov": {"available": true, "sriov_totalvfs": 7, "pci_id": "8086:1520"}}, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": true, "bus_info": "0000:09:00.0"}, {"name": "enp9s0f1", "driver": "igb", "state": "down", "mac": "0c:c4:7a:6c:9b:41", "max_speed": 1000, "current_speed": null, "interface_properties": {"numa_node": 0, "pci_id": "8086:1521", "sriov": {"available": true, "sriov_totalvfs": 7, "pci_id": "8086:1520"}}, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:09:00.1"}], "disks": [{"paths": null, "name": "sda", "extra": ["disk/by-id/wwn-0x5002538d409b3359", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH122813N"], "removable": "0", "model": "Samsung SSD 850", "disk": "sda", "size": 500107862016}, {"paths": null, "name": "sdb", "extra": ["disk/by-id/wwn-0x5002538d409aeeaf", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH116181J"], "removable": "0", "model": "Samsung SSD 850", "disk": "sdb", "size": 500107862016}], "system": {"product": "SYS-6018R-TDW", "uuid": "00000000-0000-0000-0000-0CC47A6C9B40", "family": "To be filled by O.E.M.", "fqdn": "bootstrap", "version": "123456789", "serial": "E16865116101093", "runtime_uuid": "83661b3e-fd06-40fa-8486-5e3a428ac884", "manufacturer": "Supermicro"}, "numa_topology": {"numa_nodes": [{"pcidevs": ["0000:00:11.4", "0000:08:00.0", "0000:09:00.0", "0000:09:00.1", "0000:00:1f.2"], "memory": 33630621696, "id": 0, "cpus": [0, 12, 1, 13, 2, 14, 3, 15, 4, 16, 5, 17]}, {"pcidevs": [], "memory": 33804173312, "id": 1, "cpus": [6, 18, 7, 19, 8, 20, 9, 21, 10, 22, 11, 23]}], "distances": [["1.000000", "2.100000"], ["2.100000", "1.000000"]], "supported_hugepages": [2048, 1048576]}, "cpu": {"real": 2, "total": 24, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}]}}	0c:c4:7a:6c:9b:40	10.109.9.5	Supermicro	SYS-6018R-TDW	\N	0	ubuntu	f	f	\N	\N	2016-08-02 20:14:34.48232	t	02cc29fd8f6dc5e4efdbd86978ce539d831513a0	[]	{}	\N	node-3	{}	{}	{}	\N	{}	{}	[]	{}
1	42b5be36-80de-4c8e-8ec6-92b67ed9bfba	\N	Untitled (9a:16)	discover	{"pci_devices": {"product": "SYS-6018R-TDW (To be filled by O.E.M.)", "handle": "DMI:0001", "description": "Computer", "children": [{"slot": "To be filled by O.E.M.", "product": "X10DDW-i", "handle": "DMI:0002", "description": "Motherboard", "children": [{"units": "bytes", "vendor": "American Megatrends Inc.", "description": "BIOS", "capacity": 16711680, "capabilities": {"upgrade": "BIOS EEPROM can be upgraded", "shadowing": "BIOS shadowing", "edd": "Enhanced Disk Drive extensions", "biosbootspecification": "BIOS boot specification", "int13floppy720": "3.5\\" 720KB floppy", "int17printer": "INT17 printer control", "int9keyboard": "i8042 keyboard controller", "socketedrom": "BIOS ROM is socketed", "int13floppy1200": "5.25\\" 1.2MB floppy", "int13floppy2880": "3.5\\" 2.88MB floppy", "int5printscreen": "Print Screen key", "pci": "PCI bus", "uefi": "UEFI specification is supported", "usb": "USB legacy emulation", "bootselect": "Selectable boot path", "int14serial": "INT14 serial line control", "acpi": "ACPI", "cdboot": "Booting from CD-ROM/DVD"}, "class": "memory", "date": "09/23/2015", "version": "1.1", "claimed": true, "physid": "0", "id": "firmware", "size": 65536}, {"slot": "System board or motherboard", "handle": "DMI:005D", "description": "System Memory", "children": [{"slot": "P1_DIMMA1", "product": "M393A2G40DB0-CPB", "handle": "DMI:005F", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "Samsung(data:16/01)", "serial": "313A5724", "id": "bank:0", "size": 17179869184}, {"slot": "P1_DIMMA2", "product": "NO DIMM", "handle": "DMI:0061", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "1", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:1"}, {"slot": "P1_DIMMB1", "product": "M393A2G40DB0-CPB", "handle": "DMI:0062", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "Samsung(data:15/10)", "serial": "401FF9E6", "id": "bank:2", "size": 17179869184}, {"slot": "P1_DIMMB2", "product": "NO DIMM", "handle": "DMI:0064", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "3", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:3"}, {"slot": "P1_DIMMC1", "product": "NO DIMM", "handle": "DMI:0065", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "4", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:4"}, {"slot": "P1_DIMMC2", "product": "NO DIMM", "handle": "DMI:0066", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "5", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:5"}, {"slot": "P1_DIMMD1", "product": "NO DIMM", "handle": "DMI:0067", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "6", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:6"}, {"slot": "P1_DIMMD2", "product": "NO DIMM", "handle": "DMI:0068", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "7", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:7"}], "class": "memory", "claimed": true, "physid": "5d", "id": "memory:0"}, {"slot": "System board or motherboard", "handle": "DMI:0069", "description": "System Memory", "children": [{"slot": "P2_DIMME1", "product": "M393A2G40DB0-CPB", "handle": "DMI:006B", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "Samsung(data:16/01)", "serial": "313A5A69", "id": "bank:0", "size": 17179869184}, {"slot": "P2_DIMME2", "product": "NO DIMM", "handle": "DMI:006D", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "1", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:1"}, {"slot": "P2_DIMMF1", "product": "M393A2G40DB0-CPB", "handle": "DMI:006E", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "Samsung(data:15/10)", "serial": "401FF7A3", "id": "bank:2", "size": 17179869184}, {"slot": "P2_DIMMF2", "product": "NO DIMM", "handle": "DMI:0070", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "3", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:3"}, {"slot": "P2_DIMMG1", "product": "NO DIMM", "handle": "DMI:0071", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "4", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:4"}, {"slot": "P2_DIMMG2", "product": "NO DIMM", "handle": "DMI:0072", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "5", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:5"}, {"slot": "P2_DIMMH1", "product": "NO DIMM", "handle": "DMI:0073", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "6", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:6"}, {"slot": "P2_DIMMH2", "product": "NO DIMM", "handle": "DMI:0074", "description": "DIMM Synchronous [empty]", "class": "memory", "physid": "7", "claimed": true, "vendor": "NO DIMM", "serial": "NO DIMM", "id": "bank:7"}], "class": "memory", "claimed": true, "physid": "69", "id": "memory:1"}, {"slot": "CPU Internal L1", "capacity": 393216, "handle": "DMI:0077", "description": "L1 cache", "capabilities": {"internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "77", "id": "cache:0", "size": 393216}, {"slot": "CPU Internal L2", "capacity": 1572864, "handle": "DMI:0078", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "78", "id": "cache:1", "size": 1572864}, {"slot": "CPU Internal L3", "capacity": 15728640, "handle": "DMI:0079", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "79", "id": "cache:2", "size": 15728640}, {"slot": "SOCKET 0", "product": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "capacity": 3600000000, "handle": "DMI:007A", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "businfo": "cpu@0", "physid": "7a", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "6", "threads": "12", "enabledcores": "6"}, "id": "cpu:0", "size": 1200000000}, {"slot": "CPU Internal L1", "capacity": 393216, "handle": "DMI:007B", "description": "L1 cache", "capabilities": {"internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "7b", "id": "cache:3", "size": 393216}, {"slot": "CPU Internal L2", "capacity": 1572864, "handle": "DMI:007C", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "7c", "id": "cache:4", "size": 1572864}, {"slot": "CPU Internal L3", "capacity": 15728640, "handle": "DMI:007D", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "7d", "id": "cache:5", "size": 15728640}, {"slot": "SOCKET 1", "product": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "capacity": 3600000000, "handle": "DMI:007E", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "businfo": "cpu@1", "physid": "7e", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "6", "threads": "12", "enabledcores": "6"}, "id": "cpu:1", "size": 1200000000}, {"physid": "1", "id": "memory:2", "class": "memory"}, {"physid": "2", "id": "memory:3", "class": "memory"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMI2", "handle": "PCIBUS:0000:00", "description": "Host bridge", "clock": 33000000, "children": [{"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:01", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.0", "physid": "1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:02", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:03", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.0", "physid": "2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:04", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.0", "physid": "3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:05", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.2", "physid": "3.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:00:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.0", "physid": "4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:00:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:00:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:00:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:00:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:00:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:00:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:00:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.0", "physid": "5", "handle": "PCI:0000:00:05.0", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.1", "physid": "5.1", "handle": "PCI:0000:00:05.1", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.2", "physid": "5.2", "handle": "PCI:0000:00:05.2", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.4", "physid": "5.4", "handle": "PCI:0000:00:05.4", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "C610/X99 series chipset SPSR", "vendor": "Intel Corporation", "description": "Unassigned class", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "05", "businfo": "pci@0000:00:11.0", "physid": "11", "handle": "PCI:0000:00:11.0", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "C610/X99 series chipset sSATA Controller [AHCI mode]", "handle": "PCI:0000:00:11.4", "description": "SATA controller", "clock": 66000000, "capabilities": {"cap_list": "PCI capabilities listing", "ahci_1.0": true, "storage": true, "bus_master": "bus mastering", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "storage", "width": 32, "version": "05", "businfo": "pci@0000:00:11.4", "physid": "11.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ahci"}, "id": "storage:0"}, {"product": "C610/X99 series chipset USB xHCI Host Controller", "handle": "PCI:0000:00:14.0", "description": "USB controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "xhci": true, "pm": "Power Management"}, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:14.0", "physid": "14", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "xhci_hcd"}, "id": "usb:0"}, {"product": "C610/X99 series chipset MEI Controller #1", "vendor": "Intel Corporation", "description": "Communication controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "communication", "width": 64, "version": "05", "businfo": "pci@0000:00:16.0", "physid": "16", "handle": "PCI:0000:00:16.0", "configuration": {"latency": "0"}, "id": "communication:0"}, {"product": "C610/X99 series chipset MEI Controller #2", "vendor": "Intel Corporation", "description": "Communication controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "communication", "width": 64, "version": "05", "businfo": "pci@0000:00:16.1", "physid": "16.1", "handle": "PCI:0000:00:16.1", "configuration": {"latency": "0"}, "id": "communication:1"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #2", "handle": "PCI:0000:00:1a.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1a.0", "physid": "1a", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:1"}, {"product": "C610/X99 series chipset PCI Express Root Port #1", "handle": "PCIBUS:0000:06", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.0", "physid": "1c", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:5"}, {"product": "C610/X99 series chipset PCI Express Root Port #4", "handle": "PCIBUS:0000:07", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "AST1150 PCI-to-PCI Bridge", "handle": "PCIBUS:0000:08", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "ASPEED Graphics Family", "handle": "PCI:0000:08:00.0", "description": "VGA compatible controller", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "rom": "extension ROM", "vga_controller": true, "bus_master": "bus mastering", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "display", "width": 32, "version": "30", "businfo": "pci@0000:08:00.0", "physid": "0", "claimed": true, "vendor": "ASPEED Technology, Inc.", "configuration": {"latency": "0", "driver": "ast"}, "id": "display"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "03", "businfo": "pci@0000:07:00.0", "physid": "0", "claimed": true, "vendor": "ASPEED Technology, Inc.", "id": "pci"}], "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.3", "physid": "1c.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:6"}, {"product": "C610/X99 series chipset PCI Express Root Port #5", "handle": "PCIBUS:0000:09", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "I350 Gigabit Network Connection", "capacity": 1000000000, "handle": "PCI:0000:09:00.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp9s0f0", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "10bt-fd": "10Mbit/s (full duplex)", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "100bt-fd": "100Mbit/s (full duplex)", "pm": "Power Management"}, "class": "network", "units": "bit/s", "version": "01", "businfo": "pci@0000:09:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Intel Corporation", "serial": "0c:c4:7a:6c:9a:16", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "ip": "10.109.9.4", "firmware": "1.61, 0x8000090e", "driver": "igb", "broadcast": "yes", "multicast": "yes", "link": "yes", "driverversion": "5.0.5-k", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:0", "size": 1000000000}, {"product": "I350 Gigabit Network Connection", "capacity": 1000000000, "handle": "PCI:0000:09:00.1", "description": "Ethernet interface", "width": 32, "logicalname": "enp9s0f1", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "10bt-fd": "10Mbit/s (full duplex)", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "100bt-fd": "100Mbit/s (full duplex)", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:09:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Intel Corporation", "serial": "0c:c4:7a:6c:9a:17", "configuration": {"latency": "0", "autonegotiation": "on", "firmware": "1.61, 0x8000090e", "driver": "igb", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "5.0.5-k", "port": "twisted pair"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.4", "physid": "1c.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:7"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #1", "handle": "PCI:0000:00:1d.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1d.0", "physid": "1d", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:2"}, {"product": "C610/X99 series chipset LPC Controller", "handle": "PCI:0000:00:1f.0", "description": "ISA bridge", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "isa": true, "cap_list": "PCI capabilities listing"}, "class": "bridge", "width": 32, "version": "05", "businfo": "pci@0000:00:1f.0", "physid": "1f", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "lpc_ich"}, "id": "isa"}, {"product": "C610/X99 series chipset 6-Port SATA Controller [AHCI mode]", "handle": "PCI:0000:00:1f.2", "description": "SATA controller", "clock": 66000000, "capabilities": {"cap_list": "PCI capabilities listing", "ahci_1.0": true, "storage": true, "bus_master": "bus mastering", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "storage", "width": 32, "version": "05", "businfo": "pci@0000:00:1f.2", "physid": "1f.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ahci"}, "id": "storage:1"}, {"product": "C610/X99 series chipset SMBus Controller", "vendor": "Intel Corporation", "description": "SMBus", "clock": 33000000, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:1f.3", "physid": "1f.3", "handle": "PCI:0000:00:1f.3", "configuration": {"latency": "0"}, "id": "serial"}], "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:00.0", "physid": "100", "claimed": true, "vendor": "Intel Corporation", "id": "pci"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.0", "physid": "3", "handle": "PCI:0000:7f:08.0", "configuration": {"latency": "0"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.2", "physid": "6", "handle": "PCI:0000:7f:08.2", "configuration": {"latency": "0"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.3", "physid": "7", "handle": "PCI:0000:7f:08.3", "configuration": {"latency": "0"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.0", "physid": "8", "handle": "PCI:0000:7f:0b.0", "configuration": {"latency": "0"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.1", "physid": "9", "handle": "PCI:0000:7f:0b.1", "configuration": {"latency": "0"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.2", "physid": "a", "handle": "PCI:0000:7f:0b.2", "configuration": {"latency": "0"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.0", "physid": "b", "handle": "PCI:0000:7f:0c.0", "configuration": {"latency": "0"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.1", "physid": "c", "handle": "PCI:0000:7f:0c.1", "configuration": {"latency": "0"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.2", "physid": "d", "handle": "PCI:0000:7f:0c.2", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.3", "physid": "e", "handle": "PCI:0000:7f:0c.3", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.4", "physid": "f", "handle": "PCI:0000:7f:0c.4", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.5", "physid": "10", "handle": "PCI:0000:7f:0c.5", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.0", "physid": "11", "handle": "PCI:0000:7f:0f.0", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.1", "physid": "12", "handle": "PCI:0000:7f:0f.1", "configuration": {"latency": "0"}, "id": "generic:13"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.4", "physid": "13", "handle": "PCI:0000:7f:0f.4", "configuration": {"latency": "0"}, "id": "generic:14"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.5", "physid": "14", "handle": "PCI:0000:7f:0f.5", "configuration": {"latency": "0"}, "id": "generic:15"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.6", "physid": "15", "handle": "PCI:0000:7f:0f.6", "configuration": {"latency": "0"}, "id": "generic:16"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.0", "physid": "16", "handle": "PCI:0000:7f:10.0", "configuration": {"latency": "0"}, "id": "generic:17"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.1", "physid": "17", "handle": "PCI:0000:7f:10.1", "configuration": {"latency": "0"}, "id": "generic:18"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.5", "physid": "18", "handle": "PCI:0000:7f:10.5", "configuration": {"latency": "0"}, "id": "generic:19"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.6", "physid": "19", "handle": "PCI:0000:7f:10.6", "configuration": {"latency": "0"}, "id": "generic:20"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.7", "physid": "1a", "handle": "PCI:0000:7f:10.7", "configuration": {"latency": "0"}, "id": "generic:21"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.0", "physid": "1b", "handle": "PCI:0000:7f:12.0", "configuration": {"latency": "0"}, "id": "generic:22"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.1", "physid": "1c", "handle": "PCI:0000:7f:12.1", "configuration": {"latency": "0"}, "id": "generic:23"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.0", "physid": "1d", "handle": "PCI:0000:7f:13.0", "configuration": {"latency": "0"}, "id": "generic:24"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.1", "physid": "1e", "handle": "PCI:0000:7f:13.1", "configuration": {"latency": "0"}, "id": "generic:25"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.2", "physid": "1f", "handle": "PCI:0000:7f:13.2", "configuration": {"latency": "0"}, "id": "generic:26"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.3", "physid": "20", "handle": "PCI:0000:7f:13.3", "configuration": {"latency": "0"}, "id": "generic:27"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.4", "physid": "21", "handle": "PCI:0000:7f:13.4", "configuration": {"latency": "0"}, "id": "generic:28"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.5", "physid": "22", "handle": "PCI:0000:7f:13.5", "configuration": {"latency": "0"}, "id": "generic:29"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.6", "physid": "23", "handle": "PCI:0000:7f:13.6", "configuration": {"latency": "0"}, "id": "generic:30"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.7", "physid": "24", "handle": "PCI:0000:7f:13.7", "configuration": {"latency": "0"}, "id": "generic:31"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.0", "physid": "25", "handle": "PCI:0000:7f:14.0", "configuration": {"latency": "0"}, "id": "generic:32"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.1", "physid": "26", "handle": "PCI:0000:7f:14.1", "configuration": {"latency": "0"}, "id": "generic:33"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.2", "physid": "27", "handle": "PCI:0000:7f:14.2", "configuration": {"latency": "0"}, "id": "generic:34"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.3", "physid": "28", "handle": "PCI:0000:7f:14.3", "configuration": {"latency": "0"}, "id": "generic:35"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.6", "physid": "29", "handle": "PCI:0000:7f:14.6", "configuration": {"latency": "0"}, "id": "generic:36"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.7", "physid": "2a", "handle": "PCI:0000:7f:14.7", "configuration": {"latency": "0"}, "id": "generic:37"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.0", "physid": "2b", "handle": "PCI:0000:7f:15.0", "configuration": {"latency": "0"}, "id": "generic:38"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.1", "physid": "2c", "handle": "PCI:0000:7f:15.1", "configuration": {"latency": "0"}, "id": "generic:39"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.2", "physid": "2d", "handle": "PCI:0000:7f:15.2", "configuration": {"latency": "0"}, "id": "generic:40"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:15.3", "physid": "2e", "handle": "PCI:0000:7f:15.3", "configuration": {"latency": "0"}, "id": "generic:41"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.0", "physid": "2f", "handle": "PCI:0000:7f:16.0", "configuration": {"latency": "0"}, "id": "generic:42"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.6", "physid": "30", "handle": "PCI:0000:7f:16.6", "configuration": {"latency": "0"}, "id": "generic:43"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.7", "physid": "31", "handle": "PCI:0000:7f:16.7", "configuration": {"latency": "0"}, "id": "generic:44"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.0", "physid": "32", "handle": "PCI:0000:7f:17.0", "configuration": {"latency": "0"}, "id": "generic:45"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.4", "physid": "33", "handle": "PCI:0000:7f:17.4", "configuration": {"latency": "0"}, "id": "generic:46"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.5", "physid": "34", "handle": "PCI:0000:7f:17.5", "configuration": {"latency": "0"}, "id": "generic:47"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.6", "physid": "35", "handle": "PCI:0000:7f:17.6", "configuration": {"latency": "0"}, "id": "generic:48"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.7", "physid": "36", "handle": "PCI:0000:7f:17.7", "configuration": {"latency": "0"}, "id": "generic:49"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.0", "physid": "37", "handle": "PCI:0000:7f:1e.0", "configuration": {"latency": "0"}, "id": "generic:50"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.1", "physid": "38", "handle": "PCI:0000:7f:1e.1", "configuration": {"latency": "0"}, "id": "generic:51"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.2", "physid": "39", "handle": "PCI:0000:7f:1e.2", "configuration": {"latency": "0"}, "id": "generic:52"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.3", "physid": "3a", "handle": "PCI:0000:7f:1e.3", "configuration": {"latency": "0"}, "id": "generic:53"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.4", "physid": "3b", "handle": "PCI:0000:7f:1e.4", "configuration": {"latency": "0"}, "id": "generic:54"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.0", "physid": "3c", "handle": "PCI:0000:7f:1f.0", "configuration": {"latency": "0"}, "id": "generic:55"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.2", "physid": "3d", "handle": "PCI:0000:7f:1f.2", "configuration": {"latency": "0"}, "id": "generic:56"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:80:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.0", "physid": "4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:57"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:80:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:58"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:80:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:59"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:80:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:60"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:80:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:61"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:80:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:62"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:80:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:63"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:80:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:64"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.0", "physid": "5", "handle": "PCI:0000:80:05.0", "configuration": {"latency": "0"}, "id": "generic:65"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.1", "physid": "5.1", "handle": "PCI:0000:80:05.1", "configuration": {"latency": "0"}, "id": "generic:66"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.2", "physid": "5.2", "handle": "PCI:0000:80:05.2", "configuration": {"latency": "0"}, "id": "generic:67"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.4", "physid": "5.4", "handle": "PCI:0000:80:05.4", "configuration": {"latency": "0"}, "id": "generic:68"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.0", "physid": "3e", "handle": "PCI:0000:ff:08.0", "configuration": {"latency": "0"}, "id": "generic:69"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.2", "physid": "3f", "handle": "PCI:0000:ff:08.2", "configuration": {"latency": "0"}, "id": "generic:70"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.3", "physid": "40", "handle": "PCI:0000:ff:08.3", "configuration": {"latency": "0"}, "id": "generic:71"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.0", "physid": "41", "handle": "PCI:0000:ff:0b.0", "configuration": {"latency": "0"}, "id": "generic:72"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.1", "physid": "42", "handle": "PCI:0000:ff:0b.1", "configuration": {"latency": "0"}, "id": "generic:73"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.2", "physid": "43", "handle": "PCI:0000:ff:0b.2", "configuration": {"latency": "0"}, "id": "generic:74"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.0", "physid": "44", "handle": "PCI:0000:ff:0c.0", "configuration": {"latency": "0"}, "id": "generic:75"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.1", "physid": "45", "handle": "PCI:0000:ff:0c.1", "configuration": {"latency": "0"}, "id": "generic:76"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.2", "physid": "46", "handle": "PCI:0000:ff:0c.2", "configuration": {"latency": "0"}, "id": "generic:77"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.3", "physid": "47", "handle": "PCI:0000:ff:0c.3", "configuration": {"latency": "0"}, "id": "generic:78"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.4", "physid": "48", "handle": "PCI:0000:ff:0c.4", "configuration": {"latency": "0"}, "id": "generic:79"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.5", "physid": "49", "handle": "PCI:0000:ff:0c.5", "configuration": {"latency": "0"}, "id": "generic:80"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.0", "physid": "4a", "handle": "PCI:0000:ff:0f.0", "configuration": {"latency": "0"}, "id": "generic:81"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.1", "physid": "4b", "handle": "PCI:0000:ff:0f.1", "configuration": {"latency": "0"}, "id": "generic:82"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.4", "physid": "4c", "handle": "PCI:0000:ff:0f.4", "configuration": {"latency": "0"}, "id": "generic:83"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.5", "physid": "4d", "handle": "PCI:0000:ff:0f.5", "configuration": {"latency": "0"}, "id": "generic:84"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.6", "physid": "4e", "handle": "PCI:0000:ff:0f.6", "configuration": {"latency": "0"}, "id": "generic:85"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.0", "physid": "4f", "handle": "PCI:0000:ff:10.0", "configuration": {"latency": "0"}, "id": "generic:86"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.1", "physid": "50", "handle": "PCI:0000:ff:10.1", "configuration": {"latency": "0"}, "id": "generic:87"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.5", "physid": "51", "handle": "PCI:0000:ff:10.5", "configuration": {"latency": "0"}, "id": "generic:88"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.6", "physid": "52", "handle": "PCI:0000:ff:10.6", "configuration": {"latency": "0"}, "id": "generic:89"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.7", "physid": "53", "handle": "PCI:0000:ff:10.7", "configuration": {"latency": "0"}, "id": "generic:90"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.0", "physid": "54", "handle": "PCI:0000:ff:12.0", "configuration": {"latency": "0"}, "id": "generic:91"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.1", "physid": "55", "handle": "PCI:0000:ff:12.1", "configuration": {"latency": "0"}, "id": "generic:92"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.0", "physid": "56", "handle": "PCI:0000:ff:13.0", "configuration": {"latency": "0"}, "id": "generic:93"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.1", "physid": "57", "handle": "PCI:0000:ff:13.1", "configuration": {"latency": "0"}, "id": "generic:94"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.2", "physid": "58", "handle": "PCI:0000:ff:13.2", "configuration": {"latency": "0"}, "id": "generic:95"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.3", "physid": "59", "handle": "PCI:0000:ff:13.3", "configuration": {"latency": "0"}, "id": "generic:96"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.4", "physid": "5a", "handle": "PCI:0000:ff:13.4", "configuration": {"latency": "0"}, "id": "generic:97"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.5", "physid": "5b", "handle": "PCI:0000:ff:13.5", "configuration": {"latency": "0"}, "id": "generic:98"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.6", "physid": "5c", "handle": "PCI:0000:ff:13.6", "configuration": {"latency": "0"}, "id": "generic:99"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.7", "physid": "5e", "handle": "PCI:0000:ff:13.7", "configuration": {"latency": "0"}, "id": "generic:100"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.0", "physid": "5f", "handle": "PCI:0000:ff:14.0", "configuration": {"latency": "0"}, "id": "generic:101"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.1", "physid": "60", "handle": "PCI:0000:ff:14.1", "configuration": {"latency": "0"}, "id": "generic:102"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.2", "physid": "61", "handle": "PCI:0000:ff:14.2", "configuration": {"latency": "0"}, "id": "generic:103"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.3", "physid": "62", "handle": "PCI:0000:ff:14.3", "configuration": {"latency": "0"}, "id": "generic:104"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.6", "physid": "63", "handle": "PCI:0000:ff:14.6", "configuration": {"latency": "0"}, "id": "generic:105"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.7", "physid": "64", "handle": "PCI:0000:ff:14.7", "configuration": {"latency": "0"}, "id": "generic:106"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.0", "physid": "65", "handle": "PCI:0000:ff:15.0", "configuration": {"latency": "0"}, "id": "generic:107"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.1", "physid": "66", "handle": "PCI:0000:ff:15.1", "configuration": {"latency": "0"}, "id": "generic:108"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 2 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.2", "physid": "67", "handle": "PCI:0000:ff:15.2", "configuration": {"latency": "0"}, "id": "generic:109"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 3 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:15.3", "physid": "68", "handle": "PCI:0000:ff:15.3", "configuration": {"latency": "0"}, "id": "generic:110"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.0", "physid": "6a", "handle": "PCI:0000:ff:16.0", "configuration": {"latency": "0"}, "id": "generic:111"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.6", "physid": "6b", "handle": "PCI:0000:ff:16.6", "configuration": {"latency": "0"}, "id": "generic:112"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.7", "physid": "6c", "handle": "PCI:0000:ff:16.7", "configuration": {"latency": "0"}, "id": "generic:113"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.0", "physid": "6d", "handle": "PCI:0000:ff:17.0", "configuration": {"latency": "0"}, "id": "generic:114"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.4", "physid": "6e", "handle": "PCI:0000:ff:17.4", "configuration": {"latency": "0"}, "id": "generic:115"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.5", "physid": "6f", "handle": "PCI:0000:ff:17.5", "configuration": {"latency": "0"}, "id": "generic:116"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.6", "physid": "70", "handle": "PCI:0000:ff:17.6", "configuration": {"latency": "0"}, "id": "generic:117"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.7", "physid": "71", "handle": "PCI:0000:ff:17.7", "configuration": {"latency": "0"}, "id": "generic:118"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.0", "physid": "72", "handle": "PCI:0000:ff:1e.0", "configuration": {"latency": "0"}, "id": "generic:119"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.1", "physid": "73", "handle": "PCI:0000:ff:1e.1", "configuration": {"latency": "0"}, "id": "generic:120"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.2", "physid": "74", "handle": "PCI:0000:ff:1e.2", "configuration": {"latency": "0"}, "id": "generic:121"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.3", "physid": "75", "handle": "PCI:0000:ff:1e.3", "configuration": {"latency": "0"}, "id": "generic:122"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.4", "physid": "76", "handle": "PCI:0000:ff:1e.4", "configuration": {"latency": "0"}, "id": "generic:123"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.0", "physid": "7f", "handle": "PCI:0000:ff:1f.0", "configuration": {"latency": "0"}, "id": "generic:124"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.2", "physid": "80", "handle": "PCI:0000:ff:1f.2", "configuration": {"latency": "0"}, "id": "generic:125"}, {"logicalname": "scsi4", "children": [{"product": "Samsung SSD 850", "handle": "GUID:595a70ae-4ad1-49ac-b68b-5bd90335aab8", "description": "ATA Disk", "capabilities": {"gpt-1.00": "GUID Partition Table version 1.00", "partitioned:gpt": "GUID partition table", "partitioned": "Partitioned disk"}, "logicalname": "/dev/sda", "children": [{"capacity": 25165312, "vendor": "EFI", "description": "BIOS Boot partition", "capabilities": {"nofs": "No filesystem"}, "logicalname": "/dev/sda1", "dev": "8:1", "class": "volume", "businfo": "scsi@4:0.0.0,1", "physid": "1", "claimed": true, "handle": "GUID:636f7879-66ae-42ac-bef5-e64432a740dc", "serial": "636f7879-66ae-42ac-bef5-e64432a740dc", "configuration": {"name": "primary"}, "id": "volume:0"}, {"capacity": 209714688, "handle": "GUID:2f2ebd9b-d835-42cf-8760-9f3d5df5bf95", "description": "EFI partition", "logicalname": "/dev/sda2", "dev": "8:2", "class": "volume", "businfo": "scsi@4:0.0.0,2", "claimed": true, "physid": "2", "serial": "2f2ebd9b-d835-42cf-8760-9f3d5df5bf95", "configuration": {"name": "primary"}, "id": "volume:1"}, {"capacity": 209714688, "vendor": "Linux", "description": "EFI partition", "capabilities": {"initialized": "initialized volume", "large_files": "4GB+ files", "extended_attributes": "Extended Attributes", "ext2": "EXT2/EXT3"}, "logicalname": "/dev/sda3", "dev": "8:3", "class": "volume", "version": "1.0", "businfo": "scsi@4:0.0.0,3", "physid": "3", "claimed": true, "handle": "GUID:6f4a5718-06a2-4b94-8617-88d43211ec8f", "serial": "0640de00-0575-4709-89fa-6e1148ed59cf", "configuration": {"name": "primary", "modified": "2016-07-22 07:59:39", "state": "clean", "filesystem": "ext2", "mounted": "2016-07-22 07:55:34", "lastmountpoint": "/boot"}, "id": "volume:2", "size": 56537088}, {"handle": "GUID:1574d3ac-071c-4d67-a0e1-86474c2c76a5", "description": "EFI partition", "capabilities": {"lvm2": true}, "logicalname": "/dev/sda4", "dev": "8:4", "class": "volume", "businfo": "scsi@4:0.0.0,4", "claimed": true, "physid": "4", "serial": "kzn5dt-kJLh-2U7P-mg2c-tH2O-8wwY-PQ9qjZ", "configuration": {"name": "primary"}, "id": "volume:3", "size": 88113938432}, {"handle": "GUID:b18351ab-8c70-4b2b-bdbf-12517910c520", "description": "EFI partition", "capabilities": {"lvm2": true}, "logicalname": "/dev/sda5", "dev": "8:5", "class": "volume", "businfo": "scsi@4:0.0.0,5", "claimed": true, "physid": "5", "serial": "3NSMzb-6GaB-oHC4-xR6X-4yen-voUr-eCo4Z1", "configuration": {"name": "primary"}, "id": "volume:4", "size": 411469611008}, {"capacity": 20971008, "handle": "GUID:0cd6f993-2f65-4fe8-911c-2335e6207368", "description": "EFI partition", "logicalname": "/dev/sda6", "dev": "8:6", "class": "volume", "businfo": "scsi@4:0.0.0,6", "claimed": true, "physid": "6", "serial": "0cd6f993-2f65-4fe8-911c-2335e6207368", "configuration": {"name": "primary"}, "id": "volume:5"}], "dev": "8:0", "class": "disk", "units": "bytes", "version": "EMT0", "businfo": "scsi@4:0.0.0", "claimed": true, "physid": "0.0.0", "serial": "S2RBNXAH122271Z", "configuration": {"ansiversion": "5", "sectorsize": "512", "guid": "595a70ae-4ad1-49ac-b68b-5bd90335aab8"}, "id": "disk", "size": 500107862016}], "capabilities": {"emulated": "Emulated device"}, "class": "storage", "claimed": true, "physid": "81", "id": "scsi:0"}, {"logicalname": "scsi5", "children": [{"product": "Samsung SSD 850", "handle": "GUID:0f43bb83-9ede-4b09-bfb6-51d80e206697", "description": "ATA Disk", "capabilities": {"gpt-1.00": "GUID Partition Table version 1.00", "partitioned:gpt": "GUID partition table", "partitioned": "Partitioned disk"}, "logicalname": "/dev/sdb", "children": [{"capacity": 25165312, "vendor": "EFI", "description": "BIOS Boot partition", "capabilities": {"nofs": "No filesystem"}, "logicalname": "/dev/sdb1", "dev": "8:17", "class": "volume", "businfo": "scsi@5:0.0.0,1", "physid": "1", "claimed": true, "handle": "GUID:e2bf6878-3d03-4437-85df-2f679b254658", "serial": "e2bf6878-3d03-4437-85df-2f679b254658", "configuration": {"name": "primary"}, "id": "volume:0"}, {"capacity": 209714688, "handle": "GUID:068ba55a-c507-4abb-8570-23edde5b8542", "description": "EFI partition", "logicalname": "/dev/sdb2", "dev": "8:18", "class": "volume", "businfo": "scsi@5:0.0.0,2", "claimed": true, "physid": "2", "serial": "068ba55a-c507-4abb-8570-23edde5b8542", "configuration": {"name": "primary"}, "id": "volume:1"}, {"capacity": 499449331200, "handle": "GUID:ee778dce-8e4b-44a0-b7f6-78f76c04e9b1", "description": "EFI partition", "logicalname": "/dev/sdb3", "dev": "8:19", "class": "volume", "businfo": "scsi@5:0.0.0,3", "claimed": true, "physid": "3", "serial": "ee778dce-8e4b-44a0-b7f6-78f76c04e9b1", "configuration": {"name": "primary"}, "id": "volume:2"}], "dev": "8:16", "class": "disk", "units": "bytes", "version": "EMT0", "businfo": "scsi@5:0.0.0", "claimed": true, "physid": "0.0.0", "serial": "S2RBNXAH122269V", "configuration": {"ansiversion": "5", "sectorsize": "512", "guid": "0f43bb83-9ede-4b09-bfb6-51d80e206697"}, "id": "disk", "size": 500107862016}], "capabilities": {"emulated": "Emulated device"}, "class": "storage", "claimed": true, "physid": "82", "id": "scsi:1"}], "class": "bus", "version": "1.10", "physid": "0", "claimed": true, "vendor": "Supermicro", "serial": "NM159S018990", "id": "core"}, {"product": "PWS-605P-1H", "capacity": 600, "vendor": "SUPERMICRO", "description": "PWS-605P-1H", "class": "power", "version": "1.1", "units": "mWh", "physid": "1", "serial": "P605A0F39B32037", "id": "power:0"}, {"product": "To be filled by O.E.M.", "capacity": 32768, "vendor": "To be filled by O.E.M.", "description": "To be filled by O.E.M.", "class": "power", "version": "To be filled by O.E.M.", "units": "mWh", "physid": "2", "serial": "To be filled by O.E.M.", "id": "power:1"}], "capabilities": {"smbios-2.8": "SMBIOS version 2.8", "vsyscall32": "32-bit processes", "dmi-2.7": "DMI version 2.7"}, "class": "system", "width": 64, "version": "123456789", "claimed": true, "vendor": "Supermicro", "serial": "E16865116101092", "configuration": {"sku": "To be filled by O.E.M.", "boot": "normal", "uuid": "00000000-0000-0000-0000-0CC47A6C9A16", "family": "To be filled by O.E.M."}, "id": "bootstrap"}, "memory": {"slots": 16, "total": 68719476736, "maximum_capacity": 1099511627776, "devices": [{"frequency": 2133, "type": "Other", "size": 17179869184}, {"frequency": 2133, "type": "Other", "size": 17179869184}, {"frequency": 2133, "type": "Other", "size": 17179869184}, {"frequency": 2133, "type": "Other", "size": 17179869184}]}, "interfaces": [{"name": "enp9s0f0", "ip": "10.109.9.4", "driver": "igb", "state": "up", "mac": "0c:c4:7a:6c:9a:16", "max_speed": 1000, "current_speed": 1000, "interface_properties": {"numa_node": 0, "pci_id": "8086:1521", "sriov": {"available": true, "sriov_totalvfs": 7, "pci_id": "8086:1520"}}, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": true, "bus_info": "0000:09:00.0"}, {"name": "enp9s0f1", "driver": "igb", "state": "down", "mac": "0c:c4:7a:6c:9a:17", "max_speed": 1000, "current_speed": null, "interface_properties": {"numa_node": 0, "pci_id": "8086:1521", "sriov": {"available": true, "sriov_totalvfs": 7, "pci_id": "8086:1520"}}, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:09:00.1"}], "disks": [{"paths": null, "name": "sda", "extra": ["disk/by-id/wwn-0x5002538d409b313b", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH122271Z"], "removable": "0", "model": "Samsung SSD 850", "disk": "sda", "size": 500107862016}, {"paths": null, "name": "sdb", "extra": ["disk/by-id/wwn-0x5002538d409b3139", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH122269V"], "removable": "0", "model": "Samsung SSD 850", "disk": "sdb", "size": 500107862016}], "system": {"product": "SYS-6018R-TDW", "uuid": "00000000-0000-0000-0000-0CC47A6C9A16", "family": "To be filled by O.E.M.", "fqdn": "bootstrap", "version": "123456789", "serial": "E16865116101092", "runtime_uuid": "83661b3e-fd06-40fa-8486-5e3a428ac884", "manufacturer": "Supermicro"}, "numa_topology": {"numa_nodes": [{"pcidevs": ["0000:00:11.4", "0000:08:00.0", "0000:09:00.0", "0000:09:00.1", "0000:00:1f.2"], "memory": 33630633984, "id": 0, "cpus": [0, 12, 1, 13, 2, 14, 3, 15, 4, 16, 5, 17]}, {"pcidevs": [], "memory": 33804173312, "id": 1, "cpus": [6, 18, 7, 19, 8, 20, 9, 21, 10, 22, 11, 23]}], "distances": [["1.000000", "2.100000"], ["2.100000", "1.000000"]], "supported_hugepages": [2048, 1048576]}, "cpu": {"real": 2, "total": 24, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v3 @ 2.40GHz", "frequency": 2401}]}}	0c:c4:7a:6c:9a:16	10.109.9.4	Supermicro	SYS-6018R-TDW	\N	0	ubuntu	f	f	\N	\N	2016-08-02 20:14:39.723904	t	c86d386f430917593f2be7491aee9f060b239618	[]	{}	\N	node-1	{}	{}	{}	\N	{}	{}	[]	{}
\.


--
-- Name: nodes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodes_id_seq', 5, true);


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY notifications (id, cluster_id, node_id, task_id, topic, message, status, datetime) FROM stdin;
1	\N	\N	\N	done	Master node installation has been completed successfully.	unread	2016-08-02 19:54:42.570919
2	\N	\N	\N	done	Default bootstrap image building done. Now you can boot new nodes over PXE, they will be discovered and become available for installing OpenStack on them	unread	2016-08-02 20:04:19.375406
3	\N	\N	\N	done	We recommend reviewing and applying maintenance updates for your distribution of OpenStack.	unread	2016-08-02 20:04:20.947693
4	\N	1	\N	discover	New node is discovered: 24 CPUs / 64.0 GB RAM / 1.0 TB HDD 	unread	2016-08-02 20:10:41.932705
5	\N	2	\N	discover	New node is discovered: 24 CPUs / 64.0 GB RAM / 1.0 TB HDD 	unread	2016-08-02 20:10:44.016088
6	\N	3	\N	discover	New node is discovered: 24 CPUs / 64.0 GB RAM / 1.0 TB HDD 	unread	2016-08-02 20:11:29.445326
7	\N	4	\N	discover	New node is discovered: 24 CPUs / 64.0 GB RAM / 1.0 TB HDD 	unread	2016-08-02 20:11:37.418237
8	\N	5	\N	discover	New node is discovered: 24 CPUs / 64.0 GB RAM / 1.0 TB HDD 	unread	2016-08-02 20:11:39.39225
\.


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('notifications_id_seq', 8, true);


--
-- Data for Name: nova_network_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nova_network_config (id, fixed_networks_cidr, fixed_networks_vlan_start, fixed_network_size, fixed_networks_amount, net_manager) FROM stdin;
\.


--
-- Data for Name: openstack_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY openstack_configs (id, is_active, config_type, cluster_id, node_id, node_role, created_at, configuration) FROM stdin;
\.


--
-- Name: openstack_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('openstack_configs_id_seq', 1, false);


--
-- Data for Name: oswl_stats; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY oswl_stats (id, cluster_id, created_date, updated_time, resource_type, resource_data, resource_checksum, is_sent, version_info) FROM stdin;
\.


--
-- Name: oswl_stats_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('oswl_stats_id_seq', 1, false);


--
-- Data for Name: plugin_deployment_graphs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY plugin_deployment_graphs (id, type, deployment_graph_id, plugin_id) FROM stdin;
\.


--
-- Name: plugin_deployment_graphs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('plugin_deployment_graphs_id_seq', 1, false);


--
-- Data for Name: plugin_links; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY plugin_links (id, plugin_id, title, url, description, hidden) FROM stdin;
\.


--
-- Name: plugin_links_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('plugin_links_id_seq', 1, false);


--
-- Data for Name: plugins; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY plugins (id, name, title, version, description, releases, fuel_version, package_version, groups, authors, licenses, homepage, network_roles_metadata, attributes_metadata, volumes_metadata, roles_metadata, tasks, components_metadata, is_hotpluggable) FROM stdin;
\.


--
-- Name: plugins_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('plugins_id_seq', 1, false);


--
-- Data for Name: release_deployment_graphs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY release_deployment_graphs (id, type, deployment_graph_id, release_id) FROM stdin;
1	default	1	2
2	default	2	3
3	default	3	1
\.


--
-- Name: release_deployment_graphs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('release_deployment_graphs_id_seq', 3, true);


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY releases (id, name, version, description, operating_system, state, networks_metadata, attributes_metadata, volumes_metadata, modes_metadata, roles_metadata, vmware_attributes_metadata, modes, network_roles_metadata, extensions, components_metadata, node_attributes) FROM stdin;
2	Mitaka on Ubuntu 14.04	mitaka-9.0	This option will install the OpenStack Mitaka packages using Ubuntu as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"bonding": {"availability": [{"dpdkovs": "'experimental' in version:feature_groups and interface:pxe == false and interface:interface_properties.dpdk.enabled and not interface:interface_properties.sriov.enabled"}, {"linux": "not interface:interface_properties.sriov.enabled"}], "properties": {"dpdkovs": {"lacp": [{"for_modes": ["balance-tcp"], "values": ["active", "passive"]}], "lacp_rate": [{"for_modes": ["balance-tcp"], "values": ["slow", "fast"]}], "mode": [{"values": ["active-backup", "balance-slb", "balance-tcp"]}], "xmit_hash_policy": [{"for_modes": ["balance-tcp"], "values": ["layer2", "layer2+3", "layer3+4", "encap2+3", "encap3+4"]}]}, "linux": {"lacp_rate": [{"for_modes": ["802.3ad"], "values": ["slow", "fast"]}], "mode": [{"values": ["balance-rr", "active-backup"]}, {"values": ["802.3ad"], "condition": "'experimental' in version:feature_groups or interface:pxe == false"}, {"values": ["balance-xor", "broadcast", "balance-tlb", "balance-alb"], "condition": "'experimental' in version:feature_groups"}], "xmit_hash_policy": [{"for_modes": ["802.3ad", "balance-xor", "balance-tlb", "balance-alb"], "values": ["layer2", "layer2+3", "layer3+4", "encap2+3", "encap3+4"]}]}}}, "dpdk_drivers": {"igb_uio": ["8086:100e", "8086:100f", "8086:1011", "8086:1010", "8086:1012", "8086:101d", "8086:105e", "8086:105f", "8086:1060", "8086:10d9", "8086:10da", "8086:10a4", "8086:10d5", "8086:10a5", "8086:10bc", "8086:107d", "8086:107e", "8086:107f", "8086:10b9", "8086:109a", "8086:10d3", "8086:10f6", "8086:150c", "8086:10c9", "8086:10e6", "8086:10e7", "8086:10e8", "8086:1526", "8086:150a", "8086:1518", "8086:150d", "8086:10a7", "8086:10a9", "8086:10d6", "8086:150e", "8086:150f", "8086:1510", "8086:1511", "8086:1516", "8086:1527", "8086:1521", "8086:1522", "8086:1523", "8086:1524", "8086:1546", "8086:1533", "8086:1534", "8086:1535", "8086:1536", "8086:1537", "8086:1538", "8086:1539", "8086:1f40", "8086:1f41", "8086:1f45", "8086:0438", "8086:043a", "8086:043c", "8086:0440", "8086:10b6", "8086:1508", "8086:10c6", "8086:10c8", "8086:150b", "8086:10db", "8086:10dd", "8086:10ec", "8086:10f1", "8086:10f4", "8086:10f7", "8086:1514", "8086:1517", "8086:10f9", "8086:10fb", "8086:11a9", "8086:1f72", "8086:17d0", "8086:0470", "8086:152a", "8086:1529", "8086:1507", "8086:154d", "8086:154a", "8086:1558", "8086:1557", "8086:10fc", "8086:151c", "8086:154f", "8086:1528", "8086:1560", "8086:15ae", "8086:1563", "8086:15aa", "8086:15ab", "8086:155d", "8086:1572", "8086:1574", "8086:157f", "8086:1580", "8086:1581", "8086:1583", "8086:1584", "8086:1585", "8086:1586", "8086:15a4", "8086:10ca", "8086:152d", "8086:1520", "8086:152f", "8086:10ed", "8086:152e", "8086:1515", "8086:1530", "8086:1564", "8086:1565", "8086:15a8", "8086:15a9", "8086:154c", "8086:1571", "1af4:1000", "15ad:07b0", "8086:15a5", "1137:0043", "1137:0071", "14e4:168a", "14e4:16a9", "14e4:164f", "14e4:168e", "14e4:16af", "14e4:163d", "14e4:163f", "14e4:168d", "14e4:16a1", "14e4:16a2", "14e4:16ad", "14e4:16ae", "14e4:163e", "14e4:16a4"]}, "nova_network": {"config": {"floating_ranges": [["10.109.1.241", "10.109.1.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 960, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.109.4.0/24"}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "use_gateway": true, "vlan_start": 200, "render_addr_mask": "public", "cidr": "10.109.1.0/24", "gateway": "10.109.1.1", "ip_range": ["10.109.1.2", "10.109.1.240"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "ip_ranges", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 202, "render_addr_mask": "internal", "cidr": "10.109.5.0/24", "ip_range": ["10.109.5.2", "10.109.5.254"]}, {"name": "storage", "notation": "ip_ranges", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 201, "render_addr_mask": "storage", "cidr": "10.109.6.0/24", "ip_range": ["10.109.6.2", "10.109.6.254"]}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "configurable": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "baremetal_gateway": "192.168.3.51", "internal_cidr": "192.168.0.0/24", "floating_ranges": [["10.109.1.241", "10.109.1.254"]], "floating_name": "admin_floating_net", "base_mac": "fa:16:3e:00:00:00", "internal_gateway": "192.168.0.1", "internal_name": "admin_internal_net", "baremetal_range": ["192.168.3.52", "192.168.3.254"], "gre_id_range": [2, 65535], "vlan_range": [960, null]}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": 200, "render_addr_mask": "public", "cidr": "10.109.1.0/24", "gateway": "10.109.1.1", "ip_range": ["10.109.1.2", "10.109.1.240"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "ip_ranges", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 202, "render_addr_mask": "internal", "cidr": "10.109.5.0/24", "ip_range": ["10.109.5.2", "10.109.5.254"]}, {"name": "storage", "notation": "ip_ranges", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 201, "render_addr_mask": "storage", "cidr": "10.109.6.0/24", "ip_range": ["10.109.6.2", "10.109.6.254"]}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "neutron_vlan_range": true, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false, "seg_type": "vlan"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 960, "render_addr_mask": null, "cidr": "10.109.4.0/24", "seg_type": "gre"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 960, "render_addr_mask": null, "cidr": "10.109.4.0/24", "seg_type": "tun"}, {"restrictions": [{"condition": "settings:additional_components.ironic.value == false"}], "name": "baremetal", "notation": "ip_ranges", "render_type": null, "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 104, "cidr": "192.168.3.0/24", "ip_range": ["192.168.3.2", "192.168.3.50"]}]}}	{"generated": {"glance_glare": {"user_password": {"generator": "password"}}, "murano-cfapi": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "puppet": {"modules": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/modules/", "manifests": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/manifests/"}, "mysql": {"root_password": {"generator": "password"}, "wsrep_password": {"generator": "password"}}, "ironic": {"swift_tempurl_key": {"generator": "password"}, "db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1404_x86_64"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/env_{cluster.id}_ubuntu_1404_amd64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/env_{cluster.id}_ubuntu_1404_amd64.img.gz", "format": "ext4"}}, "codename": "trusty"}, "aodh": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "repo_setup": {"installer_kernel": {"local": "/var/www/nailgun/ubuntu/x86_64/images/linux", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/linux"}, "installer_initrd": {"local": "/var/www/nailgun/ubuntu/x86_64/images/initrd.gz", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/initrd.gz"}}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "auth_encryption_key": {"generator": "hexstring", "generator_arg": "32"}, "rabbit_password": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "fixed_key": {"generator": "hexstring", "generator_arg": "64"}}, "swift": {"user_password": {"generator": "password"}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "deployed_before": {"value": false}, "horizon": {"secret_key": {"generator": "hexstring", "generator_arg": "64"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"service_user": {"name": {"type": "hidden", "value": "fuel"}, "sudo": {"type": "hidden", "value": "ALL=(ALL) NOPASSWD: ALL"}, "homedir": {"type": "hidden", "value": "/var/lib/fuel"}, "root_password": {"type": "hidden", "value": "r00tme"}, "password": {"type": "hidden", "value": {"generator": "password"}}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Service user account"}}, "additional_components": {"ceilometer": {"weight": 60, "type": "checkbox", "description": "If selected, Ceilometer and Aodh components will be installed", "value": false, "label": "Install Ceilometer and Aodh"}, "mongo": {"restrictions": [{"settings:additional_components.ceilometer.value == false": "External Mongo aims to be an external backend for Ceilometer. Without Ceilometer enabled, External Mongo is useless and should not be installed."}], "description": "If selected, You can use external Mongo DB as ceilometer backend", "weight": 70, "value": false, "label": "Use external Mongo DB", "type": "checkbox"}, "heat": {"weight": 50, "type": "hidden", "description": "", "value": true, "label": ""}, "murano-cfapi": {"restrictions": [{"message": "Murano should be enabled", "condition": "settings:additional_components.murano.value == false"}, {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "If selected, Murano service broker will be installed", "weight": 30, "value": false, "label": "Install Murano service broker for Cloud Foundry", "type": "checkbox"}, "murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "ironic": {"restrictions": [{"cluster:net_provider != 'neutron' or networking_parameters:segmentation_type != 'vlan'": "Ironic requires Neutron with VLAN segmentation."}, {"settings:storage.images_ceph.value == true and settings:storage.objects_ceph.value == false": "Ironic requires Swift or RadosGW for Glance images."}], "description": "If selected, Ironic component will be installed", "weight": 80, "value": false, "label": "Install Ironic", "type": "checkbox"}, "metadata": {"group": "openstack_services", "weight": 10, "label": "Additional Components"}}, "cgroups": {"metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "always_editable": true, "weight": 90, "label": "Cgroups conguration for services"}}, "kernel_params": {"kernel": {"type": "text", "description": "Default kernel parameters", "value": "console=tty0 net.ifnames=0 biosdevname=0 rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"group": "general", "weight": 60, "label": "Kernel parameters"}}, "repo_setup": {"repos": {"type": "custom_repo_configuration", "description": "Please note: the first repository will be considered the operating system mirror that will be used during node provisioning.\\nTo create a local repository mirror on the Fuel master node, please follow the instructions provided by running \\"fuel-createmirror --help\\" on the Fuel master node.\\nPlease make sure your Fuel master node has Internet access to the repository before attempting to create a mirror.\\n", "value": [{"name": "ubuntu", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty", "type": "deb"}, {"name": "ubuntu-updates", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty-updates", "type": "deb"}, {"name": "ubuntu-security", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty-security", "type": "deb"}, {"name": "mos", "section": "main restricted", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/ubuntu/x86_64", "priority": 1050, "suite": "mos9.0", "type": "deb"}, {"name": "mos-updates", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/{cluster.release.environment_version}/", "priority": 1050, "suite": "mos9.0-updates", "type": "deb"}, {"name": "mos-security", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/{cluster.release.environment_version}/", "priority": 1050, "suite": "mos9.0-security", "type": "deb"}, {"name": "mos-holdback", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/{cluster.release.environment_version}/", "priority": 1100, "suite": "mos9.0-holdback", "type": "deb"}, {"name": "Auxiliary", "section": "main restricted", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/ubuntu/auxiliary", "priority": 1150, "suite": "auxiliary", "type": "deb"}], "extra_priority": null}, "metadata": {"group": "general", "always_editable": true, "weight": 50, "label": "Repositories"}}, "operator_user": {"name": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "Username for operator user", "weight": 50, "value": "fueladmin", "label": "Username", "type": "text"}, "sudo": {"value": "ALL=(ALL) NOPASSWD: ALL", "type": "textarea", "description": "Sudoers configuration directives for operator user, one per line.", "weight": 90, "label": "Sudoers configuration"}, "homedir": {"regex": {"source": "^/\\\\S", "error": "Invalid path"}, "description": "Home directory for operator user", "weight": 70, "value": "/home/fueladmin", "label": "Home directory", "type": "text"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for operator user", "weight": 60, "value": {"generator": "password"}, "label": "Password", "type": "password"}, "authkeys": {"value": "", "type": "textarea", "description": "Public SSH keys to include to operator user's authorized keys, one per line.", "weight": 80, "label": "Authorized SSH keys"}, "metadata": {"group": "general", "weight": 15, "label": "Operating System Access"}}, "storage": {"volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:storage.volumes_block_device.value == true"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"weight": 80, "type": "checkbox", "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "value": false, "label": "Ceph RadosGW for objects (Swift API)"}, "bootstrap_osd_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "It is recommended to have at least one Cinder node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "ephemeral_ceph": {"weight": 75, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_block_device": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "High performance block device storage. It is recommended to have at least one Cinder Block Device", "weight": 15, "value": false, "label": "Cinder Block device driver", "type": "checkbox"}, "mon_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "images_vcenter": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value != true"}, {"message": "Only one Glance backend could be selected.", "condition": "settings:storage.images_ceph.value == true"}], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMware vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "osd_pool_size": {"regex": {"source": "^[1-9]\\\\d*$", "error": "Invalid number"}, "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Ceph OSD' nodes.", "weight": 85, "value": "3", "label": "Ceph object replication factor", "type": "text"}, "admin_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "images_ceph": {"restrictions": [{"settings:storage.images_vcenter.value == true": "Only one Glance backend could be selected."}], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "radosgw_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "fsid": {"type": "hidden", "value": {"generator": "uuid4"}}, "metadata": {"group": "storage", "weight": 60, "label": "Storage Backends"}}, "public_ssl": {"hostname": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "Your DNS entries should point to this name. Self-signed certificates also will use this hostname", "weight": 50, "value": "public.fuel.local", "label": "DNS hostname for public TLS endpoints", "type": "text"}, "horizon": {"restrictions": [{"settings:public_ssl.services.value == false": "TLS for OpenStack public endpoints should be enabled"}], "description": "Secure access to Horizon enabling HTTPS instead of HTTP", "weight": 20, "value": false, "label": "HTTPS for Horizon", "type": "checkbox"}, "services": {"weight": 10, "type": "checkbox", "description": "Enable TLS termination on HAProxy for OpenStack services", "value": false, "label": "TLS for OpenStack public endpoints"}, "cert_data": {"restrictions": [{"action": "hide", "condition": "(settings:public_ssl.cert_source.value != 'user_uploaded') or (settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false)"}], "description": "Certificate and private key data, concatenated into a single file", "weight": 40, "value": "", "label": "Certificate", "type": "file"}, "cert_source": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "From where we'll get certificate and private key", "weight": 30, "value": "self_signed", "label": "Select source for certificate", "values": [{"data": "self_signed", "description": "Generate private key and certificate that will be signed by this key", "label": "Self-signed"}, {"data": "user_uploaded", "description": "Use pre-generated key and certificate", "label": "I have my own keypair with certificate"}], "type": "radio"}, "metadata": {"group": "security", "weight": 110, "label": "Public TLS"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "Username", "type": "text"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 20, "value": "admin", "label": "Password", "type": "password"}, "email": {"regex": {"source": "^\\\\S+@\\\\S+$", "error": "Invalid email"}, "description": "Email address for Administrator", "weight": 40, "value": "admin@localhost", "label": "Email", "type": "text"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "Tenant", "type": "text"}, "metadata": {"group": "general", "weight": 10, "label": "OpenStack Access"}}, "syslog": {"syslog_port": {"regex": {"source": "^([1-9][0-9]{0,3}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$", "error": "Invalid syslog port"}, "description": "Remote syslog port", "weight": 20, "value": "514", "label": "Port", "type": "text"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid hostname"}, "description": "Remote syslog hostname", "weight": 10, "value": "", "label": "Hostname", "type": "text"}, "metadata": {"enabled": false, "group": "logging", "toggleable": true, "weight": 50, "label": "Syslog"}}, "neutron_advanced_configuration": {"neutron_qos": {"weight": 40, "type": "checkbox", "description": "Enable Neutron QoS advanced service plug-in", "value": false, "label": "Neutron QoS"}, "neutron_l3_ha": {"restrictions": [{"message": "Neutron DVR must be disabled in order to use Neutron L3 HA", "condition": "settings:neutron_advanced_configuration.neutron_dvr.value == true"}], "description": "Enable High Availability features for Virtual Routers in Neutron\\nRequires at least 2 Controller nodes to function properly\\n", "weight": 30, "value": false, "label": "Neutron L3 HA", "type": "checkbox"}, "neutron_dvr": {"restrictions": [{"networking_parameters:segmentation_type != 'vlan' and settings:neutron_advanced_configuration.neutron_l2_pop.value == false": "DVR requires L2 population to be enabled."}], "description": "Enable Distributed Virtual Routers in Neutron", "weight": 20, "value": false, "label": "Neutron DVR", "type": "checkbox"}, "neutron_l2_pop": {"restrictions": [{"action": "hide", "condition": "networking_parameters:segmentation_type == 'vlan'"}], "description": "Enable L2 population mechanism in Neutron", "weight": 10, "value": false, "label": "Neutron L2 population", "type": "checkbox"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 20, "label": "Neutron Advanced Configuration"}}, "murano_settings": {"murano_glance_artifacts_plugin": {"weight": 40, "type": "checkbox", "description": "If selected glance artifact repository will be enabled", "value": true, "label": "Enable glance artifact repository"}, "murano_repo_url": {"weight": 10, "type": "text", "description": "", "value": "http://storage.apps.openstack.org/", "label": "Murano Repository URL"}, "metadata": {"restrictions": [{"action": "hide", "message": "Murano is not enabled on the Additional Components section", "condition": "settings:additional_components.murano.value == false"}], "group": "openstack_services", "weight": 20, "label": "Murano Settings"}}, "common": {"propagate_task_deploy": {"type": "hidden", "weight": 12, "value": false}, "auto_assign_floating_ip": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider == 'neutron'"}], "group": "network", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"group": "storage", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 60, "value": true, "label": "Use qcow format for images", "type": "checkbox"}, "auth_key": {"type": "hidden", "group": "security", "weight": 70, "value": ""}, "puppet_debug": {"group": "logging", "description": "Debug puppet logging mode provides more information, but requires more disk space.", "weight": 20, "value": true, "label": "Puppet debug logging", "type": "checkbox"}, "use_vcenter": {"type": "hidden", "weight": 30, "value": false}, "libvirt_type": {"group": "compute", "weight": 30, "value": "qemu", "label": "Hypervisor type", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio"}, "resume_guests_state_on_host_boot": {"group": "compute", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "weight": 50, "value": true, "label": "Resume guests state on host boot", "type": "checkbox"}, "debug": {"group": "logging", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "value": false, "label": "OpenStack debug logging", "type": "checkbox"}, "task_deploy": {"type": "hidden", "weight": 11, "value": true}, "nova_quota": {"group": "compute", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 30, "value": false, "label": "Nova quotas", "type": "checkbox"}, "metadata": {"weight": 10, "label": "Common"}}, "external_mongo": {"mongo_db_name": {"regex": {"source": "^\\\\w+$", "error": "Invalid database name"}, "description": "Mongo database name", "weight": 30, "value": "ceilometer", "label": "Database name", "type": "text"}, "mongo_replset": {"weight": 30, "type": "text", "description": "Name for Mongo replication set", "value": "", "label": "Replset"}, "mongo_user": {"regex": {"source": "^\\\\w+$", "error": "Empty username"}, "description": "Mongo database username", "weight": 30, "value": "ceilometer", "label": "Username", "type": "text"}, "hosts_ip": {"regex": {"source": "^(((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?),)*((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$", "error": "Invalid hosts ip sequence"}, "description": "IP Addresses of MongoDB. Use comma to split IPs", "weight": 30, "value": "", "label": "MongoDB hosts IP", "type": "text"}, "mongo_password": {"regex": {"source": "^\\\\S*$", "error": "Password contains spaces"}, "description": "Mongo database password", "weight": 30, "value": "ceilometer", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "message": "Ceilometer and MongoDB are not enabled on the Additional Components section", "condition": "settings:additional_components.mongo.value == false"}], "group": "openstack_services", "weight": 30, "label": "External MongoDB"}}, "external_dns": {"dns_list": {"regex": {"source": "^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\\\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$", "error": "Invalid IP address"}, "description": "List of upstream DNS servers", "weight": 10, "max": 3, "value": {"generator": "from_settings", "generator_arg": "DNS_UPSTREAM"}, "label": "DNS list", "type": "text_list"}, "metadata": {"group": "network", "weight": 30, "label": "Host OS DNS Servers"}}, "public_network_assignment": {"assign_to_all_nodes": {"weight": 10, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers only", "value": false, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 10, "label": "Public network assignment"}}, "external_ntp": {"ntp_list": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid NTP server"}, "description": "List of upstream NTP servers", "weight": 10, "value": {"generator": "from_settings", "generator_arg": "NTP_UPSTREAM"}, "label": "NTP server list", "type": "text_list"}, "metadata": {"group": "network", "weight": 40, "label": "Host OS NTP Servers"}}, "provision": {"packages": {"type": "textarea", "value": "acl\\nanacron\\nbash-completion\\nbridge-utils\\nbsdmainutils\\nbuild-essential\\ncloud-init\\ncurl\\ndaemonize\\ndebconf-utils\\ngdisk\\ngrub-pc\\nhpsa-dkms\\nhwloc\\ni40e-dkms\\nlinux-firmware\\nlinux-firmware-nonfree\\nlinux-headers-generic-lts-trusty\\nlinux-image-generic-lts-trusty\\nlvm2\\nmcollective\\nmdadm\\nmultipath-tools\\nmultipath-tools-boot\\nnailgun-agent\\nnailgun-mcagents\\nnetwork-checker\\nntp\\nopenssh-client\\nopenssh-server\\npuppet\\npython-amqp\\nruby-augeas\\nruby-ipaddress\\nruby-json\\nruby-netaddr\\nruby-openstack\\nruby-shadow\\nruby-stomp\\ntelnet\\nubuntu-minimal\\nubuntu-standard\\nuuid-runtime\\nvim\\nvirt-what\\nvlan\\n", "weight": 10, "label": "Initial packages"}, "method": {"type": "hidden", "value": "image"}, "metadata": {"restrictions": [{"action": "hide", "condition": "false"}], "group": "general", "weight": 80, "label": "Provision"}}, "corosync": {"verified": {"weight": 10, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "value": false, "label": "Need to pass network verification."}, "group": {"weight": 10, "type": "text", "description": "", "value": "226.94.1.1", "label": "Group"}, "port": {"weight": 20, "type": "text", "description": "", "value": "12000", "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 50, "label": "Corosync"}}, "workloads_collector": {"password": {"type": "password", "value": {"generator": "password"}}, "enabled": {"type": "hidden", "value": true}, "user": {"type": "text", "value": "fuel_stats_user"}, "tenant": {"type": "text", "value": "services"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Workloads Collector User"}}}}	{"rule_to_pick_boot_disk": [{"regex": "^nvme", "type": "exclude_disks_by_name", "description": "NVMe drives should be skipped as accessing such drives during the boot typically requires using UEFI which is still not supported by fuel-agent (it always installs BIOS variant of  grub). grub bug (http://savannah.gnu.org/bugs/?41883)"}, {"regex": "^md", "root_mount": "/", "type": "pick_root_disk_if_disk_name_match", "description": "If we have /root on fake raid, then /boot partition should land on to it too. We can't proceed with grub-install otherwise."}], "volumes_roles_mapping": {"compute-vmware": [{"id": "os", "allocate_size": "min"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder-vmware": [{"id": "os", "allocate_size": "min"}], "virt": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "base-os": [{"id": "os", "allocate_size": "min"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "logs", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}, {"id": "mysql", "allocate_size": "min"}, {"id": "horizon", "allocate_size": "min"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "ironic": [{"id": "os", "allocate_size": "min"}, {"id": "logs", "allocate_size": "min"}], "cinder-block-device": [{"id": "os", "allocate_size": "min"}, {"id": "cinder-block-device", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator_args": [10], "generator": "calc_gb_to_mb"}, "type": "vg", "id": "logs", "volumes": [{"mount": "/var/log", "type": "lv", "name": "log", "file_system": "ext4", "size": {"generator_args": ["logs"], "generator": "calc_total_vg"}}], "label": "Logs"}, {"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_mysql_size"}, "type": "vg", "id": "mysql", "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator_args": ["mysql"], "generator": "calc_total_vg"}}], "label": "Mysql Database"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator_args": [11], "generator": "calc_gb_to_mb"}, "type": "vg", "id": "horizon", "volumes": [{"mount": "/var/lib/horizon", "type": "lv", "name": "horizontmp", "file_system": "xfs", "size": {"generator_args": ["horizon"], "generator": "calc_total_vg"}}], "label": "Horizon Temp Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}, {"mount": "none", "label": "Cinder Block Device", "min_size": {"generator": "calc_min_cinder_size"}, "volumes": [], "type": "vg", "id": "cinder-block-device"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}}	{"compute-vmware": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "group": "compute", "name": "Compute VMware", "weight": 90, "conflicts": ["controller", "compute", "cinder", "cinder-block-device", "ceph-osd", "mongo", "base-os", "virt", "ironic"], "description": "A node that runs nova-compute with VCDriver, that manages ESXi computing resources via VMware vCenter."}, "compute": {"limits": {"recommended": 1}, "group": "compute", "name": "Compute", "weight": 20, "fault_tolerance": "2%", "public_for_dvr_required": true, "description": "A Compute node creates, manages, and terminates virtual machine instances."}, "cinder-vmware": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "group": "storage", "name": "Cinder Proxy to VMware Datastore", "weight": 40, "limits": {"recommended": 1}, "description": "Cinder-VMware provides scheduling of block storage resources delivered over VMware vCenter. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "virt": {"restrictions": [{"action": "hide", "condition": "not ('advanced' in version:feature_groups)"}], "group": "compute", "name": "Virtual", "weight": 80, "public_ip_required": true, "conflicts": ["controller", "base-os"], "description": "ADVANCED: Make available possibilities to spawn vms on this node that can be assign as a normal nodes."}, "base-os": {"group": "other", "name": "Operating System", "weight": 70, "description": "Install base Operating System without additional packages and configuration."}, "controller": {"limits": {"recommended": 3, "overrides": [{"message": "Neutron L3 HA requires at least 2 Controller nodes to function properly.", "condition": "settings:neutron_advanced_configuration.neutron_l3_ha.value == true", "min": 2}], "min": 1}, "group": "base", "name": "Controller", "weight": 10, "update_required": ["compute", "cinder"], "has_primary": true, "public_ip_required": true, "conflicts": ["compute"], "public_for_dvr_required": true, "description": "The Controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "ceph-osd": {"restrictions": [{"message": "Ceph should be enabled in the environment settings.", "condition": "settings:storage.volumes_ceph.value == false and settings:storage.images_ceph.value == false and settings:storage.ephemeral_ceph.value == false and settings:storage.objects_ceph.value == false"}], "group": "storage", "weight": 50, "limits": {"min": "settings:storage.osd_pool_size.value"}, "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each).", "update_once": ["controller"], "name": "Ceph OSD"}, "ironic": {"restrictions": [{"message": "Ironic should be enabled in the environment settings.", "condition": "settings:additional_components.ironic.value == false"}], "group": "compute", "name": "Ironic", "weight": 100, "limits": {"recommended": 3, "min": 1}, "conflicts": ["compute"], "description": "Ironic conductor."}, "cinder": {"restrictions": [{"message": "Cinder LVM should be enabled in the environment settings.", "condition": "settings:storage.volumes_lvm.value == false"}, {"message": "Ceph RBD cannot be used with Cinder", "condition": "settings:storage.volumes_ceph.value == true"}], "group": "storage", "name": "Cinder", "weight": 30, "limits": {"recommended": 1}, "description": "Cinder provides scheduling of block storage resources, typically delivered over iSCSI and other compatible backend storage systems. Block storage can be used for database storage, expandable file systems, or to provide a server with access to raw block level devices."}, "cinder-block-device": {"restrictions": [{"message": "Cinder Block Device driver should be enabled in the environment settings.", "condition": "settings:storage.volumes_block_device.value == false"}, {"message": "Ceph RBD cannot be used with Cinder Block Device", "condition": "settings:storage.volumes_ceph.value == true"}], "group": "storage", "name": "Cinder Block Device", "weight": 35, "conflicts": ["controller", "cinder", "cinder-vmware", "ceph-osd"], "public_ip_required": false, "has_primary": false, "description": "Host node for Cinder Block Devices."}, "mongo": {"restrictions": [{"message": "Ceilometer should be enabled in the environment settings.", "condition": "settings:additional_components.ceilometer.value == false"}, {"message": "You are already using external MongoDB.", "condition": "settings:additional_components.mongo.value == true"}], "group": "other", "name": "Telemetry - MongoDB", "weight": 60, "has_primary": true, "limits": {"overrides": [{"max": 1, "message": "At most 1 MongoDB node can be added for non-HA deployment", "condition": "cluster:mode != 'ha_compact'"}, {"recommended": 3, "message": "At least 3 MongoDB nodes are recommended for HA deployment.", "condition": "cluster:mode == 'ha_compact'"}], "min": 1}, "conflicts": ["compute", "ceph-osd"], "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}}	{"editable": {"value": {"glance": {"vcenter_username": "", "datacenter": "", "vcenter_host": "", "ca_file": "", "datastore": "", "vcenter_password": ""}, "availability_zones": [{"vcenter_username": "", "az_name": "vcenter", "vcenter_password": "", "vcenter_host": "", "nova_computes": [{"datastore_regex": "", "vsphere_cluster": "", "target_node": {"current": {"id": "controllers", "label": "controllers"}, "options": [{"id": "controllers", "label": "controllers"}]}, "service_name": ""}]}]}, "metadata": [{"restrictions": [{"message": "VMware vCenter not enabled for cluster", "condition": "settings:common.use_vcenter.value == false"}], "type": "array", "name": "availability_zones", "fields": [{"regex": {"source": "^(?!nova$)\\\\w+$", "error": "Invalid availability zone name"}, "type": "text", "description": "Availability zone name", "name": "az_name", "label": "Availability zone"}, {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "type": "text", "description": "vCenter host or IP", "name": "vcenter_host", "label": "vCenter host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "type": "text", "description": "vCenter username", "name": "vcenter_username", "label": "vCenter username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "type": "password", "description": "vCenter password", "name": "vcenter_password", "label": "vCenter password"}, {"editable_for_deployed": true, "type": "array", "name": "nova_computes", "fields": [{"regex": {"source": "\\\\S", "error": "Invalid vSphere cluster"}, "type": "text", "description": "vSphere cluster", "name": "vsphere_cluster", "label": "vSphere cluster"}, {"regex": {"source": "^\\\\w[\\\\w\\\\-]+$", "error": "Invalid service name"}, "type": "text", "description": "Service name", "name": "service_name", "label": "Service name"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore regex"}, "type": "text", "description": "Datastore regex", "name": "datastore_regex", "label": "Datastore regex"}, {"type": "select", "description": "Target node for nova-compute service", "name": "target_node", "label": "Target node"}]}]}, {"restrictions": [{"message": "VMware vCenter datastore for images is not enabled in Settings tab", "condition": "settings:storage.images_vcenter.value == false or settings:common.use_vcenter.value == false"}], "type": "object", "name": "glance", "fields": [{"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "type": "text", "description": "vCenter host or IP", "name": "vcenter_host", "label": "vCenter host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "type": "text", "description": "vCenter username", "name": "vcenter_username", "label": "vCenter username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "type": "password", "description": "vCenter password", "name": "vcenter_password", "label": "vCenter password"}, {"regex": {"source": "\\\\S", "error": "Invalid datacenter"}, "type": "text", "description": "Datacenter", "name": "datacenter", "label": "Datacenter"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore"}, "type": "text", "description": "Datastore", "name": "datastore", "label": "Datastore"}, {"type": "file", "description": "File containing the trusted CA bundle that emitted vCenter server certificate. If empty vCenters certificate is not verified.", "name": "ca_file", "label": "CA file"}]}]}}	["ha_compact"]	[{"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "keystone/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "admin/pxe", "default_mapping": "fuelweb_admin"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "swift/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "neutron/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "sahara/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "aodh/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceilometer/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "cinder/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "glance/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "glance/glare", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "heat/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "nova/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "murano/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "murano/cfapi", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "horizon", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/memcache", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/database", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/messaging", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/corosync", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "management_vrouter_vip", "namespace": "vrouter", "name": "vrouter"}, {"alias": "management_vip", "namespace": "haproxy", "name": "management"}], "gateway": false}, "id": "mgmt/vip", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "public_vrouter_vip", "vendor_specific": {"iptables_rules": {"ns_start": ["iptables -t nat -A POSTROUTING -o <%INT%> -j MASQUERADE"], "ns_stop": ["iptables -t nat -D POSTROUTING -o <%INT%> -j MASQUERADE"]}}, "namespace": "vrouter", "name": "vrouter_pub"}, {"alias": "public_vip", "namespace": "haproxy", "name": "public"}], "gateway": true}, "id": "public/vip", "default_mapping": "public"}, {"properties": {"subnet": false, "vip": [], "gateway": false}, "id": "neutron/private", "default_mapping": "private"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "neutron/mesh", "default_mapping": "private"}, {"properties": {"subnet": false, "vip": [], "gateway": false}, "id": "neutron/floating", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "swift/replication", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/public", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/radosgw", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/replication", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "cinder/iscsi", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mongo/db", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "fw-admin", "default_mapping": "fuelweb_admin"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "management", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "ex", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "storage", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "nova/migration", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ironic/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "baremetal_vip", "vendor_specific": {"iptables_rules": {"ns_start": ["iptables -A INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -p tcp -m multiport --dports 6385,8080 -m state --state NEW -j ACCEPT", "iptables -A INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -m state --state ESTABLISHED,RELATED -j ACCEPT", "iptables -A INPUT -i <%INT%> -j DROP"], "ns_stop": ["iptables -D INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -p tcp -m multiport --dports 6385,8080 -m state --state NEW -j ACCEPT", "iptables -D INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -m state --state ESTABLISHED,RELATED -j ACCEPT", "iptables -D INPUT -i <%INT%> -j DROP"]}}, "namespace": "haproxy", "name": "baremetal"}], "gateway": false}, "id": "ironic/baremetal", "default_mapping": "baremetal"}]	{volume_manager}	[{"name": "hypervisor:qemu", "weight": 5, "default": true, "bind": [["settings:common.libvirt_type.value", "qemu"]], "label": "dialog.create_cluster_wizard.compute.qemu", "compatible": [{"name": "hypervisor:vmware"}], "description": "dialog.create_cluster_wizard.compute.qemu_description"}, {"description": "dialog.create_cluster_wizard.compute.vcenter_description", "weight": 15, "bind": ["settings:common.use_vcenter.value"], "label": "dialog.create_cluster_wizard.compute.vcenter", "compatible": [{"name": "hypervisor:qemu"}], "requires": [{"message": "dialog.create_cluster_wizard.compute.vcenter_warning", "name": "hypervisor:qemu"}], "name": "hypervisor:vmware"}, {"description": "dialog.create_cluster_wizard.network.neutron_ml2_description", "weight": 1000, "default": true, "label": "dialog.create_cluster_wizard.network.neutron_ml2", "compatible": [{"name": "hypervisor:*"}, {"name": "network:neutron:ml2:*"}], "name": "network:neutron:core:ml2"}, {"description": "dialog.create_cluster_wizard.network.neutron_vlan_description", "weight": 5, "incompatible": [{"message": "dialog.create_cluster_wizard.network.vlan_tun_alert", "name": "network:neutron:ml2:tun"}], "default": true, "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "vlan"]], "label": "common.network.neutron_vlan", "compatible": [{"name": "network:neutron:core:ml2"}, {"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}], "requires": [{"name": "network:neutron:core:ml2"}], "name": "network:neutron:ml2:vlan"}, {"description": "dialog.create_cluster_wizard.network.neutron_tun_description", "weight": 10, "incompatible": [{"message": "dialog.create_cluster_wizard.network.vlan_tun_alert", "name": "network:neutron:ml2:vlan"}, {"message": "dialog.create_cluster_wizard.network.hypervisor_alert", "name": "hypervisor:vmware"}, {"message": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert", "name": "additional_service:ironic"}], "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "tun"]], "label": "common.network.neutron_tun", "compatible": [{"name": "network:neutron:core:ml2"}, {"name": "hypervisor:qemu"}], "requires": [{"name": "network:neutron:core:ml2"}], "name": "network:neutron:ml2:tun"}, {"description": "dialog.create_cluster_wizard.storage.default_provider", "weight": 5, "incompatible": [{"message": "LVM not compatible with Ceph", "name": "storage:block:ceph"}], "default": true, "bind": ["settings:storage.volumes_lvm.value"], "label": "dialog.create_cluster_wizard.storage.lvm", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}], "name": "storage:block:lvm"}, {"name": "storage:block:ceph", "weight": 10, "incompatible": [{"message": "Ceph not compatible with LVM", "name": "storage:block:lvm"}], "bind": [["settings:storage.volumes_ceph.value", true], ["settings:storage.volumes_lvm.value", false]], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}], "description": "dialog.create_cluster_wizard.storage.ceph_block"}, {"description": "dialog.create_cluster_wizard.storage.ceph_object", "weight": 10, "bind": ["settings:storage.objects_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}], "name": "storage:object:ceph"}, {"description": "dialog.create_cluster_wizard.storage.ceph_ephemeral", "weight": 10, "bind": ["settings:storage.ephemeral_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:image:ceph"}], "name": "storage:ephemeral:ceph"}, {"description": "dialog.create_cluster_wizard.storage.ceph_image", "weight": 10, "bind": ["settings:storage.images_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}], "name": "storage:image:ceph"}, {"description": "dialog.create_cluster_wizard.additional.install_sahara_description", "weight": 10, "bind": ["settings:additional_components.sahara.value"], "label": "dialog.create_cluster_wizard.additional.install_sahara", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ceilometer"}, {"name": "additional_service:ironic"}], "name": "additional_service:sahara"}, {"description": "dialog.create_cluster_wizard.additional.install_murano_description", "weight": 20, "bind": ["settings:additional_components.murano.value"], "label": "dialog.create_cluster_wizard.additional.install_murano", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:ceilometer"}, {"name": "additional_service:ironic"}], "name": "additional_service:murano"}, {"description": "dialog.create_cluster_wizard.additional.install_ceilometer_description", "weight": 30, "bind": ["settings:additional_components.ceilometer.value"], "label": "dialog.create_cluster_wizard.additional.install_ceilometer", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ironic"}], "name": "additional_service:ceilometer"}, {"name": "additional_service:ironic", "weight": 40, "incompatible": [{"message": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert", "name": "network:neutron:ml2:tun"}], "bind": ["settings:additional_components.ironic.value"], "label": "dialog.create_cluster_wizard.additional.install_ironic", "compatible": [{"name": "hypervisor:qemu"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ceilometer"}], "description": "dialog.create_cluster_wizard.additional.install_ironic_description"}]	{"cpu_pinning": {"dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "Number of CPUs for DPDK usage", "weight": 20, "min": 0, "value": 0, "label": "DPDK CPU pinning", "type": "number"}, "nova": {"description": "Number of CPUs for Nova usage", "weight": 10, "min": 0, "value": 0, "label": "Nova CPU pinning", "type": "number"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 10, "label": "CPU pinning"}}, "hugepages": {"dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "DPDK Huge Pages per NUMA node in MB", "weight": 20, "min": 0, "value": 0, "label": "DPDK Huge Pages", "type": "number"}, "nova": {"value": {}, "type": "custom_hugepages", "description": "Nova Huge Pages configuration", "weight": 10, "label": "Nova Huge Pages"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 20, "label": "Huge Pages"}}}
3	Mitaka on Ubuntu+UCA 14.04	mitaka-9.0	This option will install the OpenStack Mitaka packages using Ubuntu as a base operating system, including Ubuntu Cloud Archive OpenStack packages. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"bonding": {"availability": [{"dpdkovs": "'experimental' in version:feature_groups and interface:pxe == false and interface:interface_properties.dpdk.enabled and not interface:interface_properties.sriov.enabled"}, {"linux": "not interface:interface_properties.sriov.enabled"}], "properties": {"dpdkovs": {"lacp": [{"for_modes": ["balance-tcp"], "values": ["active", "passive"]}], "lacp_rate": [{"for_modes": ["balance-tcp"], "values": ["slow", "fast"]}], "mode": [{"values": ["active-backup", "balance-slb", "balance-tcp"]}], "xmit_hash_policy": [{"for_modes": ["balance-tcp"], "values": ["layer2", "layer2+3", "layer3+4", "encap2+3", "encap3+4"]}]}, "linux": {"lacp_rate": [{"for_modes": ["802.3ad"], "values": ["slow", "fast"]}], "mode": [{"values": ["balance-rr", "active-backup"]}, {"values": ["802.3ad"], "condition": "'experimental' in version:feature_groups or interface:pxe == false"}, {"values": ["balance-xor", "broadcast", "balance-tlb", "balance-alb"], "condition": "'experimental' in version:feature_groups"}], "xmit_hash_policy": [{"for_modes": ["802.3ad", "balance-xor", "balance-tlb", "balance-alb"], "values": ["layer2", "layer2+3", "layer3+4", "encap2+3", "encap3+4"]}]}}}, "dpdk_drivers": {"igb_uio": ["8086:100e", "8086:100f", "8086:1011", "8086:1010", "8086:1012", "8086:101d", "8086:105e", "8086:105f", "8086:1060", "8086:10d9", "8086:10da", "8086:10a4", "8086:10d5", "8086:10a5", "8086:10bc", "8086:107d", "8086:107e", "8086:107f", "8086:10b9", "8086:109a", "8086:10d3", "8086:10f6", "8086:150c", "8086:10c9", "8086:10e6", "8086:10e7", "8086:10e8", "8086:1526", "8086:150a", "8086:1518", "8086:150d", "8086:10a7", "8086:10a9", "8086:10d6", "8086:150e", "8086:150f", "8086:1510", "8086:1511", "8086:1516", "8086:1527", "8086:1521", "8086:1522", "8086:1523", "8086:1524", "8086:1546", "8086:1533", "8086:1534", "8086:1535", "8086:1536", "8086:1537", "8086:1538", "8086:1539", "8086:1f40", "8086:1f41", "8086:1f45", "8086:0438", "8086:043a", "8086:043c", "8086:0440", "8086:10b6", "8086:1508", "8086:10c6", "8086:10c8", "8086:150b", "8086:10db", "8086:10dd", "8086:10ec", "8086:10f1", "8086:10f4", "8086:10f7", "8086:1514", "8086:1517", "8086:10f9", "8086:10fb", "8086:11a9", "8086:1f72", "8086:17d0", "8086:0470", "8086:152a", "8086:1529", "8086:1507", "8086:154d", "8086:154a", "8086:1558", "8086:1557", "8086:10fc", "8086:151c", "8086:154f", "8086:1528", "8086:1560", "8086:15ae", "8086:1563", "8086:15aa", "8086:15ab", "8086:155d", "8086:1572", "8086:1574", "8086:157f", "8086:1580", "8086:1581", "8086:1583", "8086:1584", "8086:1585", "8086:1586", "8086:15a4", "8086:10ca", "8086:152d", "8086:1520", "8086:152f", "8086:10ed", "8086:152e", "8086:1515", "8086:1530", "8086:1564", "8086:1565", "8086:15a8", "8086:15a9", "8086:154c", "8086:1571", "1af4:1000", "15ad:07b0", "8086:15a5", "1137:0043", "1137:0071", "14e4:168a", "14e4:16a9", "14e4:164f", "14e4:168e", "14e4:16af", "14e4:163d", "14e4:163f", "14e4:168d", "14e4:16a1", "14e4:16a2", "14e4:16ad", "14e4:16ae", "14e4:163e", "14e4:16a4"]}, "nova_network": {"config": {"floating_ranges": [["10.109.1.241", "10.109.1.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 960, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.109.4.0/24"}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "use_gateway": true, "vlan_start": 200, "render_addr_mask": "public", "cidr": "10.109.1.0/24", "gateway": "10.109.1.1", "ip_range": ["10.109.1.2", "10.109.1.240"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "ip_ranges", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 202, "render_addr_mask": "internal", "cidr": "10.109.5.0/24", "ip_range": ["10.109.5.2", "10.109.5.254"]}, {"name": "storage", "notation": "ip_ranges", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 201, "render_addr_mask": "storage", "cidr": "10.109.6.0/24", "ip_range": ["10.109.6.2", "10.109.6.254"]}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "configurable": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null}]}, "neutron": {"config": {"parameters": {"database": {"username": null, "passwd": "", "provider": "mysql", "port": "3306", "database": null}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "metadata": {"metadata_proxy_shared_secret": ""}}, "baremetal_gateway": "192.168.3.51", "internal_cidr": "192.168.0.0/24", "floating_ranges": [["10.109.1.241", "10.109.1.254"]], "floating_name": "admin_floating_net", "base_mac": "fa:16:3e:00:00:00", "internal_gateway": "192.168.0.1", "internal_name": "admin_internal_net", "baremetal_range": ["192.168.3.52", "192.168.3.254"], "gre_id_range": [2, 65535], "vlan_range": [960, null]}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": 200, "render_addr_mask": "public", "cidr": "10.109.1.0/24", "gateway": "10.109.1.1", "ip_range": ["10.109.1.2", "10.109.1.240"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "ip_ranges", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 202, "render_addr_mask": "internal", "cidr": "10.109.5.0/24", "ip_range": ["10.109.5.2", "10.109.5.254"]}, {"name": "storage", "notation": "ip_ranges", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 201, "render_addr_mask": "storage", "cidr": "10.109.6.0/24", "ip_range": ["10.109.6.2", "10.109.6.254"]}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "neutron_vlan_range": true, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false, "seg_type": "vlan"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 960, "render_addr_mask": null, "cidr": "10.109.4.0/24", "seg_type": "gre"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 960, "render_addr_mask": null, "cidr": "10.109.4.0/24", "seg_type": "tun"}, {"restrictions": [{"condition": "settings:additional_components.ironic.value == false"}], "name": "baremetal", "notation": "ip_ranges", "render_type": null, "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 104, "cidr": "192.168.3.0/24", "ip_range": ["192.168.3.2", "192.168.3.50"]}]}}	{"generated": {"glance_glare": {"user_password": {"generator": "password"}}, "murano-cfapi": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}, "wsrep_password": {"generator": "password"}}, "ironic": {"swift_tempurl_key": {"generator": "password"}, "db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1404_x86_64"}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/env_{cluster.id}_ubuntu_1404_amd64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/env_{cluster.id}_ubuntu_1404_amd64.img.gz", "format": "ext4"}}, "codename": "trusty"}, "aodh": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "repo_setup": {"installer_kernel": {"local": "/var/www/nailgun/ubuntu/x86_64/images/linux", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/linux"}, "installer_initrd": {"local": "/var/www/nailgun/ubuntu/x86_64/images/initrd.gz", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/initrd.gz"}}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "auth_encryption_key": {"generator": "hexstring", "generator_arg": "32"}, "rabbit_password": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "fixed_key": {"generator": "hexstring", "generator_arg": "64"}}, "swift": {"user_password": {"generator": "password"}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "deployed_before": {"value": false}, "horizon": {"secret_key": {"generator": "hexstring", "generator_arg": "64"}}, "puppet": {"modules": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/modules/", "manifests": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/manifests/"}}, "editable": {"service_user": {"name": {"type": "hidden", "value": "fuel"}, "sudo": {"type": "hidden", "value": "ALL=(ALL) NOPASSWD: ALL"}, "homedir": {"type": "hidden", "value": "/var/lib/fuel"}, "root_password": {"type": "hidden", "value": "r00tme"}, "password": {"type": "hidden", "value": {"generator": "password"}}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Service user account"}}, "additional_components": {"ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer and Aodh components will be installed", "weight": 60, "label": "Install Ceilometer and Aodh"}, "mongo": {"restrictions": [{"settings:additional_components.ceilometer.value == false": "External Mongo aims to be an external backend for Ceilometer. Without Ceilometer enabled, External Mongo is useless and should not be installed."}], "description": "If selected, You can use external Mongo DB as ceilometer backend", "weight": 70, "value": false, "label": "Use external Mongo DB", "type": "checkbox"}, "murano": {"value": false, "type": "checkbox", "description": "If selected, Murano component will be installed", "weight": 20, "label": "Install Murano"}, "murano-cfapi": {"restrictions": [{"message": "Murano should be enabled", "condition": "settings:additional_components.murano.value == false"}, {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "If selected, Murano service broker will be installed", "weight": 30, "value": false, "label": "Install Murano service broker for Cloud Foundry", "type": "checkbox"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 50, "label": ""}, "sahara": {"value": false, "type": "checkbox", "description": "If selected, Sahara component will be installed", "weight": 10, "label": "Install Sahara"}, "ironic": {"restrictions": [{"cluster:net_provider != 'neutron' or networking_parameters:segmentation_type != 'vlan'": "Ironic requires Neutron with VLAN segmentation."}, {"settings:storage.images_ceph.value == true and settings:storage.objects_ceph.value == false": "Ironic requires Swift or RadosGW for Glance images."}], "description": "If selected, Ironic component will be installed", "weight": 80, "value": false, "label": "Install Ironic", "type": "checkbox"}, "metadata": {"group": "openstack_services", "weight": 10, "label": "Additional Components"}}, "cgroups": {"metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "always_editable": true, "weight": 90, "label": "Cgroups conguration for services"}}, "syslog": {"syslog_port": {"regex": {"source": "^([1-9][0-9]{0,3}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$", "error": "Invalid syslog port"}, "description": "Remote syslog port", "weight": 20, "value": "514", "label": "Port", "type": "text"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "tcp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid hostname"}, "description": "Remote syslog hostname", "weight": 10, "value": "", "label": "Hostname", "type": "text"}, "metadata": {"group": "logging", "enabled": false, "weight": 50, "toggleable": true, "label": "Syslog"}}, "common": {"propagate_task_deploy": {"type": "hidden", "value": false, "weight": 12}, "auto_assign_floating_ip": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider == 'neutron'"}], "group": "network", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"group": "storage", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 60, "value": true, "label": "Use qcow format for images", "type": "checkbox"}, "auth_key": {"group": "security", "type": "hidden", "value": "", "weight": 70}, "puppet_debug": {"group": "logging", "description": "Debug puppet logging mode provides more information, but requires more disk space.", "weight": 20, "value": true, "label": "Puppet debug logging", "type": "checkbox"}, "use_vcenter": {"type": "hidden", "value": false, "weight": 30}, "libvirt_type": {"group": "compute", "weight": 30, "value": "qemu", "label": "Hypervisor type", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio"}, "resume_guests_state_on_host_boot": {"group": "compute", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "weight": 50, "value": true, "label": "Resume guests state on host boot", "type": "checkbox"}, "debug": {"group": "logging", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "value": false, "label": "OpenStack debug logging", "type": "checkbox"}, "task_deploy": {"type": "hidden", "value": true, "weight": 11}, "nova_quota": {"group": "compute", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 30, "value": false, "label": "Nova quotas", "type": "checkbox"}, "metadata": {"weight": 10, "label": "Common"}}, "storage": {"volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:storage.volumes_block_device.value == true"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"value": false, "type": "checkbox", "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 80, "label": "Ceph RadosGW for objects (Swift API)"}, "bootstrap_osd_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "volumes_block_device": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "High performance block device storage. It is recommended to have at least one Cinder Block Device", "weight": 15, "value": false, "label": "Cinder Block device driver", "type": "checkbox"}, "ephemeral_ceph": {"value": false, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 75, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "It is recommended to have at least one Cinder node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "mon_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "images_vcenter": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value != true"}, {"message": "Only one Glance backend could be selected.", "condition": "settings:storage.images_ceph.value == true"}], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMware vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "osd_pool_size": {"regex": {"source": "^[1-9]\\\\d*$", "error": "Invalid number"}, "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Ceph OSD' nodes.", "weight": 85, "value": "3", "label": "Ceph object replication factor", "type": "text"}, "admin_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "images_ceph": {"restrictions": [{"settings:storage.images_vcenter.value == true": "Only one Glance backend could be selected."}], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "radosgw_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "fsid": {"type": "hidden", "value": {"generator": "uuid4"}}, "metadata": {"group": "storage", "weight": 60, "label": "Storage Backends"}}, "public_ssl": {"hostname": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "Your DNS entries should point to this name. Self-signed certificates also will use this hostname", "weight": 50, "value": "public.fuel.local", "label": "DNS hostname for public TLS endpoints", "type": "text"}, "horizon": {"restrictions": [{"settings:public_ssl.services.value == false": "TLS for OpenStack public endpoints should be enabled"}], "description": "Secure access to Horizon enabling HTTPS instead of HTTP", "weight": 20, "value": false, "label": "HTTPS for Horizon", "type": "checkbox"}, "services": {"value": false, "type": "checkbox", "description": "Enable TLS termination on HAProxy for OpenStack services", "weight": 10, "label": "TLS for OpenStack public endpoints"}, "cert_data": {"restrictions": [{"action": "hide", "condition": "(settings:public_ssl.cert_source.value != 'user_uploaded') or (settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false)"}], "description": "Certificate and private key data, concatenated into a single file", "weight": 40, "value": "", "label": "Certificate", "type": "file"}, "cert_source": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "From where we'll get certificate and private key", "weight": 30, "value": "self_signed", "label": "Select source for certificate", "values": [{"data": "self_signed", "description": "Generate private key and certificate that will be signed by this key", "label": "Self-signed"}, {"data": "user_uploaded", "description": "Use pre-generated key and certificate", "label": "I have my own keypair with certificate"}], "type": "radio"}, "metadata": {"group": "security", "weight": 110, "label": "Public TLS"}}, "corosync": {"group": {"value": "226.94.1.1", "type": "text", "description": "", "weight": 10, "label": "Group"}, "verified": {"value": false, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "weight": 10, "label": "Need to pass network verification."}, "port": {"value": "12000", "type": "text", "description": "", "weight": 20, "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 50, "label": "Corosync"}}, "access": {"metadata": {"group": "general", "weight": 10, "label": "OpenStack Access"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 20, "value": "admin", "label": "Password", "type": "password"}, "user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "Username", "type": "text"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "Tenant", "type": "text"}, "email": {"regex": {"source": "^\\\\S+@\\\\S+$", "error": "Invalid email"}, "description": "Email address for Administrator", "weight": 40, "value": "admin@localhost", "label": "Email", "type": "text"}}, "kernel_params": {"kernel": {"type": "text", "description": "Default kernel parameters", "value": "console=tty0 net.ifnames=0 biosdevname=0 rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"group": "general", "weight": 60, "label": "Kernel parameters"}}, "operator_user": {"name": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "Username for operator user", "weight": 50, "value": "fueladmin", "label": "Username", "type": "text"}, "sudo": {"weight": 90, "type": "textarea", "description": "Sudoers configuration directives for operator user, one per line.", "value": "ALL=(ALL) NOPASSWD: ALL", "label": "Sudoers configuration"}, "homedir": {"regex": {"source": "^/\\\\S", "error": "Invalid path"}, "description": "Home directory for operator user", "weight": 70, "value": "/home/fueladmin", "label": "Home directory", "type": "text"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for operator user", "weight": 60, "value": {"generator": "password"}, "label": "Password", "type": "password"}, "authkeys": {"weight": 80, "type": "textarea", "description": "Public SSH keys to include to operator user's authorized keys, one per line.", "value": "", "label": "Authorized SSH keys"}, "metadata": {"group": "general", "weight": 15, "label": "Operating System Access"}}, "repo_setup": {"repo_type": {"type": "hidden", "value": "uca", "weight": 58}, "repos": {"type": "custom_repo_configuration", "description": "Please note: the first repository will be considered the operating system mirror that will be used during node provisioning.\\nTo create a local repository mirror on the Fuel master node, please follow the instructions provided by running \\"fuel-createmirror --help\\" on the Fuel master node.\\nPlease make sure your Fuel master node has Internet access to the repository before attempting to create a mirror.\\n", "value": [{"name": "ubuntu", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty", "type": "deb"}, {"name": "ubuntu-updates", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty-updates", "type": "deb"}, {"name": "ubuntu-security", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty-security", "type": "deb"}, {"name": "uca", "section": "main", "uri": "http://ubuntu-cloud.archive.canonical.com/ubuntu", "priority": 1080, "suite": "trusty-updates/mitaka", "type": "deb"}, {"name": "uca-proposed", "section": "main", "uri": "http://ubuntu-cloud.archive.canonical.com/ubuntu", "priority": 1080, "suite": "trusty-proposed/mitaka", "type": "deb"}, {"name": "mos", "section": "main restricted", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/ubuntu/x86_64", "priority": 1050, "suite": "mos9.0", "type": "deb"}, {"name": "mos-updates", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/{cluster.release.environment_version}/", "priority": 1050, "suite": "mos9.0-updates", "type": "deb"}, {"name": "mos-security", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/{cluster.release.environment_version}/", "priority": 1050, "suite": "mos9.0-security", "type": "deb"}, {"name": "mos-holdback", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/{cluster.release.environment_version}/", "priority": 1100, "suite": "mos9.0-holdback", "type": "deb"}, {"name": "Auxiliary", "section": "main restricted", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/ubuntu/auxiliary", "priority": 1150, "suite": "auxiliary", "type": "deb"}], "extra_priority": null}, "pin_ceph": {"value": true, "type": "checkbox", "description": "Use Fuel Ceph packages instead of upstream", "weight": 61, "label": "Ceph APT Pinning"}, "pin_rabbitmq": {"value": true, "type": "checkbox", "description": "Use Fuel RabbitMQ packages instead of upstream", "weight": 60, "label": "RabbitMQ APT Pinning"}, "pin_haproxy": {"value": true, "type": "checkbox", "description": "Use Fuel HAProxy packages instead of upstream", "weight": 59, "label": "HAProxy APT Pinning"}, "metadata": {"group": "general", "always_editable": true, "weight": 50, "label": "Repositories"}}, "murano_settings": {"murano_glance_artifacts_plugin": {"value": true, "type": "checkbox", "description": "If selected glance artifact repository will be enabled", "weight": 40, "label": "Enable glance artifact repository"}, "murano_repo_url": {"value": "http://storage.apps.openstack.org/", "type": "text", "description": "", "weight": 10, "label": "Murano Repository URL"}, "metadata": {"restrictions": [{"action": "hide", "message": "Murano is not enabled on the Additional Components section", "condition": "settings:additional_components.murano.value == false"}], "group": "openstack_services", "weight": 20, "label": "Murano Settings"}}, "external_mongo": {"mongo_db_name": {"regex": {"source": "^\\\\w+$", "error": "Invalid database name"}, "description": "Mongo database name", "weight": 30, "value": "ceilometer", "label": "Database name", "type": "text"}, "mongo_replset": {"value": "", "type": "text", "description": "Name for Mongo replication set", "weight": 30, "label": "Replset"}, "mongo_user": {"regex": {"source": "^\\\\w+$", "error": "Empty username"}, "description": "Mongo database username", "weight": 30, "value": "ceilometer", "label": "Username", "type": "text"}, "hosts_ip": {"regex": {"source": "^(((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?),)*((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$", "error": "Invalid hosts ip sequence"}, "description": "IP Addresses of MongoDB. Use comma to split IPs", "weight": 30, "value": "", "label": "MongoDB hosts IP", "type": "text"}, "mongo_password": {"regex": {"source": "^\\\\S*$", "error": "Password contains spaces"}, "description": "Mongo database password", "weight": 30, "value": "ceilometer", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "message": "Ceilometer and MongoDB are not enabled on the Additional Components section", "condition": "settings:additional_components.mongo.value == false"}], "group": "openstack_services", "weight": 30, "label": "External MongoDB"}}, "external_dns": {"dns_list": {"regex": {"source": "^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\\\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$", "error": "Invalid IP address"}, "description": "List of upstream DNS servers", "weight": 10, "max": 3, "value": {"generator": "from_settings", "generator_arg": "DNS_UPSTREAM"}, "label": "DNS list", "type": "text_list"}, "metadata": {"group": "network", "weight": 30, "label": "Host OS DNS Servers"}}, "workloads_collector": {"password": {"type": "password", "value": {"generator": "password"}}, "enabled": {"type": "hidden", "value": true}, "user": {"type": "text", "value": "fuel_stats_user"}, "tenant": {"type": "text", "value": "services"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Workloads Collector User"}}, "public_network_assignment": {"assign_to_all_nodes": {"value": false, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers only", "weight": 10, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 10, "label": "Public network assignment"}}, "provision": {"packages": {"type": "textarea", "value": "acl\\nanacron\\nbash-completion\\nbridge-utils\\nbsdmainutils\\nbuild-essential\\ncloud-init\\ncurl\\ndaemonize\\ndebconf-utils\\ngdisk\\ngrub-pc\\nhpsa-dkms\\nhwloc\\ni40e-dkms\\nlinux-firmware\\nlinux-firmware-nonfree\\nlinux-headers-generic-lts-trusty\\nlinux-image-generic-lts-trusty\\nlvm2\\nmcollective\\nmdadm\\nmultipath-tools\\nmultipath-tools-boot\\nnailgun-agent\\nnailgun-mcagents\\nnetwork-checker\\nntp\\nopenssh-client\\nopenssh-server\\npuppet\\npython-amqp\\nruby-augeas\\nruby-ipaddress\\nruby-json\\nruby-netaddr\\nruby-openstack\\nruby-shadow\\nruby-stomp\\ntelnet\\nubuntu-minimal\\nubuntu-standard\\nuuid-runtime\\nvim\\nvirt-what\\nvlan\\n", "weight": 10, "label": "Initial packages"}, "method": {"type": "hidden", "value": "image"}, "metadata": {"restrictions": [{"action": "hide", "condition": "false"}], "group": "general", "weight": 80, "label": "Provision"}}, "external_ntp": {"ntp_list": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid NTP server"}, "description": "List of upstream NTP servers", "weight": 10, "value": {"generator": "from_settings", "generator_arg": "NTP_UPSTREAM"}, "label": "NTP server list", "type": "text_list"}, "metadata": {"group": "network", "weight": 40, "label": "Host OS NTP Servers"}}, "neutron_advanced_configuration": {"neutron_qos": {"value": false, "type": "checkbox", "description": "Enable Neutron QoS advanced service plug-in", "weight": 40, "label": "Neutron QoS"}, "neutron_l3_ha": {"restrictions": [{"message": "Neutron DVR must be disabled in order to use Neutron L3 HA", "condition": "settings:neutron_advanced_configuration.neutron_dvr.value == true"}], "description": "Enable High Availability features for Virtual Routers in Neutron\\nRequires at least 2 Controller nodes to function properly\\n", "weight": 30, "value": false, "label": "Neutron L3 HA", "type": "checkbox"}, "neutron_dvr": {"restrictions": [{"networking_parameters:segmentation_type != 'vlan' and settings:neutron_advanced_configuration.neutron_l2_pop.value == false": "DVR requires L2 population to be enabled."}], "description": "Enable Distributed Virtual Routers in Neutron", "weight": 20, "value": false, "label": "Neutron DVR", "type": "checkbox"}, "neutron_l2_pop": {"restrictions": [{"action": "hide", "condition": "networking_parameters:segmentation_type == 'vlan'"}], "description": "Enable L2 population mechanism in Neutron", "weight": 10, "value": false, "label": "Neutron L2 population", "type": "checkbox"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 20, "label": "Neutron Advanced Configuration"}}}}	{"rule_to_pick_boot_disk": [{"regex": "^nvme", "type": "exclude_disks_by_name", "description": "NVMe drives should be skipped as accessing such drives during the boot typically requires using UEFI which is still not supported by fuel-agent (it always installs BIOS variant of  grub). grub bug (http://savannah.gnu.org/bugs/?41883)"}, {"regex": "^md", "type": "pick_root_disk_if_disk_name_match", "root_mount": "/", "description": "If we have /root on fake raid, then /boot partition should land on to it too. We can't proceed with grub-install otherwise."}], "volumes_roles_mapping": {"compute-vmware": [{"id": "os", "allocate_size": "min"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder-vmware": [{"id": "os", "allocate_size": "min"}], "virt": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "base-os": [{"id": "os", "allocate_size": "min"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "logs", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}, {"id": "mysql", "allocate_size": "min"}, {"id": "horizon", "allocate_size": "min"}], "other": [{"id": "os", "allocate_size": "all"}], "cinder-block-device": [{"id": "os", "allocate_size": "min"}, {"id": "cinder-block-device", "allocate_size": "full-disk"}], "ironic": [{"id": "os", "allocate_size": "min"}, {"id": "logs", "allocate_size": "min"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "size": {"generator": "calc_total_root_vg"}, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": {"generator": "calc_swap_size"}, "type": "lv", "name": "swap", "file_system": "swap"}], "label": "Base System"}, {"min_size": {"generator_args": [10], "generator": "calc_gb_to_mb"}, "type": "vg", "id": "logs", "volumes": [{"mount": "/var/log", "size": {"generator_args": ["logs"], "generator": "calc_total_vg"}, "type": "lv", "name": "log", "file_system": "ext4"}], "label": "Logs"}, {"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}, "type": "lv", "name": "mongodb", "file_system": "ext4"}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_mysql_size"}, "type": "vg", "id": "mysql", "volumes": [{"mount": "/var/lib/mysql", "size": {"generator_args": ["mysql"], "generator": "calc_total_vg"}, "type": "lv", "name": "root", "file_system": "ext4"}], "label": "Mysql Database"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}, "type": "lv", "name": "nova", "file_system": "xfs"}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}, "type": "lv", "name": "glance", "file_system": "xfs"}], "label": "Image Storage"}, {"min_size": {"generator_args": [11], "generator": "calc_gb_to_mb"}, "type": "vg", "id": "horizon", "volumes": [{"mount": "/var/lib/horizon", "size": {"generator_args": ["horizon"], "generator": "calc_total_vg"}, "type": "lv", "name": "horizontmp", "file_system": "xfs"}], "label": "Horizon Temp Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}, {"mount": "none", "label": "Cinder Block Device", "min_size": {"generator": "calc_min_cinder_size"}, "volumes": [], "type": "vg", "id": "cinder-block-device"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}}	{"compute-vmware": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "group": "compute", "name": "Compute VMware", "weight": 90, "conflicts": ["controller", "compute", "cinder", "cinder-block-device", "ceph-osd", "mongo", "base-os", "virt", "ironic"], "description": "A node that runs nova-compute with VCDriver, that manages ESXi computing resources via VMware vCenter."}, "compute": {"limits": {"recommended": 1}, "group": "compute", "name": "Compute", "weight": 20, "fault_tolerance": "2%", "public_for_dvr_required": true, "description": "A Compute node creates, manages, and terminates virtual machine instances."}, "cinder-vmware": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "group": "storage", "name": "Cinder Proxy to VMware Datastore", "limits": {"recommended": 1}, "weight": 40, "description": "Cinder-VMware provides scheduling of block storage resources delivered over VMware vCenter. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "virt": {"restrictions": [{"action": "hide", "condition": "not ('advanced' in version:feature_groups)"}], "group": "compute", "name": "Virtual", "weight": 80, "public_ip_required": true, "conflicts": ["controller", "base-os"], "description": "ADVANCED: Make available possibilities to spawn vms on this node that can be assign as a normal nodes."}, "base-os": {"group": "other", "name": "Operating System", "weight": 70, "description": "Install base Operating System without additional packages and configuration."}, "controller": {"limits": {"recommended": 3, "overrides": [{"message": "Neutron L3 HA requires at least 2 Controller nodes to function properly.", "condition": "settings:neutron_advanced_configuration.neutron_l3_ha.value == true", "min": 2}], "min": 1}, "group": "base", "name": "Controller", "weight": 10, "update_required": ["compute", "cinder"], "conflicts": ["compute"], "public_ip_required": true, "has_primary": true, "public_for_dvr_required": true, "description": "The Controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "cinder": {"restrictions": [{"message": "Cinder LVM should be enabled in the environment settings.", "condition": "settings:storage.volumes_lvm.value == false"}, {"message": "Ceph RBD cannot be used with Cinder", "condition": "settings:storage.volumes_ceph.value == true"}], "group": "storage", "name": "Cinder", "limits": {"recommended": 1}, "weight": 30, "description": "Cinder provides scheduling of block storage resources, typically delivered over iSCSI and other compatible backend storage systems. Block storage can be used for database storage, expandable file systems, or to provide a server with access to raw block level devices."}, "ironic": {"restrictions": [{"message": "Ironic should be enabled in the environment settings.", "condition": "settings:additional_components.ironic.value == false"}], "group": "compute", "name": "Ironic", "limits": {"recommended": 3, "min": 1}, "weight": 100, "conflicts": ["compute"], "description": "Ironic conductor."}, "ceph-osd": {"restrictions": [{"message": "Ceph should be enabled in the environment settings.", "condition": "settings:storage.volumes_ceph.value == false and settings:storage.images_ceph.value == false and settings:storage.ephemeral_ceph.value == false and settings:storage.objects_ceph.value == false"}], "group": "storage", "weight": 50, "limits": {"min": "settings:storage.osd_pool_size.value"}, "name": "Ceph OSD", "update_once": ["controller"], "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}, "cinder-block-device": {"restrictions": [{"message": "Cinder Block Device driver should be enabled in the environment settings.", "condition": "settings:storage.volumes_block_device.value == false"}, {"message": "Ceph RBD cannot be used with Cinder Block Device", "condition": "settings:storage.volumes_ceph.value == true"}], "group": "storage", "name": "Cinder Block Device", "weight": 35, "has_primary": false, "public_ip_required": false, "conflicts": ["controller", "cinder", "cinder-vmware", "ceph-osd"], "description": "Host node for Cinder Block Devices."}, "mongo": {"restrictions": [{"message": "Ceilometer should be enabled in the environment settings.", "condition": "settings:additional_components.ceilometer.value == false"}, {"message": "You are already using external MongoDB.", "condition": "settings:additional_components.mongo.value == true"}], "group": "other", "name": "Telemetry - MongoDB", "limits": {"overrides": [{"max": 1, "message": "At most 1 MongoDB node can be added for non-HA deployment", "condition": "cluster:mode != 'ha_compact'"}, {"recommended": 3, "message": "At least 3 MongoDB nodes are recommended for HA deployment.", "condition": "cluster:mode == 'ha_compact'"}], "min": 1}, "weight": 60, "conflicts": ["compute", "ceph-osd"], "has_primary": true, "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}}	{"editable": {"value": {"glance": {"vcenter_username": "", "datacenter": "", "vcenter_host": "", "ca_file": "", "datastore": "", "vcenter_password": ""}, "availability_zones": [{"vcenter_username": "", "az_name": "vcenter", "vcenter_password": "", "vcenter_host": "", "nova_computes": [{"datastore_regex": "", "vsphere_cluster": "", "service_name": "", "target_node": {"current": {"id": "controllers", "label": "controllers"}, "options": [{"id": "controllers", "label": "controllers"}]}}]}]}, "metadata": [{"restrictions": [{"message": "VMware vCenter not enabled for cluster", "condition": "settings:common.use_vcenter.value == false"}], "type": "array", "name": "availability_zones", "fields": [{"regex": {"source": "^(?!nova$)\\\\w+$", "error": "Invalid availability zone name"}, "label": "Availability zone", "type": "text", "description": "Availability zone name", "name": "az_name"}, {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "label": "vCenter host", "type": "text", "description": "vCenter host or IP", "name": "vcenter_host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "label": "vCenter username", "type": "text", "description": "vCenter username", "name": "vcenter_username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "label": "vCenter password", "type": "password", "description": "vCenter password", "name": "vcenter_password"}, {"type": "array", "editable_for_deployed": true, "name": "nova_computes", "fields": [{"regex": {"source": "\\\\S", "error": "Invalid vSphere cluster"}, "label": "vSphere cluster", "type": "text", "description": "vSphere cluster", "name": "vsphere_cluster"}, {"regex": {"source": "^\\\\w[\\\\w\\\\-]+$", "error": "Invalid service name"}, "label": "Service name", "type": "text", "description": "Service name", "name": "service_name"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore regex"}, "label": "Datastore regex", "type": "text", "description": "Datastore regex", "name": "datastore_regex"}, {"label": "Target node", "type": "select", "description": "Target node for nova-compute service", "name": "target_node"}]}]}, {"restrictions": [{"message": "VMware vCenter datastore for images is not enabled in Settings tab", "condition": "settings:storage.images_vcenter.value == false or settings:common.use_vcenter.value == false"}], "type": "object", "name": "glance", "fields": [{"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "label": "vCenter host", "type": "text", "description": "vCenter host or IP", "name": "vcenter_host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "label": "vCenter username", "type": "text", "description": "vCenter username", "name": "vcenter_username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "label": "vCenter password", "type": "password", "description": "vCenter password", "name": "vcenter_password"}, {"regex": {"source": "\\\\S", "error": "Invalid datacenter"}, "label": "Datacenter", "type": "text", "description": "Datacenter", "name": "datacenter"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore"}, "label": "Datastore", "type": "text", "description": "Datastore", "name": "datastore"}, {"label": "CA file", "type": "file", "description": "File containing the trusted CA bundle that emitted vCenter server certificate. If empty vCenters certificate is not verified.", "name": "ca_file"}]}]}}	["ha_compact"]	[{"default_mapping": "management", "id": "keystone/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "fuelweb_admin", "id": "admin/pxe", "properties": {"subnet": true, "vip": [], "gateway": true}}, {"default_mapping": "management", "id": "swift/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "neutron/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "sahara/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "aodh/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "ceilometer/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "cinder/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "glance/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "glance/glare", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "heat/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "nova/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "murano/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "murano/cfapi", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "horizon", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "mgmt/memcache", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "mgmt/database", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "mgmt/messaging", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "mgmt/corosync", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "mgmt/vip", "properties": {"subnet": true, "vip": [{"alias": "management_vrouter_vip", "namespace": "vrouter", "name": "vrouter"}, {"alias": "management_vip", "namespace": "haproxy", "name": "management"}], "gateway": false}}, {"default_mapping": "public", "id": "public/vip", "properties": {"subnet": true, "vip": [{"alias": "public_vrouter_vip", "vendor_specific": {"iptables_rules": {"ns_start": ["iptables -t nat -A POSTROUTING -o <%INT%> -j MASQUERADE"], "ns_stop": ["iptables -t nat -D POSTROUTING -o <%INT%> -j MASQUERADE"]}}, "namespace": "vrouter", "name": "vrouter_pub"}, {"alias": "public_vip", "namespace": "haproxy", "name": "public"}], "gateway": true}}, {"default_mapping": "private", "id": "neutron/private", "properties": {"subnet": false, "vip": [], "gateway": false}}, {"default_mapping": "private", "id": "neutron/mesh", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "public", "id": "neutron/floating", "properties": {"subnet": false, "vip": [], "gateway": false}}, {"default_mapping": "storage", "id": "swift/replication", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "storage", "id": "ceph/public", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "public", "id": "ceph/radosgw", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "storage", "id": "ceph/replication", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "storage", "id": "cinder/iscsi", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "mongo/db", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "fuelweb_admin", "id": "fw-admin", "properties": {"subnet": true, "vip": [], "gateway": true}}, {"default_mapping": "management", "id": "management", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "public", "id": "ex", "properties": {"subnet": true, "vip": [], "gateway": true}}, {"default_mapping": "storage", "id": "storage", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "nova/migration", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "ironic/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "baremetal", "id": "ironic/baremetal", "properties": {"subnet": true, "vip": [{"alias": "baremetal_vip", "vendor_specific": {"iptables_rules": {"ns_start": ["iptables -A INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -p tcp -m multiport --dports 6385,8080 -m state --state NEW -j ACCEPT", "iptables -A INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -m state --state ESTABLISHED,RELATED -j ACCEPT", "iptables -A INPUT -i <%INT%> -j DROP"], "ns_stop": ["iptables -D INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -p tcp -m multiport --dports 6385,8080 -m state --state NEW -j ACCEPT", "iptables -D INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -m state --state ESTABLISHED,RELATED -j ACCEPT", "iptables -D INPUT -i <%INT%> -j DROP"]}}, "namespace": "haproxy", "name": "baremetal"}], "gateway": false}}]	{volume_manager}	[{"name": "hypervisor:qemu", "weight": 5, "default": true, "bind": [["settings:common.libvirt_type.value", "qemu"]], "label": "dialog.create_cluster_wizard.compute.qemu", "compatible": [{"name": "hypervisor:vmware"}], "description": "dialog.create_cluster_wizard.compute.qemu_description"}, {"description": "dialog.create_cluster_wizard.compute.vcenter_description", "weight": 15, "bind": ["settings:common.use_vcenter.value"], "label": "dialog.create_cluster_wizard.compute.vcenter", "compatible": [{"name": "hypervisor:qemu"}], "requires": [{"message": "dialog.create_cluster_wizard.compute.vcenter_warning", "name": "hypervisor:qemu"}], "name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2", "weight": 1000, "default": true, "label": "dialog.create_cluster_wizard.network.neutron_ml2", "compatible": [{"name": "hypervisor:*"}, {"name": "network:neutron:ml2:*"}], "description": "dialog.create_cluster_wizard.network.neutron_ml2_description"}, {"description": "dialog.create_cluster_wizard.network.neutron_vlan_description", "weight": 5, "incompatible": [{"message": "dialog.create_cluster_wizard.network.vlan_tun_alert", "name": "network:neutron:ml2:tun"}], "default": true, "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "vlan"]], "label": "common.network.neutron_vlan", "compatible": [{"name": "network:neutron:core:ml2"}, {"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}], "requires": [{"name": "network:neutron:core:ml2"}], "name": "network:neutron:ml2:vlan"}, {"description": "dialog.create_cluster_wizard.network.neutron_tun_description", "weight": 10, "incompatible": [{"message": "dialog.create_cluster_wizard.network.vlan_tun_alert", "name": "network:neutron:ml2:vlan"}, {"message": "dialog.create_cluster_wizard.network.hypervisor_alert", "name": "hypervisor:vmware"}, {"message": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert", "name": "additional_service:ironic"}], "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "tun"]], "label": "common.network.neutron_tun", "compatible": [{"name": "network:neutron:core:ml2"}, {"name": "hypervisor:qemu"}], "requires": [{"name": "network:neutron:core:ml2"}], "name": "network:neutron:ml2:tun"}, {"description": "dialog.create_cluster_wizard.storage.default_provider", "weight": 5, "incompatible": [{"message": "LVM not compatible with Ceph", "name": "storage:block:ceph"}], "default": true, "bind": ["settings:storage.volumes_lvm.value"], "label": "dialog.create_cluster_wizard.storage.lvm", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}], "name": "storage:block:lvm"}, {"name": "storage:block:ceph", "weight": 10, "incompatible": [{"message": "Ceph not compatible with LVM", "name": "storage:block:lvm"}], "bind": [["settings:storage.volumes_ceph.value", true], ["settings:storage.volumes_lvm.value", false]], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}], "description": "dialog.create_cluster_wizard.storage.ceph_block"}, {"name": "storage:object:ceph", "weight": 10, "bind": ["settings:storage.objects_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}], "description": "dialog.create_cluster_wizard.storage.ceph_object"}, {"name": "storage:ephemeral:ceph", "weight": 10, "bind": ["settings:storage.ephemeral_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:image:ceph"}], "description": "dialog.create_cluster_wizard.storage.ceph_ephemeral"}, {"name": "storage:image:ceph", "weight": 10, "bind": ["settings:storage.images_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}], "description": "dialog.create_cluster_wizard.storage.ceph_image"}, {"name": "additional_service:sahara", "weight": 10, "bind": ["settings:additional_components.sahara.value"], "label": "dialog.create_cluster_wizard.additional.install_sahara", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ceilometer"}, {"name": "additional_service:ironic"}], "description": "dialog.create_cluster_wizard.additional.install_sahara_description"}, {"name": "additional_service:murano", "weight": 20, "bind": ["settings:additional_components.murano.value"], "label": "dialog.create_cluster_wizard.additional.install_murano", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:ceilometer"}, {"name": "additional_service:ironic"}], "description": "dialog.create_cluster_wizard.additional.install_murano_description"}, {"name": "additional_service:ceilometer", "weight": 30, "bind": ["settings:additional_components.ceilometer.value"], "label": "dialog.create_cluster_wizard.additional.install_ceilometer", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ironic"}], "description": "dialog.create_cluster_wizard.additional.install_ceilometer_description"}, {"name": "additional_service:ironic", "weight": 40, "incompatible": [{"message": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert", "name": "network:neutron:ml2:tun"}], "bind": ["settings:additional_components.ironic.value"], "label": "dialog.create_cluster_wizard.additional.install_ironic", "compatible": [{"name": "hypervisor:qemu"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ceilometer"}], "description": "dialog.create_cluster_wizard.additional.install_ironic_description"}]	{"cpu_pinning": {"dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "Number of CPUs for DPDK usage", "weight": 20, "min": 0, "value": 0, "label": "DPDK CPU pinning", "type": "number"}, "nova": {"description": "Number of CPUs for Nova usage", "weight": 10, "min": 0, "value": 0, "label": "Nova CPU pinning", "type": "number"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 10, "label": "CPU pinning"}}, "hugepages": {"dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "DPDK Huge Pages per NUMA node in MB", "weight": 20, "min": 0, "value": 0, "label": "DPDK Huge Pages", "type": "number"}, "nova": {"value": {}, "type": "custom_hugepages", "description": "Nova Huge Pages configuration", "weight": 10, "label": "Nova Huge Pages"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 20, "label": "Huge Pages"}}}
1	Mitaka on CentOS 6.5	mitaka-9.0	This option will install the OpenStack Mitaka packages using a CentOS based operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	CentOS	unavailable	{"bonding": {"availability": [{"dpdkovs": "'experimental' in version:feature_groups and interface:pxe == false and interface:interface_properties.dpdk.enabled and not interface:interface_properties.sriov.enabled"}, {"linux": "not interface:interface_properties.sriov.enabled"}], "properties": {"dpdkovs": {"lacp": [{"for_modes": ["balance-tcp"], "values": ["active", "passive"]}], "lacp_rate": [{"for_modes": ["balance-tcp"], "values": ["slow", "fast"]}], "mode": [{"values": ["active-backup", "balance-slb", "balance-tcp"]}], "xmit_hash_policy": [{"for_modes": ["balance-tcp"], "values": ["layer2", "layer2+3", "layer3+4", "encap2+3", "encap3+4"]}]}, "linux": {"lacp_rate": [{"for_modes": ["802.3ad"], "values": ["slow", "fast"]}], "mode": [{"values": ["balance-rr", "active-backup"]}, {"values": ["802.3ad"], "condition": "'experimental' in version:feature_groups or interface:pxe == false"}, {"values": ["balance-xor", "broadcast", "balance-tlb", "balance-alb"], "condition": "'experimental' in version:feature_groups"}], "xmit_hash_policy": [{"for_modes": ["802.3ad", "balance-xor", "balance-tlb", "balance-alb"], "values": ["layer2", "layer2+3", "layer3+4", "encap2+3", "encap3+4"]}]}}}, "nova_network": {"config": {"floating_ranges": [["10.109.1.241", "10.109.1.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 960, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.109.4.0/24"}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "use_gateway": true, "vlan_start": 200, "render_addr_mask": "public", "cidr": "10.109.1.0/24", "gateway": "10.109.1.1", "ip_range": ["10.109.1.2", "10.109.1.240"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "ip_ranges", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 202, "render_addr_mask": "internal", "cidr": "10.109.5.0/24", "ip_range": ["10.109.5.2", "10.109.5.254"]}, {"name": "storage", "notation": "ip_ranges", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 201, "render_addr_mask": "storage", "cidr": "10.109.6.0/24", "ip_range": ["10.109.6.2", "10.109.6.254"]}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "configurable": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null}]}, "neutron": {"config": {"parameters": {"database": {"username": null, "passwd": "", "provider": "mysql", "port": "3306", "database": null}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "metadata": {"metadata_proxy_shared_secret": ""}}, "baremetal_gateway": "192.168.3.51", "internal_cidr": "192.168.0.0/24", "floating_ranges": [["10.109.1.241", "10.109.1.254"]], "floating_name": "admin_floating_net", "base_mac": "fa:16:3e:00:00:00", "internal_gateway": "192.168.0.1", "internal_name": "admin_internal_net", "baremetal_range": ["192.168.3.52", "192.168.3.254"], "gre_id_range": [2, 65535], "vlan_range": [960, null]}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": 200, "render_addr_mask": "public", "cidr": "10.109.1.0/24", "gateway": "10.109.1.1", "ip_range": ["10.109.1.2", "10.109.1.240"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "ip_ranges", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 202, "render_addr_mask": "internal", "cidr": "10.109.5.0/24", "ip_range": ["10.109.5.2", "10.109.5.254"]}, {"name": "storage", "notation": "ip_ranges", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 201, "render_addr_mask": "storage", "cidr": "10.109.6.0/24", "ip_range": ["10.109.6.2", "10.109.6.254"]}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "neutron_vlan_range": true, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false, "seg_type": "vlan"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 960, "render_addr_mask": null, "cidr": "10.109.4.0/24", "seg_type": "gre"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 960, "render_addr_mask": null, "cidr": "10.109.4.0/24", "seg_type": "tun"}, {"restrictions": [{"condition": "settings:additional_components.ironic.value == false"}], "name": "baremetal", "notation": "ip_ranges", "render_type": null, "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 104, "cidr": "192.168.3.0/24", "ip_range": ["192.168.3.2", "192.168.3.50"]}]}}	{"generated": {"glance_glare": {"user_password": {"generator": "password"}}, "murano-cfapi": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "puppet": {"modules": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/modules/", "manifests": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/manifests/"}, "mysql": {"root_password": {"generator": "password"}, "wsrep_password": {"generator": "password"}}, "ironic": {"swift_tempurl_key": {"generator": "password"}, "db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "centos-x86_64"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "swift": {"user_password": {"generator": "password"}}, "aodh": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "auth_encryption_key": {"generator": "hexstring", "generator_arg": "32"}, "rabbit_password": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "fixed_key": {"generator": "hexstring", "generator_arg": "64"}}, "provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/centos_65_x86_64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/centos_65_x86_64.img.gz", "format": "ext4"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "deployed_before": {"value": false}, "horizon": {"secret_key": {"generator": "hexstring", "generator_arg": "64"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"service_user": {"name": {"type": "hidden", "value": "fuel"}, "sudo": {"type": "hidden", "value": "ALL=(ALL) NOPASSWD: ALL"}, "homedir": {"type": "hidden", "value": "/var/lib/fuel"}, "root_password": {"type": "hidden", "value": "r00tme"}, "password": {"type": "hidden", "value": {"generator": "password"}}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Service user account"}}, "additional_components": {"ceilometer": {"weight": 60, "type": "checkbox", "description": "If selected, Ceilometer and Aodh components will be installed", "value": false, "label": "Install Ceilometer and Aodh"}, "mongo": {"restrictions": [{"settings:additional_components.ceilometer.value == false": "External Mongo aims to be an external backend for Ceilometer. Without Ceilometer enabled, External Mongo is useless and should not be installed."}], "description": "If selected, You can use external Mongo DB as ceilometer backend", "weight": 70, "value": false, "label": "Use external Mongo DB", "type": "checkbox"}, "heat": {"weight": 50, "type": "hidden", "description": "", "value": true, "label": ""}, "murano-cfapi": {"restrictions": [{"message": "Murano should be enabled", "condition": "settings:additional_components.murano.value == false"}, {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "If selected, Murano service broker will be installed", "weight": 30, "value": false, "label": "Install Murano service broker for Cloud Foundry", "type": "checkbox"}, "murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "ironic": {"restrictions": [{"cluster:net_provider != 'neutron' or networking_parameters:segmentation_type != 'vlan'": "Ironic requires Neutron with VLAN segmentation."}, {"settings:storage.images_ceph.value == true and settings:storage.objects_ceph.value == false": "Ironic requires Swift or RadosGW for Glance images."}], "description": "If selected, Ironic component will be installed", "weight": 80, "value": false, "label": "Install Ironic", "type": "checkbox"}, "metadata": {"group": "openstack_services", "weight": 10, "label": "Additional Components"}}, "cgroups": {"metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "always_editable": true, "weight": 90, "label": "Cgroups conguration for services"}}, "kernel_params": {"kernel": {"type": "text", "description": "Default kernel parameters", "value": "console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"group": "general", "weight": 60, "label": "Kernel parameters"}}, "repo_setup": {"repos": {"type": "custom_repo_configuration", "description": "To create a local repository mirror on the Fuel master node, please follow the instructions provided by running \\"fuel-package-updates --help\\" on the Fuel master node.\\nPlease make sure your Fuel master node has Internet access to the repository before attempting to create a mirror.\\n", "value": [{"priority": null, "type": "rpm", "name": "mos", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/centos/x86_64"}, {"priority": null, "type": "rpm", "name": "mos-updates", "uri": "http://mirror.fuel-infra.org/mos-repos/centos/mos{cluster.release.environment_version}-centos7/updates/x86_64"}, {"priority": null, "type": "rpm", "name": "mos-security", "uri": "http://mirror.fuel-infra.org/mos-repos/centos/mos{cluster.release.environment_version}-centos7/security/x86_64"}, {"priority": 15, "type": "rpm", "name": "Auxiliary", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/centos/auxiliary"}], "extra_priority": null}, "metadata": {"group": "general", "always_editable": true, "weight": 50, "label": "Repositories"}}, "operator_user": {"name": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "Username for operator user", "weight": 50, "value": "fueladmin", "label": "Username", "type": "text"}, "sudo": {"value": "ALL=(ALL) NOPASSWD: ALL", "type": "textarea", "description": "Sudoers configuration directives for operator user, one per line.", "weight": 90, "label": "Sudoers configuration"}, "homedir": {"regex": {"source": "^/\\\\S", "error": "Invalid path"}, "description": "Home directory for operator user", "weight": 70, "value": "/home/fueladmin", "label": "Home directory", "type": "text"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for operator user", "weight": 60, "value": {"generator": "password"}, "label": "Password", "type": "password"}, "authkeys": {"value": "", "type": "textarea", "description": "Public SSH keys to include to operator user's authorized keys, one per line.", "weight": 80, "label": "Authorized SSH keys"}, "metadata": {"group": "general", "weight": 15, "label": "Operating System Access"}}, "use_fedora_lt": {"kernel": {"values": [{"data": "default_kernel", "description": "Install default 2.6.32 kernel.", "label": "CentOS default kernel"}, {"data": "fedora_lt_kernel", "description": "EXPERIMENTAL: Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This kernel may not work with all hardware platforms, use with caution.", "label": "Fedora LT kernel"}], "type": "radio", "value": "default_kernel", "weight": 55, "label": "Select kernel"}, "metadata": {"weight": 50, "label": "Use Fedora longterm kernel"}}, "storage": {"volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:storage.volumes_block_device.value == true"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"weight": 80, "type": "checkbox", "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "value": false, "label": "Ceph RadosGW for objects (Swift API)"}, "bootstrap_osd_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "It is recommended to have at least one Cinder node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "ephemeral_ceph": {"weight": 75, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_block_device": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "High performance block device storage. It is recommended to have at least one Cinder Block Device", "weight": 15, "value": false, "label": "Cinder Block device driver", "type": "checkbox"}, "mon_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "images_vcenter": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value != true"}, {"message": "Only one Glance backend could be selected.", "condition": "settings:storage.images_ceph.value == true"}], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMware vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "osd_pool_size": {"regex": {"source": "^[1-9]\\\\d*$", "error": "Invalid number"}, "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Ceph OSD' nodes.", "weight": 85, "value": "3", "label": "Ceph object replication factor", "type": "text"}, "admin_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "images_ceph": {"restrictions": [{"settings:storage.images_vcenter.value == true": "Only one Glance backend could be selected."}], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "radosgw_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "fsid": {"type": "hidden", "value": {"generator": "uuid4"}}, "metadata": {"group": "storage", "weight": 60, "label": "Storage Backends"}}, "public_ssl": {"hostname": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "Your DNS entries should point to this name. Self-signed certificates also will use this hostname", "weight": 50, "value": "public.fuel.local", "label": "DNS hostname for public TLS endpoints", "type": "text"}, "horizon": {"restrictions": [{"settings:public_ssl.services.value == false": "TLS for OpenStack public endpoints should be enabled"}], "description": "Secure access to Horizon enabling HTTPS instead of HTTP", "weight": 20, "value": false, "label": "HTTPS for Horizon", "type": "checkbox"}, "services": {"weight": 10, "type": "checkbox", "description": "Enable TLS termination on HAProxy for OpenStack services", "value": false, "label": "TLS for OpenStack public endpoints"}, "cert_data": {"restrictions": [{"action": "hide", "condition": "(settings:public_ssl.cert_source.value != 'user_uploaded') or (settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false)"}], "description": "Certificate and private key data, concatenated into a single file", "weight": 40, "value": "", "label": "Certificate", "type": "file"}, "cert_source": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "From where we'll get certificate and private key", "weight": 30, "value": "self_signed", "label": "Select source for certificate", "values": [{"data": "self_signed", "description": "Generate private key and certificate that will be signed by this key", "label": "Self-signed"}, {"data": "user_uploaded", "description": "Use pre-generated key and certificate", "label": "I have my own keypair with certificate"}], "type": "radio"}, "metadata": {"group": "security", "weight": 110, "label": "Public TLS"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "Username", "type": "text"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 20, "value": "admin", "label": "Password", "type": "password"}, "email": {"regex": {"source": "^\\\\S+@\\\\S+$", "error": "Invalid email"}, "description": "Email address for Administrator", "weight": 40, "value": "admin@localhost", "label": "Email", "type": "text"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "Tenant", "type": "text"}, "metadata": {"group": "general", "weight": 10, "label": "OpenStack Access"}}, "syslog": {"syslog_port": {"regex": {"source": "^([1-9][0-9]{0,3}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$", "error": "Invalid syslog port"}, "description": "Remote syslog port", "weight": 20, "value": "514", "label": "Port", "type": "text"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid hostname"}, "description": "Remote syslog hostname", "weight": 10, "value": "", "label": "Hostname", "type": "text"}, "metadata": {"enabled": false, "group": "logging", "toggleable": true, "weight": 50, "label": "Syslog"}}, "neutron_advanced_configuration": {"neutron_qos": {"weight": 40, "type": "checkbox", "description": "Enable Neutron QoS advanced service plug-in", "value": false, "label": "Neutron QoS"}, "neutron_l3_ha": {"restrictions": [{"message": "Neutron DVR must be disabled in order to use Neutron L3 HA", "condition": "settings:neutron_advanced_configuration.neutron_dvr.value == true"}], "description": "Enable High Availability features for Virtual Routers in Neutron\\nRequires at least 2 Controller nodes to function properly\\n", "weight": 30, "value": false, "label": "Neutron L3 HA", "type": "checkbox"}, "neutron_dvr": {"restrictions": [{"networking_parameters:segmentation_type != 'vlan' and settings:neutron_advanced_configuration.neutron_l2_pop.value == false": "DVR requires L2 population to be enabled."}], "description": "Enable Distributed Virtual Routers in Neutron", "weight": 20, "value": false, "label": "Neutron DVR", "type": "checkbox"}, "neutron_l2_pop": {"restrictions": [{"action": "hide", "condition": "networking_parameters:segmentation_type == 'vlan'"}], "description": "Enable L2 population mechanism in Neutron", "weight": 10, "value": false, "label": "Neutron L2 population", "type": "checkbox"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 20, "label": "Neutron Advanced Configuration"}}, "murano_settings": {"murano_glance_artifacts_plugin": {"weight": 40, "type": "checkbox", "description": "If selected glance artifact repository will be enabled", "value": true, "label": "Enable glance artifact repository"}, "murano_repo_url": {"weight": 10, "type": "text", "description": "", "value": "http://storage.apps.openstack.org/", "label": "Murano Repository URL"}, "metadata": {"restrictions": [{"action": "hide", "message": "Murano is not enabled on the Additional Components section", "condition": "settings:additional_components.murano.value == false"}], "group": "openstack_services", "weight": 20, "label": "Murano Settings"}}, "common": {"propagate_task_deploy": {"type": "hidden", "weight": 12, "value": false}, "auto_assign_floating_ip": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider == 'neutron'"}], "group": "network", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"group": "storage", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 60, "value": true, "label": "Use qcow format for images", "type": "checkbox"}, "auth_key": {"type": "hidden", "group": "security", "weight": 70, "value": ""}, "puppet_debug": {"group": "logging", "description": "Debug puppet logging mode provides more information, but requires more disk space.", "weight": 20, "value": true, "label": "Puppet debug logging", "type": "checkbox"}, "use_vcenter": {"type": "hidden", "weight": 30, "value": false}, "libvirt_type": {"group": "compute", "weight": 30, "value": "qemu", "label": "Hypervisor type", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio"}, "resume_guests_state_on_host_boot": {"group": "compute", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "weight": 50, "value": true, "label": "Resume guests state on host boot", "type": "checkbox"}, "debug": {"group": "logging", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "value": false, "label": "OpenStack debug logging", "type": "checkbox"}, "task_deploy": {"type": "hidden", "weight": 11, "value": true}, "nova_quota": {"group": "compute", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 30, "value": false, "label": "Nova quotas", "type": "checkbox"}, "metadata": {"weight": 10, "label": "Common"}}, "external_mongo": {"mongo_db_name": {"regex": {"source": "^\\\\w+$", "error": "Invalid database name"}, "description": "Mongo database name", "weight": 30, "value": "ceilometer", "label": "Database name", "type": "text"}, "mongo_replset": {"weight": 30, "type": "text", "description": "Name for Mongo replication set", "value": "", "label": "Replset"}, "mongo_user": {"regex": {"source": "^\\\\w+$", "error": "Empty username"}, "description": "Mongo database username", "weight": 30, "value": "ceilometer", "label": "Username", "type": "text"}, "hosts_ip": {"regex": {"source": "^(((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?),)*((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$", "error": "Invalid hosts ip sequence"}, "description": "IP Addresses of MongoDB. Use comma to split IPs", "weight": 30, "value": "", "label": "MongoDB hosts IP", "type": "text"}, "mongo_password": {"regex": {"source": "^\\\\S*$", "error": "Password contains spaces"}, "description": "Mongo database password", "weight": 30, "value": "ceilometer", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "message": "Ceilometer and MongoDB are not enabled on the Additional Components section", "condition": "settings:additional_components.mongo.value == false"}], "group": "openstack_services", "weight": 30, "label": "External MongoDB"}}, "external_dns": {"dns_list": {"regex": {"source": "^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\\\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$", "error": "Invalid IP address"}, "description": "List of upstream DNS servers", "weight": 10, "max": 3, "value": {"generator": "from_settings", "generator_arg": "DNS_UPSTREAM"}, "label": "DNS list", "type": "text_list"}, "metadata": {"group": "network", "weight": 30, "label": "Host OS DNS Servers"}}, "public_network_assignment": {"assign_to_all_nodes": {"weight": 10, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers only", "value": false, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 10, "label": "Public network assignment"}}, "external_ntp": {"ntp_list": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid NTP server"}, "description": "List of upstream NTP servers", "weight": 10, "value": {"generator": "from_settings", "generator_arg": "NTP_UPSTREAM"}, "label": "NTP server list", "type": "text_list"}, "metadata": {"group": "network", "weight": 40, "label": "Host OS NTP Servers"}}, "provision": {"method": {"type": "hidden", "value": "image"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 80, "label": "Provision"}}, "corosync": {"verified": {"weight": 10, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "value": false, "label": "Need to pass network verification."}, "group": {"weight": 10, "type": "text", "description": "", "value": "226.94.1.1", "label": "Group"}, "port": {"weight": 20, "type": "text", "description": "", "value": "12000", "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 50, "label": "Corosync"}}, "workloads_collector": {"password": {"type": "password", "value": {"generator": "password"}}, "enabled": {"type": "hidden", "value": true}, "user": {"type": "text", "value": "fuel_stats_user"}, "tenant": {"type": "text", "value": "services"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Workloads Collector User"}}}}	{"rule_to_pick_boot_disk": [{"regex": "^nvme", "type": "exclude_disks_by_name", "description": "NVMe drives should be skipped as accessing such drives during the boot typically requires using UEFI which is still not supported by fuel-agent (it always installs BIOS variant of  grub). grub bug (http://savannah.gnu.org/bugs/?41883)"}, {"regex": "^md", "root_mount": "/", "type": "pick_root_disk_if_disk_name_match", "description": "If we have /root on fake raid, then /boot partition should land on to it too. We can't proceed with grub-install otherwise."}], "volumes_roles_mapping": {"compute-vmware": [{"id": "os", "allocate_size": "min"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder-vmware": [{"id": "os", "allocate_size": "min"}], "virt": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "base-os": [{"id": "os", "allocate_size": "min"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "logs", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}, {"id": "mysql", "allocate_size": "min"}, {"id": "horizon", "allocate_size": "min"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "ironic": [{"id": "os", "allocate_size": "min"}, {"id": "logs", "allocate_size": "min"}], "cinder-block-device": [{"id": "os", "allocate_size": "min"}, {"id": "cinder-block-device", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator_args": [10], "generator": "calc_gb_to_mb"}, "type": "vg", "id": "logs", "volumes": [{"mount": "/var/log", "type": "lv", "name": "log", "file_system": "ext4", "size": {"generator_args": ["logs"], "generator": "calc_total_vg"}}], "label": "Logs"}, {"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_mysql_size"}, "type": "vg", "id": "mysql", "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator_args": ["mysql"], "generator": "calc_total_vg"}}], "label": "Mysql Database"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator_args": [11], "generator": "calc_gb_to_mb"}, "type": "vg", "id": "horizon", "volumes": [{"mount": "/var/lib/horizon", "type": "lv", "name": "horizontmp", "file_system": "xfs", "size": {"generator_args": ["horizon"], "generator": "calc_total_vg"}}], "label": "Horizon Temp Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}, {"mount": "none", "label": "Cinder Block Device", "min_size": {"generator": "calc_min_cinder_size"}, "volumes": [], "type": "vg", "id": "cinder-block-device"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}}	{"compute-vmware": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "group": "compute", "name": "Compute VMware", "weight": 90, "conflicts": ["controller", "compute", "cinder", "cinder-block-device", "ceph-osd", "mongo", "base-os", "virt", "ironic"], "description": "A node that runs nova-compute with VCDriver, that manages ESXi computing resources via VMware vCenter."}, "compute": {"limits": {"recommended": 1}, "group": "compute", "name": "Compute", "weight": 20, "fault_tolerance": "2%", "public_for_dvr_required": true, "description": "A Compute node creates, manages, and terminates virtual machine instances."}, "cinder-vmware": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "group": "storage", "name": "Cinder Proxy to VMware Datastore", "weight": 40, "limits": {"recommended": 1}, "description": "Cinder-VMware provides scheduling of block storage resources delivered over VMware vCenter. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "virt": {"restrictions": [{"action": "hide", "condition": "not ('advanced' in version:feature_groups)"}], "group": "compute", "name": "Virtual", "weight": 80, "public_ip_required": true, "conflicts": ["controller", "base-os"], "description": "ADVANCED: Make available possibilities to spawn vms on this node that can be assign as a normal nodes."}, "base-os": {"group": "other", "name": "Operating System", "weight": 70, "description": "Install base Operating System without additional packages and configuration."}, "controller": {"limits": {"recommended": 3, "overrides": [{"message": "Neutron L3 HA requires at least 2 Controller nodes to function properly.", "condition": "settings:neutron_advanced_configuration.neutron_l3_ha.value == true", "min": 2}], "min": 1}, "group": "base", "name": "Controller", "weight": 10, "update_required": ["compute", "cinder"], "has_primary": true, "public_ip_required": true, "conflicts": ["compute"], "public_for_dvr_required": true, "description": "The Controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "ceph-osd": {"restrictions": [{"message": "Ceph should be enabled in the environment settings.", "condition": "settings:storage.volumes_ceph.value == false and settings:storage.images_ceph.value == false and settings:storage.ephemeral_ceph.value == false and settings:storage.objects_ceph.value == false"}], "group": "storage", "weight": 50, "limits": {"min": "settings:storage.osd_pool_size.value"}, "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each).", "update_once": ["controller"], "name": "Ceph OSD"}, "ironic": {"restrictions": [{"message": "Ironic should be enabled in the environment settings.", "condition": "settings:additional_components.ironic.value == false"}], "group": "compute", "name": "Ironic", "weight": 100, "limits": {"recommended": 3, "min": 1}, "conflicts": ["compute"], "description": "Ironic conductor."}, "cinder": {"restrictions": [{"message": "Cinder LVM should be enabled in the environment settings.", "condition": "settings:storage.volumes_lvm.value == false"}, {"message": "Ceph RBD cannot be used with Cinder", "condition": "settings:storage.volumes_ceph.value == true"}], "group": "storage", "name": "Cinder", "weight": 30, "limits": {"recommended": 1}, "description": "Cinder provides scheduling of block storage resources, typically delivered over iSCSI and other compatible backend storage systems. Block storage can be used for database storage, expandable file systems, or to provide a server with access to raw block level devices."}, "cinder-block-device": {"restrictions": [{"message": "Cinder Block Device driver should be enabled in the environment settings.", "condition": "settings:storage.volumes_block_device.value == false"}, {"message": "Ceph RBD cannot be used with Cinder Block Device", "condition": "settings:storage.volumes_ceph.value == true"}], "group": "storage", "name": "Cinder Block Device", "weight": 35, "conflicts": ["controller", "cinder", "cinder-vmware", "ceph-osd"], "public_ip_required": false, "has_primary": false, "description": "Host node for Cinder Block Devices."}, "mongo": {"restrictions": [{"message": "Ceilometer should be enabled in the environment settings.", "condition": "settings:additional_components.ceilometer.value == false"}, {"message": "You are already using external MongoDB.", "condition": "settings:additional_components.mongo.value == true"}], "group": "other", "name": "Telemetry - MongoDB", "weight": 60, "has_primary": true, "limits": {"overrides": [{"max": 1, "message": "At most 1 MongoDB node can be added for non-HA deployment", "condition": "cluster:mode != 'ha_compact'"}, {"recommended": 3, "message": "At least 3 MongoDB nodes are recommended for HA deployment.", "condition": "cluster:mode == 'ha_compact'"}], "min": 1}, "conflicts": ["compute", "ceph-osd"], "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}}	{"editable": {"value": {"glance": {"vcenter_username": "", "datacenter": "", "vcenter_host": "", "ca_file": "", "datastore": "", "vcenter_password": ""}, "availability_zones": [{"vcenter_username": "", "az_name": "vcenter", "vcenter_password": "", "vcenter_host": "", "nova_computes": [{"datastore_regex": "", "vsphere_cluster": "", "target_node": {"current": {"id": "controllers", "label": "controllers"}, "options": [{"id": "controllers", "label": "controllers"}]}, "service_name": ""}]}]}, "metadata": [{"restrictions": [{"message": "VMware vCenter not enabled for cluster", "condition": "settings:common.use_vcenter.value == false"}], "type": "array", "name": "availability_zones", "fields": [{"regex": {"source": "^(?!nova$)\\\\w+$", "error": "Invalid availability zone name"}, "type": "text", "description": "Availability zone name", "name": "az_name", "label": "Availability zone"}, {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "type": "text", "description": "vCenter host or IP", "name": "vcenter_host", "label": "vCenter host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "type": "text", "description": "vCenter username", "name": "vcenter_username", "label": "vCenter username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "type": "password", "description": "vCenter password", "name": "vcenter_password", "label": "vCenter password"}, {"editable_for_deployed": true, "type": "array", "name": "nova_computes", "fields": [{"regex": {"source": "\\\\S", "error": "Invalid vSphere cluster"}, "type": "text", "description": "vSphere cluster", "name": "vsphere_cluster", "label": "vSphere cluster"}, {"regex": {"source": "^\\\\w[\\\\w\\\\-]+$", "error": "Invalid service name"}, "type": "text", "description": "Service name", "name": "service_name", "label": "Service name"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore regex"}, "type": "text", "description": "Datastore regex", "name": "datastore_regex", "label": "Datastore regex"}, {"type": "select", "description": "Target node for nova-compute service", "name": "target_node", "label": "Target node"}]}]}, {"restrictions": [{"message": "VMware vCenter datastore for images is not enabled in Settings tab", "condition": "settings:storage.images_vcenter.value == false or settings:common.use_vcenter.value == false"}], "type": "object", "name": "glance", "fields": [{"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "type": "text", "description": "vCenter host or IP", "name": "vcenter_host", "label": "vCenter host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "type": "text", "description": "vCenter username", "name": "vcenter_username", "label": "vCenter username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "type": "password", "description": "vCenter password", "name": "vcenter_password", "label": "vCenter password"}, {"regex": {"source": "\\\\S", "error": "Invalid datacenter"}, "type": "text", "description": "Datacenter", "name": "datacenter", "label": "Datacenter"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore"}, "type": "text", "description": "Datastore", "name": "datastore", "label": "Datastore"}, {"type": "file", "description": "File containing the trusted CA bundle that emitted vCenter server certificate. If empty vCenters certificate is not verified.", "name": "ca_file", "label": "CA file"}]}]}}	["ha_compact"]	[{"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "keystone/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "admin/pxe", "default_mapping": "fuelweb_admin"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "swift/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "neutron/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "sahara/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "aodh/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceilometer/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "cinder/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "glance/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "glance/glare", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "heat/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "nova/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "murano/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "murano/cfapi", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "horizon", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/memcache", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/database", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/messaging", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/corosync", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "management_vrouter_vip", "namespace": "vrouter", "name": "vrouter"}, {"alias": "management_vip", "namespace": "haproxy", "name": "management"}], "gateway": false}, "id": "mgmt/vip", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "public_vrouter_vip", "vendor_specific": {"iptables_rules": {"ns_start": ["iptables -t nat -A POSTROUTING -o <%INT%> -j MASQUERADE"], "ns_stop": ["iptables -t nat -D POSTROUTING -o <%INT%> -j MASQUERADE"]}}, "namespace": "vrouter", "name": "vrouter_pub"}, {"alias": "public_vip", "namespace": "haproxy", "name": "public"}], "gateway": true}, "id": "public/vip", "default_mapping": "public"}, {"properties": {"subnet": false, "vip": [], "gateway": false}, "id": "neutron/private", "default_mapping": "private"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "neutron/mesh", "default_mapping": "private"}, {"properties": {"subnet": false, "vip": [], "gateway": false}, "id": "neutron/floating", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "swift/replication", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/public", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/radosgw", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/replication", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "cinder/iscsi", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mongo/db", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "fw-admin", "default_mapping": "fuelweb_admin"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "management", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "ex", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "storage", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "nova/migration", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ironic/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "baremetal_vip", "vendor_specific": {"iptables_rules": {"ns_start": ["iptables -A INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -p tcp -m multiport --dports 6385,8080 -m state --state NEW -j ACCEPT", "iptables -A INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -m state --state ESTABLISHED,RELATED -j ACCEPT", "iptables -A INPUT -i <%INT%> -j DROP"], "ns_stop": ["iptables -D INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -p tcp -m multiport --dports 6385,8080 -m state --state NEW -j ACCEPT", "iptables -D INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -m state --state ESTABLISHED,RELATED -j ACCEPT", "iptables -D INPUT -i <%INT%> -j DROP"]}}, "namespace": "haproxy", "name": "baremetal"}], "gateway": false}, "id": "ironic/baremetal", "default_mapping": "baremetal"}]	{volume_manager}	[{"name": "hypervisor:qemu", "weight": 5, "default": true, "bind": [["settings:common.libvirt_type.value", "qemu"]], "label": "dialog.create_cluster_wizard.compute.qemu", "compatible": [{"name": "hypervisor:vmware"}], "description": "dialog.create_cluster_wizard.compute.qemu_description"}, {"description": "dialog.create_cluster_wizard.compute.vcenter_description", "weight": 15, "bind": ["settings:common.use_vcenter.value"], "label": "dialog.create_cluster_wizard.compute.vcenter", "compatible": [{"name": "hypervisor:qemu"}], "requires": [{"message": "dialog.create_cluster_wizard.compute.vcenter_warning", "name": "hypervisor:qemu"}], "name": "hypervisor:vmware"}, {"description": "dialog.create_cluster_wizard.network.neutron_ml2_description", "weight": 1000, "default": true, "label": "dialog.create_cluster_wizard.network.neutron_ml2", "compatible": [{"name": "hypervisor:*"}, {"name": "network:neutron:ml2:*"}], "name": "network:neutron:core:ml2"}, {"description": "dialog.create_cluster_wizard.network.neutron_vlan_description", "weight": 5, "incompatible": [{"message": "dialog.create_cluster_wizard.network.vlan_tun_alert", "name": "network:neutron:ml2:tun"}], "default": true, "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "vlan"]], "label": "common.network.neutron_vlan", "compatible": [{"name": "network:neutron:core:ml2"}, {"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}], "requires": [{"name": "network:neutron:core:ml2"}], "name": "network:neutron:ml2:vlan"}, {"description": "dialog.create_cluster_wizard.network.neutron_tun_description", "weight": 10, "incompatible": [{"message": "dialog.create_cluster_wizard.network.vlan_tun_alert", "name": "network:neutron:ml2:vlan"}, {"message": "dialog.create_cluster_wizard.network.hypervisor_alert", "name": "hypervisor:vmware"}, {"message": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert", "name": "additional_service:ironic"}], "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "tun"]], "label": "common.network.neutron_tun", "compatible": [{"name": "network:neutron:core:ml2"}, {"name": "hypervisor:qemu"}], "requires": [{"name": "network:neutron:core:ml2"}], "name": "network:neutron:ml2:tun"}, {"description": "dialog.create_cluster_wizard.storage.default_provider", "weight": 5, "incompatible": [{"message": "LVM not compatible with Ceph", "name": "storage:block:ceph"}], "default": true, "bind": ["settings:storage.volumes_lvm.value"], "label": "dialog.create_cluster_wizard.storage.lvm", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}], "name": "storage:block:lvm"}, {"name": "storage:block:ceph", "weight": 10, "incompatible": [{"message": "Ceph not compatible with LVM", "name": "storage:block:lvm"}], "bind": [["settings:storage.volumes_ceph.value", true], ["settings:storage.volumes_lvm.value", false]], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}], "description": "dialog.create_cluster_wizard.storage.ceph_block"}, {"description": "dialog.create_cluster_wizard.storage.ceph_object", "weight": 10, "bind": ["settings:storage.objects_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}], "name": "storage:object:ceph"}, {"description": "dialog.create_cluster_wizard.storage.ceph_ephemeral", "weight": 10, "bind": ["settings:storage.ephemeral_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:image:ceph"}], "name": "storage:ephemeral:ceph"}, {"description": "dialog.create_cluster_wizard.storage.ceph_image", "weight": 10, "bind": ["settings:storage.images_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}], "name": "storage:image:ceph"}, {"description": "dialog.create_cluster_wizard.additional.install_sahara_description", "weight": 10, "bind": ["settings:additional_components.sahara.value"], "label": "dialog.create_cluster_wizard.additional.install_sahara", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ceilometer"}, {"name": "additional_service:ironic"}], "name": "additional_service:sahara"}, {"description": "dialog.create_cluster_wizard.additional.install_murano_description", "weight": 20, "bind": ["settings:additional_components.murano.value"], "label": "dialog.create_cluster_wizard.additional.install_murano", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:ceilometer"}, {"name": "additional_service:ironic"}], "name": "additional_service:murano"}, {"description": "dialog.create_cluster_wizard.additional.install_ceilometer_description", "weight": 30, "bind": ["settings:additional_components.ceilometer.value"], "label": "dialog.create_cluster_wizard.additional.install_ceilometer", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ironic"}], "name": "additional_service:ceilometer"}, {"name": "additional_service:ironic", "weight": 40, "incompatible": [{"message": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert", "name": "network:neutron:ml2:tun"}], "bind": ["settings:additional_components.ironic.value"], "label": "dialog.create_cluster_wizard.additional.install_ironic", "compatible": [{"name": "hypervisor:qemu"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ceilometer"}], "description": "dialog.create_cluster_wizard.additional.install_ironic_description"}]	{}
\.


--
-- Name: releases_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('releases_id_seq', 3, true);


--
-- Data for Name: tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY tasks (id, cluster_id, uuid, name, message, status, progress, cache, result, parent_id, weight, deleted_at, deployment_info, cluster_settings, network_settings, tasks_snapshot) FROM stdin;
1	\N	f3845321-94cb-4223-87ff-ace98dfbee45	dump	\N	running	0	{"respond_to": "dump_environment_resp", "args": {"task_uuid": "f3845321-94cb-4223-87ff-ace98dfbee45", "settings": {"target": "/var/dump/fuel-snapshot", "dump": {"master": {"objects": [{"path": "/etc/nailgun", "type": "dir"}, {"path": "/etc/astute", "type": "dir"}, {"path": "/etc/fuel", "type": "dir"}, {"path": "/etc/fuel_build_id", "type": "file"}, {"path": "/etc/fuel_build_number", "type": "file"}, {"command": "shotgun2 report", "to_file": "shotgun2_report.txt", "type": "command"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "docker images", "to_file": "docker_images.txt", "type": "command"}, {"command": "docker ps", "to_file": "docker_ps.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"command": "rpm -qa", "to_file": "centos_installed_rpms.txt", "type": "command"}, {"command": "yum repolist", "to_file": "centos_repo_list.txt", "type": "command"}, {"command": "fuel-bootstrap list", "to_file": "fuel_bootstrap_list.txt", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/dnsmasq.conf", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/etc/cobbler*", "type": "file"}, {"path": "/var/www/nailgun/bootstraps/active_bootstrap/metadata.yaml", "type": "file"}, {"path": "/var/log", "type": "dir", "exclude": ["atop/", "dump/"]}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"command": "uname -a", "to_file": "uname_a.txt", "type": "command"}, {"command": "lsmod", "to_file": "lsmod.txt", "type": "command"}, {"path": "/etc/*-release", "type": "file"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "hostname": "nailgun.test.domain.local", "address": "10.109.9.2"}]}, "controller": {"objects": [{"command": "pcs status", "to_file": "pcs_status.txt", "type": "command"}, {"path": "/var/log/pacemaker.log", "type": "file"}, {"command": "rabbitmqctl report", "to_file": "rabbitmqctl_report.txt", "type": "command"}, {"path": "/var/log/neutron/neutron-ns-metadata-proxy*.log", "type": "file"}, {"command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} ip a; done", "to_file": "ip_a_ns.txt", "type": "command"}, {"command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} ip r; done", "to_file": "ip_r_ns.txt", "type": "command"}, {"command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} netstat -anp; done", "to_file": "netstat_ns.txt", "type": "command"}, {"path": "/etc/mysql", "type": "dir"}, {"path": "/var/log/mysql", "type": "dir"}, {"command": "ls -la /var/lib/mysql/ /var/run/mysqld/", "to_file": "mysql_resources.txt", "type": "command"}], "hosts": []}, "local": {"objects": [{"username": "nailgun", "dbhost": "10.109.9.2", "password": "7bzXcYcU9TQKB4my2vr3A8r6", "type": "postgres", "dbname": "nailgun"}, {"to_file": "cobbler.txt", "type": "xmlrpc", "methods": ["get_distros", "get_profiles", "get_systems"], "server": "http://10.109.9.2:80/cobbler_api"}], "hosts": []}, "slave": {"objects": [{"path": "/etc/astute.yaml", "type": "file"}, {"path": "/etc/hiera", "type": "dir"}, {"path": "/var/log/puppet.log", "type": "file"}, {"path": "/root/ceph*", "type": "file"}, {"path": "/root/anaconda*", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/root/*.ks", "type": "file"}, {"path": "/etc/apache2*", "type": "file"}, {"path": "/etc/httpd*", "type": "file"}, {"path": "/etc/ceph*", "type": "file"}, {"path": "/etc/keystone*", "type": "file"}, {"path": "/etc/nova*", "type": "file"}, {"path": "/etc/neutron*", "type": "file"}, {"path": "/etc/horizon*", "type": "file"}, {"path": "/etc/cinder*", "type": "file"}, {"path": "/etc/glance*", "type": "file"}, {"path": "/etc/swift*", "type": "file"}, {"path": "/etc/haproxy*", "type": "file"}, {"path": "/var/log/ceph", "type": "file"}, {"path": "/var/lib/puppet/state/last_run_summary.yaml", "type": "file"}, {"path": "/etc/resolv.conf", "type": "file"}, {"path": "/etc/mcollective/server.cfg", "type": "file"}, {"path": "/var/run/pcap_dir", "type": "dir"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"path": "/var/log/cron.log", "type": "file"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "arp -an", "to_file": "arp.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"command": "rpm -qa", "to_file": "centos_installed_rpms.txt", "type": "command"}, {"command": "yum repolist", "to_file": "centos_repo_list.txt", "type": "command"}, {"command": "env COLUMNS=500 dpkg -l|cat", "to_file": "ubuntu_installed_debs.txt", "type": "command"}, {"command": "apt-cache policy", "to_file": "ubuntu_repo_list.txt", "type": "command"}, {"command": "sysctl -a", "to_file": "sysctl.txt", "type": "command"}, {"command": "dmsetup info -c --nameprefixes --noheadings -o blkdevname,subsystem,blkdevs_used,name,uuid", "to_file": "dmsetup_info.txt", "type": "command"}, {"path": "/var/lib/cloud", "type": "dir"}, {"path": "/var/log/cloud-init*.log", "type": "file"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/network/interfaces.d", "type": "dir"}, {"path": "/etc/network/interfaces", "type": "file"}, {"path": "/root/post-partition.log", "type": "file"}, {"command": "blkid -o list", "to_file": "blkid_o_list.txt", "type": "command"}, {"command": "ceph health", "to_file": "ceph_health.txt", "type": "command"}, {"command": "ceph -s", "to_file": "ceph_s.txt", "type": "command"}, {"command": "ceph osd tree", "to_file": "ceph_osd_tree.txt", "type": "command"}, {"command": "cat /proc/interrupts", "to_file": "proc_interrupts.txt", "type": "command"}, {"command": "uname -a", "to_file": "uname_a.txt", "type": "command"}, {"command": "lsmod", "to_file": "lsmod.txt", "type": "command"}, {"path": "/etc/*-release", "type": "file"}, {"command": "dmesg", "to_file": "dmesg.txt", "type": "command"}, {"path": "/var/log/libvirt/qemu/instance*.log", "type": "file"}, {"path": "/var/log/libvirt/libvirtd.log", "type": "file"}, {"path": "/var/log/neutron", "type": "dir"}, {"path": "/var/log/nova", "type": "dir"}, {"path": "/var/log/*-all.log", "type": "file"}, {"path": "/var/log/syslog", "type": "file"}, {"exclude": ["/disk*"], "type": "dir", "path": "/var/lib/nova/instances/*-*"}], "hosts": []}}, "timestamp": true, "lastdump": "/var/www/nailgun/dump/last", "compression_level": 3, "timeout": 7200}}, "method": "dump_environment", "api_version": "1"}	{}	\N	1	\N	\N	\N	\N	\N
\.


--
-- Name: tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('tasks_id_seq', 1, true);


--
-- Data for Name: vmware_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY vmware_attributes (id, cluster_id, editable) FROM stdin;
1	1	{"value": {"glance": {"vcenter_username": "", "datacenter": "", "vcenter_host": "", "ca_file": "", "datastore": "", "vcenter_password": ""}, "availability_zones": [{"vcenter_username": "", "az_name": "vcenter", "vcenter_password": "", "vcenter_host": "", "nova_computes": [{"datastore_regex": "", "vsphere_cluster": "", "service_name": "", "target_node": {"current": {"id": "controllers", "label": "controllers"}, "options": [{"id": "controllers", "label": "controllers"}]}}]}]}, "metadata": [{"restrictions": [{"message": "VMware vCenter not enabled for cluster", "condition": "settings:common.use_vcenter.value == false"}], "type": "array", "name": "availability_zones", "fields": [{"regex": {"source": "^(?!nova$)\\\\w+$", "error": "Invalid availability zone name"}, "label": "Availability zone", "type": "text", "description": "Availability zone name", "name": "az_name"}, {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "label": "vCenter host", "type": "text", "description": "vCenter host or IP", "name": "vcenter_host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "label": "vCenter username", "type": "text", "description": "vCenter username", "name": "vcenter_username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "label": "vCenter password", "type": "password", "description": "vCenter password", "name": "vcenter_password"}, {"type": "array", "editable_for_deployed": true, "name": "nova_computes", "fields": [{"regex": {"source": "\\\\S", "error": "Invalid vSphere cluster"}, "label": "vSphere cluster", "type": "text", "description": "vSphere cluster", "name": "vsphere_cluster"}, {"regex": {"source": "^\\\\w[\\\\w\\\\-]+$", "error": "Invalid service name"}, "label": "Service name", "type": "text", "description": "Service name", "name": "service_name"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore regex"}, "label": "Datastore regex", "type": "text", "description": "Datastore regex", "name": "datastore_regex"}, {"label": "Target node", "type": "select", "description": "Target node for nova-compute service", "name": "target_node"}]}]}, {"restrictions": [{"message": "VMware vCenter datastore for images is not enabled in Settings tab", "condition": "settings:storage.images_vcenter.value == false or settings:common.use_vcenter.value == false"}], "type": "object", "name": "glance", "fields": [{"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "label": "vCenter host", "type": "text", "description": "vCenter host or IP", "name": "vcenter_host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "label": "vCenter username", "type": "text", "description": "vCenter username", "name": "vcenter_username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "label": "vCenter password", "type": "password", "description": "vCenter password", "name": "vcenter_password"}, {"regex": {"source": "\\\\S", "error": "Invalid datacenter"}, "label": "Datacenter", "type": "text", "description": "Datacenter", "name": "datacenter"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore"}, "label": "Datastore", "type": "text", "description": "Datastore", "name": "datastore"}, {"label": "CA file", "type": "file", "description": "File containing the trusted CA bundle that emitted vCenter server certificate. If empty vCenters certificate is not verified.", "name": "ca_file"}]}]}
\.


--
-- Name: vmware_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('vmware_attributes_id_seq', 1, true);


--
-- Data for Name: volume_manager_alembic_version; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY volume_manager_alembic_version (version_num) FROM stdin;
086cde3de7cf
\.


--
-- Data for Name: volume_manager_node_volumes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY volume_manager_node_volumes (id, node_id, volumes) FROM stdin;
1	1	[{"name": "sda", "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "extra": ["disk/by-id/wwn-0x5002538d409b313b", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH122271Z"], "bootable": false, "free_space": 476440, "type": "disk", "id": "sda", "size": 476940}, {"name": "sdb", "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "extra": ["disk/by-id/wwn-0x5002538d409b3139", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH122269V"], "bootable": false, "free_space": 476440, "type": "disk", "id": "sdb", "size": 476940}]
2	2	[{"name": "sda", "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "extra": ["disk/by-id/wwn-0x5002538d409b333a", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH122782N"], "bootable": false, "free_space": 476440, "type": "disk", "id": "sda", "size": 476940}, {"name": "sdb", "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "extra": ["disk/by-id/wwn-0x5002538d409b335e", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH122818A"], "bootable": false, "free_space": 476440, "type": "disk", "id": "sdb", "size": 476940}]
3	3	[{"name": "sda", "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "extra": ["disk/by-id/wwn-0x5002538d409b3359", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH122813N"], "bootable": false, "free_space": 476440, "type": "disk", "id": "sda", "size": 476940}, {"name": "sdb", "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "extra": ["disk/by-id/wwn-0x5002538d409aeeaf", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH116181J"], "bootable": false, "free_space": 476440, "type": "disk", "id": "sdb", "size": 476940}]
4	4	[{"name": "sda", "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "extra": ["disk/by-id/wwn-0x5002538d409aeeab", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH116177Z"], "bootable": false, "free_space": 476440, "type": "disk", "id": "sda", "size": 476940}, {"name": "sdb", "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "extra": ["disk/by-id/wwn-0x5002538d409aeea0", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH116166N"], "bootable": false, "free_space": 476440, "type": "disk", "id": "sdb", "size": 476940}]
5	5	[{"name": "sda", "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "extra": ["disk/by-id/wwn-0x5002538d409af25c", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH116727H"], "bootable": false, "free_space": 476440, "type": "disk", "id": "sda", "size": 476940}, {"name": "sdb", "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "extra": ["disk/by-id/wwn-0x5002538d409aeecb", "disk/by-id/ata-Samsung_SSD_850_EVO_500GB_S2RBNXAH116194J"], "bootable": false, "free_space": 476440, "type": "disk", "id": "sdb", "size": 476940}]
\.


--
-- Name: volume_manager_node_volumes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('volume_manager_node_volumes_id_seq', 5, true);


--
-- Name: _hostname_cluster_uc; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT _hostname_cluster_uc UNIQUE (cluster_id, hostname);


--
-- Name: _name_cluster_uc; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodegroups
    ADD CONSTRAINT _name_cluster_uc UNIQUE (cluster_id, name);


--
-- Name: _name_version_unique; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT _name_version_unique UNIQUE (name, version);


--
-- Name: _task_id_node_id_deployment_graph_task_name_uc; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY deployment_history
    ADD CONSTRAINT _task_id_node_id_deployment_graph_task_name_uc UNIQUE (task_id, node_id, deployment_graph_task_name);


--
-- Name: _task_name_deployment_graph_id_uc; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY deployment_graph_tasks
    ADD CONSTRAINT _task_name_deployment_graph_id_uc UNIQUE (deployment_graph_id, task_name);


--
-- Name: action_logs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY action_logs
    ADD CONSTRAINT action_logs_pkey PRIMARY KEY (id);


--
-- Name: attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_pkey PRIMARY KEY (id);


--
-- Name: capacity_log_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY capacity_log
    ADD CONSTRAINT capacity_log_pkey PRIMARY KEY (id);


--
-- Name: cluster_changes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_pkey PRIMARY KEY (id);


--
-- Name: cluster_deployment_graphs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_deployment_graphs
    ADD CONSTRAINT cluster_deployment_graphs_pkey PRIMARY KEY (id);


--
-- Name: cluster_plugin_links_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_plugin_links
    ADD CONSTRAINT cluster_plugin_links_pkey PRIMARY KEY (id);


--
-- Name: cluster_plugins_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_plugins
    ADD CONSTRAINT cluster_plugins_pkey PRIMARY KEY (id);


--
-- Name: cluster_upgrade_relations_orig_cluster_id_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_upgrade_relations
    ADD CONSTRAINT cluster_upgrade_relations_orig_cluster_id_key UNIQUE (orig_cluster_id);


--
-- Name: cluster_upgrade_relations_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_upgrade_relations
    ADD CONSTRAINT cluster_upgrade_relations_pkey PRIMARY KEY (id);


--
-- Name: cluster_upgrade_relations_seed_cluster_id_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_upgrade_relations
    ADD CONSTRAINT cluster_upgrade_relations_seed_cluster_id_key UNIQUE (seed_cluster_id);


--
-- Name: clusters_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key UNIQUE (name);


--
-- Name: clusters_name_key1; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key1 UNIQUE (name);


--
-- Name: clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: deployment_graph_tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY deployment_graph_tasks
    ADD CONSTRAINT deployment_graph_tasks_pkey PRIMARY KEY (id);


--
-- Name: deployment_graphs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY deployment_graphs
    ADD CONSTRAINT deployment_graphs_pkey PRIMARY KEY (id);


--
-- Name: deployment_history_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY deployment_history
    ADD CONSTRAINT deployment_history_pkey PRIMARY KEY (id);


--
-- Name: extensions_migration_buffer_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY extensions_migration_buffer
    ADD CONSTRAINT extensions_migration_buffer_pkey PRIMARY KEY (id);


--
-- Name: ip_addr_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_pkey PRIMARY KEY (id);


--
-- Name: ip_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_pkey PRIMARY KEY (id);


--
-- Name: master_node_settings_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY master_node_settings
    ADD CONSTRAINT master_node_settings_pkey PRIMARY KEY (id);


--
-- Name: net_bond_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_pkey PRIMARY KEY (id);


--
-- Name: net_nic_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_pkey PRIMARY KEY (id);


--
-- Name: network_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_pkey PRIMARY KEY (id);


--
-- Name: networking_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_pkey PRIMARY KEY (id);


--
-- Name: neutron_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_pkey PRIMARY KEY (id);


--
-- Name: node_bond_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_nic_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_pkey PRIMARY KEY (id);


--
-- Name: nodegroups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodegroups
    ADD CONSTRAINT nodegroups_pkey PRIMARY KEY (id);


--
-- Name: nodes_mac_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_mac_key UNIQUE (mac);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: nodes_uuid_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_uuid_key UNIQUE (uuid);


--
-- Name: notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: nova_network_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_pkey PRIMARY KEY (id);


--
-- Name: openstack_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY openstack_configs
    ADD CONSTRAINT openstack_configs_pkey PRIMARY KEY (id);


--
-- Name: oswl_stats_cluster_id_created_date_resource_type_unique_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY oswl_stats
    ADD CONSTRAINT oswl_stats_cluster_id_created_date_resource_type_unique_key UNIQUE (cluster_id, created_date, resource_type);


--
-- Name: oswl_stats_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY oswl_stats
    ADD CONSTRAINT oswl_stats_pkey PRIMARY KEY (id);


--
-- Name: plugin_deployment_graphs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugin_deployment_graphs
    ADD CONSTRAINT plugin_deployment_graphs_pkey PRIMARY KEY (id);


--
-- Name: plugin_links_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugin_links
    ADD CONSTRAINT plugin_links_pkey PRIMARY KEY (id);


--
-- Name: plugins_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT plugins_pkey PRIMARY KEY (id);


--
-- Name: release_deployment_graphs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY release_deployment_graphs
    ADD CONSTRAINT release_deployment_graphs_pkey PRIMARY KEY (id);


--
-- Name: releases_name_version_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_name_version_key UNIQUE (name, version);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_pkey PRIMARY KEY (id);


--
-- Name: type_cluster_id_uc; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_deployment_graphs
    ADD CONSTRAINT type_cluster_id_uc UNIQUE (type, cluster_id);


--
-- Name: type_plugin_id_uc; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugin_deployment_graphs
    ADD CONSTRAINT type_plugin_id_uc UNIQUE (type, plugin_id);


--
-- Name: type_release_id_uc; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY release_deployment_graphs
    ADD CONSTRAINT type_release_id_uc UNIQUE (type, release_id);


--
-- Name: vmware_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY vmware_attributes
    ADD CONSTRAINT vmware_attributes_pkey PRIMARY KEY (id);


--
-- Name: volume_manager_node_volumes_node_id_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY volume_manager_node_volumes
    ADD CONSTRAINT volume_manager_node_volumes_node_id_key UNIQUE (node_id);


--
-- Name: volume_manager_node_volumes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY volume_manager_node_volumes
    ADD CONSTRAINT volume_manager_node_volumes_pkey PRIMARY KEY (id);


--
-- Name: cluster_name_idx; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX cluster_name_idx ON tasks USING btree (cluster_id, name);


--
-- Name: cluster_plugin_links_cluster_id_key; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX cluster_plugin_links_cluster_id_key ON cluster_plugin_links USING btree (cluster_id);


--
-- Name: deployment_history_task_id_and_status; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX deployment_history_task_id_and_status ON deployment_history USING btree (task_id, status);


--
-- Name: deployment_history_task_name_status_idx; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX deployment_history_task_name_status_idx ON deployment_history USING btree (deployment_graph_task_name, status);


--
-- Name: ix_cluster_deployment_graphs_cluster_id; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_cluster_deployment_graphs_cluster_id ON cluster_deployment_graphs USING btree (cluster_id);


--
-- Name: ix_cluster_deployment_graphs_deployment_graph_id; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_cluster_deployment_graphs_deployment_graph_id ON cluster_deployment_graphs USING btree (deployment_graph_id);


--
-- Name: ix_nodegroups_is_default; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_nodegroups_is_default ON nodegroups USING btree (is_default);


--
-- Name: ix_oswl_stats_cluster_id; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_cluster_id ON oswl_stats USING btree (cluster_id);


--
-- Name: ix_oswl_stats_created_date; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_created_date ON oswl_stats USING btree (created_date);


--
-- Name: ix_oswl_stats_is_sent; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_is_sent ON oswl_stats USING btree (is_sent);


--
-- Name: ix_oswl_stats_resource_type; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_resource_type ON oswl_stats USING btree (resource_type);


--
-- Name: ix_plugin_deployment_graphs_deployment_graph_id; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_plugin_deployment_graphs_deployment_graph_id ON plugin_deployment_graphs USING btree (deployment_graph_id);


--
-- Name: ix_plugin_deployment_graphs_plugin_id; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_plugin_deployment_graphs_plugin_id ON plugin_deployment_graphs USING btree (plugin_id);


--
-- Name: ix_release_deployment_graphs_deployment_graph_id; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_release_deployment_graphs_deployment_graph_id ON release_deployment_graphs USING btree (deployment_graph_id);


--
-- Name: ix_release_deployment_graphs_release_id; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_release_deployment_graphs_release_id ON release_deployment_graphs USING btree (release_id);


--
-- Name: plugin_links_plugin_id_key; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX plugin_links_plugin_id_key ON plugin_links USING btree (plugin_id);


--
-- Name: attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: cluster_changes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: cluster_changes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: cluster_deployment_graphs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_deployment_graphs
    ADD CONSTRAINT cluster_deployment_graphs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: cluster_deployment_graphs_deployment_graph_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_deployment_graphs
    ADD CONSTRAINT cluster_deployment_graphs_deployment_graph_id_fkey FOREIGN KEY (deployment_graph_id) REFERENCES deployment_graphs(id) ON DELETE CASCADE;


--
-- Name: cluster_plugin_links_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugin_links
    ADD CONSTRAINT cluster_plugin_links_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: cluster_plugins_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugins
    ADD CONSTRAINT cluster_plugins_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: cluster_plugins_plugin_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugins
    ADD CONSTRAINT cluster_plugins_plugin_id_fkey FOREIGN KEY (plugin_id) REFERENCES plugins(id) ON DELETE CASCADE;


--
-- Name: clusters_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: deployment_graph_tasks_deployment_graph_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY deployment_graph_tasks
    ADD CONSTRAINT deployment_graph_tasks_deployment_graph_id_fkey FOREIGN KEY (deployment_graph_id) REFERENCES deployment_graphs(id) ON DELETE CASCADE;


--
-- Name: deployment_history_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY deployment_history
    ADD CONSTRAINT deployment_history_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id);


--
-- Name: ip_addr_ranges_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_network_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_network_fkey FOREIGN KEY (network) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_node_fkey FOREIGN KEY (node) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_bond_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_bond_id_fkey FOREIGN KEY (bond_id) REFERENCES node_bond_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: network_groups_nodegroups_fk; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_nodegroups_fk FOREIGN KEY (group_id) REFERENCES nodegroups(id) ON DELETE CASCADE;


--
-- Name: network_groups_release_fk; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_release_fk FOREIGN KEY (release) REFERENCES releases(id) ON DELETE CASCADE;


--
-- Name: networking_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: neutron_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id) ON DELETE CASCADE;


--
-- Name: node_bond_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES node_bond_interfaces(id) ON DELETE SET NULL;


--
-- Name: nodegroups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodegroups
    ADD CONSTRAINT nodegroups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: nodes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: nodes_nodegroups_fk; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_nodegroups_fk FOREIGN KEY (group_id) REFERENCES nodegroups(id) ON DELETE SET NULL;


--
-- Name: notifications_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE SET NULL;


--
-- Name: notifications_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: notifications_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id) ON DELETE SET NULL;


--
-- Name: nova_network_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: openstack_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY openstack_configs
    ADD CONSTRAINT openstack_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: openstack_configs_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY openstack_configs
    ADD CONSTRAINT openstack_configs_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: plugin_deployment_graphs_deployment_graph_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugin_deployment_graphs
    ADD CONSTRAINT plugin_deployment_graphs_deployment_graph_id_fkey FOREIGN KEY (deployment_graph_id) REFERENCES deployment_graphs(id) ON DELETE CASCADE;


--
-- Name: plugin_deployment_graphs_plugin_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugin_deployment_graphs
    ADD CONSTRAINT plugin_deployment_graphs_plugin_id_fkey FOREIGN KEY (plugin_id) REFERENCES plugins(id) ON DELETE CASCADE;


--
-- Name: plugin_links_plugin_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugin_links
    ADD CONSTRAINT plugin_links_plugin_id_fkey FOREIGN KEY (plugin_id) REFERENCES plugins(id) ON DELETE CASCADE;


--
-- Name: release_deployment_graphs_deployment_graph_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_deployment_graphs
    ADD CONSTRAINT release_deployment_graphs_deployment_graph_id_fkey FOREIGN KEY (deployment_graph_id) REFERENCES deployment_graphs(id) ON DELETE CASCADE;


--
-- Name: release_deployment_graphs_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_deployment_graphs
    ADD CONSTRAINT release_deployment_graphs_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id) ON DELETE CASCADE;


--
-- Name: tasks_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: tasks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES tasks(id) ON DELETE CASCADE;


--
-- Name: vmware_attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY vmware_attributes
    ADD CONSTRAINT vmware_attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

